diff -pruN 45.1-1/NEWS 46.0-1/NEWS
--- 45.1-1/NEWS	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/NEWS	2024-03-22 05:14:59.000000000 +0000
@@ -1,13 +1,63 @@
 =========
-GHex 45.1
+GHex 46.0
 =========
 
-Bugfixes since 45.0:
+Changes and bugfixes since 46.alpha:
+- widget: Fade zeroes in the hex display (Logan Rathbone)
+- data: add 'hexadecimal' keyword to .desktop file (Nelson Benítez León)
+- appdata: Remove none OARS tags (Sabri Ünal)
+- appdata: Update appdata (Sabri Ünal)
+- appwin: Don't let AdwTabView trample over shortcuts (Logan Rathbone)
+- lib: Fix PANGO_COLOR_FROM_FLOAT macro (Logan Rathbone)
+- docs: GI tweaks and fixes (Logan Rathbone)
+- lib/app: Initial support for marks (Logan Rathbone)
+- help: Add marks section (Logan Rathbone)
+- i18n: Remove domain that prevented use of translations (#66) (Anders Jonsson)
+- appwin: Allow dropping multiple files (Guldoman)
+- widget/doc: Set widget busy state while file is mid-save (#76) (Logan Rathbone)
+- Code and documentation cleanups (Logan Rathbone)
 
+Translation updates:
+- Anders Jonsson (sv)
+- Balázs Úr (hu)
+- Christian Kirbach (de)
+- Daniel Mustieles (es)
+- Evangelos Skarmoutsos (el)
+- Jiri Grönroos (fi)
+- Jürgen Benvenuti (de)
+- Sabri Ünal (tr)
+- Sergej A. (ru)
+- Yuri Chornoivan (uk)
+
+This release includes libgtkhex 4.8.0
+
+=============
+GHex 46.alpha
+=============
+
+Changes and bugfixes since 45.0:
+- GObject property getter fixes (Logan Rathbone)
+- buf-malloc/mmap: Implement GObject 'file' property getter properly (Logan
+  Rathbone)
+- hex-buf/doc: Clarify GI transfer annotations (Logan Rathbone)
+- hex-doc/buf: Support opening zero-length files (See: #73) (Logan Rathbone)
+- hex-buf-iface: More appropriate messages when selecting backend (Logan
+  Rathbone)
+- hex-doc: Allow setting HEX_BUFFER env var to specify default backend (Logan
+  Rathbone)
+- Remove almost all remaining GtkDialog use (Logan Rathbone)
+- about: port dialog to libadwaita (Titouan Real)
+- Update POTFILES.in (Logan Rathbone)
+- chartable: Port to GtkColumnView (Logan Rathbone)
 - gtkhex: Local variables in switch statement should be in own scope (ie, fix
-  clang build issues) (fixes: #74) (David C. Manuelda, Logan Rathbone)
+  clang build issues) (Fixes: #74) (David C. Manuelda, Logan Rathbone)
 - appwin: Mark error message string properly translatable (Logan Rathbone)
 
+Translation updates:
+- Alan Mortensen (da)
+- Anders Jonsson (sv)
+- Emin Tufan Çetin (tr)
+
 =========
 GHex 45.0
 =========
@@ -15,6 +65,8 @@ GHex 45.0
 * docs: fix introspection compiler warning
 * help: Add section on geometry (closes:  #63)
 
+This release includes libgtkhex 4.6.0
+
 Translation updates:
 
 - Christian Kirbach (de)
diff -pruN 45.1-1/data/org.gnome.GHex.appdata.xml.in.in 46.0-1/data/org.gnome.GHex.appdata.xml.in.in
--- 45.1-1/data/org.gnome.GHex.appdata.xml.in.in	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/data/org.gnome.GHex.appdata.xml.in.in	2024-03-22 05:14:59.000000000 +0000
@@ -30,43 +30,15 @@
     <kudo>UserDocs</kudo>
   </kudos>
   <releases>
-    <release version="45.1" date="2023-11-13" />
-    <release version="45.0" date="2023-10-10" />
+    <release version="46.0" date="2024-03-22" />
   </releases>
   <url type="homepage">https://gitlab.gnome.org/GNOME/ghex</url>
   <url type="bugtracker">https://gitlab.gnome.org/GNOME/ghex/issues</url>
-  <url type="donation">http://www.gnome.org/friends/</url>
+  <url type="donation">https://www.gnome.org/donate/</url>
   <url type="help">https://help.gnome.org/users/ghex/stable/</url>
   <launchable type="desktop-id">@app_id@.desktop</launchable>
-  <developer_name>Logan Rathbone</developer_name>
+  <translation type="gettext">ghex</translation>
+  <developer_name translatable="no">Logan Rathbone</developer_name>
   <project_group>GNOME</project_group>
-  <content_rating type="oars-1.1">
-    <content_attribute id="violence-cartoon">none</content_attribute>
-    <content_attribute id="violence-fantasy">none</content_attribute>
-    <content_attribute id="violence-realistic">none</content_attribute>
-    <content_attribute id="violence-bloodshed">none</content_attribute>
-    <content_attribute id="violence-sexual">none</content_attribute>
-    <content_attribute id="violence-desecration">none</content_attribute>
-    <content_attribute id="violence-slavery">none</content_attribute>
-    <content_attribute id="violence-worship">none</content_attribute>
-    <content_attribute id="drugs-alcohol">none</content_attribute>
-    <content_attribute id="drugs-narcotics">none</content_attribute>
-    <content_attribute id="drugs-tobacco">none</content_attribute>
-    <content_attribute id="sex-nudity">none</content_attribute>
-    <content_attribute id="sex-themes">none</content_attribute>
-    <content_attribute id="sex-homosexuality">none</content_attribute>
-    <content_attribute id="sex-prostitution">none</content_attribute>
-    <content_attribute id="sex-adultery">none</content_attribute>
-    <content_attribute id="sex-appearance">none</content_attribute>
-    <content_attribute id="language-profanity">none</content_attribute>
-    <content_attribute id="language-humor">none</content_attribute>
-    <content_attribute id="language-discrimination">none</content_attribute>
-    <content_attribute id="social-chat">none</content_attribute>
-    <content_attribute id="social-info">none</content_attribute>
-    <content_attribute id="social-audio">none</content_attribute>
-    <content_attribute id="social-location">none</content_attribute>
-    <content_attribute id="social-contacts">none</content_attribute>
-    <content_attribute id="money-purchasing">none</content_attribute>
-    <content_attribute id="money-gambling">none</content_attribute>
-  </content_rating>
+  <content_rating type="oars-1.1" />
 </component>
diff -pruN 45.1-1/data/org.gnome.GHex.desktop.in.in 46.0-1/data/org.gnome.GHex.desktop.in.in
--- 45.1-1/data/org.gnome.GHex.desktop.in.in	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/data/org.gnome.GHex.desktop.in.in	2024-03-22 05:14:59.000000000 +0000
@@ -4,7 +4,7 @@ Name=@app_name@
 GenericName=Hex Editor
 Comment=Inspect and edit binary files
 # Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
-Keywords=binary;debug;
+Keywords=binary;debug;hexadecimal;
 Exec=ghex %F
 Terminal=false
 Type=Application
diff -pruN 45.1-1/debian/changelog 46.0-1/debian/changelog
--- 45.1-1/debian/changelog	2023-11-27 14:00:10.000000000 +0000
+++ 46.0-1/debian/changelog	2024-03-27 22:56:41.000000000 +0000
@@ -1,3 +1,11 @@
+ghex (46.0-1) unstable; urgency=medium
+
+  * New upstream release
+  * Bump minimum libadwaita to 1.2
+  * debian/libgtkhex-4-1.symbols: Add new symbols
+
+ -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:56:41 -0400
+
 ghex (45.1-1) unstable; urgency=medium
 
   * New upstream release
diff -pruN 45.1-1/debian/control 46.0-1/debian/control
--- 45.1-1/debian/control	2023-11-27 14:00:10.000000000 +0000
+++ 46.0-1/debian/control	2024-03-27 22:56:41.000000000 +0000
@@ -6,7 +6,7 @@ Uploaders: Amin Bandali <bandali@ubuntu.
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils,
-               libadwaita-1-dev,
+               libadwaita-1-dev (>= 1.2),
                libgtk-4-dev,
                libglib2.0-dev (>= 2.66.0),
                itstool,
diff -pruN 45.1-1/debian/libgtkhex-4-1.symbols 46.0-1/debian/libgtkhex-4-1.symbols
--- 45.1-1/debian/libgtkhex-4-1.symbols	2023-11-27 14:00:10.000000000 +0000
+++ 46.0-1/debian/libgtkhex-4-1.symbols	2024-03-27 22:56:41.000000000 +0000
@@ -65,20 +65,25 @@ libgtkhex-4.so.1 libgtkhex-4-1 #MINVER#
  hex_paste_data_get_string@Base 42.1
  hex_paste_data_get_type@Base 42.1
  hex_paste_data_new@Base 42.1
+ hex_widget_add_mark@Base 46.0
  hex_widget_autohighlight_get_type@Base 42.1
  hex_widget_clear_selection@Base 42.1
  hex_widget_copy_to_clipboard@Base 42.1
  hex_widget_cut_to_clipboard@Base 42.1
  hex_widget_delete_autohighlight@Base 42.1
+ hex_widget_delete_mark@Base 46.0
  hex_widget_delete_selection@Base 42.1
  hex_widget_get_adjustment@Base 42.1
  hex_widget_get_byte@Base 42.1
  hex_widget_get_cursor@Base 42.1
  hex_widget_get_document@Base 42.1
+ hex_widget_get_fade_zeroes@Base 46.0
  hex_widget_get_group_type@Base 42.1
  hex_widget_get_insert_mode@Base 42.1
+ hex_widget_get_mark_custom_color@Base 46.0
  hex_widget_get_selection@Base 42.1
  hex_widget_get_type@Base 42.1
+ hex_widget_goto_mark@Base 46.0
  hex_widget_insert_autohighlight@Base 42.1
  hex_widget_insert_autohighlight_full@Base 43~alpha
  hex_widget_layout_child_get_type@Base 42.1
@@ -93,13 +98,20 @@ libgtkhex-4.so.1 libgtkhex-4-1 #MINVER#
  hex_widget_layout_set_group_type@Base 42.1
  hex_widget_layout_set_offset_cpl@Base 42.1
  hex_widget_layout_util_hex_cpl_from_ascii_cpl@Base 42.1
+ hex_widget_mark_get_custom_color@Base 46.0
+ hex_widget_mark_get_end_offset@Base 46.0
+ hex_widget_mark_get_have_custom_color@Base 46.0
+ hex_widget_mark_get_start_offset@Base 46.0
+ hex_widget_mark_get_type@Base 46.0
  hex_widget_new@Base 42.1
  hex_widget_paste_from_clipboard@Base 42.1
  hex_widget_set_cursor@Base 42.1
  hex_widget_set_cursor_by_row_and_col@Base 42.1
+ hex_widget_set_fade_zeroes@Base 46.0
  hex_widget_set_geometry@Base 42.1
  hex_widget_set_group_type@Base 42.1
  hex_widget_set_insert_mode@Base 42.1
+ hex_widget_set_mark_custom_color@Base 46.0
  hex_widget_set_nibble@Base 42.1
  hex_widget_set_selection@Base 42.1
  hex_widget_show_ascii_column@Base 43~alpha
diff -pruN 45.1-1/help/C/advanced-marks.page 46.0-1/help/C/advanced-marks.page
--- 45.1-1/help/C/advanced-marks.page	1970-01-01 00:00:00.000000000 +0000
+++ 46.0-1/help/C/advanced-marks.page	2024-03-22 05:14:59.000000000 +0000
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="utf-8"?>
+<page xmlns="http://projectmallard.org/1.0/" type="topic" id="advanced-marks">
+ <info>
+  <link type="guide" xref="index#advanced"/>
+  <revision version="0.1" date="2024-01-24" status="incomplete"/>
+  <credit type="author copyright">
+   <name>Logan Rathbone</name>
+   <email>poprocks@gmail.com</email>
+   <years>2024</years>
+  </credit>
+ </info>
+ <title>Marks</title>
+ <p>Marks provide a convenient way to earmark chunks or sections of data that can be quickly jumped to.</p>
+ <p>To open the marks dialog, open the Main Menu, and click <gui>Marks</gui>, or use the keyboard shortcut <keyseq><key>Ctrl</key><key>M</key></keyseq>.</p>
+ <section>
+  <title>Selecting marks</title>
+  <p>Marks are numbered 0-9. To select a mark to work with, choose the mark number you would like to select by selecting the number in the <gui>Mark:</gui> spin button, or by pressing <keyseq><key>Ctrl</key><key>0...9</key></keyseq>.</p>
+ </section>
+ <section>
+  <title>Setting marks</title>
+  <p>To set a mark, select the mark number you would like to set. Next, highlight the data for which you would like to set a mark. Finally, click <gui>Set</gui> to set that mark.</p>
+ </section>
+ <section>
+  <title>Jumping to marks</title>
+  <p>To jump to a mark, select the mark number you would like to jump to. Then, click <gui>Jump</gui> to jump to that mark. This will set the cursor position to the starting point of that mark instantaneously.</p>
+ </section>
+ <section>
+  <title>Deleting marks</title>
+  <p>To delete a mark, select the mark number you would like to delete. Then, click <gui>Delete</gui> to delete that mark.</p>
+ </section>
+ <section>
+  <title>Setting a custom color for a mark</title>
+  <p>Marks have a default color which should make them stand out from other highlighted items. However, you can also optionally set a custom color for a mark if desired.</p>
+  <p>Custom colors can only be set after a mark has been created. Once a mark has been created, click the color chooser button next to the <gui>Mark:</gui> spin button, and select your desired color.</p>
+ </section>
+</page>
diff -pruN 45.1-1/help/de/de.po 46.0-1/help/de/de.po
--- 45.1-1/help/de/de.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/help/de/de.po	2024-03-22 05:14:59.000000000 +0000
@@ -1,1330 +1,1227 @@
 # German translation of the ghex manual.
 # Mario Blättermann <mario.blaettermann@gmail.com>, 2008-2010, 2016.
+# Christian Kirbach <christian.kirbach@gmail.com>, 2024
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex2\n"
-"POT-Creation-Date: 2020-01-10 14:31+0000\n"
-"PO-Revision-Date: 2020-02-15 16:56+0100\n"
+"POT-Creation-Date: 2024-01-20 12:23+0000\n"
+"PO-Revision-Date: 2024-01-22 21:26+0100\n"
 "Last-Translator: Tim Sabsch <tim@sabsch.com>\n"
 "Language-Team: German <gnome-de@gnome.org>\n"
 "Language: de\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Poedit 2.2.4\n"
+"X-Generator: Poedit 3.4.2\n"
 
 #. Put one translator per line, in the form NAME <EMAIL>, YEAR1, YEAR2
 msgctxt "_"
 msgid "translator-credits"
-msgstr "Mario Blättermann <mario.blaettermann@gmail.com>, 2008-2010, 2016"
-
-#. (itstool) path: articleinfo/title
-#: C/index.docbook:23
-msgid "User manual for GHex"
-msgstr "Ghex-Benutzerhandbuch"
-
-#. (itstool) path: abstract/para
-#: C/index.docbook:26
-msgid ""
-"GHex is a simple binary editor. It lets users view and edit a binary file in "
-"both hex and ascii with a multiple level undo/redo mechanism. Features "
-"include find and replace functions, conversion between binary, octal, "
-"decimal and hexadecimal values, and use of an alternative, user-configurable "
-"MDI concept that lets users edit multiple documents with multiple views of "
-"each."
-msgstr ""
-"GHex ist ein einfacher Binäreditor. Mit GHex können Binärdateien sowohl im "
-"Hexadezimal- als auch im ASCII-Modus betrachtet und bearbeitet werden. Eine "
-"über mehrere Ebenen reichende Rückgängig/Wiederholen-Funktion ist dabei "
-"verfügbar. Funktionen zum Suchen und Ersetzen sind ebenso vorhanden wie "
-"Möglichkeiten zum Umwandeln zwischen binären, oktalen, dezimalen und "
-"hexadezimalen Werten. Eine alternative, durch den Benutzer konfigurierbare "
-"Multidokument-Schnittstelle ermöglicht das gleichzeitige Bearbeiten mehrerer "
-"Dokumente in mehreren Ansichten."
-
-#. (itstool) path: articleinfo/copyright
-#: C/index.docbook:36
-msgid ""
-"<year>2002</year> <year>2003</year> <year>2004</year> <holder>Sun "
-"Microsystems</holder>"
 msgstr ""
-"<year>2002</year> <year>2003</year> <year>2004</year> <holder>Sun "
-"Microsystems</holder>"
+"Mario Blättermann <mario.blaettermann@gmail.com>, 2008-2010, 2016\n"
+"Jarne Förster <l10n@mymailclient.de>, 2023\n"
+"Christian Kirbach <christian.kirbach@gmail.com>, 2024"
 
-#. (itstool) path: articleinfo/copyright
-#: C/index.docbook:42
-msgid "<year>1998-2000</year> <holder>Jaka Mocnik</holder>"
-msgstr "<year>1998-2000</year> <holder>Jaka Mocnik</holder>"
+#. (itstool) path: credit/name
+#: C/advanced-clipboard.page:7 C/basics-create-new-file.page:7
+#: C/basics-edit-file.page:7 C/basics-find-replace.page:7
+#: C/basics-open-file.page:7 C/basics-save-file.page:7 C/conf-grouptype.page:7
+#: C/conf-preferences.page:7 C/index.page:6 C/tools-chartable.page:7
+#: C/tools-converter.page:7
+msgid "Logan Rathbone"
+msgstr "Logan Rathbone"
 
-#. (itstool) path: publisher/publishername
-#. (itstool) path: revdescription/para
-#: C/index.docbook:54 C/index.docbook:99 C/index.docbook:107
-#: C/index.docbook:115 C/index.docbook:123 C/index.docbook:131
-#: C/index.docbook:139 C/index.docbook:149
-msgid "GNOME Documentation Project"
-msgstr "GNOME-Dokumentationsprojekt"
+#. (itstool) path: credit/years
+#: C/advanced-clipboard.page:9 C/basics-create-new-file.page:9
+#: C/basics-edit-file.page:9 C/basics-find-replace.page:9
+#: C/basics-open-file.page:9 C/basics-save-file.page:9 C/conf-grouptype.page:9
+#: C/conf-preferences.page:9 C/index.page:8 C/tools-chartable.page:9
+#: C/tools-converter.page:9
+msgid "2022"
+msgstr "2022"
 
-#. (itstool) path: authorgroup/author
-#: C/index.docbook:63
-msgid ""
-"<firstname>Sun</firstname> <surname>GNOME Documentation Team</surname> "
-"<affiliation> <orgname>Sun Microsystems</orgname> <_:address-1/> </"
-"affiliation>"
-msgstr ""
-"<firstname>Sun</firstname> <surname>GNOME-Dokumentationsteam</surname> "
-"<affiliation> <orgname>Sun Microsystems</orgname> <_:address-1/> </"
-"affiliation>"
+#. (itstool) path: page/title
+#: C/advanced-clipboard.page:12
+msgid "Clipboard features"
+msgstr "Zwischenablage-Funktionen"
 
-#. (itstool) path: authorgroup/author
-#: C/index.docbook:71
+#. (itstool) path: page/p
+#: C/advanced-clipboard.page:13
 msgid ""
-"<firstname>Jaka</firstname> <surname>Mocnik</surname> <affiliation> "
-"<orgname>GNOME Documentation Project</orgname> <address> <email>jaka@gnu."
-"org</email> </address> </affiliation>"
+"As copying and pasting hexadecimal values is not a standard operation in "
+"most applications, GHex has some unique clipboard features."
 msgstr ""
-"<firstname>Jaka</firstname> <surname>Mocnik</surname> <affiliation> "
-"<orgname>GNOME-Dokumentationsprojekt</orgname> <address> <email>jaka@gnu."
-"org</email> </address> </affiliation>"
+"Weil das Kopieren und Einfügen von Hexadezimalwerten keine Standardoption in "
+"den meisten Anwendungen ist, hat GHex einige einzigartige Zwischenablage-"
+"Funktionen."
 
-#. (itstool) path: revdescription/para
-#: C/index.docbook:98 C/index.docbook:106 C/index.docbook:114
-#: C/index.docbook:122 C/index.docbook:130 C/index.docbook:138
-msgid "Sun GNOME Documentation Team"
-msgstr "Sun GNOME-Dokumentationsteam"
+#. (itstool) path: section/title
+#: C/advanced-clipboard.page:16
+msgid "Basic clipboard operations"
+msgstr "Grundlegende Zwischenablagen-Funktionen"
 
-#. (itstool) path: revhistory/revision
-#: C/index.docbook:94
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:17
 msgid ""
-"<revnumber>GHex Manual V2.5</revnumber> <date>December 2005</date> <_:"
-"revdescription-1/>"
+"Generally, when copying and pasting data within GHex, you need not concern "
+"yourself with clipboard operations."
 msgstr ""
-"<revnumber>GHex-Handbuch V2.5</revnumber> <date>Dezember 2005</date> <_:"
-"revdescription-1/>"
+"Im Allgemeinen müssen Sie sich nicht um Vorgänge rund um die Zwischenablage "
+"kümmern, wenn Daten innerhalb von GHex kopiert und eingefügt werden."
 
-#. (itstool) path: revhistory/revision
-#: C/index.docbook:102
-msgid ""
-"<revnumber>GHex Manual V2.4</revnumber> <date>April 2003</date> <_:"
-"revdescription-1/>"
-msgstr ""
-"<revnumber>GHex-Handbuch V2.4</revnumber> <date>April 2003</date> <_:"
-"revdescription-1/>"
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:19
+msgid "Copying and pasting within GHex works in the usual way."
+msgstr "Kopieren und Einfügen in GHex funktioniert wie üblich."
 
-#. (itstool) path: revhistory/revision
-#: C/index.docbook:110
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:20
 msgid ""
-"<revnumber>GHex Manual V2.3</revnumber> <date>August 2002</date> <_:"
-"revdescription-1/>"
+"To cut or copy data, highlight the data you would like to cut or copy, and "
+"do any of the following:"
 msgstr ""
-"<revnumber>GHex-Handbuch V2.3</revnumber> <date>August 2002</date> <_:"
-"revdescription-1/>"
+"Um Daten auszuschneiden oder zu kopieren, wählen Sie die Daten, die Sie "
+"ausschneiden oder kopieren wollen, aus und führen Sie einen dieser Vorgänge "
+"durch:"
 
-#. (itstool) path: revhistory/revision
-#: C/index.docbook:118
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:24
 msgid ""
-"<revnumber>GHex Manual V2.2</revnumber> <date>August 2002</date> <_:"
-"revdescription-1/>"
+"Right-click anywhere in the hex or ASCII pane to bring up the context menu, "
+"and select the appropriate option."
 msgstr ""
-"<revnumber>GHex-Handbuch V2.2</revnumber> <date>August 2002</date> <_:"
-"revdescription-1/>"
+"Klicken Sie mit der rechten Maustaste irgendwo in den Hexadezimal- oder "
+"ASCII-Bereich, um das Kontextmenü aufzurufen, und wählen Sie die gewünschte "
+"Option aus."
 
-#. (itstool) path: revhistory/revision
-#: C/index.docbook:126
-msgid ""
-"<revnumber>GHex Manual V2.1</revnumber> <date>July 2002</date> <_:"
-"revdescription-1/>"
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:28
+msgid "To cut, press <keyseq><key>Ctrl</key><key>X</key></keyseq>."
 msgstr ""
-"<revnumber>GHex-Handbuch V2.1</revnumber> <date>Juli 2002</date> <_:"
-"revdescription-1/>"
+"Um auszuschneiden, drücken Sie <keyseq><key>Strg</key><key>X</key></keyseq>."
 
-#. (itstool) path: revhistory/revision
-#: C/index.docbook:134
-msgid ""
-"<revnumber>GHex Manual V2.0</revnumber> <date>March 2002</date> <_:"
-"revdescription-1/>"
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:31
+msgid "To copy, press <keyseq><key>Ctrl</key><key>C</key></keyseq>."
 msgstr ""
-"<revnumber>GHex-Handbuch V2.0</revnumber> <date>März 2002</date> <_:"
-"revdescription-1/>"
+"Um zu kopieren, drücken Sie <keyseq><key>Strg</key><key>C</key></keyseq>."
 
-#. (itstool) path: revdescription/para
-#: C/index.docbook:146
-msgid "Jaka Mocnik <email>jaka@gnu.org</email>"
-msgstr "Jaka Mocnik <email>jaka@gnu.org</email>"
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:34
+msgid "To paste data:"
+msgstr "So fügen Sie Daten ein:"
 
-#. (itstool) path: revhistory/revision
-#: C/index.docbook:142
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:37
 msgid ""
-"<revnumber>GHex Manual V1.0</revnumber> <date>2000</date> <_:"
-"revdescription-1/>"
+"Right-click to bring up the context menu, and click <gui>Paste</gui>; or"
 msgstr ""
-"<revnumber>GHex-Handbuch V1.0</revnumber> <date>2000</date> <_:"
-"revdescription-1/>"
+"Klicken Sie mit der rechten Maustaste, um das Kontextmenü aufzurufen, und "
+"klicken Sie auf <gui>Einfügen-Modus</gui>; oder"
 
-#. (itstool) path: articleinfo/releaseinfo
-#: C/index.docbook:154
-msgid "This manual describes version 2.19 of GHex."
-msgstr "Dieses Handbuch beschreibt Version 2.19 von GHex."
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:40
+msgid "Press <keyseq><key>Ctrl</key><key>V</key></keyseq>."
+msgstr "Drücken Sie <keyseq><key>Strg</key><key>V</key></keyseq>."
 
-#. (itstool) path: legalnotice/title
-#: C/index.docbook:157
-msgid "Feedback"
-msgstr "Rückmeldungen"
-
-#. (itstool) path: legalnotice/para
-#: C/index.docbook:158
-msgid ""
-"To report a bug or make a suggestion regarding the GHex application or this "
-"manual, follow the directions in the <ulink url=\"help:gnome-feedback\" type="
-"\"help\">GNOME Feedback Page</ulink>."
-msgstr ""
-"Um Fehler zu melden oder einen Vorschlag zur Anwendung <application>GHex</"
-"application> oder zu diesem Handbuch zu machen, folgen Sie den Anweisungen "
-"auf der <ulink url=\"help:gnome-feedback\" type=\"help\">GNOME-Seite für "
-"Rückmeldungen</ulink>."
-
-#. (itstool) path: article/indexterm
-#: C/index.docbook:164
-msgid "<primary>GHex</primary>"
-msgstr "<primary>GHex</primary>"
-
-#. (itstool) path: sect1/title
-#: C/index.docbook:174
-msgid "Introduction"
-msgstr "Einführung"
+#. (itstool) path: section/title
+#: C/advanced-clipboard.page:45
+msgid "Paste Special"
+msgstr "Besonderes Einfügen"
 
-#. (itstool) path: sect1/para
-#: C/index.docbook:175
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:46
 msgid ""
-"The <application>GHex</application> application enables you to perform the "
-"following actions:"
+"If you have used other applications, such as text editors or word processors "
+"with a Paste Special dialog, you may be familiar with this feature."
 msgstr ""
-"Mit der Anwendung <application>GHex</application> können Sie Folgendes "
-"ausführen:"
+"Wenn Sie andere Anwendungen wie Text-Editoren oder "
+"Textverarbeitungsprogramme mit einem »Besonderes Einfügen«-Dialog verwendet "
+"haben, kennen Sie diese Funktion vielleicht schon."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:177
-msgid "View a file in ASCII or hexadecimal format simultaneously."
-msgstr "Eine Datei gleichzeitig im ASCII- oder Hexadezimalformat anzeigen"
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:179
-msgid "Edit a file in either ASCII or hexadecimal format."
-msgstr "Eine Datei im ASCII- oder Hexadezimalformat bearbeiten."
-
-#. (itstool) path: sect1/title
-#: C/index.docbook:187
-msgid "Getting Started"
-msgstr "Erste Schritte"
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:192
-msgid "To Start GHex"
-msgstr "So starten Sie GHex"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:194
-msgid "You can start <application>GHex</application> in the following ways:"
-msgstr ""
-"Sie können die Anwendung <application>GHex</application> auf eine der "
-"folgenden Arten starten:"
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:197
-msgid "<guimenu>Applications</guimenu> menu"
-msgstr "Menü <guimenu>Anwendungen</guimenu>"
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:48
+msgid "To activate the Paste Special dialog in GHex:"
+msgstr "So aktivieren Sie den Dialog »Besonderes Einfügen« in GHex :"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:199
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:51
 msgid ""
-"Choose <menuchoice><guisubmenu>Accessories</guisubmenu><guimenuitem>Hex "
-"Editor</guimenuitem></menuchoice>."
+"Click <gui>Paste Special</gui> from the <gui>Edit</gui> submenu of the "
+"<gui>Main menu</gui>; or"
 msgstr ""
-"Wählen Sie <menuchoice><guisubmenu>Werkzeuge</guisubmenu><guimenuitem>Hex-"
-"Editor</guimenuitem></menuchoice>."
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:203
-msgid "Command line"
-msgstr "Befehlszeile"
+"Klicken Sie auf <gui>Besonderes Einfügen</gui> im Untermenü <gui>Bearbeiten</"
+"gui> des <gui>Hauptmenü</gui>; oder"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:205
-msgid "Execute the following command: <command>ghex</command>"
-msgstr "Führen Sie folgenden Befehl aus: <command>ghex</command>"
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:215
-msgid "To Open a File"
-msgstr "Öffnen einer Datei"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:216
-msgid ""
-"To open a file, choose <menuchoice><guimenu>File</guimenu><guimenuitem>Open</"
-"guimenuitem></menuchoice>. Select the file that you want to open, then click "
-"<guibutton>OK</guibutton>. You can open multiple files in <application>GHex</"
-"application>. <application>GHex</application> displays each file in a new "
-"window."
-msgstr ""
-"Zum Öffnen einer Datei wählen Sie <menuchoice><guimenu>Datei</"
-"guimenu><guimenuitem>Öffnen</guimenuitem></menuchoice>. Wählen Sie die zu "
-"öffnende Datei, und klicken Sie auf <guibutton>OK</guibutton>. In "
-"<application>GHex</application> können Sie mehrere Dateien öffnen. "
-"<application>GHex</application> öffnet jede Datei in einem neuen Fenster."
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:217
-msgid ""
-"When you open a file in <application>GHex</application>, the application "
-"displays the file in the following window."
-msgstr ""
-"Wenn Sie eine Datei in <application>GHex</application> öffnen, wird die "
-"Datei im folgenden Fenster angezeigt."
-
-#. (itstool) path: figure/title
-#: C/index.docbook:221
-msgid "GHex Window with an Open File"
-msgstr "GHex-Fenster mit geöffneter Datei"
-
-#. (itstool) path: imageobject/imagedata
-#. This is a reference to an external file such as an image or video. When
-#. the file changes, the md5 hash will change to let you know you need to
-#. update your localized copy. The msgstr is not used at all. Set it to
-#. whatever you like once you have updated your copy of the file.
-#: C/index.docbook:225
-msgctxt "_"
-msgid ""
-"external ref='figures/ghex_window_open.png' "
-"md5='31fc4c732edba8668056e88d1f4239f2'"
-msgstr "translated"
-
-#. (itstool) path: screenshot/mediaobject
-#: C/index.docbook:223
-msgid ""
-"<imageobject> <imagedata fileref=\"figures/ghex_window_open.png\" format="
-"\"PNG\"/> </imageobject> <textobject> <phrase>Shows GHex main window with an "
-"open file</phrase> </textobject>"
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:54
+msgid "Press <keyseq><key>Shift</key><key>Ctrl</key><key>V</key></keyseq>."
 msgstr ""
-"<imageobject> <imagedata fileref=\"figures/ghex_window_open.png\" format="
-"\"PNG\"/> </imageobject> <textobject> <phrase>Hauptfenster von GHex mit "
-"einer geöffneten Datei</phrase> </textobject>"
+"Drücken Sie <keyseq><key>Umschalttaste</key><key>Ctrl</key><key>V</key></"
+"keyseq>."
 
-#. (itstool) path: sect2/para
-#: C/index.docbook:235
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:57
 msgid ""
-"The <application>GHex</application> window contains the following elements:"
+"The options that appear when <gui>Paste Special</gui> is activated are "
+"context-dependent."
 msgstr ""
-"Das Fenster von <application>GHex</application> enthält folgende Elemente:"
+"Die Optionen, die angezeigt werden, wenn <gui>Besonderes Einfügen</gui> "
+"aktiviert ist, sind kontextabhängig."
 
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:238
-msgid "Menubar"
-msgstr "Menüleiste"
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:58
+msgid "The most common options are described below."
+msgstr "Die häufigsten Optionen sind unten beschrieben."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:240
+#. (itstool) path: section/title
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:60 C/advanced-clipboard.page:110
+msgid "GHex Paste Data"
+msgstr "Daten einfügen in GHex"
+
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:61
 msgid ""
-"The menus on the menubar contain all the commands that you need to work with "
-"files in <application>GHex</application>."
+"This option will only appear if your current clipboard selection contains "
+"data copied directly from GHex. This represents clipboard data native to "
+"GHex, and will be pasted into the application as if you had utilized an "
+"ordinary <gui>Paste</gui> operation."
 msgstr ""
-"Die Menüs in der Menüleiste enthalten alle Befehle, die Sie zum Arbeiten mit "
-"Dateien in <application>GHex</application> benötigen."
+"Diese Option wird nur angezeigt, wenn ihre aktuelle Zwischenablagenauswahl "
+"Daten enthält, die direkt aus GHex kopiert wurden. Diese repräsentieren "
+"Zwischenablagedaten, welche GHex-nativ sind und werden in die Anwendung "
+"eingefügt, als hätten Sie einen normalen <gui>Einfügen</gui>-Vorgang "
+"durchgeführt."
 
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:244
-msgid "Cursor offsets column"
-msgstr "Cursorversatz-Spalte"
+#. (itstool) path: section/title
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:67 C/advanced-clipboard.page:113
+msgid "Plain text (as ASCII)"
+msgstr "Einfacher Text (als ASCII)"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:246
-msgid ""
-"The cursor offset is the distance between the beginning of the file and the "
-"first byte in each line. By default, <application>GHex</application> "
-"displays the cursor offsets column to the left of the hexadecimal view."
-msgstr ""
-"Der Cursorversatz ist der Abstand zwischen dem Anfang der Datei und dem "
-"ersten Byte in jeder Zeile. Standardmäßig zeigt die Anwendung "
-"<application>GHex</application> die Cursorversatz-Spalte links neben der "
-"Hexadezimalansicht an."
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:250
-msgid "Display pane on left side"
-msgstr "Anzeigefenster auf der linken Seite"
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:252
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:68
 msgid ""
-"The display pane on the left side of the display area displays a hexadecimal "
-"view of the file."
+"This allows you to paste the data from the clipboard into the GHex buffer, "
+"forcing GHex to assume the pasted data will be plain ASCII text."
 msgstr ""
-"Das Anzeigefenster auf der linken Seite des Anzeigebereichs enthält eine "
-"Hexadezimalansicht der Datei."
+"Diese Option ermöglicht es Ihnen, Daten aus der Zwischenablage in den GHex-"
+"Puffer einzufügen, was GHex dazu zwingt anzunehmen, dass die eingefügten "
+"Daten einfacher ASCII-Text sein werden."
 
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:256
-msgid "Display pane on right side"
-msgstr "Anzeigefenster auf der rechten Seite"
+#. (itstool) path: section/title
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:72 C/advanced-clipboard.page:119
+msgid "Plain text (Unicode)"
+msgstr "Einfacher Text (Unicode)"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:258
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:73
 msgid ""
-"The display pane on the right side of the display area displays an ASCII "
-"view of the file."
+"This allows you to paste the data from the clipboard into the GHex buffer, "
+"forcing GHex to assume the pasted data will be text encoded in UTF-8 format."
 msgstr ""
-"Das Anzeigefenster auf der rechten Seite des Anzeigebereichs enthält eine "
-"ASCII-Ansicht der Datei."
+"Diese Option erlaubt ihnen, Daten aus der Zwischenablage in den GHex-Puffer "
+"einzufügen, was GHex dazu zwingt anzunehmen, dass die eingefügten Daten "
+"einfacher Text im UTF-8 Format sein werden."
 
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:262
-msgid "Type conversion dialog"
-msgstr "Typumwandlungsdialog"
+#. (itstool) path: section/title
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:77 C/advanced-clipboard.page:116
+msgid "Plain text (as space-delimited hex pairs)"
+msgstr "Einfacher Text (durch Leerzeichen getrennte Hexadezimalpaare)"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:264
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:78
 msgid ""
-"The type conversion dialog below the display area displays the value of the "
-"selected character in several different numeric types."
+"This unique option assumes that GHex can expect to receive plain, ASCII text "
+"that is specifically formatted as hex nibble-pairs, separated by a single "
+"space each."
 msgstr ""
-"Der Typumwandlungsdialog unterhalb des Anzeigebereichs stellt den Wert eines "
-"gewählten Zeichens in verschiedenen numerischen Typen dar."
+"Diese einzigartige Option geht davon aus, dass GHex davon ausgehen kann, "
+"Klartext (ASCII) zu erhalten, welcher explizit als Hexadezimal Nibble-Paare "
+"formatiert ist, jeweils mit einem Leerzeichen getrennt."
 
-#. (itstool) path: sect1/title
-#: C/index.docbook:274
-msgid "Usage"
-msgstr "Benutzung"
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:279
-msgid "To Edit a File"
-msgstr "Bearbeiten einer Datei"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:280
-msgid "To edit a file, perform the following steps:"
-msgstr "Zum Bearbeiten einer Datei gehen Sie folgendermaßen vor:"
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:81
+msgid "This allows hexadecimal data to be pasted back into GHex cleanly."
+msgstr ""
+"Diese Option ermöglicht es, Hexadezimaldaten ordnungsgemäß zurück in GHex "
+"einzufügen."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:282
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:82
 msgid ""
-"Click in the hexadecimal or ASCII view of the file. The view in which the "
-"cursor is active displays a full cursor. The view in which the cursor is not "
-"active displays an outline of the cursor."
-msgstr ""
-"Klicken Sie auf die Hexadezimal- oder die ASCII-Ansicht der Datei. In der "
-"aktiven Ansicht wird der Cursor vollständig angezeigt. In der nicht aktiven "
-"Ansicht wird der Cursor nur als Umriss angezeigt."
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:284
-msgid "Use any of the following methods to move the cursor around the file:"
+"For example, if <code>48 45 4C 4C 4F</code> is in the clipboard, selecting "
+"this option will implicitly convert this hex sequence to an ASCII character "
+"sequence (in this case, \"HELLO\"), and insert it into the GHex buffer."
 msgstr ""
-"Verwenden Sie eine der folgenden Methoden, um den Cursor innerhalb der Datei "
-"zu bewegen:"
+"Ein Beispiel: Wenn <code>48 41 4C 4C 4F</code> in der Zwischenablage ist, "
+"sorgt diese Option dafür, dass diese Hexadezimalsequenz implizit in eine "
+"ASCII-Zeichenfolge umgewandelt wird (in diesem Fall »HALLO«) und in den GHex-"
+"Puffer eingefügt wird."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:286
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:85
 msgid ""
-"Use the scrollbar on the window or the arrow keys on the keyboard to scroll "
-"through the file."
+"This option can be combined with <gui>Copy Special</gui> to allow an "
+"external text editor of your choice to edit hex data copied from GHex, and "
+"paste it back into GHex cleanly."
 msgstr ""
-"Blättern Sie mithilfe der Bildlaufleiste des Fensters oder mit den "
-"Pfeiltasten der Tastatur durch die Datei."
+"Diese Option kann mit <gui>Besonderes Kopieren</gui> kombiniert werden, um "
+"einem externen Texteditor ihrer Wahl die Möglichkeit zu geben "
+"Hexadezimaldaten aus GHex zu bearbeiten und sauber zurück in GHex einzufügen."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:288
-msgid ""
-"Choose <menuchoice><guimenu>Edit</guimenu><guimenuitem>Goto Byte</"
-"guimenuitem></menuchoice>, type the cursor offset as a decimal or "
-"hexadecimal value, then click <guibutton>OK</guibutton>. The format of the "
-"hexadecimal value must be 0x followed by the offset, for example 0x3."
-msgstr ""
-"Wählen Sie <menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Gehe zu "
-"Byte</guimenuitem></menuchoice>, geben Sie den Cursoroffset als dezimalen "
-"oder als hexadezimalen Wert ein, und klicken Sie auf <guibutton>OK</"
-"guibutton>. Das Format des Hexadezimalwerts ist 0x, gefolgt vom Versatz, z. "
-"B. 0x3."
+#. (itstool) path: section/title
+#: C/advanced-clipboard.page:91
+msgid "Copy Special"
+msgstr "Besonderes Kopieren"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:292
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:92
 msgid ""
-"Edit the ASCII format in the same way you edit a normal text file. To edit "
-"the hexadecimal format, use the values 0 to 9 and a to f."
+"Unlike Paste Special, which is a feature present in many ordinary text "
+"editors and word processors, Copy Special is a feature that was created "
+"specifically for GHex, and thus may not be familiar to many users."
 msgstr ""
-"Das ASCII-Format bearbeiten Sie wie eine normale Textdatei. Im "
-"Hexadezimalformat bearbeiten Sie eine Datei, indem Sie Werte von 0 bis 9 und "
-"von a bis f verwenden."
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:295
-msgid ""
-"To insert data and not overwrite existing data, choose "
-"<menuchoice><guimenu>Edit</guimenu><guimenuitem>Insert Mode</guimenuitem></"
-"menuchoice>."
-msgstr ""
-"Um Daten einzufügen, ohne bestehende Daten zu überschreiben, wählen Sie "
-"<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Einfügemodus</"
-"guimenuitem></menuchoice>."
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:296
-msgid ""
-"To cut, copy, and paste data, choose <menuchoice><guimenu>Edit</"
-"guimenu><guimenuitem>Cut</guimenuitem></menuchoice>, "
-"<menuchoice><guimenu>Edit</guimenu><guimenuitem>Copy</guimenuitem></"
-"menuchoice>, and <menuchoice><guimenu>Edit</guimenu><guimenuitem>Paste</"
-"guimenuitem></menuchoice>."
-msgstr ""
-"Um Daten auszuschneiden, zu kopieren und einzufügen, wählen Sie "
-"<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Ausschneiden</"
-"guimenuitem></menuchoice>, <menuchoice><guimenu>Bearbeiten</"
-"guimenu><guimenuitem>Kopieren</guimenuitem></menuchoice>, und "
-"<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Einfügen</"
-"guimenuitem></menuchoice>."
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:297
-msgid ""
-"To undo an edit, choose <menuchoice><guimenu>Edit</"
-"guimenu><guimenuitem>Undo</guimenuitem></menuchoice>. To redo an edit, "
-"choose <menuchoice><guimenu>Edit</guimenu><guimenuitem>Redo</guimenuitem></"
-"menuchoice>. The number of previous edits that you can undo is determined by "
-"the <guilabel>Maximum number of undo levels</guilabel> setting in the <xref "
-"linkend=\"ghex-prefs-editing\"/> tabbed section of the "
-"<guilabel>Preferences</guilabel> dialog."
-msgstr ""
-"Um eine Bearbeitung rückgängig zu machen, wählen Sie "
-"<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Rückgängig</"
-"guimenuitem></menuchoice>. Um eine Bearbeitung zu wiederholen, wählen Sie "
-"<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Wiederherstellen</"
-"guimenuitem></menuchoice>. Die Anzahl der von Ihnen wiederherstellbaren "
-"Bearbeitungen wird durch die Einstellung der <guilabel>Maximale Anzahl der "
-"Rückgängig-Befehle</guilabel> im Reiter <xref linkend=\"ghex-prefs-editing\"/"
-"> des Dialogs <guilabel>Einstellungen</guilabel> bestimmt."
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:303
-msgid "To Save a File"
-msgstr "Speichern einer Datei"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:304
-msgid "You can save a file in the following ways:"
-msgstr "Sie können Dateien auf folgende Weisen speichern:"
+"Im Gegensatz zu »Besonderes Einfügen«, welches eine Funktion in vielen "
+"herkömmlichen Text-Editoren und Textverarbeitungsprogrammen ist, ist "
+"»Besonderes Kopieren« eine Funktion, welche extra für GHex erstellt wurde "
+"und daher eventuell nicht vielen Benutzern bekannt ist."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:306
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:95
 msgid ""
-"To save changes to the current file, choose <menuchoice><guimenu>File</"
-"guimenu><guimenuitem>Save</guimenuitem></menuchoice>."
+"Copy Special allows you to copy data <em>from</em> GHex into the format of "
+"your choice. You may not need this feature unless you intend to paste data "
+"from GHex into other applications, and would like minute control over how "
+"that is done."
 msgstr ""
-"Zum Speichern von Änderungen in der aktuellen Datei wählen Sie "
-"<menuchoice><guimenu>Datei</guimenu><guimenuitem>Speichern</guimenuitem></"
-"menuchoice>."
+"»Besonderes Kopieren« erlaubt es ihnen, Daten <em>von</em> GHex in das "
+"Format ihrer Wahl zu kopieren. Sie benötigen diese Funktion eventuell nicht, "
+"es sei denn Sie haben vor Daten von GHex in andere Anwendungen zu kopieren "
+"und wollen Kontrolle darüber, wie das getan wird."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:308
-msgid ""
-"To save the current file under a new filename, choose "
-"<menuchoice><guimenu>File</guimenu><guimenuitem>Save As</guimenuitem></"
-"menuchoice>. Enter a name for the file in the <guilabel>Select a file to "
-"save buffer as</guilabel> dialog, then click <guibutton>OK</guibutton>."
-msgstr ""
-"Zum Speichern der aktuellen Datei unter neuem Dateinamen wählen Sie "
-"<menuchoice><guimenu>Datei</guimenu><guimenuitem>Speichern unter</"
-"guimenuitem></menuchoice>. Geben Sie im Dialogfeld <guilabel>Datei zum "
-"Speichern des Puffers auswählen</guilabel> einen Namen für die Datei ein, "
-"und klicken Sie auf <guibutton>OK</guibutton>."
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:316
-msgid "To Revert to the Last Saved Version of a File"
-msgstr "Die letzte gespeicherte Version einer Datei wiederherstellen"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:317
-msgid ""
-"To revert to the last version of the current file that you saved and undo "
-"all of the edits that you made to the file since you last saved the file, "
-"choose <menuchoice><guimenu>File</guimenu><guimenuitem>Revert</guimenuitem></"
-"menuchoice>, then click <guibutton>Yes</guibutton> in the "
-"<guilabel>Question</guilabel> dialog."
-msgstr ""
-"Um die letzte gespeicherte Version einer Datei wiederherzustellen und alle "
-"Änderungen seit der letzten Speicherung rückgängig zu machen, wählen Sie "
-"<menuchoice><guimenu>Datei</guimenu><guimenuitem>Zurücksetzen</guimenuitem></"
-"menuchoice>, dann klicken Sie auf den Knopf <guibutton>Ja</guibutton> im "
-"<guilabel>Fragedialog</guilabel>."
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:323
-msgid "To Find Data in a File"
-msgstr "Daten in einer Datei suchen"
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:98
+msgid "To activate the Copy Special dialog in GHex:"
+msgstr "So aktivieren Sie den Dialog »Besonderes Kopieren« von GHex:"
 
-#. (itstool) path: sect2/para
-#: C/index.docbook:324
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:101
 msgid ""
-"To search a file for a hexadecimal or ASCII string, perform the following "
-"steps:"
+"Click <gui>Copy Special</gui> from the <gui>Edit</gui> submenu of the "
+"<gui>Main menu</gui>; or"
 msgstr ""
-"Zum Suchen einer Hexadezimal- oder ASCII-Zeichenkette in einer Datei gehen "
-"Sie folgendermaßen vor:"
+"Klicken Sie auf <gui>Besonderes Kopieren</gui> im Untermenü <gui>Bearbeiten</"
+"gui> des <gui>Hauptmenü</gui>; oder"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:326
-msgid ""
-"Choose <menuchoice><guimenu>Edit</guimenu><guimenuitem>Find</guimenuitem></"
-"menuchoice>."
+#. (itstool) path: item/p
+#: C/advanced-clipboard.page:104
+msgid "Press <keyseq><key>Shift</key><key>Ctrl</key><key>C</key></keyseq>."
 msgstr ""
-"Wählen Sie <menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Suchen</"
-"guimenuitem></menuchoice>."
+"Drücken Sie <keyseq><key>Umschalt</key><key>Strg</key><key>C</key></keyseq>."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:328
-msgid ""
-"In the <guilabel>Find Data</guilabel> dialog, choose one of the following "
-"options:"
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:107
+msgid "The options that appear when you activate Copy Special are:"
 msgstr ""
-"Wählen Sie im Dialogfeld <guilabel>Daten suchen</guilabel> eine der "
-"folgenden Optionen:"
+"Die Optionen, welche angezeigt werden, wenn Sie »Besonderes Kopieren« "
+"aktiviert haben, sind:"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:330 C/index.docbook:379
-msgid "<guilabel>Search for hex data</guilabel>"
-msgstr "<guilabel>Hex-Daten suchen</guilabel>"
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:332 C/index.docbook:381
-msgid "<guilabel>Search for ASCII data</guilabel>"
-msgstr "<guilabel>ASCII-Daten suchen</guilabel>"
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:336 C/index.docbook:385
-msgid "Type the string that you want to find."
-msgstr "Geben Sie die gesuchte Zeichenkette ein."
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:338 C/index.docbook:358
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:122
 msgid ""
-"Click <guibutton>Find Next</guibutton> to find the next occurrence of the "
-"string."
+"These options work as described in the <link xref=\"#paste-special\"/> "
+"section above, but in reverse. In other words, the data copied from GHex "
+"<em>to</em> the clipboard will be copied in the specified format."
 msgstr ""
-"Klicken Sie auf <guibutton>Weitersuchen</guibutton>, um abwärts nach der "
-"Zeichenkette zu suchen."
+"Diese Optionen funktionieren wie beschrieben im Abschnitt <link "
+"xref=\"#paste-special\"/> oben, aber umgekehrt. In anderen Worten: Die "
+"kopierten Daten von GHex <em>in</em> die Zwischenablage werden im "
+"angegebenen Format kopiert."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:340 C/index.docbook:360
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:125
 msgid ""
-"Click <guibutton>Find Previous</guibutton> to find the previous occurrence "
-"of the string."
+"This allows you to have control over how clipboard data copied from GHex "
+"will be pasted <em>into</em> other applications."
 msgstr ""
-"Klicken Sie auf <guibutton>Rückwärts suchen</guibutton>, um aufwärts nach "
-"der Zeichenkette zu suchen."
+"Das ermöglicht es Kontrolle darüber zu behalten, wie aus der Zwischenablage "
+"kopierte Daten von GHex <em>in</em> andere Anwendungen eingefügt werden."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:342 C/index.docbook:392 C/index.docbook:407
+#. (itstool) path: section/p
+#: C/advanced-clipboard.page:127
 msgid ""
-"Click <guibutton>Cancel</guibutton> to close the <guilabel>Find Data</"
-"guilabel> dialog."
+"This is mostly intended to allow for space-delimited hex pairs to be edited "
+"in third party applications and then pasted back to GHex cleanly. However, "
+"there may be other interesting uses for this feature as well. Since GHex, "
+"like any hex editor, is often used to edit unusual data types, there may be "
+"other times in which it is desirable for the user to have full control over "
+"how the data from the buffer is copied to the clipboard."
 msgstr ""
-"Klicken Sie auf <guibutton>Abbrechen</guibutton>, um den Dialog "
-"<guilabel>Daten suchen</guilabel> zu schließen."
+"Diese Option ist hauptsächlich dafür gedacht, durch Leerzeichen getrennte "
+"Hexadezimalpärchen in Drittanbieteranwendungen zu bearbeiten und sauber "
+"zurück in GHex einzufügen. Jedoch gibt es eventuell andere interessante "
+"Verwendungen dieser Funktion. Da GHex, wie jeder andere Hex-Editor, oft dazu "
+"verwendet wird, ungewöhnliche Datentypen zu bearbeiten, gibt es vielleicht "
+"andere Situationen, in welchen es schön für den Benutzer ist, volle "
+"Kontrolle darüber zu haben, wie Daten aus dem Puffer in die Zwischenablage "
+"kopiert werden."
 
-#. (itstool) path: sect2/title
-#: C/index.docbook:350
-msgid "To Perform an Advanced Find"
-msgstr "Erweiterte Suche"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:351
-msgid "To perform an advanced find, perform the following steps:"
-msgstr "Zum Ausführen einer erweiterten Suche gehen Sie folgendermaßen vor:"
+#. (itstool) path: page/title
+#: C/basics-create-new-file.page:12
+msgid "Create a new file"
+msgstr "Eine neue Datei erstellen"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:353 C/index.docbook:373 C/index.docbook:401
-msgid ""
-"Choose <menuchoice><guimenu>Edit</guimenu><guimenuitem>Advanced Find</"
-"guimenuitem></menuchoice>."
-msgstr ""
-"Wählen Sie <menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Erweiterte "
-"Suche</guimenuitem></menuchoice>."
+#. (itstool) path: page/p
+#: C/basics-create-new-file.page:13
+msgid "In GHex a new file can be created in the following ways:"
+msgstr "Sie können Dateien auf folgende Arten in Ghex anlegen:"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:355
-msgid ""
-"In the <guilabel>Find Data</guilabel> dialog, select the required search "
-"criteria. For information about how to add new search criteria, see <xref "
-"linkend=\"ghex-search-criteria-add\"/>."
-msgstr ""
-"Wählen Sie im Dialog <guilabel>Daten suchen</guilabel> die gewünschten "
-"Suchkriterien aus. Weitere Informationen über Suchkriterien finden Sie in "
-"<xref linkend=\"ghex-search-criteria-add\"/>."
+#. (itstool) path: item/p
+#: C/basics-create-new-file.page:16
+msgid "Select <gui>New</gui> from the <gui>Main menu</gui>."
+msgstr "Wählen Sie <gui>Neu</gui> im <gui>Hauptmenü</gui> aus."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:362
+#. (itstool) path: item/p
+#: C/basics-create-new-file.page:19
+msgid "Press <keyseq><key>Ctrl</key><key>N</key></keyseq>."
+msgstr "Drücken Sie <keyseq><key>Strg</key><key>N</key></keyseq>."
+
+#. (itstool) path: page/p
+#: C/basics-create-new-file.page:22
 msgid ""
-"Click <guibutton>Close</guibutton> to close the <guilabel>Find Data</"
-"guilabel> dialog."
+"When a new file is created, GHex will toggle <gui>Insert Mode</gui> on, so "
+"that you may start adding data to your new file right away."
 msgstr ""
-"Klicken Sie auf <guibutton>Schließen</guibutton>, um den Dialog "
-"<guilabel>Daten suchen</guilabel> zu schließen."
+"Wenn eine neue Datei erstellt wird, aktiviert GHex automatisch den "
+"<gui>Einfügen-Modus</gui>. Sie können also direkt Daten zu ihrer neuen Datei "
+"hinzufügen."
 
-#. (itstool) path: sect2/title
-#: C/index.docbook:370
-msgid "To Add Search Criteria"
-msgstr "Suchkriterien hinzufügen"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:371
-msgid "To add search criteria, perform the following steps:"
-msgstr "Zum Hinzufügen von Suchkriterien gehen Sie folgendermaßen vor:"
+#. (itstool) path: page/title
+#: C/basics-edit-file.page:12
+msgid "Editing files"
+msgstr "Dateien bearbeiten"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:375
-msgid ""
-"In the <guilabel>Find Data</guilabel> dialog, click <guibutton>Add New</"
-"guibutton>."
+#. (itstool) path: section/title
+#: C/basics-edit-file.page:14
+msgid "Toggling the hex or ASCII panes"
+msgstr "Zwischen Hex- und ASCII-Fenster wechseln"
+
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:15
+msgid "File can be edited in GHex from either the hex pane or the ASCII pane."
 msgstr ""
-"Klicken Sie im Dialogfeld <guilabel>Daten suchen</guilabel> auf "
-"<guibutton>Hinzufügen</guibutton>."
+"Dateien können in GHex entweder durch das Hexadezimal- oder ASCII-Fenster "
+"bearbeitet werden."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:377
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:16
 msgid ""
-"In the <guilabel>Find Data: Add Search</guilabel> dialog, choose one of the "
-"following options:"
+"To focus either pane to accept your keystrokes, you may click on the "
+"appropriate pane, or:"
 msgstr ""
-"Wählen Sie im Dialogfeld <guilabel>Daten suchen: Suche hinzufügen</guilabel> "
-"eine der folgenden Optionen aus:"
+"Um eines der beiden Fenster zu fokussieren, können Sie entweder auf das "
+"jeweilige Fenster klicken, oder:"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:387
+#. (itstool) path: item/p
+#: C/basics-edit-file.page:19
 msgid ""
-"Use the color wheel or the spin boxes to select a color to highlight the "
-"search criteria."
+"Press <keyseq><key>Alt</key><key>Left</key></keyseq> to focus the hex pane, "
+"and"
 msgstr ""
-"Verwenden Sie das Farbrad oder die Einstellfelder, um eine Farbe für die "
-"Hervorhebung der Suchkriterien auszuwählen."
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:390
-msgid "Click <guibutton>Add</guibutton>."
-msgstr "Klicken Sie auf <guibutton>Hinzufügen</guibutton>."
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:398
-msgid "To Remove Search Criteria"
-msgstr "Suchkriterien entfernen"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:399
-msgid "To remove search criteria, perform the following steps:"
-msgstr "Zum Entfernen von Suchkriterien gehen Sie folgendermaßen vor:"
+"<keyseq><key>Alt</key><key>Links</key></keyseq> drücken, um das Hex-Fenster "
+"zu fokussieren und"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:403
+#. (itstool) path: item/p
+#: C/basics-edit-file.page:22
 msgid ""
-"In the <guilabel>Find Data</guilabel> dialog, select the search criteria "
-"that you want to remove."
+"Press <keyseq><key>Alt</key><key>Right</key></keyseq> to focus the ASCII "
+"pane."
 msgstr ""
-"Wählen Sie im Dialogfeld <guilabel>Daten suchen</guilabel> die Kriterien "
-"aus, die Sie entfernen wollen."
+"<keyseq><key>Alt</key><key>Rechts</key></keyseq> drücken, um das ASCII-"
+"Fenster zu fokussieren."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:405
-msgid "Click <guibutton>Remove Selected</guibutton>."
-msgstr "Klicken Sie auf <guibutton>Auswahl entfernen</guibutton>."
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:415
-msgid "To Find and Replace Data in a File"
-msgstr "So suchen und ersetzen Sie Daten in einer Datei"
+#. (itstool) path: section/title
+#: C/basics-edit-file.page:27
+msgid "Editing the file using the hex or ASCII pane"
+msgstr "Die Datei mittels des Hexadezimal- oder ASCII-Fenster bearbeiten"
+
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:28
+msgid "Edit the ASCII format in the same way you edit a normal text file."
+msgstr "Das ASCII-Format bearbeiten Sie wie eine normale Textdatei."
 
-#. (itstool) path: sect2/para
-#: C/index.docbook:416
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:29
 msgid ""
-"To search a file for a hexadecimal or ASCII string and then replace the "
-"string, perform the following steps:"
+"To edit the hexadecimal format, use the values 0 to 9 and a to f. This "
+"operation is not case-sensitive."
 msgstr ""
-"Zum Suchen nach einer Hexadezimal- oder ASCII-Zeichenkette und Ersetzen "
-"derselben gehen Sie folgendermaßen vor:"
+"Um im Hexadezimal-Format zu bearbeiten, verwenden Sie die Werte 0 bis 9 und "
+"a bis f. Die Groß-/Kleinschreibung ist egal."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:418
-msgid ""
-"Choose <menuchoice><guimenu>Edit</guimenu><guimenuitem>Replace</"
-"guimenuitem></menuchoice>."
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:31
+msgid "Use any of the following methods to move the cursor around the file:"
 msgstr ""
-"Wählen Sie <menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Ersetzen</"
-"guimenuitem></menuchoice>."
+"Verwenden Sie eine der folgenden Methoden, um die Eingabemarke innerhalb der "
+"Datei zu bewegen:"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:420
+#. (itstool) path: item/p
+#: C/basics-edit-file.page:34
 msgid ""
-"In the <guilabel>Find &amp; Replace Data</guilabel> dialog, choose one of "
-"the following options:"
+"Use the scrollbar on the window and the mouse to select a byte by clicking "
+"on it."
 msgstr ""
-"Wählen Sie im Dialogfeld <guilabel>Daten suchen und ersetzen</guilabel> eine "
-"der folgenden Optionen:"
+"Blättern Sie mithilfe der Bildlaufleiste des Fensters unter der Maus, um ein "
+"Byte durch Klicken auszuwählen."
+
+#. (itstool) path: item/p
+#: C/basics-edit-file.page:37
+msgid ""
+"Use the arrow keys, <key>Home</key>, <key>End</key>, <key>PageUp</key> or "
+"<key>PageDown</key> on the keyboard."
+msgstr ""
+"Verwenden Sie die Pfeiltasten, <key>Pos1</key>, <key>Ende</key>, <key>Bild "
+"hoch</key> und <key>Bild ab</key> auf der Tastatur."
+
+#. (itstool) path: item/p
+#: C/basics-edit-file.page:40
+msgid ""
+"Choose <gui>Jump to Byte</gui> from the (Main menu) or press "
+"<keyseq><key>Ctrl</key><key>J</key></keyseq>, and enter the cursor offset as "
+"a decimal or hexadecimal value. The format of the hexadecimal value must be "
+"0x followed by the offset, for example 0x3."
+msgstr ""
+"Wählen Sie <gui>Zu Byte springen</gui> im Hauptmenü oder drücken Sie "
+"<keyseq><key>Strg</key><key>J</key></keyseq>, und geben Sie den Versatz der "
+"Eingabemarke als dezimalen oder als hexadezimalen Wert ein. Das Format des "
+"Hexadezimalwerts ist 0x, gefolgt vom Versatz, zum Beispiel 0x3."
+
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:45
+msgid ""
+"To delete or zero-out data, use either the <key>Delete</key> or "
+"<key>Backspace</key> keys. <gui>Cut</gui> operations will also have the side-"
+"effect of removing or zeroing-out data. This behaviour is different "
+"depending on whether or not <gui>Insert Mode</gui> is enabled. For more "
+"information, please review the section below."
+msgstr ""
+"Zum löschen oder nullen von Daten verwenden Sie entweder die <key>Entfernen</"
+"key>-Taste oder <key>Rücktaste</key>. <gui>Ausschneiden</gui> hat den "
+"Nebeneffekt, Daten zu entfernen oder zu nullen. Dieses Verhalten ist "
+"abhängig davon, ob der <gui>Einfügen-Modus</gui> eingeschaltet ist. Für "
+"weitere Informationen lesen Sie bitte den unteren Abschnitt."
+
+#. (itstool) path: section/title
+#: C/basics-edit-file.page:52
+msgid "Insert mode"
+msgstr "Einfügen-Modus"
+
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:53
+msgid ""
+"<gui>Insert Mode</gui> can be toggled on or off by pressing <key>Insert</"
+"key>, or by clicking the <gui>Toggle insert mode</gui> button in the status "
+"bar."
+msgstr ""
+"Der <gui>Einfügen-Modus</gui> kann ein- und ausgeschaltet werden, indem die "
+"<key>Einfügen</key>-Taste gedrückt wird, oder durch den Knopf <gui>Einfügen "
+"umschalten</gui> in der Statusleiste."
+
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:55
+msgid ""
+"When <gui>Insert Mode</gui> is enabled, this means data will be added to the "
+"file as opposed to replacing existing data."
+msgstr ""
+"Wenn der <gui>Einfügen-Modus</gui> aktiviert ist, bedeutet dies, dass Daten "
+"der Datei hinzugefügt werden, anstatt existierende Daten zu überschreiben."
+
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:57
+msgid ""
+"Unlike traditional text editors, having <gui>Insert Mode</gui> <em>off</em> "
+"is considered the default state in GHex, given that hex editors are "
+"routinely used to edit existing data in binary files that are very "
+"specifically laid out. In some cases, such files may be of a fixed size and "
+"increasing or decreasing their size may cause undefined or unwanted "
+"behaviour in applications that open them."
+msgstr ""
+"Im Gegensatz zu traditioneller Textbearbeitung ist es als Standard in GHex "
+"angesehen den <gui>Einfügen-Modus</gui> <em>ausgeschaltet</em> zu haben. Das "
+"liegt daran, dass Hex-Editoren regelmäßig dazu verwendet werden existierende "
+"Daten in Binärdateien zu bearbeiten, welche sehr speziell angeordnet sind. "
+"In einigen Fällen sind solche Dateien von einer festgelegten Größe, und die "
+"Größe zu verringern oder zu erhöhen könnte zu nicht definiertem oder nicht "
+"gewolltem Verhalten in den Anwendungen führen, die jene Dateien öffnen."
+
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:63
+msgid ""
+"Along these lines, <em>delete</em> operations work differently depending "
+"upon whether or not <gui>Insert Mode</gui> is enabled."
+msgstr ""
+"Daher funktioniert <em>Löschen</em> anders, je nach dem, ob der "
+"<gui>Einfügen-Modus</gui> aktiv ist, oder nicht."
+
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:65
+msgid ""
+"If <gui>Insert Mode</gui> is enabled, delete operations (eg, by pressing "
+"<key>Delete</key>, <key>Backspace</key>, or by a <gui>cut</gui> operation) "
+"will alter the file length, by removing the data from the file."
+msgstr ""
+"Wenn der <gui>Einfügen-Modus</gui> eingeschaltet ist, werden Löschvorgänge "
+"(z.B. durch das Drücken von <key>Entf</key>, <key>Rücktaste</key> oder durch "
+"<gui>Ausschneiden</gui>) die Dateigröße verändern, weil Daten der Datei "
+"entfernt werden."
+
+#. (itstool) path: section/p
+#: C/basics-edit-file.page:68
+msgid ""
+"If <gui>Insert Mode</gui> is not enabled, <gui>delete</gui> operations will "
+"instead zero-out affected bytes within the file, so as to avoid changing the "
+"length of the file."
+msgstr ""
+"Wenn der <gui>Einfügen-Modus</gui> nicht aktiv ist, werden <gui>Lösch</"
+"gui>vorgänge Daten durch Nullen in der Datei ersetzt, um zu vermeiden, dass "
+"die Dateigröße geändert wird."
+
+#. (itstool) path: page/title
+#: C/basics-find-replace.page:12
+msgid "Find and replace"
+msgstr "Suchen und Ersetzen"
+
+#. (itstool) path: section/title
+#: C/basics-find-replace.page:14
+msgid "Find pane"
+msgstr "Das »Suchen«-Fenster"
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:15
+msgid ""
+"Most basic find operations in GHex can be done by utilizing the <gui>Find</"
+"gui> pane."
+msgstr ""
+"Die meisten grundlegenden Such-Vorgänge in GHex können mittels des "
+"<gui>Suchen</gui>-Fensters durchgeführt werden."
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:16
+msgid "You may toggle the <gui>Find</gui> pane in the following ways:"
+msgstr ""
+"Sie blenden das <gui>Suchen</gui>-Fenster auf folgenden Wegen ein oder aus:"
+
+#. (itstool) path: item/p
+#: C/basics-find-replace.page:19
+msgid "Click the <gui>Find</gui> button on the header bar."
+msgstr "Klicken Sie auf den Knopf <gui>Suchen</gui> in der oberen Leiste."
+
+#. (itstool) path: item/p
+#: C/basics-find-replace.page:22
+msgid "Press <keyseq><key>Ctrl</key><key>F</key></keyseq>."
+msgstr "Drücken Sie <keyseq><key>Strg</key><key>F</key></keyseq>."
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:25
+msgid ""
+"In order to easily search for a string in either hex or ASCII format, the "
+"<gui>Find</gui> pane acts like a miniature hex editor. You enter this string "
+"in the same way you would edit a file as described in the <link "
+"xref=\"basics-edit-file\"/> section."
+msgstr ""
+"Um einfach nach einer Zeichenkette im Hex- oder ASCII-Format zu suchen , "
+"fungiert das <gui>Suchen</gui>-Fenster wie ein Miniatur-Hexadezimal-Editor. "
+"Sie geben jene Zeichenkette so ein, als würden Sie die Datei wie im "
+"Abschnitt <link xref=\"basics-edit-file\"/> beschrieben bearbeiten."
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:29
+msgid ""
+"To search for the next occurrence of the requested string in the file from "
+"the current position of the cursor, click the <gui>Find Next</gui> button."
+msgstr ""
+"Um nach dem nächsten Vorkommen der angefragten Zeichenkette in der Datei ab "
+"der aktuellen Position der Eingabemarke zu suchen, klicken Sie auf den Knopf "
+"<gui>Weitersuchen</gui>."
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:31
+msgid ""
+"To search for the previous occurrence of the requested string in the file "
+"from the current position of the cursor, click the <gui>Find Previous</gui> "
+"button."
+msgstr ""
+"Um nach dem vorherigen Vorkommen des angefragten Zeichenkette in der Datei "
+"ab der aktuellen Position der Eingabemarke zu suchen, klicken Sie auf den "
+"Knopf <gui>Vorherigen Suchen</gui>."
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:33
+msgid ""
+"Your search results will also be automatically highlighted in a different "
+"color than the standard selection color."
+msgstr ""
+"Ihre Suchergebnisse werden außerdem automatisch in einer anderen Farbe als "
+"der Standardauswahlfarbe hervorgehoben."
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:35
+msgid ""
+"You may close the <gui>Find</gui> pane by pressing <key>Esc</key> while it "
+"is focused, or by clicking its own <gui>Close</gui> button in the bottom-"
+"right-hand corner of the pane."
+msgstr ""
+"Sie schließen das <gui>Suchen</gui>-Fenster, indem Sie die <key>Esc</key> "
+"Taste drücken, während das Fenster fokussiert ist. Oder indem Sie den "
+"<gui>Schließen</gui>-Knopf des Fensters in der rechten, unteren Ecke drücken."
+
+#. (itstool) path: section/title
+#: C/basics-find-replace.page:40
+msgid "Find and Replace pane"
+msgstr "Das »Suchen und Ersetzen«-Fenster"
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:41
+msgid ""
+"The <gui>Find and Replace</gui> pane works a lot like the <gui>Find</gui> "
+"pane, except that it also allows you to replace the next string, or all "
+"strings in the file, with string in the <gui>Replace With</gui> field."
+msgstr ""
+"Das <gui>Suchen und Ersetzen</gui>-Fenster funktioniert ähnlich wie das "
+"<gui>Suchen</gui>-Fenster, mit dem Unterschied, dass es Ihnen erlaubt, die "
+"nächste oder alle Zeichenketten in der Datei zu ersetzen. Dies geschieht mit "
+"Hilfe der Zeichenkette im <gui>Ersetzen mit</gui>-Feld."
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:44
+msgid ""
+"To replace the next string from the cursor in the <gui>Find String</gui> "
+"field with the string in the <gui>Replace With</gui> field, click "
+"<gui>Replace</gui>."
+msgstr ""
+"Um die nächste Zeichenkette von der Eingabemarke aus im Feld "
+"<gui>Zeichenkette finden</gui> mit der Zeichenkette im Feld <gui>Ersetzen "
+"mit</gui> zu ersetzen, klicken Sie auf <gui>Ersetzen</gui>."
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:46
+msgid ""
+"To replace all instances in the file of the string in the <gui>Find String</"
+"gui> field with the string in the <gui>Replace With</gui> field, click "
+"<gui>Replace All</gui>."
+msgstr ""
+"Um alle Zeichenketten im <gui>String finden</gui>-Feld mit der Zeichenkette "
+"im <gui>Ersetzen mit</gui>-Feld zu ersetzen, klicken Sie auf <gui>Alle "
+"Ersetzen</gui>."
+
+#. (itstool) path: section/p
+#: C/basics-find-replace.page:48
+msgid ""
+"In other respects, the <gui>Find and Replace</gui> pane works as described "
+"in the <link xref=\"#find-pane\"/> section above."
+msgstr ""
+"Ansonsten funktioniert das Fenster <gui>Suchen und Ersetzen</gui> genauso "
+"wie im Abschnitt <link xref=\"#find-pane\"/> oben beschrieben."
+
+#. (itstool) path: page/title
+#: C/basics-open-file.page:12
+msgid "Open a file"
+msgstr "Eine Datei öffnen"
+
+#. (itstool) path: page/p
+#: C/basics-open-file.page:13
+msgid "You may open a file in GHex in the following ways:"
+msgstr "So öffnen Sie eine Datei in GHex:"
+
+#. (itstool) path: item/p
+#: C/basics-open-file.page:16
+msgid "Click the <gui>Open</gui> button on the header bar."
+msgstr "Klicken Sie auf den Knopf <gui>Öffnen</gui> der oberen Leiste."
+
+#. (itstool) path: item/p
+#: C/basics-open-file.page:19
+msgid "Press <keyseq><key>Ctrl</key><key>O</key></keyseq>."
+msgstr "Drücken Sie <keyseq><key>Strg</key><key>O</key></keyseq>."
+
+#. (itstool) path: page/p
+#: C/basics-open-file.page:22
+msgid ""
+"When you open a file, GHex will not automatically turn <gui>Insert Mode</"
+"gui> on. This is so that data can be immediately edited in place as opposed "
+"to inserting data, which will be what most users want to do when first "
+"opening a pre-existing file."
+msgstr ""
+"Wenn Sie eine Datei öffnen, wird GHex nicht automatisch den <gui>Einfügen-"
+"Modus</gui> einschalten. Das geschieht, damit die Daten direkt an gleicher "
+"Stelle bearbeitet werden können, weil die meisten Benutzer dies so machen "
+"möchten, wenn Sie eine bereits vorhandene Datei öffnen."
+
+#. (itstool) path: page/title
+#: C/basics-save-file.page:12
+msgid "Saving files"
+msgstr "Dateien speichern"
+
+#. (itstool) path: page/p
+#: C/basics-save-file.page:13
+msgid ""
+"To save a file in place, maintaining its filename and location, use the "
+"<gui>Save</gui> operation by clicking the <gui>Save</gui> button on the "
+"header bar, or by pressing <keyseq><key>Ctrl</key><key>S</key></keyseq>."
+msgstr ""
+"Um eine Datei zu überschreiben, verwenden Sie die <gui>Speichern</gui>-"
+"Funktion, indem Sie auf den Knopf <gui>Speichern</gui> in der oberen Leiste "
+"drücken. Alternativ können Sie <keyseq><key>Strg</key><key>S</key></keyseq> "
+"drücken."
+
+#. (itstool) path: page/p
+#: C/basics-save-file.page:16
+msgid ""
+"To save a file to a filename of your choice, use the <gui>Save As</gui> "
+"operation by clicking <gui>Save As</gui> in the <gui>Main menu</gui>, or by "
+"pressing <keyseq><key>Shift</key><key>Ctrl</key><key>S</key></keyseq>."
+msgstr ""
+"Um eine Datei unter eigenem Namen zu speichern, verwenden Sie die Funktion "
+"<gui>Speichern unter</gui>, indem Sie auf <gui>Speichern unter</gui> im "
+"<gui>Hauptmenü</gui> klicken, oder indem Sie <keyseq><key>Umschalttaste</"
+"key><key>Strg</key><key>S</key></keyseq> drücken."
+
+#. (itstool) path: page/title
+#: C/conf-grouptype.page:12
+msgid "Hex data grouping"
+msgstr "Gruppierung von Hexadezimal-Daten"
+
+#. (itstool) path: page/p
+#: C/conf-grouptype.page:13
+msgid "GHex allows data in the hex pane to be grouped in the following ways:"
+msgstr "GHex erlaubt Daten im Hex-Fenster auf folgende Weisen zu gruppieren:"
+
+#. (itstool) path: item/p
+#: C/conf-grouptype.page:16
+msgid "Bytes (8-bit) <em>this is the default</em>"
+msgstr "Byte (8-Bit) <em>das ist der Standard</em>"
+
+#. (itstool) path: item/p
+#: C/conf-grouptype.page:19
+msgid "Words (16-bit)"
+msgstr "Wörter (16-Bit)"
+
+#. (itstool) path: item/p
+#: C/conf-grouptype.page:22
+msgid "Longwords (32-bit)"
+msgstr "Langwörter (32-Bit)"
+
+#. (itstool) path: item/p
+#: C/conf-grouptype.page:25
+msgid "Quadwords (64-bit)"
+msgstr "Quadrupel-Wort (64-Bit)"
+
+#. (itstool) path: page/p
+#: C/conf-grouptype.page:28
+msgid "This setting may be changed in two ways:"
+msgstr "Diese Einstellung darf auf zwei Arten geändert werden:"
+
+#. (itstool) path: item/p
+#: C/conf-grouptype.page:31
+msgid "From the <gui>Group Data As</gui> submenu of the <gui>Main menu</gui>."
+msgstr "Im Untermenü <gui>Daten gruppieren als</gui> des <gui>Hauptmenü</gui>."
+
+#. (itstool) path: item/p
+#: C/conf-grouptype.page:34
+msgid "From the <link xref=\"conf-preferences\"/> dialog."
+msgstr "Im <link xref=\"conf-preferences\"/> Dialog."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:422
-msgid "<guilabel>Replace hex data</guilabel>"
-msgstr "<guilabel>Hex-Daten ersetzen</guilabel>"
+#. (itstool) path: page/title
+#: C/conf-preferences.page:12
+msgid "Preferences"
+msgstr "Einstellungen"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:424
-msgid "<guilabel>Replace ASCII data</guilabel>"
-msgstr "<guilabel>ASCII-Daten ersetzen</guilabel>"
+#. (itstool) path: page/p
+#: C/conf-preferences.page:13
+msgid "The GHex Preferences dialog is divided into two groups:"
+msgstr "Der GHex-Einstellungen-Dialog ist in zwei Gruppen unterteilt:"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:428
-msgid "In the first text box, type the string that you want to find."
-msgstr "Geben Sie im ersten Textfeld die gesuchte Zeichenkette ein."
+#. (itstool) path: item/p
+#: C/conf-preferences.page:16
+msgid "<em>Display</em>, which pertains to what you see on-screen, and;"
+msgstr ""
+"<em>Ansicht</em>, wo festgelegt wird, was Sie auf ihrem Bildschirm sehen; und"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:430
+#. (itstool) path: item/p
+#: C/conf-preferences.page:19
 msgid ""
-"In the second text box, type the string that you want to use to replace the "
-"string that you find."
+"<em>Printing</em>, which only affects how hexadecimal files will be printed "
+"on paper, if GHex's printing features are utilized."
 msgstr ""
-"Geben Sie im zweiten Textfeld die Zeichenkette ein, mit der Sie die gesuchte "
-"Zeichenkette ersetzen möchten."
+"<em>Drucken</em>, was ausschließlich auf Papier gedruckte Hexadeimal-Dateien "
+"betrifft, wenn die Druckoptionen von GHex verwendet werden."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:432
-msgid "Click <guibutton>Find Next</guibutton>."
-msgstr "Klicken Sie auf <guibutton>Weitersuchen</guibutton>."
+#. (itstool) path: section/title
+#: C/conf-preferences.page:24
+msgid "Display"
+msgstr "Ansicht"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:434
-msgid ""
-"Click <guibutton>Replace</guibutton> to replace the current occurrence of "
-"the string or click <guibutton>Replace All</guibutton> to replace all "
-"occurrences of the string."
-msgstr ""
-"Klicken Sie auf <guibutton>Ersetzen</guibutton>, um die Zeichenkette am "
-"aktuellen Fundort zu ersetzen. Klicken Sie auf <guibutton>Alle ersetzen</"
-"guibutton>, wenn Sie die Zeichenkette im gesamten Dokument ersetzen möchten."
+#. (itstool) path: section/title
+#: C/conf-preferences.page:26
+msgid "Font"
+msgstr "Schrift"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:436
+#. (itstool) path: section/p
+#: C/conf-preferences.page:27
 msgid ""
-"Click <guibutton>Cancel</guibutton> to close the <guilabel>Find &amp; "
-"Replace Data</guilabel> dialog."
+"This allows you to select a font of your choice for the hex/ASCII editor "
+"only."
 msgstr ""
-"Klicken Sie auf <guibutton>Schließen</guibutton>, um den Dialog "
-"<guilabel>Daten suchen und ersetzen</guilabel> zu schließen."
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:444
-msgid "To Add or Remove Additional Views of a File"
-msgstr "Zusätzliche Ansichten einer Datei hinzufügen oder entfernen"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:445
-msgid ""
-"To add another view of the current file to your <application>GHex</"
-"application> window, choose <menuchoice><guimenu>View</"
-"guimenu><guimenuitem>Add View</guimenuitem></menuchoice>."
-msgstr ""
-"Um zum Fenster <application>GHex</application> eine weitere Ansicht der "
-"aktuellen Datei hinzuzufügen, wählen Sie <menuchoice><guimenu>Ansicht</"
-"guimenu><guimenuitem>Ansicht hinzufügen</guimenuitem></menuchoice>."
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:446
-msgid ""
-"To remove a view of the current file, choose <menuchoice><guimenu>View</"
-"guimenu><guimenuitem>Remove View</guimenuitem></menuchoice>. If you remove "
-"the last view that is open, the application exits."
-msgstr ""
-"Zum Entfernen einer Ansicht der aktuellen Datei wählen Sie "
-"<menuchoice><guimenu>Ansicht</guimenu><guimenuitem>Ansicht entfernen</"
-"guimenuitem></menuchoice>. Wenn Sie die letzte geöffnete Ansicht entfernen, "
-"wird die Anwendung beendet."
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:452
-msgid "To Change the Data Group Type"
-msgstr "Anpassen der Art der Gruppierung von Daten"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:453
-msgid ""
-"To change how <application>GHex</application> displays the hexadecimal "
-"content of a file in the <application>GHex</application> window, choose "
-"<menuchoice><guimenu>View</guimenu><guimenuitem>Group Data As</guimenuitem></"
-"menuchoice>, then select one of the following menu items:"
-msgstr ""
-"Um die Ansicht des hexadezimalen Inhalts einer Datei im <application>GHex</"
-"application>-Fenster zu ändern, wählen Sie <menuchoice><guimenu>Ansicht</"
-"guimenu><guimenuitem>Daten gruppieren als</guimenuitem></menuchoice>. Dann "
-"können Sie einen der folgenden Menüeinträge auswählen:"
+"Dies ermöglicht es ihnen eine Schrift ihrer Wahl ausschließlich für den Hex-/"
+"ASCII-Editor auszuwählen."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:455 C/index.docbook:634
-msgid "<guilabel>Bytes</guilabel> - single bytes"
-msgstr "<guilabel>Bytes</guilabel> - Einzelne Bytes"
+#. (itstool) path: section/title
+#: C/conf-preferences.page:30
+msgid "Dark Mode"
+msgstr "Dunkler Stil"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:457 C/index.docbook:636
-msgid "<guilabel>Words</guilabel> - groups of two bytes"
-msgstr "<guilabel>Wörter</guilabel> - Gruppen von zwei Byte"
+#. (itstool) path: section/p
+#: C/conf-preferences.page:31
+msgid "This allows you to manually prefer the dark style."
+msgstr "Dies ermöglicht es Ihnen, manuell ein dunkles Thema auszuwählen."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:459 C/index.docbook:638
-msgid "<guilabel>Longwords</guilabel> - groups of four bytes"
-msgstr "<guilabel>Lange Wörter</guilabel> - Gruppen von vier Byte"
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:467
-msgid "To Export the GHex Display to HTML"
-msgstr "So exportieren Sie die GHex-Anzeige in HTML"
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:469
+#. (itstool) path: section/p
+#: C/conf-preferences.page:32
 msgid ""
-"Creates a separate HTML file for each page of data that is displayed in the "
-"<application>GHex</application> window."
+"By default, the <gui>Use system default</gui> checkbox is enabled, uses your "
+"system-wide default for preferring a dark style, which disables the "
+"<gui>Dark Mode</gui> switch from being turned on or off."
 msgstr ""
-"Erstellt eine einzelne HTML-Datei für jede im Fenster von <application>GHex</"
-"application> angezeigte Seite."
+"Die Voreinstellung ist <gui>Systemvorgabe verwenden</gui>. Dann wird Ihre "
+"systemweite Vorgabe entscheiden, ob Sie den dunklen Stil bevorzugen oder "
+"nicht. Und der Schalter <gui>Dunkler Stil</gui> ist ausgegraut."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:471
-msgid "Uses the HTML filename that you specify as the basis for the filename."
+#. (itstool) path: section/p
+#: C/conf-preferences.page:35
+msgid ""
+"By de-selecting this checkbox, you may toggle the <gui>Dark Mode</gui> "
+"switch on or off to manually prefer or not prefer a dark style. Toggling "
+"this switch will take immediate effect, so you should be able to see "
+"instantaneously which style you prefer for GHex."
 msgstr ""
-"Übernimmt den von Ihnen angegebenen Dateinamen als Basis für den Dateinamen "
-"der HTML-Datei."
+"Bei Abwahl des Ankreuzfelds wird der Schalter <gui>Dunkler Stil</gui> "
+"aktiviert. Sie können nun manuell den Dunkeln Stil ein- und ausschalten. Die "
+"Änderung tritt sofort in Kraft. Sie sollten also unmittelbar erkennen, "
+"welcher Stil Ihnen lieber ist."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:473
-msgid "Appends a page number to the filename to differentiate the files."
+#. (itstool) path: section/p
+#: C/conf-preferences.page:39
+msgid ""
+"If you want to go back to the system default, simply check the <gui>Use "
+"system default</gui> checkbox back on."
 msgstr ""
-"Hängt eine Seitennummer an den Dateinamen an, um die einzelnen Dateien zu "
-"unterscheiden."
+"Wenn Sie wieder den Systemstandard verwenden wollen, aktivieren Sie einfach "
+"wieder die Option <gui>Systemvoreinstellung verwenden</gui>"
 
-#. (itstool) path: sect2/para
-#: C/index.docbook:468
-msgid ""
-"To export the data contained in the <application>GHex</application> window "
-"to HTML, choose <menuchoice><guimenu>File</guimenu><guimenuitem>Save As "
-"HTML</guimenuitem></menuchoice>. Choose a directory and specify a filename "
-"for the HTML file, then click <guibutton>OK</guibutton>. <application>GHex</"
-"application> implements the following actions: <_:itemizedlist-1/> For "
-"example, if you specify the filename <filename>log.html</filename>, "
-"<application>GHex</application> creates a series of HTML files named "
-"<filename>log00000000.html</filename>, <filename>log00000001.html</"
-"filename>, <filename>log00000002.html</filename>, and so on."
-msgstr ""
-"Zum Exportieren der im Fenster von <application>GHex</application> "
-"enthaltenen Daten in HTML wählen Sie <menuchoice><guimenu>Datei</"
-"guimenu><guimenuitem>Als HTML speichern</guimenuitem></menuchoice>. Wählen "
-"Sie einen Ordner und geben Sie einen Namen für die HTML-Datei an. Klicken "
-"Sie anschließend auf <guibutton>OK</guibutton>. <application>GHex</"
-"application> führt die folgenden Aktionen aus: <_:itemizedlist-1/> Wenn Sie "
-"zum Beispiel den Dateinamen <filename>log.html</filename> angeben, erstellt "
-"<application>GHex</application> eine Reihe von HTML-Dateien. Diese werden "
-"mit <filename>log00000000.html</filename>, <filename>log00000001.html</"
-"filename>, <filename>log00000002.html</filename> usw. benannt."
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:481
-msgid "To View a Character Table"
-msgstr "Zeichentabellen anzeigen"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:482
-msgid ""
-"To view a table that contains the ASCII, hexadecimal, decimal, octal, and "
-"binary representations for the values 0 to 255, choose "
-"<menuchoice><guimenu>Windows</guimenu><guimenuitem>Character Table</"
-"guimenuitem></menuchoice>."
-msgstr ""
-"Zum Anzeigen einer Tabelle mit den Darstellungen der Werte 0 bis 255 in "
-"ASCII-, hexadezimalem, dezimalem, oktalem und binärem Format wählen "
-"Sie<menuchoice><guimenu>Fenster</guimenu><guimenuitem>Zeichentabelle</"
-"guimenuitem></menuchoice>."
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:488
-msgid "To View Data Conversions"
-msgstr "Datenumwandlungen anzeigen"
+#. (itstool) path: section/title
+#: C/conf-preferences.page:43
+msgid "Hex Group Type"
+msgstr "Hexadezimaler Gruppierungstyp"
 
-#. (itstool) path: sect2/para
-#: C/index.docbook:489
+#. (itstool) path: section/p
+#: C/conf-preferences.page:44
 msgid ""
-"To display the binary, decimal, hexadecimal, and ASCII conversions for up to "
-"four bytes of data, perform the following steps:"
+"This allows you to choose how data will be grouped in the hex pane of the "
+"editor."
 msgstr ""
-"Zum Anzeigen der Umwandlung in binäres, dezimales, hexadezimales und ACSII-"
-"Format für eine Datenmenge von bis zu vier Byte gehen Sie wie folgt vor:"
+"Diese Option ermöglicht es Ihnen auszuwählen, wie die Daten im Hex-Fenster "
+"gruppiert werden sollen."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:491
-msgid ""
-"Choose <menuchoice><guimenu>Windows</guimenu><guimenuitem>Base Converter</"
-"guimenuitem></menuchoice>."
-msgstr ""
-"Wählen Sie <menuchoice><guimenu>Fenster</"
-"guimenu><guimenuitem>Standardkonverter</guimenuitem></menuchoice>."
+#. (itstool) path: section/p
+#: C/conf-preferences.page:46
+msgid "See <link xref=\"conf-grouptype\"/> for more details."
+msgstr "Lesen Sie <link xref=\"conf-grouptype\"/> für weitere Details."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:493
-msgid "Perform one of the following actions:"
-msgstr "Nun haben Sie folgende Möglichkeiten:"
+#. (itstool) path: section/title
+#: C/conf-preferences.page:50
+msgid "Printing"
+msgstr "Drucken"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:495
-msgid ""
-"Type the data that you want to convert in one of the fields in the "
-"<guilabel>Base Converter</guilabel> dialog, then press <keycap>Return</"
-"keycap>."
-msgstr ""
-"Geben Sie die zu konvertierenden Daten in das Dialogfeld "
-"<guilabel>Standardkonverter</guilabel> ein, und drücken Sie die "
-"<keycap>Eingabetaste</keycap>."
+#. (itstool) path: section/title
+#: C/conf-preferences.page:52
+msgid "Fonts"
+msgstr "Schriften"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:497
+#. (itstool) path: section/p
+#: C/conf-preferences.page:53
 msgid ""
-"To display the conversions for the data at the cursor position in the "
-"current file, click on the <guibutton>Get cursor value</guibutton> button."
+"This section allows you to choose the fonts you would like for hex printouts."
 msgstr ""
-"Wenn die Konvertierungen an der Cursorposition in der aktuellen Datei "
-"angezeigt werden sollen, klicken Sie auf <guibutton>Cursorwert abrufen</"
-"guibutton>."
+"Dieser Abschnitt ermöglicht es Ihnen die Schriften auszuwählen, welche Sie "
+"für Ausdrucke verwenden wollen."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:500
+#. (itstool) path: section/p
+#: C/conf-preferences.page:54
 msgid ""
-"<application>GHex</application> updates the values of the other fields to "
-"display the data conversions."
+"<gui>Data font</gui> will apply to the content of your hex document (ie, hex "
+"and ASCII digits)."
 msgstr ""
-"Die Werte der anderen Felder werden von <application>GHex</application> "
-"aktualisiert, um die Konvertierung anzuzeigen."
+"<gui>Schrift für Daten</gui> findet Anwendung beim Inhalt Ihres Hex-"
+"Dokuments (also Hexadezimal-/ASCII-Ziffern)"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:502
+#. (itstool) path: section/p
+#: C/conf-preferences.page:56
 msgid ""
-"Click <guibutton>Close</guibutton> to close the <guilabel>Base Converter</"
-"guilabel> dialog."
+"<gui>Header font</gui> will apply to the header on your printout, which will "
+"show the document title and page number."
 msgstr ""
-"Klicken Sie auf <guibutton>Schließen</guibutton>, um den Dialog "
-"<guilabel>Basis-Konverter</guilabel> zu schließen."
+"<gui>Schrift der Kopfzeile</gui> findet Anwendung für die Kopfzeile Ihres "
+"Ausdruckes. Darin stehen Dokumententitel und Seitenzahl."
 
-#. (itstool) path: sect2/title
-#: C/index.docbook:510
-msgid "To Show or Hide the Type Conversion Dialog"
-msgstr "Typumwandlungsdialog anzeigen oder verbergen"
+#. (itstool) path: section/title
+#: C/conf-preferences.page:60
+msgid "Shaded rows"
+msgstr "Schattierte Zeilen"
 
-#. (itstool) path: sect2/para
-#: C/index.docbook:511
+#. (itstool) path: section/p
+#: C/conf-preferences.page:61
 msgid ""
-"To show or hide the type conversion dialog, choose "
-"<menuchoice><guimenu>Windows</guimenu><guimenuitem>Type Conversion Dialog</"
-"guimenuitem></menuchoice>."
+"If <gui>Print alternating shaded rows</gui> is selected, your printout will "
+"have alternating rows of your hex and ASCII data printed out with a shaded "
+"grey background to make reading each row easier."
 msgstr ""
-"Um den Typumwandlungsdialog anzuzeigen oder zu verbergen, wählen Sie "
-"<menuchoice><guimenu>Fenster</guimenu><guimenuitem>Typumwandlungsdialog …</"
-"guimenuitem></menuchoice>."
+"Wenn <gui>Abwechselnde schattierte Zeilen ausgeben</gui> ausgewählt ist, hat "
+"ihr Ausdruck in den ASCII/Hex-Reihen abwechselnd einen schattierten, grauen "
+"Hintergrund, um die einzelnen Zeilen leichter lesbar zu machen."
 
-#. (itstool) path: sect2/para
-#: C/index.docbook:512
+#. (itstool) path: section/p
+#: C/conf-preferences.page:64
 msgid ""
-"The type conversion dialog displays the value of the selected character in "
-"the following representations:"
-msgstr ""
-"Der Typumwandlungsdialog zeigt den Wert des ausgewählten Zeichens in "
-"folgenden Formen an:"
+"Please note that this may use more printer ink/toner than leaving it "
+"disabled."
+msgstr "Beachten Sie, dass dabei eventuell mehr Tinte/Toner verbraucht wird."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:515
-msgid "<guilabel>Signed 8 bit</guilabel>"
-msgstr "<guilabel>8 bit vorzeichenbehaftet</guilabel>"
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:518
-msgid "<guilabel>Unsigned 8 bit</guilabel>"
-msgstr "<guilabel>8 bit vorzeichenlos</guilabel>"
+#. (itstool) path: section/p
+#: C/conf-preferences.page:65
+msgid ""
+"<gui>Span across lines</gui> allows you to customize how many lines will be "
+"shaded, followed by not shaded, on a repeated basis. Again, this is simply "
+"for ease of reading. If you want shaded rows but are not sure what to "
+"specify here, leaving it as the default, \"1\", should be fine."
+msgstr ""
+"<gui>Zeilenübergreifend</gui> ermöglicht es Ihnen anzupassen, wieviele "
+"Zeilen schattiert sein sollen, gefolgt von nicht schattierten "
+"(wiederholend). Auch dies dient der einfacheren Lesbarkeit. Wenn Sie "
+"schattierte Zeilen wollen, sich aber unsicher sind, was Sie hier eintragen "
+"sollen, belassen Sie den Standardwert von »1«."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:521
-msgid "<guilabel>Signed 16 bit</guilabel>"
-msgstr "<guilabel>16 bit vorzeichenbehaftet</guilabel>"
+#. (itstool) path: page/title
+#: C/index.page:12
+msgid "GHex Help"
+msgstr "Das Handbuch von GHex"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:524
-msgid "<guilabel>Unsigned 16 bit</guilabel>"
-msgstr "<guilabel>16 bit vorzeichenlos</guilabel>"
+#. (itstool) path: page/p
+#: C/index.page:13
+msgid "GHex is a simple hex editor."
+msgstr "GHex ist ein einfacher Hexadezimal-Editor."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:527
-msgid "<guilabel>Signed 32 bit</guilabel>"
-msgstr "<guilabel>32 bit vorzeichenbehaftet</guilabel>"
+#. (itstool) path: page/p
+#: C/index.page:14
+msgid "GHex enables you to perform the following actions:"
+msgstr "Mit GHex können Sie folgendes erledigen:"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:530
-msgid "<guilabel>Unsigned 32 bit</guilabel>"
-msgstr "<guilabel>32 bit vorzeichenlos</guilabel>"
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:533
-msgid "<guilabel>32 bit float</guilabel>"
-msgstr "<guilabel>32 bit Fließkommazahl</guilabel>"
+#. (itstool) path: item/p
+#: C/index.page:17
+msgid "View a file in ASCII or hexadecimal format simultaneously."
+msgstr "Eine Datei gleichzeitig im ASCII- und Hexadezimalformat anzeigen."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:536
-msgid "<guilabel>64 bit float</guilabel>"
-msgstr "<guilabel>64 bit Fließkommazahl</guilabel>"
+#. (itstool) path: item/p
+#: C/index.page:20
+msgid "Edit a file in either ASCII or hexadecimal format."
+msgstr "Eine Datei entweder im ASCII- oder im Hexadezimal-Format bearbeiten."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:539
-msgid "<guilabel>Hexadecimal</guilabel>"
-msgstr "<guilabel>Hexadezimal</guilabel>"
+#. (itstool) path: section/title
+#: C/index.page:27
+msgid "Basics"
+msgstr "Grundlagen"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:542
-msgid "<guilabel>Octal</guilabel>"
-msgstr "<guilabel>Oktal</guilabel>"
+#. (itstool) path: section/title
+#: C/index.page:33
+msgid "Tools"
+msgstr "Werkzeuge"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:545
-msgid "<guilabel>Binary</guilabel>"
-msgstr "<guilabel>Binär</guilabel>"
+#. (itstool) path: section/title
+#: C/index.page:39
+msgid "Configuration"
+msgstr "Einrichtung"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:548
-msgid "<guilabel>Stream Length</guilabel>"
-msgstr "<guilabel>Stream-Länge</guilabel>"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:551
-msgid "The type conversion dialog also contains the following options:"
-msgstr "Der Typumwandlungsdialog enthält die folgenden Optionen:"
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:554
-msgid "<guilabel>Show little endian decoding</guilabel>"
-msgstr "<guilabel>Anzeige als Little Endian</guilabel>"
+#. (itstool) path: section/title
+#: C/index.page:45
+msgid "Advanced topics"
+msgstr "Fortgeschrittene Themen"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:556
-msgid "Select this option to show little endian decoding."
-msgstr "Wählen Sie diese Option, um die Little-Endian-Dekodierung anzuzeigen."
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:560
-msgid "<guilabel>Show unsigned and float as hexadecimal</guilabel>"
-msgstr "<guilabel>Unsigned und Float hexadezimal anzeigen</guilabel>"
+#. (itstool) path: page/title
+#: C/tools-chartable.page:12
+msgid "Character table"
+msgstr "Zeichentabelle"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:562
+#. (itstool) path: page/p
+#: C/tools-chartable.page:13
 msgid ""
-"Select this option to show unsigned and float numbers as hexadecimal numbers."
+"GHex includes a handy table of many standard ASCII characters so as to allow "
+"you to easily insert such characters into a file without having to memorize "
+"its decimal or hexadecimal character code."
 msgstr ""
-"Wählen Sie diese Option, um »Unsigned« und »Float« in hexadezimaler Form "
-"anzuzeigen."
+"GHex beinhaltet eine praktische Tabelle von vielen Standard ASCII-Zeichen, "
+"damit Sie unkompliziert diese Zeichen einfügen können, ohne dass Sie sich "
+"den dezimalen oder hexadezimalen Wert des Zeichen merken müssen."
 
-#. (itstool) path: sect2/title
-#: C/index.docbook:571
-msgid "To Print a File"
-msgstr "Drucken einer Datei"
-
-#. (itstool) path: sect2/para
-#: C/index.docbook:572
+#. (itstool) path: page/p
+#: C/tools-chartable.page:16
 msgid ""
-"To print a file, choose <menuchoice><guimenu>File</"
-"guimenu><guimenuitem>Print</guimenuitem></menuchoice>. Select the print "
-"options that you require in the <guilabel>Print</guilabel> dialog, then "
-"click <guibutton>OK</guibutton>."
+"You may access the character table by selecting <gui>Character Table</gui> "
+"from the <gui>Tools</gui> submenu of the <gui>Main menu</gui>."
 msgstr ""
-"Zum Drucken einer Datei wählen Sie <menuchoice><guimenu>Datei</"
-"guimenu><guimenuitem>Drucken</guimenuitem></menuchoice>. Wählen Sie die "
-"gewünschten Druckoptionen im Dialogfeld <guilabel>Drucken</guilabel>, und "
-"klicken Sie auf <guibutton>OK</guibutton>."
+"Sie können auf die Zeichentabelle zugreifen, indem Sie <gui>Zeichentabelle</"
+"gui> im Untermenü <gui>Werkzeuge</gui> des <gui>Hauptmenüs</gui> auswählen."
 
-#. (itstool) path: sect2/para
-#: C/index.docbook:573
+#. (itstool) path: page/p
+#: C/tools-chartable.page:18
 msgid ""
-"To preview a printed copy of the file, choose <menuchoice><guimenu>File</"
-"guimenu><guimenuitem>Print Preview</guimenuitem></menuchoice>."
+"While the character table is open, you may still select the hex editor and "
+"move the cursor around, as per usual."
 msgstr ""
-"Wenn Sie die Datei so anzeigen möchten, wie Sie ausgedruckt wird, wählen Sie "
-"<menuchoice><guimenu>Datei</guimenu><guimenuitem>Druckvorschau</"
-"guimenuitem></menuchoice>."
-
-#. (itstool) path: sect1/title
-#: C/index.docbook:581
-msgid "Preferences"
-msgstr "Einstellungen"
+"Während die Zeichentabelle geöffnet ist, können Sie die Eingabemarke im Hex-"
+"Editor wie gewohnt bewegen."
 
-#. (itstool) path: sect1/para
-#: C/index.docbook:582
+#. (itstool) path: page/p
+#: C/tools-chartable.page:20
 msgid ""
-"To configure <application>GHex</application>, choose "
-"<menuchoice><guimenu>Edit</guimenu><guimenuitem>Preferences</guimenuitem></"
-"menuchoice>. The <guilabel>Preferences</guilabel> dialog contains the "
-"following tabbed sections:"
-msgstr ""
-"Zum Konfigurieren von <application>GHex</application> wählen Sie "
-"<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Einstellungen</"
-"guimenuitem></menuchoice>. Das Dialogfeld <guilabel>Einstellungen</guilabel> "
-"enthält die folgenden Reiter:"
-
-#. (itstool) path: sect2/title
-#: C/index.docbook:595
-msgid "Editing"
-msgstr "Bearbeitung"
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:598
-msgid "<guilabel>Maximum number of undo levels</guilabel>"
-msgstr "<guilabel>Maximale Anzahl der Rückgängig-Vorgänge</guilabel>"
+"The columns showing the values in various formats such as ASCII, hex, "
+"decimal, etc., are for ease of reference."
+msgstr ""
+"Die Spalten zeigen zur einfacheren Referenz die Werte in verschiedenen "
+"Format wie ASCII, Hexadezimal, Dezimal, etc."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:600
+#. (itstool) path: page/p
+#: C/tools-chartable.page:22
 msgid ""
-"Use this spin box to specify the maximum number of edits that you can undo."
+"The characters in the table can be navigated by clicking on them, or using "
+"the keyboard, in the usual way. When you have highlighted a character you "
+"would like to insert, you may insert that character into the file at the "
+"cursor position in the following ways:"
 msgstr ""
-"Geben Sie in diesem Eingabefeld die maximale Anzahl der Bearbeitungsaktionen "
-"an, die rückgängig gemacht werden können."
+"In den Zeichen in der Tabelle kann durch klicken oder die Tastatur navigiert "
+"werden. Wenn Sie das Zeichen ausgewählt haben, welches Sie einfügen möchten, "
+"können Sie dieses Zeichen folgendermaßen in die Datei an die Position der "
+"Eingabemarke einfügen:"
 
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:604
-msgid "<guilabel>Show cursor offset in statusbar as</guilabel>"
-msgstr "<guilabel>Cursoroffset in der Statusleiste anzeigen als</guilabel>"
-
-#. (itstool) path: listitem/para
-#: C/index.docbook:606
+#. (itstool) path: item/p
+#: C/tools-chartable.page:28
 msgid ""
-"Use this drop-down list to select the format in which the cursor offset is "
-"displayed. The format can be decimal, hexadecimal, or a custom print style "
-"string that only contains the format specifiers x, o, and s."
-msgstr ""
-"In dieser Auswahlliste können Sie das Format wählen, in dem der "
-"Cursorversatz angezeigt wird. Das Format kann dezimal, hexadezimal oder eine "
-"benutzerdefinierte Druckstil-Zeichenkette sein, die nur die Formatangaben x, "
-"o, und s enthält."
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:610
-msgid "<guilabel>Show offsets column</guilabel>"
-msgstr "<guilabel>Offsetspalte anzeigen</guilabel>"
+"Press <key>Enter</key> or double-click on the character you would like to "
+"insert."
+msgstr ""
+"Drücken Sie <key>Eingabe</key> oder klicken Sie zweimal auf das Zeichen, "
+"welches Sie einfügen möchten."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:612
+#. (itstool) path: item/p
+#: C/tools-chartable.page:31
+msgid "Click the <gui>Insert Character</gui> button."
+msgstr "Klicken Sie auf den Knopf <gui>Zeichen einfügen</gui>."
+
+#. (itstool) path: page/p
+#: C/tools-chartable.page:34
 msgid ""
-"Select this option to display the cursor offsets in a column to the left of "
-"the hexadecimal view of the <application>GHex</application> window."
+"The character table can be closed by clicking the <gui>Close</gui> button."
 msgstr ""
-"Wählen Sie diese Option, um die Cursoroffsets in einer Spalte links neben "
-"der Hexadezimalansicht des Fensters <application>GHex</application> "
-"anzuzeigen."
+"Die Zeichentabelle kann mit dem <gui>Schließen</gui>-Knopf geschlossen "
+"werden."
 
-#. (itstool) path: sect2/title
-#: C/index.docbook:621
-msgid "Display"
-msgstr "Anzeige"
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:624
-msgid "<guilabel>Font</guilabel>"
-msgstr "<guilabel>Schrift</guilabel>"
+#. (itstool) path: page/title
+#: C/tools-converter.page:12
+msgid "Base converter"
+msgstr "Basis-Konverter"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:626
+#. (itstool) path: page/p
+#: C/tools-converter.page:13
 msgid ""
-"Use the font selector list boxes to edit the existing font information or "
-"type new font information. Specify a font type, style, and size to display "
-"the contents of files in <application>GHex</application>."
-msgstr ""
-"In den Listenfeldern für die Schriftartenauswahl können Sie vorhandene "
-"Schriftarteninformationen bearbeiten oder neue Informationen eingeben. Geben "
-"Sie die Schriftart, den Schriftstil und die Schriftgröße an, mit der die "
-"Dateien in <application>GHex</application> angezeigt werden sollen."
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:630
-msgid "<guilabel>Default Group Type</guilabel>"
-msgstr "<guilabel>Standard-Gruppentyp</guilabel>"
+"GHex includes a base converter tool which can either be used as a standalone "
+"tool to convert values from one format to another, or to obtain the value "
+"pointed to by the cursor and to convert that value into various formats."
+msgstr ""
+"GHex enthält ein Basis-Konverter-Werkzeug, welches sich entweder einzeln "
+"verwenden lässt, um Werte von einem Format in ein anderes umzuwandeln, oder "
+"um den Wert zu ermitteln, welcher von der Eingabemarke ausgewählt ist, und "
+"diesen in verschiedene Formate umzuwandeln."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:632
+#. (itstool) path: page/p
+#: C/tools-converter.page:16
 msgid ""
-"Select one of the following options to specify how <application>GHex</"
-"application> displays the hexadecimal content of a file in the "
-"<application>GHex</application> window:"
-msgstr ""
-"Wählen Sie, wie hexadezimale Inhalte einer Datei im Fenster "
-"<application>GHex</application> angezeigt werden sollen. Die folgenden "
-"Optionen stehen zur Verfügung:"
+"You may access the base converter by selecting <gui>Base Converter</gui> "
+"from the <gui>Tools</gui> submenu of the <gui>Main menu</gui>."
+msgstr ""
+"Sie verwenden das Basis-Konverter-Werkzeug, indem Sie den Punkt <gui>Basis-"
+"Konverter</gui> im Untermenü<gui>Werkzeuge</gui> des <gui>Hauptmenüs</gui> "
+"auswählen."
 
-#. (itstool) path: sect2/title
-#: C/index.docbook:649
-msgid "Printing"
-msgstr "Drucken"
+#. (itstool) path: page/p
+#: C/tools-converter.page:18
+msgid ""
+"While the base converter is open, you may still select the hex editor and "
+"move the cursor around, as per usual."
+msgstr ""
+"Während der Basis-Konverter offen ist, können Sie, wie gewohnt, im Editor "
+"navigieren"
 
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:652
-msgid "<guilabel>Data font</guilabel>"
-msgstr "<guilabel>Schriftart für Daten</guilabel>"
+#. (itstool) path: page/p
+#: C/tools-converter.page:20
+msgid ""
+"To convert the value at the cursor position, click the <gui>Get cursor "
+"value</gui> button."
+msgstr ""
+"Um den Wert an der aktuellen Postition der Eingabemarke umzuwandeln, klicken "
+"Sie auf den Knopf <gui>Wert unter Eingabemarke auslesen</gui>."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:654
+#. (itstool) path: page/p
+#: C/tools-converter.page:22
 msgid ""
-"Click on the <guibutton>Data font</guibutton> button to specify the font "
-"type, style, and size to use to print the data contained in a file."
+"To convert a value manually, you may type it into any of the fields in the "
+"format delimited therein (clearing any pre-existing value as necessary), and "
+"press <key>Enter</key>."
 msgstr ""
-"Klicken Sie auf <guibutton>Schriftart für Daten</guibutton>, um die "
-"Schriftart, den Schriftstil und die Schriftgröße zu wählen, mit der die in "
-"der Datei enthaltenen Daten gedruckt werden sollen."
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:658
-msgid "<guilabel>Header font</guilabel>"
-msgstr "<guilabel>Schriftart für Kopfzeile</guilabel>"
+"Um einen Wert manuell zu konvertieren, geben Sie in ein beliebiges Feld "
+"ihren Wert ein (löschen Sie evtl. vorher existierende Werte) und drücken Sie "
+"<key>Eingabe</key>"
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:660
+#. (itstool) path: page/p
+#: C/tools-converter.page:25
 msgid ""
-"Click on the <guibutton>Header font</guibutton> button to specify the font "
-"type, style, and size to use to print the header information that is "
-"contained in the file."
-msgstr ""
-"Klicken Sie auf <guibutton>Schriftart für Kopfzeile</guibutton>, um die "
-"Schriftart, den Schriftstil und die Schriftgröße zu wählen, mit der die in "
-"der Datei enthaltenen Kopfzeilen-Informationen gedruckt werden sollen."
-
-#. (itstool) path: varlistentry/term
-#: C/index.docbook:664
-msgid "<guilabel>Print shaded box over</guilabel>"
-msgstr "<guilabel>Schattierten Kasten drucken über</guilabel>"
+"If you have entered an invalid value, \"ERROR\" will appear in the field. "
+"This error is not fatal and just indicates that an unrecognized value was "
+"entered. Simply enter a valid value, or click <gui>Get cursor value</gui> to "
+"grab the cursor value and to get some examples of valid values, and try "
+"again."
+msgstr ""
+"Wenn Sie einen ungültigen Wert eingegeben haben, wird »FEHLER« in jenem Feld "
+"erscheinen. Dieser Fehler ist nicht kritisch und zeigt nur, dass ein nicht "
+"erkannter Wert eingegeben wurde. Geben Sie einfach einen validen Wert an "
+"oder klicken Sie auf <gui>Wert unter Eingabemarke auslesen</gui>, um den "
+"Wert unter der Eingabemarke auszulesen und Beispiele valider Werte zu "
+"erhalten."
 
-#. (itstool) path: listitem/para
-#: C/index.docbook:666
+#. (itstool) path: page/p
+#: C/tools-converter.page:29
 msgid ""
-"Use this spin box to specify the number of lines that <application>GHex</"
-"application> alternately prints with a surrounding shaded box. If the value "
-"of the spin box is 10, <application>GHex</application> prints the first 10 "
-"lines of the file without a shaded box, the next 10 lines with a shaded box, "
-"and so on. If the value of the spin box is 0, <application>GHex</"
-"application> does not print any shaded box."
-msgstr ""
-"In diesem Einstellfeld können Sie die Anzahl der Zeilen angeben, die von "
-"<application>GHex</application> mit einem schattierten Kasten umrahmt "
-"gedruckt werden. Ist der Wert im Eingabefeld 10, werden von "
-"<application>GHex</application> die ersten 10 Zeilen der Datei ohne "
-"schattierten Kasten ausgedruckt, die nächsten 10 Zeilen in einer "
-"schattierten Box usw. Falls der Wert im Eingabefeld 0 ist, druckt "
-"<application>GHex</application> keine schattierten Kästen."
+"The base converter can be closed by clicking the <gui>Close</gui> button."
+msgstr ""
+"Der Basis-Konverter kann mit dem <gui>Schließen</gui>-Knopf geschlossen "
+"werden."
 
 #. (itstool) path: para/ulink
 #: C/legal.xml:9
 msgid "link"
-msgstr "Link"
+msgstr "Verknüpfung"
 
 #. (itstool) path: legalnotice/para
 #: C/legal.xml:2
@@ -1341,7 +1238,7 @@ msgstr ""
 "Software Foundation veröffentlichten Version ohne unveränderbare Abschnitte "
 "sowie ohne Texte auf dem vorderen und hinteren Buchdeckel kopiert, verteilt "
 "und/oder modifiziert werden. Eine Kopie der GFDL finden Sie unter diesem <_:"
-"ulink-1/> oder in der mit diesem Handbuch gelieferten Datei COPYING-DOCs."
+"ulink-1/> oder in der mit diesem Handbuch gelieferten Datei COPYING-DOCS."
 
 #. (itstool) path: legalnotice/para
 #: C/legal.xml:12
@@ -1351,10 +1248,11 @@ msgid ""
 "you can do so by adding a copy of the license to the manual, as described in "
 "section 6 of the license."
 msgstr ""
-"Das vorliegende Handbuch ist Teil einer Reihe von GNOME-Handbüchern, die "
-"unter der GFDL verteilt werden. Wenn Sie dieses Handbuch separat verteilen "
-"möchten, können Sie dies tun, indem Sie dem Handbuch eine Kopie der Lizenz, "
-"wie in Abschnitt 6 der Lizenz beschrieben, hinzufügen."
+"Dieses Handbuch ist Teil einer Sammlung von GNOME-Handbüchern, die unter der "
+"GFDL veröffentlicht werden. Wenn Sie dieses Handbuch getrennt von der "
+"Sammlung weiterverbreiten möchten, können Sie das tun, indem Sie eine Kopie "
+"der Lizenz zum Handbuch hinzufügen, wie es in Abschnitt 6 der Lizenz "
+"beschrieben ist."
 
 #. (itstool) path: legalnotice/para
 #: C/legal.xml:19
@@ -1439,6 +1337,892 @@ msgstr ""
 "BEDINGUNGEN DER GNU FREE DOCUMENTATION LICENSE ZUR VERFÜGUNG GESTELLT MIT "
 "DEM WEITERGEHENDEN VERSTÄNDNIS, DASS: <_:orderedlist-1/>"
 
+#~ msgid "User manual for GHex"
+#~ msgstr "Ghex-Benutzerhandbuch"
+
+#~ msgid ""
+#~ "GHex is a simple binary editor. It lets users view and edit a binary file "
+#~ "in both hex and ascii with a multiple level undo/redo mechanism. Features "
+#~ "include find and replace functions, conversion between binary, octal, "
+#~ "decimal and hexadecimal values, and use of an alternative, user-"
+#~ "configurable MDI concept that lets users edit multiple documents with "
+#~ "multiple views of each."
+#~ msgstr ""
+#~ "GHex ist ein einfacher Binäreditor. Mit GHex können Binärdateien sowohl "
+#~ "im Hexadezimal- als auch im ASCII-Modus betrachtet und bearbeitet werden. "
+#~ "Eine über mehrere Ebenen reichende Rückgängig/Wiederholen-Funktion ist "
+#~ "dabei verfügbar. Funktionen zum Suchen und Ersetzen sind ebenso vorhanden "
+#~ "wie Möglichkeiten zum Umwandeln zwischen binären, oktalen, dezimalen und "
+#~ "hexadezimalen Werten. Eine alternative, durch den Benutzer "
+#~ "konfigurierbare Multidokument-Schnittstelle ermöglicht das gleichzeitige "
+#~ "Bearbeiten mehrerer Dokumente in mehreren Ansichten."
+
+#~ msgid ""
+#~ "<year>2002</year> <year>2003</year> <year>2004</year> <holder>Sun "
+#~ "Microsystems</holder>"
+#~ msgstr ""
+#~ "<year>2002</year> <year>2003</year> <year>2004</year> <holder>Sun "
+#~ "Microsystems</holder>"
+
+#~ msgid "<year>1998-2000</year> <holder>Jaka Mocnik</holder>"
+#~ msgstr "<year>1998-2000</year> <holder>Jaka Mocnik</holder>"
+
+#~ msgid "GNOME Documentation Project"
+#~ msgstr "GNOME-Dokumentationsprojekt"
+
+#~ msgid ""
+#~ "<firstname>Sun</firstname> <surname>GNOME Documentation Team</surname> "
+#~ "<affiliation> <orgname>Sun Microsystems</orgname> <_:address-1/> </"
+#~ "affiliation>"
+#~ msgstr ""
+#~ "<firstname>Sun</firstname> <surname>GNOME-Dokumentationsteam</surname> "
+#~ "<affiliation> <orgname>Sun Microsystems</orgname> <_:address-1/> </"
+#~ "affiliation>"
+
+#~ msgid ""
+#~ "<firstname>Jaka</firstname> <surname>Mocnik</surname> <affiliation> "
+#~ "<orgname>GNOME Documentation Project</orgname> <address> <email>jaka@gnu."
+#~ "org</email> </address> </affiliation>"
+#~ msgstr ""
+#~ "<firstname>Jaka</firstname> <surname>Mocnik</surname> <affiliation> "
+#~ "<orgname>GNOME-Dokumentationsprojekt</orgname> <address> <email>jaka@gnu."
+#~ "org</email> </address> </affiliation>"
+
+#~ msgid "Sun GNOME Documentation Team"
+#~ msgstr "Sun GNOME-Dokumentationsteam"
+
+#~ msgid ""
+#~ "<revnumber>GHex Manual V2.5</revnumber> <date>December 2005</date> <_:"
+#~ "revdescription-1/>"
+#~ msgstr ""
+#~ "<revnumber>GHex-Handbuch V2.5</revnumber> <date>Dezember 2005</date> <_:"
+#~ "revdescription-1/>"
+
+#~ msgid ""
+#~ "<revnumber>GHex Manual V2.4</revnumber> <date>April 2003</date> <_:"
+#~ "revdescription-1/>"
+#~ msgstr ""
+#~ "<revnumber>GHex-Handbuch V2.4</revnumber> <date>April 2003</date> <_:"
+#~ "revdescription-1/>"
+
+#~ msgid ""
+#~ "<revnumber>GHex Manual V2.3</revnumber> <date>August 2002</date> <_:"
+#~ "revdescription-1/>"
+#~ msgstr ""
+#~ "<revnumber>GHex-Handbuch V2.3</revnumber> <date>August 2002</date> <_:"
+#~ "revdescription-1/>"
+
+#~ msgid ""
+#~ "<revnumber>GHex Manual V2.2</revnumber> <date>August 2002</date> <_:"
+#~ "revdescription-1/>"
+#~ msgstr ""
+#~ "<revnumber>GHex-Handbuch V2.2</revnumber> <date>August 2002</date> <_:"
+#~ "revdescription-1/>"
+
+#~ msgid ""
+#~ "<revnumber>GHex Manual V2.1</revnumber> <date>July 2002</date> <_:"
+#~ "revdescription-1/>"
+#~ msgstr ""
+#~ "<revnumber>GHex-Handbuch V2.1</revnumber> <date>Juli 2002</date> <_:"
+#~ "revdescription-1/>"
+
+#~ msgid ""
+#~ "<revnumber>GHex Manual V2.0</revnumber> <date>March 2002</date> <_:"
+#~ "revdescription-1/>"
+#~ msgstr ""
+#~ "<revnumber>GHex-Handbuch V2.0</revnumber> <date>März 2002</date> <_:"
+#~ "revdescription-1/>"
+
+#~ msgid "Jaka Mocnik <email>jaka@gnu.org</email>"
+#~ msgstr "Jaka Mocnik <email>jaka@gnu.org</email>"
+
+#~ msgid ""
+#~ "<revnumber>GHex Manual V1.0</revnumber> <date>2000</date> <_:"
+#~ "revdescription-1/>"
+#~ msgstr ""
+#~ "<revnumber>GHex-Handbuch V1.0</revnumber> <date>2000</date> <_:"
+#~ "revdescription-1/>"
+
+#~ msgid "This manual describes version 2.19 of GHex."
+#~ msgstr "Dieses Handbuch beschreibt Version 2.19 von GHex."
+
+#~ msgid "Feedback"
+#~ msgstr "Rückmeldungen"
+
+#~ msgid ""
+#~ "To report a bug or make a suggestion regarding the GHex application or "
+#~ "this manual, follow the directions in the <ulink url=\"help:gnome-"
+#~ "feedback\" type=\"help\">GNOME Feedback Page</ulink>."
+#~ msgstr ""
+#~ "Um Fehler zu melden oder einen Vorschlag zur Anwendung <application>GHex</"
+#~ "application> oder zu diesem Handbuch zu machen, folgen Sie den "
+#~ "Anweisungen auf der <ulink url=\"help:gnome-feedback\" "
+#~ "type=\"help\">GNOME-Seite für Rückmeldungen</ulink>."
+
+#~ msgid "<primary>GHex</primary>"
+#~ msgstr "<primary>GHex</primary>"
+
+#~ msgid "Introduction"
+#~ msgstr "Einführung"
+
+#~ msgid "Getting Started"
+#~ msgstr "Erste Schritte"
+
+#~ msgid "To Start GHex"
+#~ msgstr "So starten Sie GHex"
+
+#~ msgid "You can start <application>GHex</application> in the following ways:"
+#~ msgstr ""
+#~ "Sie können die Anwendung <application>GHex</application> auf eine der "
+#~ "folgenden Arten starten:"
+
+#~ msgid "<guimenu>Applications</guimenu> menu"
+#~ msgstr "Menü <guimenu>Anwendungen</guimenu>"
+
+#~ msgid ""
+#~ "Choose <menuchoice><guisubmenu>Accessories</guisubmenu><guimenuitem>Hex "
+#~ "Editor</guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Wählen Sie <menuchoice><guisubmenu>Werkzeuge</guisubmenu><guimenuitem>Hex-"
+#~ "Editor</guimenuitem></menuchoice>."
+
+#~ msgid "Command line"
+#~ msgstr "Befehlszeile"
+
+#~ msgid "Execute the following command: <command>ghex</command>"
+#~ msgstr "Führen Sie folgenden Befehl aus: <command>ghex</command>"
+
+#~ msgid ""
+#~ "To open a file, choose <menuchoice><guimenu>File</"
+#~ "guimenu><guimenuitem>Open</guimenuitem></menuchoice>. Select the file "
+#~ "that you want to open, then click <guibutton>OK</guibutton>. You can open "
+#~ "multiple files in <application>GHex</application>. <application>GHex</"
+#~ "application> displays each file in a new window."
+#~ msgstr ""
+#~ "Zum Öffnen einer Datei wählen Sie <menuchoice><guimenu>Datei</"
+#~ "guimenu><guimenuitem>Öffnen</guimenuitem></menuchoice>. Wählen Sie die zu "
+#~ "öffnende Datei, und klicken Sie auf <guibutton>OK</guibutton>. In "
+#~ "<application>GHex</application> können Sie mehrere Dateien öffnen. "
+#~ "<application>GHex</application> öffnet jede Datei in einem neuen Fenster."
+
+#~ msgid ""
+#~ "When you open a file in <application>GHex</application>, the application "
+#~ "displays the file in the following window."
+#~ msgstr ""
+#~ "Wenn Sie eine Datei in <application>GHex</application> öffnen, wird die "
+#~ "Datei im folgenden Fenster angezeigt."
+
+#~ msgid "GHex Window with an Open File"
+#~ msgstr "GHex-Fenster mit geöffneter Datei"
+
+#~ msgctxt "_"
+#~ msgid ""
+#~ "external ref='figures/ghex_window_open.png' "
+#~ "md5='31fc4c732edba8668056e88d1f4239f2'"
+#~ msgstr "translated"
+
+#~ msgid ""
+#~ "<imageobject> <imagedata fileref=\"figures/ghex_window_open.png\" "
+#~ "format=\"PNG\"/> </imageobject> <textobject> <phrase>Shows GHex main "
+#~ "window with an open file</phrase> </textobject>"
+#~ msgstr ""
+#~ "<imageobject> <imagedata fileref=\"figures/ghex_window_open.png\" "
+#~ "format=\"PNG\"/> </imageobject> <textobject> <phrase>Hauptfenster von "
+#~ "GHex mit einer geöffneten Datei</phrase> </textobject>"
+
+#~ msgid ""
+#~ "The <application>GHex</application> window contains the following "
+#~ "elements:"
+#~ msgstr ""
+#~ "Das Fenster von <application>GHex</application> enthält folgende Elemente:"
+
+#~ msgid "Menubar"
+#~ msgstr "Menüleiste"
+
+#~ msgid ""
+#~ "The menus on the menubar contain all the commands that you need to work "
+#~ "with files in <application>GHex</application>."
+#~ msgstr ""
+#~ "Die Menüs in der Menüleiste enthalten alle Befehle, die Sie zum Arbeiten "
+#~ "mit Dateien in <application>GHex</application> benötigen."
+
+#~ msgid "Cursor offsets column"
+#~ msgstr "Cursorversatz-Spalte"
+
+#~ msgid ""
+#~ "The cursor offset is the distance between the beginning of the file and "
+#~ "the first byte in each line. By default, <application>GHex</application> "
+#~ "displays the cursor offsets column to the left of the hexadecimal view."
+#~ msgstr ""
+#~ "Der Cursorversatz ist der Abstand zwischen dem Anfang der Datei und dem "
+#~ "ersten Byte in jeder Zeile. Standardmäßig zeigt die Anwendung "
+#~ "<application>GHex</application> die Cursorversatz-Spalte links neben der "
+#~ "Hexadezimalansicht an."
+
+#~ msgid "Display pane on left side"
+#~ msgstr "Anzeigefenster auf der linken Seite"
+
+#~ msgid ""
+#~ "The display pane on the left side of the display area displays a "
+#~ "hexadecimal view of the file."
+#~ msgstr ""
+#~ "Das Anzeigefenster auf der linken Seite des Anzeigebereichs enthält eine "
+#~ "Hexadezimalansicht der Datei."
+
+#~ msgid "Display pane on right side"
+#~ msgstr "Anzeigefenster auf der rechten Seite"
+
+#~ msgid ""
+#~ "The display pane on the right side of the display area displays an ASCII "
+#~ "view of the file."
+#~ msgstr ""
+#~ "Das Anzeigefenster auf der rechten Seite des Anzeigebereichs enthält eine "
+#~ "ASCII-Ansicht der Datei."
+
+#~ msgid "Type conversion dialog"
+#~ msgstr "Typumwandlungsdialog"
+
+#~ msgid ""
+#~ "The type conversion dialog below the display area displays the value of "
+#~ "the selected character in several different numeric types."
+#~ msgstr ""
+#~ "Der Typumwandlungsdialog unterhalb des Anzeigebereichs stellt den Wert "
+#~ "eines gewählten Zeichens in verschiedenen numerischen Typen dar."
+
+#~ msgid "Usage"
+#~ msgstr "Benutzung"
+
+#~ msgid "To Edit a File"
+#~ msgstr "Bearbeiten einer Datei"
+
+#~ msgid "To edit a file, perform the following steps:"
+#~ msgstr "Zum Bearbeiten einer Datei gehen Sie folgendermaßen vor:"
+
+#~ msgid ""
+#~ "Click in the hexadecimal or ASCII view of the file. The view in which the "
+#~ "cursor is active displays a full cursor. The view in which the cursor is "
+#~ "not active displays an outline of the cursor."
+#~ msgstr ""
+#~ "Klicken Sie auf die Hexadezimal- oder die ASCII-Ansicht der Datei. In der "
+#~ "aktiven Ansicht wird der Cursor vollständig angezeigt. In der nicht "
+#~ "aktiven Ansicht wird der Cursor nur als Umriss angezeigt."
+
+#~ msgid ""
+#~ "To insert data and not overwrite existing data, choose "
+#~ "<menuchoice><guimenu>Edit</guimenu><guimenuitem>Insert Mode</"
+#~ "guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Um Daten einzufügen, ohne bestehende Daten zu überschreiben, wählen Sie "
+#~ "<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Einfügemodus</"
+#~ "guimenuitem></menuchoice>."
+
+#~ msgid ""
+#~ "To cut, copy, and paste data, choose <menuchoice><guimenu>Edit</"
+#~ "guimenu><guimenuitem>Cut</guimenuitem></menuchoice>, "
+#~ "<menuchoice><guimenu>Edit</guimenu><guimenuitem>Copy</guimenuitem></"
+#~ "menuchoice>, and <menuchoice><guimenu>Edit</guimenu><guimenuitem>Paste</"
+#~ "guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Um Daten auszuschneiden, zu kopieren und einzufügen, wählen Sie "
+#~ "<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Ausschneiden</"
+#~ "guimenuitem></menuchoice>, <menuchoice><guimenu>Bearbeiten</"
+#~ "guimenu><guimenuitem>Kopieren</guimenuitem></menuchoice>, und "
+#~ "<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Einfügen</"
+#~ "guimenuitem></menuchoice>."
+
+#~ msgid ""
+#~ "To undo an edit, choose <menuchoice><guimenu>Edit</"
+#~ "guimenu><guimenuitem>Undo</guimenuitem></menuchoice>. To redo an edit, "
+#~ "choose <menuchoice><guimenu>Edit</guimenu><guimenuitem>Redo</"
+#~ "guimenuitem></menuchoice>. The number of previous edits that you can undo "
+#~ "is determined by the <guilabel>Maximum number of undo levels</guilabel> "
+#~ "setting in the <xref linkend=\"ghex-prefs-editing\"/> tabbed section of "
+#~ "the <guilabel>Preferences</guilabel> dialog."
+#~ msgstr ""
+#~ "Um eine Bearbeitung rückgängig zu machen, wählen Sie "
+#~ "<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Rückgängig</"
+#~ "guimenuitem></menuchoice>. Um eine Bearbeitung zu wiederholen, wählen Sie "
+#~ "<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Wiederherstellen</"
+#~ "guimenuitem></menuchoice>. Die Anzahl der von Ihnen wiederherstellbaren "
+#~ "Bearbeitungen wird durch die Einstellung der <guilabel>Maximale Anzahl "
+#~ "der Rückgängig-Befehle</guilabel> im Reiter <xref linkend=\"ghex-prefs-"
+#~ "editing\"/> des Dialogs <guilabel>Einstellungen</guilabel> bestimmt."
+
+#~ msgid "To Save a File"
+#~ msgstr "Speichern einer Datei"
+
+#~ msgid ""
+#~ "To save changes to the current file, choose <menuchoice><guimenu>File</"
+#~ "guimenu><guimenuitem>Save</guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Zum Speichern von Änderungen in der aktuellen Datei wählen Sie "
+#~ "<menuchoice><guimenu>Datei</guimenu><guimenuitem>Speichern</guimenuitem></"
+#~ "menuchoice>."
+
+#~ msgid ""
+#~ "To save the current file under a new filename, choose "
+#~ "<menuchoice><guimenu>File</guimenu><guimenuitem>Save As</guimenuitem></"
+#~ "menuchoice>. Enter a name for the file in the <guilabel>Select a file to "
+#~ "save buffer as</guilabel> dialog, then click <guibutton>OK</guibutton>."
+#~ msgstr ""
+#~ "Zum Speichern der aktuellen Datei unter neuem Dateinamen wählen Sie "
+#~ "<menuchoice><guimenu>Datei</guimenu><guimenuitem>Speichern unter</"
+#~ "guimenuitem></menuchoice>. Geben Sie im Dialogfeld <guilabel>Datei zum "
+#~ "Speichern des Puffers auswählen</guilabel> einen Namen für die Datei ein, "
+#~ "und klicken Sie auf <guibutton>OK</guibutton>."
+
+#~ msgid "To Revert to the Last Saved Version of a File"
+#~ msgstr "Die letzte gespeicherte Version einer Datei wiederherstellen"
+
+#~ msgid ""
+#~ "To revert to the last version of the current file that you saved and undo "
+#~ "all of the edits that you made to the file since you last saved the file, "
+#~ "choose <menuchoice><guimenu>File</guimenu><guimenuitem>Revert</"
+#~ "guimenuitem></menuchoice>, then click <guibutton>Yes</guibutton> in the "
+#~ "<guilabel>Question</guilabel> dialog."
+#~ msgstr ""
+#~ "Um die letzte gespeicherte Version einer Datei wiederherzustellen und "
+#~ "alle Änderungen seit der letzten Speicherung rückgängig zu machen, wählen "
+#~ "Sie <menuchoice><guimenu>Datei</guimenu><guimenuitem>Zurücksetzen</"
+#~ "guimenuitem></menuchoice>, dann klicken Sie auf den Knopf <guibutton>Ja</"
+#~ "guibutton> im <guilabel>Fragedialog</guilabel>."
+
+#~ msgid "To Find Data in a File"
+#~ msgstr "Daten in einer Datei suchen"
+
+#~ msgid ""
+#~ "To search a file for a hexadecimal or ASCII string, perform the following "
+#~ "steps:"
+#~ msgstr ""
+#~ "Zum Suchen einer Hexadezimal- oder ASCII-Zeichenkette in einer Datei "
+#~ "gehen Sie folgendermaßen vor:"
+
+#~ msgid ""
+#~ "Choose <menuchoice><guimenu>Edit</guimenu><guimenuitem>Find</"
+#~ "guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Wählen Sie <menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Suchen</"
+#~ "guimenuitem></menuchoice>."
+
+#~ msgid ""
+#~ "In the <guilabel>Find Data</guilabel> dialog, choose one of the following "
+#~ "options:"
+#~ msgstr ""
+#~ "Wählen Sie im Dialogfeld <guilabel>Daten suchen</guilabel> eine der "
+#~ "folgenden Optionen:"
+
+#~ msgid "<guilabel>Search for hex data</guilabel>"
+#~ msgstr "<guilabel>Hex-Daten suchen</guilabel>"
+
+#~ msgid "<guilabel>Search for ASCII data</guilabel>"
+#~ msgstr "<guilabel>ASCII-Daten suchen</guilabel>"
+
+#~ msgid "Type the string that you want to find."
+#~ msgstr "Geben Sie die gesuchte Zeichenkette ein."
+
+#~ msgid ""
+#~ "Click <guibutton>Find Next</guibutton> to find the next occurrence of the "
+#~ "string."
+#~ msgstr ""
+#~ "Klicken Sie auf <guibutton>Weitersuchen</guibutton>, um abwärts nach der "
+#~ "Zeichenkette zu suchen."
+
+#~ msgid ""
+#~ "Click <guibutton>Find Previous</guibutton> to find the previous "
+#~ "occurrence of the string."
+#~ msgstr ""
+#~ "Klicken Sie auf <guibutton>Rückwärts suchen</guibutton>, um aufwärts nach "
+#~ "der Zeichenkette zu suchen."
+
+#~ msgid ""
+#~ "Click <guibutton>Cancel</guibutton> to close the <guilabel>Find Data</"
+#~ "guilabel> dialog."
+#~ msgstr ""
+#~ "Klicken Sie auf <guibutton>Abbrechen</guibutton>, um den Dialog "
+#~ "<guilabel>Daten suchen</guilabel> zu schließen."
+
+#~ msgid "To Perform an Advanced Find"
+#~ msgstr "Erweiterte Suche"
+
+#~ msgid "To perform an advanced find, perform the following steps:"
+#~ msgstr "Zum Ausführen einer erweiterten Suche gehen Sie folgendermaßen vor:"
+
+#~ msgid ""
+#~ "Choose <menuchoice><guimenu>Edit</guimenu><guimenuitem>Advanced Find</"
+#~ "guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Wählen Sie <menuchoice><guimenu>Bearbeiten</"
+#~ "guimenu><guimenuitem>Erweiterte Suche</guimenuitem></menuchoice>."
+
+#~ msgid ""
+#~ "In the <guilabel>Find Data</guilabel> dialog, select the required search "
+#~ "criteria. For information about how to add new search criteria, see <xref "
+#~ "linkend=\"ghex-search-criteria-add\"/>."
+#~ msgstr ""
+#~ "Wählen Sie im Dialog <guilabel>Daten suchen</guilabel> die gewünschten "
+#~ "Suchkriterien aus. Weitere Informationen über Suchkriterien finden Sie in "
+#~ "<xref linkend=\"ghex-search-criteria-add\"/>."
+
+#~ msgid ""
+#~ "Click <guibutton>Close</guibutton> to close the <guilabel>Find Data</"
+#~ "guilabel> dialog."
+#~ msgstr ""
+#~ "Klicken Sie auf <guibutton>Schließen</guibutton>, um den Dialog "
+#~ "<guilabel>Daten suchen</guilabel> zu schließen."
+
+#~ msgid "To Add Search Criteria"
+#~ msgstr "Suchkriterien hinzufügen"
+
+#~ msgid "To add search criteria, perform the following steps:"
+#~ msgstr "Zum Hinzufügen von Suchkriterien gehen Sie folgendermaßen vor:"
+
+#~ msgid ""
+#~ "In the <guilabel>Find Data</guilabel> dialog, click <guibutton>Add New</"
+#~ "guibutton>."
+#~ msgstr ""
+#~ "Klicken Sie im Dialogfeld <guilabel>Daten suchen</guilabel> auf "
+#~ "<guibutton>Hinzufügen</guibutton>."
+
+#~ msgid ""
+#~ "In the <guilabel>Find Data: Add Search</guilabel> dialog, choose one of "
+#~ "the following options:"
+#~ msgstr ""
+#~ "Wählen Sie im Dialogfeld <guilabel>Daten suchen: Suche hinzufügen</"
+#~ "guilabel> eine der folgenden Optionen aus:"
+
+#~ msgid ""
+#~ "Use the color wheel or the spin boxes to select a color to highlight the "
+#~ "search criteria."
+#~ msgstr ""
+#~ "Verwenden Sie das Farbrad oder die Einstellfelder, um eine Farbe für die "
+#~ "Hervorhebung der Suchkriterien auszuwählen."
+
+#~ msgid "Click <guibutton>Add</guibutton>."
+#~ msgstr "Klicken Sie auf <guibutton>Hinzufügen</guibutton>."
+
+#~ msgid "To Remove Search Criteria"
+#~ msgstr "Suchkriterien entfernen"
+
+#~ msgid "To remove search criteria, perform the following steps:"
+#~ msgstr "Zum Entfernen von Suchkriterien gehen Sie folgendermaßen vor:"
+
+#~ msgid ""
+#~ "In the <guilabel>Find Data</guilabel> dialog, select the search criteria "
+#~ "that you want to remove."
+#~ msgstr ""
+#~ "Wählen Sie im Dialogfeld <guilabel>Daten suchen</guilabel> die Kriterien "
+#~ "aus, die Sie entfernen wollen."
+
+#~ msgid ""
+#~ "To search a file for a hexadecimal or ASCII string and then replace the "
+#~ "string, perform the following steps:"
+#~ msgstr ""
+#~ "Zum Suchen nach einer Hexadezimal- oder ASCII-Zeichenkette und Ersetzen "
+#~ "derselben gehen Sie folgendermaßen vor:"
+
+#~ msgid ""
+#~ "Choose <menuchoice><guimenu>Edit</guimenu><guimenuitem>Replace</"
+#~ "guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Wählen Sie <menuchoice><guimenu>Bearbeiten</"
+#~ "guimenu><guimenuitem>Ersetzen</guimenuitem></menuchoice>."
+
+#~ msgid ""
+#~ "In the <guilabel>Find &amp; Replace Data</guilabel> dialog, choose one of "
+#~ "the following options:"
+#~ msgstr ""
+#~ "Wählen Sie im Dialogfeld <guilabel>Daten suchen und ersetzen</guilabel> "
+#~ "eine der folgenden Optionen:"
+
+#~ msgid "<guilabel>Replace hex data</guilabel>"
+#~ msgstr "<guilabel>Hex-Daten ersetzen</guilabel>"
+
+#~ msgid "<guilabel>Replace ASCII data</guilabel>"
+#~ msgstr "<guilabel>ASCII-Daten ersetzen</guilabel>"
+
+#~ msgid "In the first text box, type the string that you want to find."
+#~ msgstr "Geben Sie im ersten Textfeld die gesuchte Zeichenkette ein."
+
+#~ msgid ""
+#~ "In the second text box, type the string that you want to use to replace "
+#~ "the string that you find."
+#~ msgstr ""
+#~ "Geben Sie im zweiten Textfeld die Zeichenkette ein, mit der Sie die "
+#~ "gesuchte Zeichenkette ersetzen möchten."
+
+#~ msgid ""
+#~ "Click <guibutton>Replace</guibutton> to replace the current occurrence of "
+#~ "the string or click <guibutton>Replace All</guibutton> to replace all "
+#~ "occurrences of the string."
+#~ msgstr ""
+#~ "Klicken Sie auf <guibutton>Ersetzen</guibutton>, um die Zeichenkette am "
+#~ "aktuellen Fundort zu ersetzen. Klicken Sie auf <guibutton>Alle ersetzen</"
+#~ "guibutton>, wenn Sie die Zeichenkette im gesamten Dokument ersetzen "
+#~ "möchten."
+
+#~ msgid ""
+#~ "Click <guibutton>Cancel</guibutton> to close the <guilabel>Find &amp; "
+#~ "Replace Data</guilabel> dialog."
+#~ msgstr ""
+#~ "Klicken Sie auf <guibutton>Schließen</guibutton>, um den Dialog "
+#~ "<guilabel>Daten suchen und ersetzen</guilabel> zu schließen."
+
+#~ msgid "To Add or Remove Additional Views of a File"
+#~ msgstr "Zusätzliche Ansichten einer Datei hinzufügen oder entfernen"
+
+#~ msgid ""
+#~ "To add another view of the current file to your <application>GHex</"
+#~ "application> window, choose <menuchoice><guimenu>View</"
+#~ "guimenu><guimenuitem>Add View</guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Um zum Fenster <application>GHex</application> eine weitere Ansicht der "
+#~ "aktuellen Datei hinzuzufügen, wählen Sie <menuchoice><guimenu>Ansicht</"
+#~ "guimenu><guimenuitem>Ansicht hinzufügen</guimenuitem></menuchoice>."
+
+#~ msgid ""
+#~ "To remove a view of the current file, choose <menuchoice><guimenu>View</"
+#~ "guimenu><guimenuitem>Remove View</guimenuitem></menuchoice>. If you "
+#~ "remove the last view that is open, the application exits."
+#~ msgstr ""
+#~ "Zum Entfernen einer Ansicht der aktuellen Datei wählen Sie "
+#~ "<menuchoice><guimenu>Ansicht</guimenu><guimenuitem>Ansicht entfernen</"
+#~ "guimenuitem></menuchoice>. Wenn Sie die letzte geöffnete Ansicht "
+#~ "entfernen, wird die Anwendung beendet."
+
+#~ msgid "To Change the Data Group Type"
+#~ msgstr "Anpassen der Art der Gruppierung von Daten"
+
+#~ msgid ""
+#~ "To change how <application>GHex</application> displays the hexadecimal "
+#~ "content of a file in the <application>GHex</application> window, choose "
+#~ "<menuchoice><guimenu>View</guimenu><guimenuitem>Group Data As</"
+#~ "guimenuitem></menuchoice>, then select one of the following menu items:"
+#~ msgstr ""
+#~ "Um die Ansicht des hexadezimalen Inhalts einer Datei im "
+#~ "<application>GHex</application>-Fenster zu ändern, wählen Sie "
+#~ "<menuchoice><guimenu>Ansicht</guimenu><guimenuitem>Daten gruppieren als</"
+#~ "guimenuitem></menuchoice>. Dann können Sie einen der folgenden "
+#~ "Menüeinträge auswählen:"
+
+#~ msgid "<guilabel>Bytes</guilabel> - single bytes"
+#~ msgstr "<guilabel>Bytes</guilabel> - Einzelne Bytes"
+
+#~ msgid "<guilabel>Words</guilabel> - groups of two bytes"
+#~ msgstr "<guilabel>Wörter</guilabel> - Gruppen von zwei Byte"
+
+#~ msgid "<guilabel>Longwords</guilabel> - groups of four bytes"
+#~ msgstr "<guilabel>Lange Wörter</guilabel> - Gruppen von vier Byte"
+
+#~ msgid "To Export the GHex Display to HTML"
+#~ msgstr "So exportieren Sie die GHex-Anzeige in HTML"
+
+#~ msgid ""
+#~ "Creates a separate HTML file for each page of data that is displayed in "
+#~ "the <application>GHex</application> window."
+#~ msgstr ""
+#~ "Erstellt eine einzelne HTML-Datei für jede im Fenster von "
+#~ "<application>GHex</application> angezeigte Seite."
+
+#~ msgid ""
+#~ "Uses the HTML filename that you specify as the basis for the filename."
+#~ msgstr ""
+#~ "Übernimmt den von Ihnen angegebenen Dateinamen als Basis für den "
+#~ "Dateinamen der HTML-Datei."
+
+#~ msgid "Appends a page number to the filename to differentiate the files."
+#~ msgstr ""
+#~ "Hängt eine Seitennummer an den Dateinamen an, um die einzelnen Dateien zu "
+#~ "unterscheiden."
+
+#~ msgid ""
+#~ "To export the data contained in the <application>GHex</application> "
+#~ "window to HTML, choose <menuchoice><guimenu>File</"
+#~ "guimenu><guimenuitem>Save As HTML</guimenuitem></menuchoice>. Choose a "
+#~ "directory and specify a filename for the HTML file, then click "
+#~ "<guibutton>OK</guibutton>. <application>GHex</application> implements the "
+#~ "following actions: <_:itemizedlist-1/> For example, if you specify the "
+#~ "filename <filename>log.html</filename>, <application>GHex</application> "
+#~ "creates a series of HTML files named <filename>log00000000.html</"
+#~ "filename>, <filename>log00000001.html</filename>, <filename>log00000002."
+#~ "html</filename>, and so on."
+#~ msgstr ""
+#~ "Zum Exportieren der im Fenster von <application>GHex</application> "
+#~ "enthaltenen Daten in HTML wählen Sie <menuchoice><guimenu>Datei</"
+#~ "guimenu><guimenuitem>Als HTML speichern</guimenuitem></menuchoice>. "
+#~ "Wählen Sie einen Ordner und geben Sie einen Namen für die HTML-Datei an. "
+#~ "Klicken Sie anschließend auf <guibutton>OK</guibutton>. "
+#~ "<application>GHex</application> führt die folgenden Aktionen aus: <_:"
+#~ "itemizedlist-1/> Wenn Sie zum Beispiel den Dateinamen <filename>log.html</"
+#~ "filename> angeben, erstellt <application>GHex</application> eine Reihe "
+#~ "von HTML-Dateien. Diese werden mit <filename>log00000000.html</filename>, "
+#~ "<filename>log00000001.html</filename>, <filename>log00000002.html</"
+#~ "filename> usw. benannt."
+
+#~ msgid ""
+#~ "To view a table that contains the ASCII, hexadecimal, decimal, octal, and "
+#~ "binary representations for the values 0 to 255, choose "
+#~ "<menuchoice><guimenu>Windows</guimenu><guimenuitem>Character Table</"
+#~ "guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Zum Anzeigen einer Tabelle mit den Darstellungen der Werte 0 bis 255 in "
+#~ "ASCII-, hexadezimalem, dezimalem, oktalem und binärem Format wählen "
+#~ "Sie<menuchoice><guimenu>Fenster</guimenu><guimenuitem>Zeichentabelle</"
+#~ "guimenuitem></menuchoice>."
+
+#~ msgid "To View Data Conversions"
+#~ msgstr "Datenumwandlungen anzeigen"
+
+#~ msgid ""
+#~ "To display the binary, decimal, hexadecimal, and ASCII conversions for up "
+#~ "to four bytes of data, perform the following steps:"
+#~ msgstr ""
+#~ "Zum Anzeigen der Umwandlung in binäres, dezimales, hexadezimales und "
+#~ "ACSII-Format für eine Datenmenge von bis zu vier Byte gehen Sie wie folgt "
+#~ "vor:"
+
+#~ msgid ""
+#~ "Choose <menuchoice><guimenu>Windows</guimenu><guimenuitem>Base Converter</"
+#~ "guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Wählen Sie <menuchoice><guimenu>Fenster</"
+#~ "guimenu><guimenuitem>Standardkonverter</guimenuitem></menuchoice>."
+
+#~ msgid "Perform one of the following actions:"
+#~ msgstr "Nun haben Sie folgende Möglichkeiten:"
+
+#~ msgid ""
+#~ "Type the data that you want to convert in one of the fields in the "
+#~ "<guilabel>Base Converter</guilabel> dialog, then press <keycap>Return</"
+#~ "keycap>."
+#~ msgstr ""
+#~ "Geben Sie die zu konvertierenden Daten in das Dialogfeld "
+#~ "<guilabel>Standardkonverter</guilabel> ein, und drücken Sie die "
+#~ "<keycap>Eingabetaste</keycap>."
+
+#~ msgid ""
+#~ "<application>GHex</application> updates the values of the other fields to "
+#~ "display the data conversions."
+#~ msgstr ""
+#~ "Die Werte der anderen Felder werden von <application>GHex</application> "
+#~ "aktualisiert, um die Konvertierung anzuzeigen."
+
+#~ msgid ""
+#~ "Click <guibutton>Close</guibutton> to close the <guilabel>Base Converter</"
+#~ "guilabel> dialog."
+#~ msgstr ""
+#~ "Klicken Sie auf <guibutton>Schließen</guibutton>, um den Dialog "
+#~ "<guilabel>Basis-Konverter</guilabel> zu schließen."
+
+#~ msgid "To Show or Hide the Type Conversion Dialog"
+#~ msgstr "Typumwandlungsdialog anzeigen oder verbergen"
+
+#~ msgid ""
+#~ "To show or hide the type conversion dialog, choose "
+#~ "<menuchoice><guimenu>Windows</guimenu><guimenuitem>Type Conversion "
+#~ "Dialog</guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Um den Typumwandlungsdialog anzuzeigen oder zu verbergen, wählen Sie "
+#~ "<menuchoice><guimenu>Fenster</guimenu><guimenuitem>Typumwandlungsdialog …"
+#~ "</guimenuitem></menuchoice>."
+
+#~ msgid ""
+#~ "The type conversion dialog displays the value of the selected character "
+#~ "in the following representations:"
+#~ msgstr ""
+#~ "Der Typumwandlungsdialog zeigt den Wert des ausgewählten Zeichens in "
+#~ "folgenden Formen an:"
+
+#~ msgid "<guilabel>Signed 8 bit</guilabel>"
+#~ msgstr "<guilabel>8 bit vorzeichenbehaftet</guilabel>"
+
+#~ msgid "<guilabel>Unsigned 8 bit</guilabel>"
+#~ msgstr "<guilabel>8 bit vorzeichenlos</guilabel>"
+
+#~ msgid "<guilabel>Signed 16 bit</guilabel>"
+#~ msgstr "<guilabel>16 bit vorzeichenbehaftet</guilabel>"
+
+#~ msgid "<guilabel>Unsigned 16 bit</guilabel>"
+#~ msgstr "<guilabel>16 bit vorzeichenlos</guilabel>"
+
+#~ msgid "<guilabel>Signed 32 bit</guilabel>"
+#~ msgstr "<guilabel>32 bit vorzeichenbehaftet</guilabel>"
+
+#~ msgid "<guilabel>Unsigned 32 bit</guilabel>"
+#~ msgstr "<guilabel>32 bit vorzeichenlos</guilabel>"
+
+#~ msgid "<guilabel>32 bit float</guilabel>"
+#~ msgstr "<guilabel>32 bit Fließkommazahl</guilabel>"
+
+#~ msgid "<guilabel>64 bit float</guilabel>"
+#~ msgstr "<guilabel>64 bit Fließkommazahl</guilabel>"
+
+#~ msgid "<guilabel>Hexadecimal</guilabel>"
+#~ msgstr "<guilabel>Hexadezimal</guilabel>"
+
+#~ msgid "<guilabel>Octal</guilabel>"
+#~ msgstr "<guilabel>Oktal</guilabel>"
+
+#~ msgid "<guilabel>Binary</guilabel>"
+#~ msgstr "<guilabel>Binär</guilabel>"
+
+#~ msgid "<guilabel>Stream Length</guilabel>"
+#~ msgstr "<guilabel>Stream-Länge</guilabel>"
+
+#~ msgid "The type conversion dialog also contains the following options:"
+#~ msgstr "Der Typumwandlungsdialog enthält die folgenden Optionen:"
+
+#~ msgid "<guilabel>Show little endian decoding</guilabel>"
+#~ msgstr "<guilabel>Anzeige als Little Endian</guilabel>"
+
+#~ msgid "Select this option to show little endian decoding."
+#~ msgstr ""
+#~ "Wählen Sie diese Option, um die Little-Endian-Dekodierung anzuzeigen."
+
+#~ msgid "<guilabel>Show unsigned and float as hexadecimal</guilabel>"
+#~ msgstr "<guilabel>Unsigned und Float hexadezimal anzeigen</guilabel>"
+
+#~ msgid ""
+#~ "Select this option to show unsigned and float numbers as hexadecimal "
+#~ "numbers."
+#~ msgstr ""
+#~ "Wählen Sie diese Option, um »Unsigned« und »Float« in hexadezimaler Form "
+#~ "anzuzeigen."
+
+#~ msgid "To Print a File"
+#~ msgstr "Drucken einer Datei"
+
+#~ msgid ""
+#~ "To print a file, choose <menuchoice><guimenu>File</"
+#~ "guimenu><guimenuitem>Print</guimenuitem></menuchoice>. Select the print "
+#~ "options that you require in the <guilabel>Print</guilabel> dialog, then "
+#~ "click <guibutton>OK</guibutton>."
+#~ msgstr ""
+#~ "Zum Drucken einer Datei wählen Sie <menuchoice><guimenu>Datei</"
+#~ "guimenu><guimenuitem>Drucken</guimenuitem></menuchoice>. Wählen Sie die "
+#~ "gewünschten Druckoptionen im Dialogfeld <guilabel>Drucken</guilabel>, und "
+#~ "klicken Sie auf <guibutton>OK</guibutton>."
+
+#~ msgid ""
+#~ "To preview a printed copy of the file, choose <menuchoice><guimenu>File</"
+#~ "guimenu><guimenuitem>Print Preview</guimenuitem></menuchoice>."
+#~ msgstr ""
+#~ "Wenn Sie die Datei so anzeigen möchten, wie Sie ausgedruckt wird, wählen "
+#~ "Sie <menuchoice><guimenu>Datei</guimenu><guimenuitem>Druckvorschau</"
+#~ "guimenuitem></menuchoice>."
+
+#~ msgid ""
+#~ "To configure <application>GHex</application>, choose "
+#~ "<menuchoice><guimenu>Edit</guimenu><guimenuitem>Preferences</"
+#~ "guimenuitem></menuchoice>. The <guilabel>Preferences</guilabel> dialog "
+#~ "contains the following tabbed sections:"
+#~ msgstr ""
+#~ "Zum Konfigurieren von <application>GHex</application> wählen Sie "
+#~ "<menuchoice><guimenu>Bearbeiten</guimenu><guimenuitem>Einstellungen</"
+#~ "guimenuitem></menuchoice>. Das Dialogfeld <guilabel>Einstellungen</"
+#~ "guilabel> enthält die folgenden Reiter:"
+
+#~ msgid "<guilabel>Maximum number of undo levels</guilabel>"
+#~ msgstr "<guilabel>Maximale Anzahl der Rückgängig-Vorgänge</guilabel>"
+
+#~ msgid ""
+#~ "Use this spin box to specify the maximum number of edits that you can "
+#~ "undo."
+#~ msgstr ""
+#~ "Geben Sie in diesem Eingabefeld die maximale Anzahl der "
+#~ "Bearbeitungsaktionen an, die rückgängig gemacht werden können."
+
+#~ msgid "<guilabel>Show cursor offset in statusbar as</guilabel>"
+#~ msgstr "<guilabel>Cursoroffset in der Statusleiste anzeigen als</guilabel>"
+
+#~ msgid ""
+#~ "Use this drop-down list to select the format in which the cursor offset "
+#~ "is displayed. The format can be decimal, hexadecimal, or a custom print "
+#~ "style string that only contains the format specifiers x, o, and s."
+#~ msgstr ""
+#~ "In dieser Auswahlliste können Sie das Format wählen, in dem der "
+#~ "Cursorversatz angezeigt wird. Das Format kann dezimal, hexadezimal oder "
+#~ "eine benutzerdefinierte Druckstil-Zeichenkette sein, die nur die "
+#~ "Formatangaben x, o, und s enthält."
+
+#~ msgid "<guilabel>Show offsets column</guilabel>"
+#~ msgstr "<guilabel>Offsetspalte anzeigen</guilabel>"
+
+#~ msgid ""
+#~ "Select this option to display the cursor offsets in a column to the left "
+#~ "of the hexadecimal view of the <application>GHex</application> window."
+#~ msgstr ""
+#~ "Wählen Sie diese Option, um die Cursoroffsets in einer Spalte links neben "
+#~ "der Hexadezimalansicht des Fensters <application>GHex</application> "
+#~ "anzuzeigen."
+
+#~ msgid "<guilabel>Font</guilabel>"
+#~ msgstr "<guilabel>Schrift</guilabel>"
+
+#~ msgid ""
+#~ "Use the font selector list boxes to edit the existing font information or "
+#~ "type new font information. Specify a font type, style, and size to "
+#~ "display the contents of files in <application>GHex</application>."
+#~ msgstr ""
+#~ "In den Listenfeldern für die Schriftartenauswahl können Sie vorhandene "
+#~ "Schriftarteninformationen bearbeiten oder neue Informationen eingeben. "
+#~ "Geben Sie die Schriftart, den Schriftstil und die Schriftgröße an, mit "
+#~ "der die Dateien in <application>GHex</application> angezeigt werden "
+#~ "sollen."
+
+#~ msgid "<guilabel>Default Group Type</guilabel>"
+#~ msgstr "<guilabel>Standard-Gruppentyp</guilabel>"
+
+#~ msgid ""
+#~ "Select one of the following options to specify how <application>GHex</"
+#~ "application> displays the hexadecimal content of a file in the "
+#~ "<application>GHex</application> window:"
+#~ msgstr ""
+#~ "Wählen Sie, wie hexadezimale Inhalte einer Datei im Fenster "
+#~ "<application>GHex</application> angezeigt werden sollen. Die folgenden "
+#~ "Optionen stehen zur Verfügung:"
+
+#~ msgid "<guilabel>Data font</guilabel>"
+#~ msgstr "<guilabel>Schriftart für Daten</guilabel>"
+
+#~ msgid ""
+#~ "Click on the <guibutton>Data font</guibutton> button to specify the font "
+#~ "type, style, and size to use to print the data contained in a file."
+#~ msgstr ""
+#~ "Klicken Sie auf <guibutton>Schriftart für Daten</guibutton>, um die "
+#~ "Schriftart, den Schriftstil und die Schriftgröße zu wählen, mit der die "
+#~ "in der Datei enthaltenen Daten gedruckt werden sollen."
+
+#~ msgid "<guilabel>Header font</guilabel>"
+#~ msgstr "<guilabel>Schriftart für Kopfzeile</guilabel>"
+
+#~ msgid ""
+#~ "Click on the <guibutton>Header font</guibutton> button to specify the "
+#~ "font type, style, and size to use to print the header information that is "
+#~ "contained in the file."
+#~ msgstr ""
+#~ "Klicken Sie auf <guibutton>Schriftart für Kopfzeile</guibutton>, um die "
+#~ "Schriftart, den Schriftstil und die Schriftgröße zu wählen, mit der die "
+#~ "in der Datei enthaltenen Kopfzeilen-Informationen gedruckt werden sollen."
+
+#~ msgid "<guilabel>Print shaded box over</guilabel>"
+#~ msgstr "<guilabel>Schattierten Kasten drucken über</guilabel>"
+
+#~ msgid ""
+#~ "Use this spin box to specify the number of lines that <application>GHex</"
+#~ "application> alternately prints with a surrounding shaded box. If the "
+#~ "value of the spin box is 10, <application>GHex</application> prints the "
+#~ "first 10 lines of the file without a shaded box, the next 10 lines with a "
+#~ "shaded box, and so on. If the value of the spin box is 0, "
+#~ "<application>GHex</application> does not print any shaded box."
+#~ msgstr ""
+#~ "In diesem Einstellfeld können Sie die Anzahl der Zeilen angeben, die von "
+#~ "<application>GHex</application> mit einem schattierten Kasten umrahmt "
+#~ "gedruckt werden. Ist der Wert im Eingabefeld 10, werden von "
+#~ "<application>GHex</application> die ersten 10 Zeilen der Datei ohne "
+#~ "schattierten Kasten ausgedruckt, die nächsten 10 Zeilen in einer "
+#~ "schattierten Box usw. Falls der Wert im Eingabefeld 0 ist, druckt "
+#~ "<application>GHex</application> keine schattierten Kästen."
+
 #~ msgctxt "_"
 #~ msgid ""
 #~ "external ref='figures/ghex_window_empty.png' "
@@ -1459,10 +2243,10 @@ msgstr ""
 #~ msgstr "Fenster GHex vor dem Öffnen einer Datei"
 
 #~ msgid ""
-#~ "<imageobject> <imagedata fileref=\"figures/ghex_window_empty.png\" format="
-#~ "\"PNG\"/> </imageobject> <textobject> <phrase>Shows GHex main window "
-#~ "before you open a file.</phrase> </textobject>"
-#~ msgstr ""
-#~ "<imageobject> <imagedata fileref=\"figures/ghex_window_empty.png\" format="
-#~ "\"PNG\"/> </imageobject> <textobject> <phrase>Hauptfenster von GHex vor "
-#~ "dem Öffnen einer Datei.</phrase> </textobject>"
+#~ "<imageobject> <imagedata fileref=\"figures/ghex_window_empty.png\" "
+#~ "format=\"PNG\"/> </imageobject> <textobject> <phrase>Shows GHex main "
+#~ "window before you open a file.</phrase> </textobject>"
+#~ msgstr ""
+#~ "<imageobject> <imagedata fileref=\"figures/ghex_window_empty.png\" "
+#~ "format=\"PNG\"/> </imageobject> <textobject> <phrase>Hauptfenster von "
+#~ "GHex vor dem Öffnen einer Datei.</phrase> </textobject>"
diff -pruN 45.1-1/help/meson.build 46.0-1/help/meson.build
--- 45.1-1/help/meson.build	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/help/meson.build	2024-03-22 05:14:59.000000000 +0000
@@ -1,6 +1,7 @@
 #(cd C; for i in *.{page,xml}; do echo "  '$i',"; done;)
 help_pages = [
   'advanced-clipboard.page',
+  'advanced-marks.page',
   'basics-create-new-file.page',
   'basics-edit-file.page',
   'basics-find-replace.page',
diff -pruN 45.1-1/help/ru/ru.po 46.0-1/help/ru/ru.po
--- 45.1-1/help/ru/ru.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/help/ru/ru.po	2024-03-22 05:14:59.000000000 +0000
@@ -8,8 +8,8 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex gnome-3-8\n"
-"POT-Creation-Date: 2023-08-27 16:54+0000\n"
-"PO-Revision-Date: 2023-08-28 19:36+1000\n"
+"POT-Creation-Date: 2024-02-01 05:07+0000\n"
+"PO-Revision-Date: 2024-02-15 17:46+1000\n"
 "Last-Translator: Ser82-png <asvmail.as@gmail.com>\n"
 "Language-Team: Русский <gnome-cyr@gnome.org>\n"
 "Language: ru\n"
@@ -29,11 +29,11 @@ msgstr ""
 "Ser82-png <asvmail.as@gmaol.com>, 2022-2023"
 
 #. (itstool) path: credit/name
-#: C/advanced-clipboard.page:7 C/basics-create-new-file.page:7
-#: C/basics-edit-file.page:7 C/basics-find-replace.page:7
-#: C/basics-open-file.page:7 C/basics-save-file.page:7 C/conf-grouptype.page:7
-#: C/conf-preferences.page:7 C/index.page:6 C/tools-chartable.page:7
-#: C/tools-converter.page:7
+#: C/advanced-clipboard.page:7 C/advanced-marks.page:7
+#: C/basics-create-new-file.page:7 C/basics-edit-file.page:7
+#: C/basics-find-replace.page:7 C/basics-open-file.page:7
+#: C/basics-save-file.page:7 C/conf-grouptype.page:7 C/conf-preferences.page:7
+#: C/index.page:6 C/tools-chartable.page:7 C/tools-converter.page:7
 msgid "Logan Rathbone"
 msgstr "Logan Rathbone"
 
@@ -368,6 +368,125 @@ msgstr ""
 "типов данных, могут быть и другие случаи, когда пользователю желательно "
 "иметь полный контроль над тем, как данные копируются в буфер обмена."
 
+#. (itstool) path: credit/years
+#: C/advanced-marks.page:9
+msgid "2024"
+msgstr "2024"
+
+#. (itstool) path: page/title
+#: C/advanced-marks.page:12
+msgid "Marks"
+msgstr "Метки"
+
+#. (itstool) path: page/p
+#: C/advanced-marks.page:13
+msgid ""
+"Marks provide a convenient way to earmark chunks or sections of data that "
+"can be quickly jumped to."
+msgstr ""
+"Метки обеспечивают удобный способ выделения фрагментов или разделов данных "
+"для быстрого перехода к ним."
+
+#. (itstool) path: page/p
+#: C/advanced-marks.page:14
+msgid ""
+"To open the marks dialog, open the Main Menu, and click <gui>Marks</gui>, or "
+"use the keyboard shortcut <keyseq><key>Ctrl</key><key>M</key></keyseq>."
+msgstr ""
+"Чтобы открыть диалоговое окно работы с метками, откройте главное меню и "
+"выберите пункт <gui>Метки</gui> или используйте комбинацию клавиш "
+"<keyseq><key>Ctrl</key><key>M</key></keyseq>."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:16
+msgid "Selecting marks"
+msgstr "Выбор меток"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:17
+msgid ""
+"Marks are numbered 0-9. To select a mark to work with, choose the mark "
+"number you would like to select by selecting the number in the <gui>Mark:</"
+"gui> spin button, or by pressing <keyseq><key>Ctrl</key><key>0...9</key></"
+"keyseq>."
+msgstr ""
+"Метки пронумерованы от 0 до 9. Чтобы выбрать метку для работы, установите её "
+"номер в счётчике <gui>Метка:</gui> или воспользуйтесь комбинациями клавиш "
+"<keyseq><key>Ctrl</key><key>0...9</key></keyseq>."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:20
+msgid "Setting marks"
+msgstr "Установка меток"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:21
+msgid ""
+"To set a mark, select the mark number you would like to set. Next, highlight "
+"the data for which you would like to set a mark. Finally, click <gui>Set</"
+"gui> to set that mark."
+msgstr ""
+"Чтобы установить метку, сначала выберите для неё номер. Затем выделите "
+"данные, для которых вы хотели бы установить метку. И, наконец, нажмите "
+"кнопку <gui>Установить</gui>."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:24
+msgid "Jumping to marks"
+msgstr "Переход к меткам"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:25
+msgid ""
+"To jump to a mark, select the mark number you would like to jump to. Then, "
+"click <gui>Jump</gui> to jump to that mark. This will set the cursor "
+"position to the starting point of that mark instantaneously."
+msgstr ""
+"Чтобы перейти к метке, выберите её номер, затем нажмите кнопку <gui>Перейти</"
+"gui>. Это действие мгновенно установит положение курсора в начальной точке "
+"выбранной метки."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:28
+msgid "Deleting marks"
+msgstr "Удаление меток"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:29
+msgid ""
+"To delete a mark, select the mark number you would like to delete. Then, "
+"click <gui>Delete</gui> to delete that mark."
+msgstr ""
+"Чтобы удалить метку, сначала выберите её номер, затем нажмите кнопку "
+"<gui>Удалить</gui>."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:32
+msgid "Setting a custom color for a mark"
+msgstr "Установка собственного цвета метки"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:33
+msgid ""
+"Marks have a default color which should make them stand out from other "
+"highlighted items. However, you can also optionally set a custom color for a "
+"mark if desired."
+msgstr ""
+"Цвет меток, который должен выделять их на фоне других элементов, уже "
+"установлен по умолчанию. Однако при желании вы также можете выбрать "
+"собственный цвет для метки."
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:34
+msgid ""
+"Custom colors can only be set after a mark has been created. Once a mark has "
+"been created, click the color chooser button next to the <gui>Mark:</gui> "
+"spin button, and select your desired color."
+msgstr ""
+"Собственные цвета можно задать только после создания метки. Как только метка "
+"будет создана, нажмите кнопку выбора цвета рядом с полем счётчика <gui>Метка:"
+"</gui> и выберите желаемый цвет."
+
 #. (itstool) path: page/title
 #: C/basics-create-new-file.page:12
 msgid "Create a new file"
diff -pruN 45.1-1/help/sv/sv.po 46.0-1/help/sv/sv.po
--- 45.1-1/help/sv/sv.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/help/sv/sv.po	2024-03-22 05:14:59.000000000 +0000
@@ -1,22 +1,22 @@
 # Swedish translation for ghex help.
-# Copyright © 2016-2023 ghex's COPYRIGHT HOLDER
+# Copyright © 2016-2024 ghex's COPYRIGHT HOLDER
 # This file is distributed under the same license as the ghex package.
 # Daniel Nylander <po@danielnylander.se>, 2007.
 # Josef Andersson <josef.andersson@gmail.com>, 2016.
-# Anders Jonsson <anders.jonsson@norsjovallen.se>, 2020, 2022, 2023.
+# Anders Jonsson <anders.jonsson@norsjovallen.se>, 2020, 2022, 2023, 2024.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex doc\n"
-"POT-Creation-Date: 2023-08-22 18:30+0000\n"
-"PO-Revision-Date: 2023-08-22 21:42+0200\n"
+"POT-Creation-Date: 2024-02-01 05:07+0000\n"
+"PO-Revision-Date: 2024-02-25 14:13+0100\n"
 "Last-Translator: Anders Jonsson <anders.jonsson@norsjovallen.se>\n"
 "Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
 "Language: sv\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Poedit 3.3.2\n"
+"X-Generator: Poedit 3.4.2\n"
 
 #. Put one translator per line, in the form NAME <EMAIL>, YEAR1, YEAR2
 msgctxt "_"
@@ -30,11 +30,11 @@ msgstr ""
 "<tp-sv@listor.tp-sv.se>."
 
 #. (itstool) path: credit/name
-#: C/advanced-clipboard.page:7 C/basics-create-new-file.page:7
-#: C/basics-edit-file.page:7 C/basics-find-replace.page:7
-#: C/basics-open-file.page:7 C/basics-save-file.page:7 C/conf-grouptype.page:7
-#: C/conf-preferences.page:7 C/index.page:6 C/tools-chartable.page:7
-#: C/tools-converter.page:7
+#: C/advanced-clipboard.page:7 C/advanced-marks.page:7
+#: C/basics-create-new-file.page:7 C/basics-edit-file.page:7
+#: C/basics-find-replace.page:7 C/basics-open-file.page:7
+#: C/basics-save-file.page:7 C/conf-grouptype.page:7 C/conf-preferences.page:7
+#: C/index.page:6 C/tools-chartable.page:7 C/tools-converter.page:7
 msgid "Logan Rathbone"
 msgstr "Logan Rathbone"
 
@@ -365,6 +365,126 @@ msgstr ""
 "för användaren att ha full kontroll på hur data från bufferten kopieras till "
 "urklipp."
 
+#. (itstool) path: credit/years
+#: C/advanced-marks.page:9
+msgid "2024"
+msgstr "2024"
+
+#. (itstool) path: page/title
+#: C/advanced-marks.page:12
+msgid "Marks"
+msgstr "Märken"
+
+#. (itstool) path: page/p
+#: C/advanced-marks.page:13
+msgid ""
+"Marks provide a convenient way to earmark chunks or sections of data that "
+"can be quickly jumped to."
+msgstr ""
+"Märken tillhandahåller ett enkelt sätt att öronmärka block eller stycken av "
+"data som snabbt kan hoppas till."
+
+#. (itstool) path: page/p
+#: C/advanced-marks.page:14
+msgid ""
+"To open the marks dialog, open the Main Menu, and click <gui>Marks</gui>, or "
+"use the keyboard shortcut <keyseq><key>Ctrl</key><key>M</key></keyseq>."
+msgstr ""
+"För att öppna märkesdialogen, öppna huvudmenyn och klicka på <gui>Märken</"
+"gui>, eller använd tangentbordsgenvägen <keyseq><key>Ctrl</key><key>M</key></"
+"keyseq>."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:16
+msgid "Selecting marks"
+msgstr "Välja märken"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:17
+msgid ""
+"Marks are numbered 0-9. To select a mark to work with, choose the mark "
+"number you would like to select by selecting the number in the <gui>Mark:</"
+"gui> spin button, or by pressing <keyseq><key>Ctrl</key><key>0...9</key></"
+"keyseq>."
+msgstr ""
+"Märken är numrerade 0-9. För att välja ett märke att arbeta med, välj "
+"märkesnumret som du vill ha genom att välja numret i stegningsrutan "
+"<gui>Märke:</gui>, eller genom att trycka ned <keyseq><key>Ctrl</key><key>0…"
+"9</key></keyseq>."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:20
+msgid "Setting marks"
+msgstr "Ställa in märken"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:21
+msgid ""
+"To set a mark, select the mark number you would like to set. Next, highlight "
+"the data for which you would like to set a mark. Finally, click <gui>Set</"
+"gui> to set that mark."
+msgstr ""
+"För att ställa in ett märke, välj märkesnumret som du vill ställa in. "
+"Markera sedan de data för vilka du vill ställa in ett märke. Klicka "
+"slutligen på <gui>Ställ in</gui> för att ställa in det märket."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:24
+msgid "Jumping to marks"
+msgstr "Hoppa till märken"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:25
+msgid ""
+"To jump to a mark, select the mark number you would like to jump to. Then, "
+"click <gui>Jump</gui> to jump to that mark. This will set the cursor "
+"position to the starting point of that mark instantaneously."
+msgstr ""
+"För att hoppa till ett märke, välj märkesnumret som du vill hoppa till. "
+"Klicka sedan på <gui>Hoppa</gui> för att hoppa till det märket. Detta kommer "
+"omedelbart ställa in märkespositionen till startpunkten för det märket."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:28
+msgid "Deleting marks"
+msgstr "Ta bort märken"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:29
+msgid ""
+"To delete a mark, select the mark number you would like to delete. Then, "
+"click <gui>Delete</gui> to delete that mark."
+msgstr ""
+"För att ta bort ett märke, välj märkesnumret som du vill ta bort. Klicka "
+"sedan på <gui>Ta bort</gui> för att ta bort det märket."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:32
+msgid "Setting a custom color for a mark"
+msgstr "Ställa in en anpassad färg för ett märke"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:33
+msgid ""
+"Marks have a default color which should make them stand out from other "
+"highlighted items. However, you can also optionally set a custom color for a "
+"mark if desired."
+msgstr ""
+"Märken har en standardfärg som bör få dem att skilja sig från andra "
+"markerade objekt. Du kan dock valfritt även ställa in en anpassad färg för "
+"ett märke om du vill."
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:34
+msgid ""
+"Custom colors can only be set after a mark has been created. Once a mark has "
+"been created, click the color chooser button next to the <gui>Mark:</gui> "
+"spin button, and select your desired color."
+msgstr ""
+"Anpassade färger kan endast ställas in efter att ett märke har skapats. Då "
+"märket har skapats klickar du på färgväljarknappen intill stegningsrutan "
+"<gui>Märke:</gui> och väljer din önskade färg."
+
 #. (itstool) path: page/title
 #: C/basics-create-new-file.page:12
 msgid "Create a new file"
@@ -1521,18 +1641,6 @@ msgstr ""
 #~ msgid "GHex Window with an Open File"
 #~ msgstr "GHex med en öppnad fil"
 
-#~| msgctxt "_"
-#~| msgid ""
-#~| "external ref='figures/ghex_window_open.png' "
-#~| "md5='9c4ae66bb45a43803e1f70abfaede88b'"
-#~ msgctxt "_"
-#~ msgid ""
-#~ "external ref='figures/ghex_window_open.png' "
-#~ "md5='31fc4c732edba8668056e88d1f4239f2'"
-#~ msgstr ""
-#~ "external ref='figures/ghex_window_open.png' "
-#~ "md5='31fc4c732edba8668056e88d1f4239f2'"
-
 #~ msgid ""
 #~ "<imageobject> <imagedata fileref=\"figures/ghex_window_open.png\" "
 #~ "format=\"PNG\"/> </imageobject> <textobject> <phrase>Shows GHex main "
@@ -2223,14 +2331,6 @@ msgstr ""
 #~ "på stegningsrutan är 0 skriver <application>GHex</application> inte ut "
 #~ "någon skuggad ruta."
 
-#~ msgctxt "_"
-#~ msgid ""
-#~ "external ref='figures/ghex_window_empty.png' "
-#~ "md5='89b78d734e989c368b82592f385db8dd'"
-#~ msgstr ""
-#~ "external ref='figures/ghex_window_empty.png' "
-#~ "md5='89b78d734e989c368b82592f385db8dd'"
-
 #~ msgid "When You Start GHex"
 #~ msgstr "När du startar GHex"
 
@@ -2255,9 +2355,6 @@ msgstr ""
 #~ msgid "GHex Manual V2.5"
 #~ msgstr "GHex"
 
-#~ msgid "2002"
-#~ msgstr "2003"
-
 #~ msgid "2003"
 #~ msgstr "2003"
 
@@ -2369,8 +2466,5 @@ msgstr ""
 #~ "där <replaceable>fil1.txt</replaceable> och <replaceable>fil2.txt</"
 #~ "replaceable>är namnen på de filer som du vill öppna."
 
-#~ msgid "2004-03-04"
-#~ msgstr "2002-08-28"
-
 #~ msgid "user's guide"
 #~ msgstr "användarhandbok"
diff -pruN 45.1-1/help/uk/uk.po 46.0-1/help/uk/uk.po
--- 45.1-1/help/uk/uk.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/help/uk/uk.po	2024-03-22 05:14:59.000000000 +0000
@@ -2,12 +2,12 @@
 # Copyright (C) 2021 ghex's COPYRIGHT HOLDER
 # This file is distributed under the same license as the ghex package.
 #
-# Yuri Chornoivan <yurchor@ukr.net>, 2021, 2022, 2023.
+# Yuri Chornoivan <yurchor@ukr.net>, 2021, 2022, 2023, 2024.
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex master\n"
-"POT-Creation-Date: 2023-08-22 18:30+0000\n"
-"PO-Revision-Date: 2023-08-24 22:55+0300\n"
+"POT-Creation-Date: 2024-02-01 05:07+0000\n"
+"PO-Revision-Date: 2024-02-01 19:29+0200\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian <trans-uk@lists.fedoraproject.org>\n"
 "Language: uk\n"
@@ -16,7 +16,7 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=4; plural=n==1 ? 3 : n%10==1 && n%100!=11 ? 0 : n"
 "%10>=2 && n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2;\n"
-"X-Generator: Lokalize 20.12.0\n"
+"X-Generator: Lokalize 23.04.1\n"
 
 #. Put one translator per line, in the form NAME <EMAIL>, YEAR1, YEAR2
 msgctxt "_"
@@ -24,11 +24,11 @@ msgid "translator-credits"
 msgstr "Юрій Чорноіван <yurchor@ukr.net>"
 
 #. (itstool) path: credit/name
-#: C/advanced-clipboard.page:7 C/basics-create-new-file.page:7
-#: C/basics-edit-file.page:7 C/basics-find-replace.page:7
-#: C/basics-open-file.page:7 C/basics-save-file.page:7 C/conf-grouptype.page:7
-#: C/conf-preferences.page:7 C/index.page:6 C/tools-chartable.page:7
-#: C/tools-converter.page:7
+#: C/advanced-clipboard.page:7 C/advanced-marks.page:7
+#: C/basics-create-new-file.page:7 C/basics-edit-file.page:7
+#: C/basics-find-replace.page:7 C/basics-open-file.page:7
+#: C/basics-save-file.page:7 C/conf-grouptype.page:7 C/conf-preferences.page:7
+#: C/index.page:6 C/tools-chartable.page:7 C/tools-converter.page:7
 msgid "Logan Rathbone"
 msgstr "Logan Rathbone"
 
@@ -373,6 +373,128 @@ msgstr ""
 "тим, як копіюються дані з буфера редагування програми до буфера обміну "
 "даними."
 
+#. (itstool) path: credit/years
+#: C/advanced-marks.page:9
+msgid "2024"
+msgstr "2024"
+
+#. (itstool) path: page/title
+#: C/advanced-marks.page:12
+msgid "Marks"
+msgstr "Позначки"
+
+#. (itstool) path: page/p
+#: C/advanced-marks.page:13
+msgid ""
+"Marks provide a convenient way to earmark chunks or sections of data that "
+"can be quickly jumped to."
+msgstr ""
+"Позначки є зручним способом визначення фрагментів або розділів даних, до"
+" яких потрібен швидкий перехід."
+
+#. (itstool) path: page/p
+#: C/advanced-marks.page:14
+msgid ""
+"To open the marks dialog, open the Main Menu, and click <gui>Marks</gui>, or "
+"use the keyboard shortcut <keyseq><key>Ctrl</key><key>M</key></keyseq>."
+msgstr ""
+"Щоб відкрити діалогове вікно позначок, відкрийте головне меню програми і"
+" виберіть пункт <gui>Позначки</gui> або скористайтеся клавіатурним"
+" скороченням <keyseq><key>Ctrl</key><key>M</key></keyseq>."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:16
+msgid "Selecting marks"
+msgstr "Вибір позначок"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:17
+msgid ""
+"Marks are numbered 0-9. To select a mark to work with, choose the mark "
+"number you would like to select by selecting the number in the <gui>Mark:</"
+"gui> spin button, or by pressing <keyseq><key>Ctrl</key><key>0...9</key></"
+"keyseq>."
+msgstr ""
+"Позначки мають номери від 0 до 9. Щоб позначити позначку, з якою слід"
+" працювати, виберіть номер позначки, яку ви хочете позначити, шляхом вибору"
+" номера у полі лічильника <gui>Позначка:</"
+"gui> або натисканням комбінації клавіш <keyseq><key>Ctrl</key><key>0...9<"
+"/key></keyseq>."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:20
+#| msgid "Setting geometry"
+msgid "Setting marks"
+msgstr "Встановлення позначок"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:21
+msgid ""
+"To set a mark, select the mark number you would like to set. Next, highlight "
+"the data for which you would like to set a mark. Finally, click <gui>Set</"
+"gui> to set that mark."
+msgstr ""
+"Щоб встановити позначку, виберіть номер позначки, яку ви хочете встановити."
+" Потім позначте дані, для яких ви хочете встановити позначку. Нарешті,"
+" натисніть кнопку <gui>Встановити</"
+"gui>, щоб встановити позначку."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:24
+msgid "Jumping to marks"
+msgstr "Перехід до позначок"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:25
+msgid ""
+"To jump to a mark, select the mark number you would like to jump to. Then, "
+"click <gui>Jump</gui> to jump to that mark. This will set the cursor "
+"position to the starting point of that mark instantaneously."
+msgstr ""
+"Щоб перейти до позначки, позначте номер позначки, до якої ви хочете перейти."
+" Потім натисніть кнопку <gui>Перейти</gui>, щоб перейти до цієї позначки."
+" Програма негайно змістить курсор до початкової точки позначки."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:28
+msgid "Deleting marks"
+msgstr "Вилучення позначок"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:29
+msgid ""
+"To delete a mark, select the mark number you would like to delete. Then, "
+"click <gui>Delete</gui> to delete that mark."
+msgstr ""
+"Щоб визначити позначку, позначте номер позначки, яку ви хочете вилучити."
+" Потім натисніть кнопку <gui>Вилучити</gui>, щоб вилучити цю позначку."
+
+#. (itstool) path: section/title
+#: C/advanced-marks.page:32
+msgid "Setting a custom color for a mark"
+msgstr "Встановлення нетипового кольору для позначки"
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:33
+msgid ""
+"Marks have a default color which should make them stand out from other "
+"highlighted items. However, you can also optionally set a custom color for a "
+"mark if desired."
+msgstr ""
+"Позначки мають типовий колір, який має виділити їх серед інших підсвічених"
+" елементів. Втім, ви, якщо захочете, встановити нетиповий колір для позначок."
+
+#. (itstool) path: section/p
+#: C/advanced-marks.page:34
+msgid ""
+"Custom colors can only be set after a mark has been created. Once a mark has "
+"been created, click the color chooser button next to the <gui>Mark:</gui> "
+"spin button, and select your desired color."
+msgstr ""
+"Нетипові кольори можна встановлювати лише після створення позначки. Після"
+" створення позначки натисніть кнопку вибору, яку розташовано поруч із полем"
+" лічильника <gui>Позначка:</gui>, і виберіть бажаний колір."
+
 #. (itstool) path: page/title
 #: C/basics-create-new-file.page:12
 msgid "Create a new file"
@@ -610,11 +732,11 @@ msgid ""
 "data that is grouped into chunks (eg, 16 bytes at a time) or simply as a way "
 "of visually keeping track of offsets on a line-by-line basis."
 msgstr ""
-"Типово, GHex намагається умістити у ширину вікна якомога більше символів."
-" Втім, у GHex передбачено можливість вказати кількість символів, які може"
-" бути показано в одному рядку. Це корисно при роботі з даним, які згруповано"
-" у фрагменти (наприклад по 16 байтів) або для спрощення візуального стеження"
-" за відступами у послідовних рядках."
+"Типово, GHex намагається умістити у ширину вікна якомога більше символів. "
+"Втім, у GHex передбачено можливість вказати кількість символів, які може "
+"бути показано в одному рядку. Це корисно при роботі з даним, які згруповано "
+"у фрагменти (наприклад по 16 байтів) або для спрощення візуального стеження "
+"за відступами у послідовних рядках."
 
 #. (itstool) path: section/p
 #: C/basics-edit-file.page:79
@@ -626,14 +748,14 @@ msgid ""
 "automatically reformat the hex and ASCII panes accordingly. This only takes "
 "effect for the file being worked on, and does not persist across sessions."
 msgstr ""
-"У GHex це називається «встановлення <em>геометрії</em>». Геометрію можна"
-" налаштувати, клацнувши правою кнопкою миші будь-де на панелі"
-" шістнадцяткових значень або ASCII і вибравши <gui>Геометрія</gui>. Зніміть"
-" позначку з пункту <gui>Автоматична геометрія</gui> і вкажіть бажану"
-" кількість символів у рядку. Після встановлення цієї кількості GHex"
-" автоматично переформатує панелі шістнадцяткових записів і ASCII. Це"
-" стосується лише файла, з яким ви працюєте. Параметри геометрії не"
-" зберігаються між сеансами роботи з програмою."
+"У GHex це називається «встановлення <em>геометрії</em>». Геометрію можна "
+"налаштувати, клацнувши правою кнопкою миші будь-де на панелі шістнадцяткових "
+"значень або ASCII і вибравши <gui>Геометрія</gui>. Зніміть позначку з пункту "
+"<gui>Автоматична геометрія</gui> і вкажіть бажану кількість символів у "
+"рядку. Після встановлення цієї кількості GHex автоматично переформатує "
+"панелі шістнадцяткових записів і ASCII. Це стосується лише файла, з яким ви "
+"працюєте. Параметри геометрії не зберігаються між сеансами роботи з "
+"програмою."
 
 #. (itstool) path: page/title
 #: C/basics-find-replace.page:12
diff -pruN 45.1-1/meson.build 46.0-1/meson.build
--- 45.1-1/meson.build	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/meson.build	2024-03-22 05:14:59.000000000 +0000
@@ -1,6 +1,6 @@
 project(
   'ghex', 'c',
-  version: '45.1',
+  version: '46.0',
   meson_version: '>=0.59.0',
   license: 'GPL2'
 )
@@ -15,7 +15,7 @@ else
   resource_base_path = '/org/gnome/GHex'
 endif
 
-# Backend plugins: (nb: only mmap exists at this time along with malloc, which is baked in)
+# Backend plugins (over and above 'malloc', which is baked in)
 mmap_backend = get_option('mmap-buffer-backend')
 direct_backend = get_option('direct-buffer-backend')
 
@@ -38,7 +38,7 @@ ghex_version_major = version_arr[0].to_i
 # libgtkhex version info
 libgtkhex_api_version   = 4
 libgtkhex_version_major = 1  # for soname (ABI major version) only
-libgtkhex_version_minor = 4
+libgtkhex_version_minor = 8
 libgtkhex_version_micro = 0
 libgtkhex_version = '@0@.@1@.@2@'.format(libgtkhex_api_version, libgtkhex_version_minor, libgtkhex_version_micro)
 
@@ -155,7 +155,7 @@ gmodule_dep = dependency('gmodule-2.0')
 glib_dep = dependency('glib-2.0', version: glib_ver)
 gio_dep = dependency('gio-2.0', version: glib_ver)
 gtk_dep = dependency('gtk4', version: '>= 4.4.0')
-adw_dep = dependency('libadwaita-1')
+adw_dep = dependency('libadwaita-1', version: '>= 1.2')
 
 configure_file(
   output: 'config.h',
diff -pruN 45.1-1/po/LINGUAS 46.0-1/po/LINGUAS
--- 45.1-1/po/LINGUAS	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/LINGUAS	2024-03-22 05:14:59.000000000 +0000
@@ -28,6 +28,7 @@ id
 ie
 it
 ja
+ka
 ko
 lv
 lt
diff -pruN 45.1-1/po/POTFILES.in 46.0-1/po/POTFILES.in
--- 45.1-1/po/POTFILES.in	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/POTFILES.in	2024-03-22 05:14:59.000000000 +0000
@@ -3,6 +3,7 @@
 data/org.gnome.GHex.appdata.xml.in.in
 data/org.gnome.GHex.desktop.in.in
 src/chartable.c
+src/chartable.ui
 src/common-ui.c
 src/converter.c
 src/find-dialog.ui
@@ -18,6 +19,8 @@ src/hex-dialog.c
 src/hex-document.c
 src/jump-dialog.ui
 src/main.c
+src/mark-dialog.c
+src/mark-dialog.ui
 src/paste-special.c
 src/paste-special.ui
 src/preferences.ui
diff -pruN 45.1-1/po/da.po 46.0-1/po/da.po
--- 45.1-1/po/da.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/da.po	2024-03-22 05:14:59.000000000 +0000
@@ -4,7 +4,7 @@
 # Birger Langkjer <birger.langkjer@image.dk>, 1999.
 # Keld Simonsen <keld@dkuug.dk>, 2000.
 # Joe Hansen (joedalton2@yahoo.dk), 2009, 2010, 2012.
-# Alan Mortensen <alanmortensen.am@gmail.com>, 2016, 2018, 2022.
+# Alan Mortensen <alanmortensen.am@gmail.com>, 2016, 2018, 2022-23.
 #
 # decimal number -> tal i titalssystemet (ej at forveksle med decimaltal
 #                                         såsom 2.17)
@@ -14,8 +14,8 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ghex\n"
 "Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues\n"
-"POT-Creation-Date: 2022-06-22 01:19+0000\n"
-"PO-Revision-Date: 2022-06-26 13:01+0200\n"
+"POT-Creation-Date: 2023-10-11 19:39+0000\n"
+"PO-Revision-Date: 2023-10-12 18:06+0200\n"
 "Last-Translator: Alan Mortensen <alanmortensen.am@gmail.com>\n"
 "Language-Team: Danish <dansk@dansk-gruppen.dk>\n"
 "Language: da\n"
@@ -23,7 +23,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Poedit 2.3\n"
+"X-Generator: Poedit 3.0.1\n"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:6
 #: src/ghex-application-window.ui.in:149
@@ -50,7 +50,7 @@ msgstr ""
 "heksadecimale værdier i den ene kolonne og ASCII-repræsentationen i den "
 "anden. GHex er et nyttigt værktøj til at arbejde med rådata."
 
-#: data/org.gnome.GHex.appdata.xml.in.in:45
+#: data/org.gnome.GHex.appdata.xml.in.in:40
 msgid "Logan Rathbone"
 msgstr "Logan Rathbone"
 
@@ -63,39 +63,39 @@ msgstr "Heksredigering"
 msgid "binary;debug;"
 msgstr "binær;fejlsøgning;debug;"
 
-#: src/chartable.c:152 src/find-options.ui:67
+#: src/chartable.c:155 src/find-options.ui:67
 msgid "ASCII"
 msgstr "ASCII"
 
-#: src/chartable.c:152 src/find-options.ui:66
+#: src/chartable.c:155 src/find-options.ui:66
 msgid "Hex"
 msgstr "Hex"
 
-#: src/chartable.c:152
+#: src/chartable.c:155
 msgid "Decimal"
 msgstr "Decimal"
 
-#: src/chartable.c:153
+#: src/chartable.c:156
 msgid "Octal"
 msgstr "Oktalt"
 
-#: src/chartable.c:153
+#: src/chartable.c:156
 msgid "Binary"
 msgstr "Binær"
 
-#: src/chartable.c:184
+#: src/chartable.c:187
 msgid "Character table"
 msgstr "Tegntabel"
 
-#: src/chartable.c:252
+#: src/chartable.c:255
 msgid "_Insert Character"
 msgstr "_Indsæt tegn"
 
-#: src/chartable.c:256 src/converter.c:186
+#: src/chartable.c:259 src/converter.c:203
 msgid "_Close"
 msgstr "_Luk"
 
-#: src/common-ui.c:240
+#: src/common-ui.c:246
 msgid ""
 "This program is free software; you can redistribute it and/or modify it "
 "under the terms of the GNU General Public License as published by the Free "
@@ -107,7 +107,7 @@ msgstr ""
 "udgivet af Free Software Foundation. Entenversion 2 af licensen eller (efter "
 "eget valg) enhver senere version."
 
-#: src/common-ui.c:244
+#: src/common-ui.c:250
 msgid ""
 "This program is distributed in the hope that it will be useful, but WITHOUT "
 "ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
@@ -119,7 +119,7 @@ msgstr ""
 "SALGBARHED eller EGNETHED TIL ET BESTEMT FORMÅL. Yderligeredetaljer kan "
 "læses i GNU General Public License."
 
-#: src/common-ui.c:248
+#: src/common-ui.c:254
 msgid ""
 "You should have received a copy of the GNU General Public License along with "
 "this program; if not, write to the Free Software Foundation, Inc., 51 "
@@ -131,98 +131,82 @@ msgstr ""
 
 #. Translators: these two strings here indicate the copyright time span,
 #. e.g. 1998-2018.
-#: src/common-ui.c:260
+#: src/common-ui.c:266
 #, c-format
 msgid "Copyright © %d–%d The GHex authors"
 msgstr "Ophavsret © %d–%d GHex-forfatterne"
 
-#: src/common-ui.c:274
+#: src/common-ui.c:280
 msgid "A binary file editor"
 msgstr "En editor til binære filer"
 
-#: src/common-ui.c:281
+#: src/common-ui.c:287
 msgid "About GHex"
 msgstr "Om GHex"
 
-#: src/common-ui.c:282
+#: src/common-ui.c:288
 msgid "translator-credits"
 msgstr ""
 "Joe Hansen 2009, 2010, 2012.\n"
-"Alan Mortensen 2016, 2018, 2022.\n"
+"Alan Mortensen 2016, 2018, 2022-23.\n"
 "\n"
 "Dansk-gruppen\n"
 "Websted http://dansk-gruppen.dk\n"
 "E-mail <dansk@dansk-gruppen.dk>"
 
-#: src/common-ui.c:285
+#: src/common-ui.c:291
 msgid "GHex Website"
 msgstr "GHex' hjemmeside"
 
 #. Translators: This is an error string for a print-related error
 #. * dialog.  The %s is the error generated by GError.
-#: src/common-ui.c:349
+#: src/common-ui.c:355
 #, c-format
 msgid "An error has occurred: %s"
 msgstr "Der opstod en fejl: %s"
 
-#: src/context-menu.ui:30
-msgid "_Undo"
-msgstr "_Fortryd"
-
-#: src/context-menu.ui:34
-msgid "_Redo"
-msgstr "_Gør om"
-
-#: src/context-menu.ui:40
-msgid "Cu_t"
-msgstr "Klip _ud"
-
-#: src/context-menu.ui:44 src/paste-special.c:405
-msgid "_Copy"
-msgstr "_Kopiér"
-
-#: src/context-menu.ui:48 src/paste-special.ui:49
-msgid "_Paste"
-msgstr "I_ndsæt"
+#: src/common-ui.c:376 src/find-dialog.ui:99 src/jump-dialog.ui:64
+msgid "Close"
+msgstr "Luk"
 
 # Skal ikke være basekonvertering
-#: src/converter.c:183
+#: src/converter.c:180
 msgid "Base Converter"
 msgstr "Grundtalskonvertering"
 
 #. entries
-#: src/converter.c:209
+#: src/converter.c:190
 msgid "_Binary:"
 msgstr "_Binært:"
 
-#: src/converter.c:211
+#: src/converter.c:192
 msgid "_Octal:"
 msgstr "_Oktalt:"
 
-#: src/converter.c:213
+#: src/converter.c:194
 msgid "_Decimal:"
 msgstr "_Decimalt:"
 
-#: src/converter.c:215
+#: src/converter.c:196
 msgid "_Hex:"
 msgstr "_Hexadecimalt:"
 
-#: src/converter.c:217
+#: src/converter.c:198
 msgid "_ASCII:"
 msgstr "_ASCII:"
 
 #. get cursor button
-#: src/converter.c:221
+#: src/converter.c:202
 msgid "_Get cursor value"
 msgstr "_Hent markørværdi"
 
-#: src/converter.c:230
+#: src/converter.c:213
 msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
 msgstr ""
 "Henter værdien ved markøren i binært, oktalt, decimalt, hexadecimalt og "
 "ASCII-format"
 
-#: src/converter.c:371
+#: src/converter.c:354
 msgid "ERROR"
 msgstr "ERROR"
 
@@ -234,46 +218,50 @@ msgstr "Indtast de hexadecimale data ell
 msgid "Find String"
 msgstr "Find streng"
 
-#: src/find-dialog.ui:55
+#: src/find-dialog.ui:58
 msgid "Find _Next"
 msgstr "Find _næste"
 
-#: src/find-dialog.ui:59
+#: src/find-dialog.ui:62
 msgid "Finds the next occurrence of the search string"
 msgstr "Finder næste forekomst af søgestrengen"
 
-#: src/find-dialog.ui:64
+#: src/find-dialog.ui:67
 msgid "Find _Previous"
 msgstr "Find _foregående"
 
-#: src/find-dialog.ui:67
+#: src/find-dialog.ui:70
 msgid "Finds the previous occurrence of the search string"
 msgstr "Finder foregående forekomst af søgestrengen"
 
-#: src/find-dialog.ui:72
+#: src/find-dialog.ui:75
 msgid "_Clear"
 msgstr "_Ryd"
 
-#: src/find-dialog.ui:75
+#: src/find-dialog.ui:78
 msgid "Clears the data you are searching for"
 msgstr "Rydder de data, du søger efter"
 
-#: src/find-dialog.ui:85
+#: src/find-dialog.ui:88
 msgid "Find options"
 msgstr "Find valgmuligheder"
 
-#: src/find-dialog.ui:86
+#: src/find-dialog.ui:89
 msgid "View options of the find pane"
 msgstr "Vis søgningsrudens valgmuligheder"
 
-#: src/find-dialog.ui:96 src/jump-dialog.ui:63
-msgid "Close"
-msgstr "Luk"
-
-#: src/find-dialog.ui:97
+#: src/find-dialog.ui:100
 msgid "Closes the find pane"
 msgstr "Lukker søgningsruden"
 
+#: src/find-options.ui:35
+msgid "_Regular expressions"
+msgstr "_Regulære udtryk"
+
+#: src/find-options.ui:44
+msgid "_Ignore case"
+msgstr "_Ingen forskel på store/små bogstaver"
+
 #: src/find-options.ui:60
 msgid "Show:"
 msgstr "Vis:"
@@ -282,11 +270,11 @@ msgstr "Vis:"
 msgid "Both"
 msgstr "Begge"
 
-#: src/findreplace.c:221
+#: src/findreplace.c:222
 msgid "No string provided."
 msgstr "Ingen streng angivet."
 
-#: src/findreplace.c:395
+#: src/findreplace.c:396
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -296,7 +284,7 @@ msgstr ""
 "\n"
 "Fandt ikke flere match."
 
-#: src/findreplace.c:397
+#: src/findreplace.c:398
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -306,7 +294,7 @@ msgstr ""
 "\n"
 "Ingen forekomster fundet fra markørens position."
 
-#: src/findreplace.c:407
+#: src/findreplace.c:408
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -316,7 +304,7 @@ msgstr ""
 "\n"
 "Fandt ikke flere match."
 
-#: src/findreplace.c:409
+#: src/findreplace.c:410
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -326,21 +314,21 @@ msgstr ""
 "\n"
 "Ingen forekomster fundet fra markørens position."
 
-#: src/findreplace.c:480
+#: src/findreplace.c:481
 msgid "No offset has been specified."
 msgstr "Der er ikke blevet angivet en afstand."
 
-#: src/findreplace.c:505
+#: src/findreplace.c:506
 msgid "The specified offset is beyond the  file boundaries."
 msgstr "Den angivne afstand er uden for filens grænser."
 
-#: src/findreplace.c:513
+#: src/findreplace.c:514
 msgid "Can not position cursor beyond the end of file."
 msgstr "Kan ikke placere markøren efter slutningen af filen."
 
 # eller: du kan kun angive...
 #  du må kun angive...
-#: src/findreplace.c:523
+#: src/findreplace.c:525
 msgid ""
 "You may only give the offset as:\n"
 "  - a positive decimal number, or\n"
@@ -352,16 +340,16 @@ msgstr ""
 "  - et heks-tal, der begynder med '0x', eller\n"
 "  - et '+'- eller '-'-tegn, efterfulgt af en relativ afstand"
 
-#: src/findreplace.c:580
+#: src/findreplace.c:584
 msgid "String was not found."
 msgstr "Streng blev ikke fundet."
 
-#: src/findreplace.c:644
+#: src/findreplace.c:648
 #, c-format
 msgid "Search complete: %d replacements made."
 msgstr "Søgning færdig: %d erstatning foretaget."
 
-#: src/findreplace.c:651
+#: src/findreplace.c:655
 msgid "No occurrences were found."
 msgstr "Ingen træffere blev fundet."
 
@@ -372,11 +360,11 @@ msgstr "Ingen træffere blev fundet."
 msgid "Untitled"
 msgstr "Unavngivet"
 
-#: src/ghex-application-window.c:282
+#: src/ghex-application-window.c:284
 msgid "There was an error saving the file."
 msgstr "Der opstod en fejl, da filen skulle gemmes."
 
-#: src/ghex-application-window.c:339
+#: src/ghex-application-window.c:327
 msgid ""
 "<b>You have one or more files open with unsaved changes.</b>\n"
 "\n"
@@ -388,18 +376,18 @@ msgstr ""
 "Er du sikker på, du vil lukke vinduet?\n"
 "\n"
 
-#: src/ghex-application-window.c:343
+#: src/ghex-application-window.c:330
 msgid "_Close Anyway"
 msgstr "_Luk alligevel"
 
-#: src/ghex-application-window.c:344 src/ghex-application-window.c:462
-#: src/ghex-application-window.c:1140
+#: src/ghex-application-window.c:331 src/ghex-application-window.c:465
+#: src/ghex-application-window.c:1159
 msgid "_Go Back"
 msgstr "Gå _tilbage"
 
 #. Translators: %s is the filename that is currently being
 #. * edited.
-#: src/ghex-application-window.c:440
+#: src/ghex-application-window.c:446
 #, c-format
 msgid ""
 "<big><b>%s has been edited since opening.</b></big>\n"
@@ -410,7 +398,7 @@ msgstr ""
 "\n"
 "Vil du gemme dine ændringer?"
 
-#: src/ghex-application-window.c:446
+#: src/ghex-application-window.c:452
 msgid ""
 "<b>The buffer has been edited since opening.</b>\n"
 "\n"
@@ -420,32 +408,32 @@ msgstr ""
 "\n"
 "Vil du gemme dine ændringer?"
 
-#: src/ghex-application-window.c:460
+#: src/ghex-application-window.c:463
 msgid "_Save Changes"
 msgstr "_Gem ændringer"
 
-#: src/ghex-application-window.c:461
+#: src/ghex-application-window.c:464
 msgid "_Discard Changes"
 msgstr "_Kassér ændringer"
 
-#: src/ghex-application-window.c:994
+#: src/ghex-application-window.c:1015
 msgid "There was an error saving the file to the path specified."
 msgstr "Der opstod en fejl, da filen skulle gemmes til den angivne sti."
 
-#: src/ghex-application-window.c:1013
+#: src/ghex-application-window.c:1034
 msgid ""
 "An unknown error has occurred in attempting to reload the file you have just "
 "saved."
 msgstr ""
 "Der opstod en ukendt fejlved forsøg på at genindlæse filen, du lige har gemt."
 
-#: src/ghex-application-window.c:1064
+#: src/ghex-application-window.c:1087
 msgid "Select a file to save buffer as"
 msgstr "Vælg en fil at gemme bufferen som"
 
 #. Translators: %s here is the filename the user is being asked to
 #. * confirm whether they want to revert.
-#: src/ghex-application-window.c:1133
+#: src/ghex-application-window.c:1153
 #, c-format
 msgid ""
 "<big><b>Are you sure you want to revert %s?</b></big>\n"
@@ -460,15 +448,15 @@ msgstr ""
 "\n"
 "Handlingen kan ikke fortrydes."
 
-#: src/ghex-application-window.c:1139 src/ghex-application-window.ui.in:39
+#: src/ghex-application-window.c:1158 src/ghex-application-window.ui.in:39
 msgid "_Revert"
 msgstr "_Tilbagestil"
 
-#: src/ghex-application-window.c:1223
+#: src/ghex-application-window.c:1243
 msgid "Select a file to open"
 msgstr "Vælg en fil der skal åbnes"
 
-#: src/ghex-application-window.c:1328
+#: src/ghex-application-window.c:1350
 #, c-format
 msgid ""
 "Sorry, but help could not be opened.\n"
@@ -491,21 +479,21 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/ghex-application-window.c:1404
+#: src/ghex-application-window.c:1427
 #, c-format
 msgid ""
-"Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to <tt>0x"
-"%lX</tt> selected"
+"Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
+"<tt>0x%lX</tt> selected"
 msgstr ""
-"Afstand:  <tt>0x%lX</tt>; <tt>0x%lX</tt> byte fra <tt>0x%lX</tt> til <tt>0x"
-"%lX</tt> valgt"
+"Afstand:  <tt>0x%lX</tt>; <tt>0x%lX</tt> byte fra <tt>0x%lX</tt> til "
+"<tt>0x%lX</tt> valgt"
 
-#: src/ghex-application-window.c:1408
+#: src/ghex-application-window.c:1431
 #, c-format
 msgid "Offset: <tt>0x%lX</tt>"
 msgstr "Afstand: <tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:2019
+#: src/ghex-application-window.c:2071
 msgid ""
 "You are attempting to open a file 1GB or larger.\n"
 "\n"
@@ -531,11 +519,11 @@ msgstr ""
 "Prøv at bruge en anden bufferbackend for ikke at få vist denne meddelelse "
 "igen."
 
-#: src/ghex-application-window.c:2077
+#: src/ghex-application-window.c:2129
 msgid "There was an error reading the file."
 msgstr "Der skete en fejl ved læsning af filen."
 
-#: src/ghex-application-window.c:2138
+#: src/ghex-application-window.c:2187
 msgid ""
 "There was an error loading the requested file. The file either no longer "
 "exists, is inaccessible, or you may not have permission to access the file."
@@ -632,23 +620,31 @@ msgstr "_Om GHex"
 msgid "Open a file for hex editing"
 msgstr "Åbn en fil til heksredigering"
 
-#: src/ghex-application-window.ui.in:187
+#: src/ghex-application-window.ui.in:173
+msgid "_Open"
+msgstr "_Åbn"
+
+#: src/ghex-application-window.ui.in:186
+msgid "Main Menu"
+msgstr "Hovedmenu"
+
+#: src/ghex-application-window.ui.in:188
 msgid "Main menu"
 msgstr "Hovedmenu"
 
-#: src/ghex-application-window.ui.in:197
+#: src/ghex-application-window.ui.in:198
 msgid "Find a string in the hex document"
 msgstr "Find en streng i heksdokumentet"
 
-#: src/ghex-application-window.ui.in:206
+#: src/ghex-application-window.ui.in:207
 msgid "Save document"
 msgstr "Gem dokument"
 
-#: src/ghex-application-window.ui.in:214
+#: src/ghex-application-window.ui.in:215
 msgid "No File Loaded"
 msgstr "Ingen fil indlæst"
 
-#: src/ghex-application-window.ui.in:217
+#: src/ghex-application-window.ui.in:218
 msgid ""
 "• Press the Open button\n"
 "• Press Ctrl+N to start a new document\n"
@@ -662,16 +658,48 @@ msgstr ""
 "\n"
 "Eller tryk Ctrl+W for at lukke vinduet."
 
-#: src/ghex-application-window.ui.in:306
+#: src/ghex-application-window.ui.in:307
 msgid "Toggle insert mode (add data to file rather than replace existing data)"
 msgstr ""
-"Slå indsætningstilstand til/fra (tilføj data til fil i stedet for at erstatte "
-"eksisterende data)"
+"Slå indsætningstilstand til/fra (tilføj data til fil i stedet for at "
+"erstatte eksisterende data)"
 
-#: src/ghex-application-window.ui.in:318
+#: src/ghex-application-window.ui.in:319
 msgid "Toggle a pane showing various numeric conversions"
 msgstr "Skjul/vis en rude med numeriske konverteringer"
 
+#: src/gtkhex.ui:23
+msgid "Automatic geometry"
+msgstr "Automatisk geometri"
+
+#: src/gtkhex.ui:33
+msgid "Characters per line:"
+msgstr "Tegn pr. linje:"
+
+#: src/gtkhex.ui:62
+msgid "_Undo"
+msgstr "_Fortryd"
+
+#: src/gtkhex.ui:66
+msgid "_Redo"
+msgstr "_Gør om"
+
+#: src/gtkhex.ui:72
+msgid "Cu_t"
+msgstr "Klip _ud"
+
+#: src/gtkhex.ui:76 src/paste-special.c:405
+msgid "_Copy"
+msgstr "_Kopiér"
+
+#: src/gtkhex.ui:80 src/paste-special.ui:49
+msgid "_Paste"
+msgstr "I_ndsæt"
+
+#: src/gtkhex.ui:86
+msgid "_Geometry"
+msgstr "_Geometri"
+
 #: src/help-overlay.ui:14
 msgid "Files"
 msgstr "Filer"
@@ -772,15 +800,27 @@ msgstr "Skift til næste faneblad"
 msgid "Jump to byte"
 msgstr "Hop til byte"
 
-#: src/help-overlay.ui:189
+#: src/help-overlay.ui:187
+msgid "Move to beginning of document"
+msgstr "Flyt til begyndelsen af dokumentet"
+
+#: src/help-overlay.ui:194
+msgid "Move to end of document"
+msgstr "Flyt til slutningen på dokumentet"
+
+#: src/help-overlay.ui:203
 msgid "General"
 msgstr "Generelt"
 
-#: src/help-overlay.ui:194
-msgid "Show About dialog"
-msgstr "Vis dialogen Om"
+#: src/help-overlay.ui:208
+msgid "Show help"
+msgstr "Vis hjælp"
+
+#: src/help-overlay.ui:215
+msgid "Show preferences"
+msgstr "Vis indstillinger"
 
-#: src/help-overlay.ui:201
+#: src/help-overlay.ui:222
 msgid "Toggle insert mode"
 msgstr "Skift indsætningstilstand"
 
@@ -865,71 +905,71 @@ msgstr "Fejl under læsning af fil"
 msgid "An error has occurred"
 msgstr "Der opstod en fejl"
 
-#: src/hex-dialog.c:72
+#: src/hex-dialog.c:70
 msgid "Signed 8 bit:"
 msgstr "8 bit med fortegn:"
 
-#: src/hex-dialog.c:73
+#: src/hex-dialog.c:71
 msgid "Unsigned 8 bit:"
 msgstr "8 bit uden fortegn:"
 
-#: src/hex-dialog.c:74
+#: src/hex-dialog.c:72
 msgid "Signed 16 bit:"
 msgstr "16 bit med fortegn:"
 
-#: src/hex-dialog.c:75
+#: src/hex-dialog.c:73
 msgid "Unsigned 16 bit:"
 msgstr "16 bit uden fortegn:"
 
-#: src/hex-dialog.c:76
+#: src/hex-dialog.c:74
 msgid "Signed 32 bit:"
 msgstr "32 bit med fortegn:"
 
-#: src/hex-dialog.c:77
+#: src/hex-dialog.c:75
 msgid "Unsigned 32 bit:"
 msgstr "32 bit uden fortegn:"
 
-#: src/hex-dialog.c:78
+#: src/hex-dialog.c:76
 msgid "Signed 64 bit:"
 msgstr "64 bit med fortegn:"
 
-#: src/hex-dialog.c:79
+#: src/hex-dialog.c:77
 msgid "Unsigned 64 bit:"
 msgstr "64 bit uden fortegn:"
 
-#: src/hex-dialog.c:80
+#: src/hex-dialog.c:78
 msgid "Float 32 bit:"
 msgstr "Flydende 32 bit:"
 
-#: src/hex-dialog.c:81
+#: src/hex-dialog.c:79
 msgid "Float 64 bit:"
 msgstr "Flydende 64 bit:"
 
-#: src/hex-dialog.c:82
+#: src/hex-dialog.c:80
 msgid "Hexadecimal:"
 msgstr "Hexadecimal:"
 
-#: src/hex-dialog.c:83
+#: src/hex-dialog.c:81
 msgid "Octal:"
 msgstr "Oktalt:"
 
-#: src/hex-dialog.c:84
+#: src/hex-dialog.c:82
 msgid "Binary:"
 msgstr "Binært:"
 
-#: src/hex-dialog.c:205
+#: src/hex-dialog.c:201
 msgid "Show little endian decoding"
 msgstr "Vis afkodning af lille endian"
 
-#: src/hex-dialog.c:211
+#: src/hex-dialog.c:207
 msgid "Show unsigned and float as hexadecimal"
 msgstr "Vis uden fortegn og flydende som hexadecimal"
 
-#: src/hex-dialog.c:217
+#: src/hex-dialog.c:213
 msgid "Stream Length:"
 msgstr "Strømlængde:"
 
-#: src/hex-dialog.c:241
+#: src/hex-dialog.c:237
 msgid "FIXME: no conversion function"
 msgstr "RETMIG: Ingen konverteringsfunktion"
 
@@ -957,27 +997,27 @@ msgstr "Næste side"
 msgid "Jump to byte (enter offset):"
 msgstr "Hop til byte (angiv afstand):"
 
-#: src/jump-dialog.ui:43
+#: src/jump-dialog.ui:44
 msgid ""
 "Enter the offset byte to jump to. The default is decimal format, but other "
-"format strings are supported such as hexidecimal format, if C-style notation "
+"format strings are supported such as hexadecimal format, if C-style notation "
 "using the '0x' prefix is used. If your string is not recognized, a dialog "
 "will be presented explaining the valid formats of strings accepted."
 msgstr ""
-"Indtast afstandsbyten, der skal hoppes til. Standarden er titalssystemet, "
+"Indtast bytepositionen, der skal hoppes til. Standarden er titalssystemet, "
 "men andre formatstrenge, som f.eks. hexadecimal, understøttes, hvis C-"
 "stilnotationen med “0x”-præfiks benyttes. Genkendes din streng ikke, vises "
-"en dialog, der forklarer de gyldige formater af acceptable strenge."
+"en dialog, der forklarer de gyldige strengformater."
 
-#: src/jump-dialog.ui:48
+#: src/jump-dialog.ui:49
 msgid "_Jump"
 msgstr "_Hop"
 
-#: src/jump-dialog.ui:54
+#: src/jump-dialog.ui:55
 msgid "Jumps to the specified byte"
 msgstr "Hopper til den angivne byte"
 
-#: src/jump-dialog.ui:64
+#: src/jump-dialog.ui:65
 msgid "Closes the jump-to-byte pane"
 msgstr "Lukker hop-til-byte-ruden"
 
@@ -1021,14 +1061,14 @@ msgstr "Kopiér speciel"
 msgid "Plain text (as ASCII)"
 msgstr "Almindelig tekst (som ASCII)"
 
-#: src/paste-special.c:516
-msgid "Plain text (as space-delimited hex pairs)"
-msgstr "Almindelig tekst (som mellemrumsafgrænset heks-par)"
-
-#: src/paste-special.c:533
+#: src/paste-special.c:529
 msgid "Plain text (Unicode)"
 msgstr "Almindelig tekst (Unicode)"
 
+#: src/paste-special.c:533
+msgid "Plain text (as space-delimited hex pairs)"
+msgstr "Almindelig tekst (som mellemrumsafgrænset heks-par)"
+
 #. paste_special_dialog
 #: src/paste-special.ui:28
 msgid "Paste Special"
@@ -1054,68 +1094,68 @@ msgstr "Udseende"
 msgid "Font"
 msgstr "Skrifttype"
 
-#: src/preferences.ui:52
+#: src/preferences.ui:53
 msgid "Dark mode"
 msgstr "Mørk tilstand"
 
-#: src/preferences.ui:68
+#: src/preferences.ui:69
 msgid "Use system default"
 msgstr "Brug systemstandard"
 
-#: src/preferences.ui:82
+#: src/preferences.ui:83
 msgid "Hex Display"
 msgstr "Heksvisning"
 
-#: src/preferences.ui:86
+#: src/preferences.ui:87
 msgid "Group data as"
 msgstr "Gruppér data som"
 
-#: src/preferences.ui:93
+#: src/preferences.ui:94
 msgid "Bytes (8-bit)"
 msgstr "Byte (8-bit)"
 
-#: src/preferences.ui:99
+#: src/preferences.ui:100
 msgid "Words (16-bit)"
 msgstr "Words (16-bit)"
 
-#: src/preferences.ui:105
+#: src/preferences.ui:106
 msgid "Longwords (32-bit)"
 msgstr "Longwords (32-bit)"
 
-#: src/preferences.ui:111
+#: src/preferences.ui:112
 msgid "Quadwords (64-bit)"
 msgstr "Quadwords (64 bit)"
 
-#: src/preferences.ui:121
+#: src/preferences.ui:122
 msgid "Show offsets column"
 msgstr "Vis afstandskolonne"
 
 # Skal IKKE være Udskriver
-#: src/preferences.ui:136
+#: src/preferences.ui:137
 msgid "Printing"
 msgstr "Udskrift"
 
-#: src/preferences.ui:140
+#: src/preferences.ui:141
 msgid "Fonts"
 msgstr "Skrifttyper"
 
-#: src/preferences.ui:144
+#: src/preferences.ui:145
 msgid "Data font"
 msgstr "Dataskrifttype"
 
-#: src/preferences.ui:153
+#: src/preferences.ui:156
 msgid "Header font"
 msgstr "Headerskrifttype"
 
-#: src/preferences.ui:165
+#: src/preferences.ui:170
 msgid "Shaded rows"
 msgstr "Skraverede rækker"
 
-#: src/preferences.ui:169
+#: src/preferences.ui:174
 msgid "Print alternating shaded rows"
 msgstr "Udskriv skiftevis skraverede rækker"
 
-#: src/preferences.ui:177
+#: src/preferences.ui:182
 msgid "Span across lines:"
 msgstr "Spænd over linjer:"
 
@@ -1132,22 +1172,25 @@ msgstr "Indtast de hexadecimale data ell
 msgid "Replace With"
 msgstr "Erstat med"
 
-#: src/replace-dialog.ui:44
+#: src/replace-dialog.ui:47
 msgid "_Replace"
 msgstr "_Erstat"
 
-#: src/replace-dialog.ui:47
+#: src/replace-dialog.ui:50
 msgid "Replaces the search string with the replace string"
 msgstr "Erstatter søgestrengen med erstatningsstrengen"
 
-#: src/replace-dialog.ui:52
+#: src/replace-dialog.ui:55
 msgid "Replace _All"
 msgstr "Erstat _alle"
 
-#: src/replace-dialog.ui:55
+#: src/replace-dialog.ui:58
 msgid "Replaces all occurrences of the search string with the replace string"
 msgstr "Erstatter alle forekomster af søgestrengen med erstatningsstrengen"
 
+#~ msgid "Show About dialog"
+#~ msgstr "Vis dialogen Om"
+
 #~ msgid ""
 #~ "There was an error saving the file.\n"
 #~ "\n"
@@ -1286,9 +1329,6 @@ msgstr "Erstatter alle forekomster af s
 #~ msgid "_Windows"
 #~ msgstr "_Vindue"
 
-#~ msgid "_Open..."
-#~ msgstr "_Åbn …"
-
 #~ msgid "Open a file"
 #~ msgstr "Åbn en fil"
 
diff -pruN 45.1-1/po/de.po 46.0-1/po/de.po
--- 45.1-1/po/de.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/de.po	2024-03-22 05:14:59.000000000 +0000
@@ -10,16 +10,16 @@
 # Hendrik Richter <hendrikr@gnome.org>, 2005.
 # Andre Klapper <ak-47@gmx.net>, 2007.
 # Mario Blättermann <mario.blaettermann@gmail.com>, 2008, 2011, 2015, 2018.
-# Christian Kirbach <Christian.Kirbach@googlemail.com>, 2012.
+# Christian Kirbach <Christian.Kirbach@googlemail.com>, 2012-2024.
 # Wolfgang Stöggl <c72578@yahoo.de>, 2012.
-# Jürgen Benvenuti <gastornis@posteo.org>, 2022, 2023.
+# Jürgen Benvenuti <gastornis@posteo.org>, 2022-2024.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex master\n"
 "Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues\n"
-"POT-Creation-Date: 2023-09-03 08:18+0000\n"
-"PO-Revision-Date: 2023-09-14 20:45+0200\n"
+"POT-Creation-Date: 2024-01-22 20:31+0000\n"
+"PO-Revision-Date: 2024-01-23 16:50+0100\n"
 "Last-Translator: Jürgen Benvenuti <gastornis@posteo.org>\n"
 "Language-Team: German <gnome-de@gnome.org>\n"
 "Language: de\n"
@@ -27,7 +27,7 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Poedit 3.3.1\n"
+"X-Generator: Poedit 3.4\n"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:6
 #: src/ghex-application-window.ui.in:149
@@ -55,52 +55,40 @@ msgstr ""
 "Darstellung auf der anderen. GHex ist ein nützliches Werkzeug für den Umgang "
 "mit Rohdaten."
 
-#: data/org.gnome.GHex.appdata.xml.in.in:42
-msgid "Logan Rathbone"
-msgstr "Logan Rathbone"
-
 #: data/org.gnome.GHex.desktop.in.in:5
 msgid "Hex Editor"
 msgstr "Hexadezimaler Editor"
 
 #. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
 #: data/org.gnome.GHex.desktop.in.in:8
-msgid "binary;debug;"
-msgstr "binary;binär;Datei;debug;Fehlerbehebung;"
+msgid "binary;debug;hexadecimal;"
+msgstr "binary;binär;debug;Fehlerbehebung;hexadecimal;hexadezimal;"
+
+#: src/chartable.ui:30
+msgid "Character table"
+msgstr "Zeichentabelle"
 
-#: src/chartable.c:152 src/find-options.ui:67
+#: src/chartable.ui:44 src/find-options.ui:67
 msgid "ASCII"
 msgstr "ASCII"
 
-#: src/chartable.c:152 src/find-options.ui:66
+#: src/chartable.ui:69 src/find-options.ui:66
 msgid "Hex"
 msgstr "Hex"
 
-#: src/chartable.c:152
+#: src/chartable.ui:94
 msgid "Decimal"
 msgstr "Dezimal"
 
-#: src/chartable.c:153
+#: src/chartable.ui:119
 msgid "Octal"
 msgstr "Oktal"
 
-#: src/chartable.c:153
+#: src/chartable.ui:144
 msgid "Binary"
 msgstr "Binär"
 
-#: src/chartable.c:184
-msgid "Character table"
-msgstr "Zeichentabelle"
-
-#: src/chartable.c:252
-msgid "_Insert Character"
-msgstr "Zeichen e_infügen"
-
-#: src/chartable.c:256 src/converter.c:186
-msgid "_Close"
-msgstr "S_chließen"
-
-#: src/common-ui.c:240
+#: src/common-ui.c:246
 msgid ""
 "This program is free software; you can redistribute it and/or modify it "
 "under the terms of the GNU General Public License as published by the Free "
@@ -112,7 +100,7 @@ msgstr ""
 "veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß Version 2 "
 "der Lizenz oder (nach Ihrer Option) jeder späteren Version."
 
-#: src/common-ui.c:244
+#: src/common-ui.c:250
 msgid ""
 "This program is distributed in the hope that it will be useful, but WITHOUT "
 "ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
@@ -124,7 +112,7 @@ msgstr ""
 "implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN "
 "BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License."
 
-#: src/common-ui.c:248
+#: src/common-ui.c:254
 msgid ""
 "You should have received a copy of the GNU General Public License along with "
 "this program; if not, write to the Free Software Foundation, Inc., 51 "
@@ -137,20 +125,16 @@ msgstr ""
 
 #. Translators: these two strings here indicate the copyright time span,
 #. e.g. 1998-2018.
-#: src/common-ui.c:260
+#: src/common-ui.c:266
 #, c-format
 msgid "Copyright © %d–%d The GHex authors"
 msgstr "Copyright © %d–%d Die Autoren von GHex"
 
-#: src/common-ui.c:274
-msgid "A binary file editor"
-msgstr "Ein Binärdatei-Editor"
-
-#: src/common-ui.c:281
+#: src/common-ui.c:287
 msgid "About GHex"
 msgstr "Info zu GHex"
 
-#: src/common-ui.c:282
+#: src/common-ui.c:288
 msgid "translator-credits"
 msgstr ""
 "Eckehard Berns\n"
@@ -162,55 +146,61 @@ msgstr ""
 "Hendrik Richter <hendrikr@gnome.org>\n"
 "Andre Klapper <ak-47@gmx.net>\n"
 "Mario Blättermann <mario.blaettermann@gmail.com>\n"
-"Jürgen Benvenuti <gastornis@posteo.org>"
-
-#: src/common-ui.c:285
-msgid "GHex Website"
-msgstr "GHex-Webseite"
+"Jürgen Benvenuti <gastornis@posteo.org>\n"
+"Christian Kirbach <christian.kirbach@gmail.com>"
 
 #. Translators: This is an error string for a print-related error
 #. * dialog.  The %s is the error generated by GError.
-#: src/common-ui.c:349
+#: src/common-ui.c:353
 #, c-format
 msgid "An error has occurred: %s"
 msgstr "Es ist ein Fehler aufgetreten: %s"
 
-#: src/converter.c:183
+#: src/common-ui.c:374 src/find-dialog.ui:99 src/jump-dialog.ui:64
+msgid "Close"
+msgstr "Schließen"
+
+#: src/converter.c:166
 msgid "Base Converter"
 msgstr "Basis-Konverter"
 
 #. entries
-#: src/converter.c:209
+#: src/converter.c:176
 msgid "_Binary:"
 msgstr "_Binär:"
 
-#: src/converter.c:211
+#: src/converter.c:178
 msgid "_Octal:"
 msgstr "_Oktal:"
 
-#: src/converter.c:213
+#: src/converter.c:180
 msgid "_Decimal:"
 msgstr "_Dezimal:"
 
-#: src/converter.c:215
+#: src/converter.c:182
 msgid "_Hex:"
 msgstr "_Hex:"
 
-#: src/converter.c:217
+#: src/converter.c:184
 msgid "_ASCII:"
 msgstr "_ASCII:"
 
 #. get cursor button
-#: src/converter.c:221
+#: src/converter.c:188
 msgid "_Get cursor value"
-msgstr "Wert unter Cursor aus_lesen"
+msgstr "Wert unter Eingabemarke aus_lesen"
 
-#: src/converter.c:230
+#: src/converter.c:189
+msgid "_Close"
+msgstr "S_chließen"
+
+#: src/converter.c:199
 msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
 msgstr ""
-"Liest den Wert unter dem Cursor binär, oktal, hexadezimal und ASCII aus"
+"Liest den Wert unter der Eingabemarke als binär, oktal, hexadezimal und "
+"ASCII aus"
 
-#: src/converter.c:371
+#: src/converter.c:339
 msgid "ERROR"
 msgstr "FEHLER"
 
@@ -222,7 +212,7 @@ msgstr ""
 
 #: src/find-dialog.ui:41
 msgid "Find String"
-msgstr "Finde Zeichenkette"
+msgstr "Zeichenkette finden"
 
 #: src/find-dialog.ui:58
 msgid "Find _Next"
@@ -230,7 +220,7 @@ msgstr "_Weitersuchen"
 
 #: src/find-dialog.ui:62
 msgid "Finds the next occurrence of the search string"
-msgstr "Das nächste Auftreten der Suchzeichenkette wird gefunden"
+msgstr "Findet das nächste Auftreten der Suchzeichenkette"
 
 #: src/find-dialog.ui:67
 msgid "Find _Previous"
@@ -238,7 +228,7 @@ msgstr "_Rückwärts suchen"
 
 #: src/find-dialog.ui:70
 msgid "Finds the previous occurrence of the search string"
-msgstr "Das vorherige Auftreten der Suchzeichenkette suchen"
+msgstr "Findet das vorherige Auftreten der Suchzeichenkette"
 
 #: src/find-dialog.ui:75
 msgid "_Clear"
@@ -256,10 +246,6 @@ msgstr "Sucheinstellungen"
 msgid "View options of the find pane"
 msgstr "Ansichtseinstellungen des Suchen-Fensters"
 
-#: src/find-dialog.ui:99 src/jump-dialog.ui:63
-msgid "Close"
-msgstr "Schließen"
-
 #: src/find-dialog.ui:100
 msgid "Closes the find pane"
 msgstr "Schließt den Suchen-Dialog"
@@ -280,11 +266,11 @@ msgstr "Anzeigen:"
 msgid "Both"
 msgstr "Beides"
 
-#: src/findreplace.c:221
+#: src/findreplace.c:222
 msgid "No string provided."
 msgstr "Keine Zeichenkette angegeben."
 
-#: src/findreplace.c:395
+#: src/findreplace.c:396
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -294,7 +280,7 @@ msgstr ""
 "\n"
 "Es wurden keine weiteren Treffer gefunden."
 
-#: src/findreplace.c:397
+#: src/findreplace.c:398
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -304,7 +290,7 @@ msgstr ""
 "\n"
 "Es wurden keine weiteren Treffer ab der Eingabemarke gefunden."
 
-#: src/findreplace.c:407
+#: src/findreplace.c:408
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -314,7 +300,7 @@ msgstr ""
 "\n"
 "Es wurden keine weiteren Treffer gefunden."
 
-#: src/findreplace.c:409
+#: src/findreplace.c:410
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -324,19 +310,19 @@ msgstr ""
 "\n"
 "Es wurden keine weiteren Treffer ab der Eingabemarke gefunden."
 
-#: src/findreplace.c:480
+#: src/findreplace.c:481
 msgid "No offset has been specified."
 msgstr "Es wurde kein Versatz angegeben."
 
-#: src/findreplace.c:505
+#: src/findreplace.c:506
 msgid "The specified offset is beyond the  file boundaries."
 msgstr "Der angegebene Versatz liegt außerhalb der Dateigrenzen."
 
-#: src/findreplace.c:513
+#: src/findreplace.c:514
 msgid "Can not position cursor beyond the end of file."
 msgstr "Die Eingabemarke kann nicht hinter das Dateiende gesetzt werden."
 
-#: src/findreplace.c:523
+#: src/findreplace.c:525
 msgid ""
 "You may only give the offset as:\n"
 "  - a positive decimal number, or\n"
@@ -349,23 +335,23 @@ msgstr ""
 "  - oder den Zeichen »+« und »-«\n"
 "    gefolgt von einem relativen Versatz"
 
-#: src/findreplace.c:580
+#: src/findreplace.c:584
 msgid "String was not found."
 msgstr "Die Zeichenkette wurde nicht gefunden."
 
-#: src/findreplace.c:644
+#: src/findreplace.c:648
 #, c-format
 msgid "Search complete: %d replacements made."
 msgstr "Suche abgeschlossen: %d Ersetzungen wurden durchgeführt."
 
-#: src/findreplace.c:651
+#: src/findreplace.c:655
 msgid "No occurrences were found."
 msgstr "Keine Vorkommen gefunden."
 
 #. Translators: this is the string for an untitled buffer that will
 #. * be displayed in the titlebar when a user does File->New
 #.
-#: src/ghex-application-window.c:49 src/hex-document.c:1057
+#: src/ghex-application-window.c:49 src/hex-document.c:1091
 msgid "Untitled"
 msgstr "Namenlos"
 
@@ -373,7 +359,7 @@ msgstr "Namenlos"
 msgid "There was an error saving the file."
 msgstr "Beim Speichern der Datei ist ein Fehler aufgetreten."
 
-#: src/ghex-application-window.c:334
+#: src/ghex-application-window.c:327
 msgid ""
 "<b>You have one or more files open with unsaved changes.</b>\n"
 "\n"
@@ -386,18 +372,18 @@ msgstr ""
 "Sind Sie sicher, dass Sie das Fenster schließen wollen?\n"
 "\n"
 
-#: src/ghex-application-window.c:338
+#: src/ghex-application-window.c:330
 msgid "_Close Anyway"
 msgstr "_Trotzdem schließen"
 
-#: src/ghex-application-window.c:339 src/ghex-application-window.c:474
-#: src/ghex-application-window.c:1175
+#: src/ghex-application-window.c:331 src/ghex-application-window.c:465
+#: src/ghex-application-window.c:1159
 msgid "_Go Back"
 msgstr "_Zurück gehen"
 
 #. Translators: %s is the filename that is currently being
 #. * edited.
-#: src/ghex-application-window.c:452
+#: src/ghex-application-window.c:446
 #, c-format
 msgid ""
 "<big><b>%s has been edited since opening.</b></big>\n"
@@ -408,7 +394,7 @@ msgstr ""
 "\n"
 "Sollen die Änderungen gespeichert werden?"
 
-#: src/ghex-application-window.c:458
+#: src/ghex-application-window.c:452
 msgid ""
 "<b>The buffer has been edited since opening.</b>\n"
 "\n"
@@ -418,20 +404,20 @@ msgstr ""
 "\n"
 "Sollen die Änderungen gespeichert werden?"
 
-#: src/ghex-application-window.c:472
+#: src/ghex-application-window.c:463
 msgid "_Save Changes"
 msgstr "Änderungen _speichern"
 
-#: src/ghex-application-window.c:473
+#: src/ghex-application-window.c:464
 msgid "_Discard Changes"
 msgstr "Änderungen _verwerfen"
 
-#: src/ghex-application-window.c:1028
+#: src/ghex-application-window.c:1015
 msgid "There was an error saving the file to the path specified."
 msgstr ""
 "Beim Speichern der Datei in den angegebenen Pfad ist ein Fehler aufgetreten."
 
-#: src/ghex-application-window.c:1047
+#: src/ghex-application-window.c:1034
 msgid ""
 "An unknown error has occurred in attempting to reload the file you have just "
 "saved."
@@ -439,13 +425,13 @@ msgstr ""
 "Beim Versuch, die von Ihnen gerade gespeicherte Datei neu zu laden, ist ein "
 "unbekannter Fehler aufgetreten."
 
-#: src/ghex-application-window.c:1099
+#: src/ghex-application-window.c:1087
 msgid "Select a file to save buffer as"
 msgstr "Datei zum Abspeichern des Puffers auswählen"
 
 #. Translators: %s here is the filename the user is being asked to
 #. * confirm whether they want to revert.
-#: src/ghex-application-window.c:1168
+#: src/ghex-application-window.c:1153
 #, c-format
 msgid ""
 "<big><b>Are you sure you want to revert %s?</b></big>\n"
@@ -460,15 +446,15 @@ msgstr ""
 "\n"
 "Diese Aktion kann nicht rückgängig gemacht werden."
 
-#: src/ghex-application-window.c:1174 src/ghex-application-window.ui.in:39
+#: src/ghex-application-window.c:1158 src/ghex-application-window.ui.in:39
 msgid "_Revert"
 msgstr "Zu_rücksetzen"
 
-#: src/ghex-application-window.c:1258
+#: src/ghex-application-window.c:1246
 msgid "Select a file to open"
 msgstr "Datei zum Öffnen auswählen"
 
-#: src/ghex-application-window.c:1363
+#: src/ghex-application-window.c:1353
 #, c-format
 msgid ""
 "Sorry, but help could not be opened.\n"
@@ -492,7 +478,7 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/ghex-application-window.c:1439
+#: src/ghex-application-window.c:1430
 #, c-format
 msgid ""
 "Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
@@ -501,12 +487,12 @@ msgstr ""
 "Versatz: <tt>0x%lX</tt>; <tt>0x%lX</tt> Byte von <tt>0x%lX</tt> bis "
 "<tt>0x%lX</tt> ausgewählt"
 
-#: src/ghex-application-window.c:1443
+#: src/ghex-application-window.c:1434
 #, c-format
 msgid "Offset: <tt>0x%lX</tt>"
 msgstr "Versatz: <tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:2079
+#: src/ghex-application-window.c:2081
 msgid ""
 "You are attempting to open a file 1GB or larger.\n"
 "\n"
@@ -532,10 +518,19 @@ msgstr ""
 "\n"
 "Verwenden Sie ein anderes Puffer-Backend, um diese Beschränkung zu umgehen."
 
-#: src/ghex-application-window.c:2136
+#: src/ghex-application-window.c:2139
 msgid "There was an error reading the file."
 msgstr "Beim Lesen der Datei ist ein Fehler aufgetreten."
 
+#: src/ghex-application-window.c:2200
+msgid ""
+"There was an error loading the requested file. The file either no longer "
+"exists, is inaccessible, or you may not have permission to access the file."
+msgstr ""
+"Es gab einen Fehler beim Laden der angeforderten Datei. Die Datei existiert "
+"entweder nicht länger, ist nicht zugreifbar, oder Sie besitzen nicht die "
+"Berechtigung, um auf die Datei zuzugreifen."
+
 #: src/ghex-application-window.ui.in:31
 msgid "_New"
 msgstr "_Neu"
@@ -566,13 +561,11 @@ msgstr "_Bearbeiten"
 
 #: src/ghex-application-window.ui.in:74
 msgid "_Copy Special"
-msgstr ""
+msgstr "Besonderes _kopieren"
 
 #: src/ghex-application-window.ui.in:78
-#, fuzzy
-#| msgid "_Paste"
 msgid "_Paste Special"
-msgstr "_Einfügen"
+msgstr "Besonderes _einfügen"
 
 #: src/ghex-application-window.ui.in:85
 msgid "_Tools"
@@ -658,14 +651,22 @@ msgid ""
 "\n"
 "Or, press Ctrl+W to close the window."
 msgstr ""
+"• Drücken Sie auf den Knopf Öffnen\n"
+"• Ctrl+N erstellt ein neues Dokument\n"
+"• Suchen Sie mit Strg+O nach einem Dokument\n"
+"\n"
+"Ctrl+W schießt das aktuelle Fenster."
 
 #: src/ghex-application-window.ui.in:307
 msgid "Toggle insert mode (add data to file rather than replace existing data)"
 msgstr ""
+"Einfügen-Modus umschalten (Daten einer Datei hinzufügen, statt bestehende "
+"Daten zu ersetzen)"
 
 #: src/ghex-application-window.ui.in:319
 msgid "Toggle a pane showing various numeric conversions"
 msgstr ""
+"Ein Seitenfenster mit verschiedenen numerischen Umrechnungen ein-/ausblenden"
 
 #: src/gtkhex.ui:23
 msgid "Automatic geometry"
@@ -687,11 +688,11 @@ msgstr "_Wiederherstellen"
 msgid "Cu_t"
 msgstr "_Ausschneiden"
 
-#: src/gtkhex.ui:76 src/paste-special.c:405
+#: src/gtkhex.ui:76 src/paste-special.c:420
 msgid "_Copy"
 msgstr "_Kopieren"
 
-#: src/gtkhex.ui:80 src/paste-special.ui:49
+#: src/gtkhex.ui:80 src/paste-special.ui:47
 msgid "_Paste"
 msgstr "_Einfügen"
 
@@ -769,11 +770,11 @@ msgstr "Einfügen"
 
 #: src/help-overlay.ui:131
 msgid "Copy special"
-msgstr ""
+msgstr "Besonderes kopieren"
 
 #: src/help-overlay.ui:138
 msgid "Paste special"
-msgstr ""
+msgstr "Besonderes einfügen"
 
 #: src/help-overlay.ui:147
 msgid "Navigation"
@@ -799,19 +800,27 @@ msgstr "Zum nächsten Reiter wechseln"
 msgid "Jump to byte"
 msgstr "Zu folgendem Byte springen"
 
-#: src/help-overlay.ui:189
+#: src/help-overlay.ui:187
+msgid "Move to beginning of document"
+msgstr "An den Anfang des Dokuments springen"
+
+#: src/help-overlay.ui:194
+msgid "Move to end of document"
+msgstr "An das Ende des Dokuments springen"
+
+#: src/help-overlay.ui:203
 msgid "General"
 msgstr "Allgemein"
 
-#: src/help-overlay.ui:194
+#: src/help-overlay.ui:208
 msgid "Show help"
 msgstr "Hilfe anzeigen"
 
-#: src/help-overlay.ui:201
+#: src/help-overlay.ui:215
 msgid "Show preferences"
 msgstr "Einstellungen anzeigen"
 
-#: src/help-overlay.ui:208
+#: src/help-overlay.ui:222
 msgid "Toggle insert mode"
 msgstr "Einfügen-Modus umschalten"
 
@@ -845,7 +854,7 @@ msgstr "Die Datei kann nicht erstellt we
 msgid "Not a regular file or block device"
 msgstr "Keine reguläre Datei und kein Block-Gerät"
 
-#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:616
+#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:615
 msgid "Unable to open file for reading"
 msgstr "Die Datei kann nicht zum Lesen geöffnet werden"
 
@@ -862,6 +871,8 @@ msgid ""
 "With direct-write mode, you cannot save a file to a path other than its "
 "originating path"
 msgstr ""
+"Im Modus direkt-schreiben können Sie eine Datei nur in den ursprünglichen "
+"Dateipfad schreiben"
 
 #: src/hex-buffer-direct.c:552
 msgid "Error writing changes to file"
@@ -870,26 +881,27 @@ msgstr "Fehler beim Schreiben der Änder
 #: src/hex-buffer-mmap.c:310
 #, c-format
 msgid "Could not adjust %s from %lu to %lu bytes"
-msgstr ""
+msgstr "%s konnte nicht angepasst werden von %lu auf %lu Byte"
 
 #: src/hex-buffer-mmap.c:359
 #, c-format
 msgid "Fatal error: Memory mapping of file (%lu bytes, fd %d) failed"
 msgstr ""
+"Fataler Fehler: Memory mapping der Datei (%lu Byte, fd %d) ist gescheitert"
 
-#: src/hex-buffer-mmap.c:606
+#: src/hex-buffer-mmap.c:605
 msgid "Not a regular file"
 msgstr "Keine reguläre Datei"
 
-#: src/hex-buffer-mmap.c:647
+#: src/hex-buffer-mmap.c:646
 msgid "Failed to open temporary file."
 msgstr "Das Öffnen der temporären Datei ist gescheitert."
 
-#: src/hex-buffer-mmap.c:686
+#: src/hex-buffer-mmap.c:685
 msgid "Error reading file"
 msgstr "Fehler beim Lesen der Datei"
 
-#: src/hex-buffer-mmap.c:702
+#: src/hex-buffer-mmap.c:701
 msgid "An error has occurred"
 msgstr "Es ist ein Fehler aufgetreten"
 
@@ -957,26 +969,22 @@ msgstr "Unsigned und Float hexadezimal a
 msgid "Stream Length:"
 msgstr "Stream-Länge:"
 
-#: src/hex-dialog.c:237
-msgid "FIXME: no conversion function"
-msgstr "FIXME: Keine Umwandlungsfunktion"
-
-#: src/hex-document.c:1085
+#: src/hex-document.c:1119
 #, c-format
 msgid "Page"
 msgstr "Seite"
 
-#: src/hex-document.c:1091 src/hex-document.c:1194
+#: src/hex-document.c:1125 src/hex-document.c:1228
 #, c-format
 msgid "Hex dump generated by"
 msgstr "Hex-Dump erzeugt von"
 
-#: src/hex-document.c:1117
+#: src/hex-document.c:1151
 #, c-format
 msgid "Previous page"
 msgstr "Vorherige Seite"
 
-#: src/hex-document.c:1132
+#: src/hex-document.c:1166
 #, c-format
 msgid "Next page"
 msgstr "Nächste Seite"
@@ -985,23 +993,28 @@ msgstr "Nächste Seite"
 msgid "Jump to byte (enter offset):"
 msgstr "Zu folgendem Byte springen (Versatz eingeben):"
 
-#: src/jump-dialog.ui:43
+#: src/jump-dialog.ui:44
 msgid ""
 "Enter the offset byte to jump to. The default is decimal format, but other "
-"format strings are supported such as hexidecimal format, if C-style notation "
+"format strings are supported such as hexadecimal format, if C-style notation "
 "using the '0x' prefix is used. If your string is not recognized, a dialog "
 "will be presented explaining the valid formats of strings accepted."
 msgstr ""
+"Geben Sie das Byte des Versatzes ein, wohin gesprungen werden soll. Die "
+"Vorgabe ist das Dezimalformat, aber andere Formate werden unterstützt, wie "
+"zum Beispiel das Hexadezimal-Format. Für die Notation im C-Stil wird das "
+"Präfix »0x« verwendet. Wenn die Zeichenfolge nicht erkannt wird, öffnet sich "
+"ein Dialogfenster mit Erklärungen zu gültigen Formaten."
 
-#: src/jump-dialog.ui:48
+#: src/jump-dialog.ui:49
 msgid "_Jump"
 msgstr "_Springen"
 
-#: src/jump-dialog.ui:54
+#: src/jump-dialog.ui:55
 msgid "Jumps to the specified byte"
 msgstr "Zum angegebene Byte springen"
 
-#: src/jump-dialog.ui:64
+#: src/jump-dialog.ui:65
 msgid "Closes the jump-to-byte pane"
 msgstr "Schließt den »Springe zu Byte«-Dialog"
 
@@ -1018,7 +1031,7 @@ msgstr "Das ist GHex, Version %s\n"
 msgid "GHex - A hex editor for the GNOME desktop"
 msgstr "GHex - ein Hexadezimal-Editor für die GNOME-Arbeitsumgebung"
 
-#: src/paste-special.c:220
+#: src/paste-special.c:218
 #, c-format
 msgid ""
 "Paste failed; invalid hex format.\n"
@@ -1034,34 +1047,31 @@ msgstr ""
 "\n"
 "Zum Beispiel: »FF 3D 99 0A«"
 
-#: src/paste-special.c:310
-#, fuzzy
-#| msgid "GHex (%s): Find Data"
+#: src/paste-special.c:305
 msgid "GHex Paste Data"
-msgstr "GHex (%s): Daten suchen"
+msgstr "GHex Daten einfügen"
 
-#: src/paste-special.c:407
+#: src/paste-special.c:422
 msgid "Copy Special"
-msgstr ""
+msgstr "Besonderes kopieren"
 
-#: src/paste-special.c:512
+#: src/paste-special.c:527
 msgid "Plain text (as ASCII)"
 msgstr "Einfacher Text (als ASCII)"
 
-#: src/paste-special.c:529
+#: src/paste-special.c:544
 msgid "Plain text (Unicode)"
 msgstr "Einfacher Text (Unicode)"
 
-#: src/paste-special.c:533
+#: src/paste-special.c:548
 msgid "Plain text (as space-delimited hex pairs)"
 msgstr "Einfacher Text (als durch Komma getrennte Hexadezimalpaare)"
 
-#. paste_special_dialog
 #: src/paste-special.ui:28
 msgid "Paste Special"
-msgstr ""
+msgstr "Besonderes einfügen"
 
-#: src/paste-special.ui:55
+#: src/paste-special.ui:53
 msgid "_Cancel"
 msgstr "A_bbrechen"
 
@@ -1145,7 +1155,7 @@ msgstr "Abwechselnd schattierte Zeilen a
 
 #: src/preferences.ui:182
 msgid "Span across lines:"
-msgstr ""
+msgstr "Zeilenübergreifend:"
 
 #: src/print.c:50
 #, c-format
@@ -1179,6 +1189,21 @@ msgstr ""
 "Alle Auftritte der Suchzeichenkette werden durch die Ersatzzeichenkette "
 "ersetzt"
 
+#~ msgid "Logan Rathbone"
+#~ msgstr "Logan Rathbone"
+
+#~ msgid "_Insert Character"
+#~ msgstr "Zeichen e_infügen"
+
+#~ msgid "A binary file editor"
+#~ msgstr "Ein Binärdatei-Editor"
+
+#~ msgid "GHex Website"
+#~ msgstr "GHex-Internetseite"
+
+#~ msgid "FIXME: no conversion function"
+#~ msgstr "FIXME: Keine Umwandlungsfunktion"
+
 #~ msgid ""
 #~ "There was an error saving the file.\n"
 #~ "\n"
@@ -1190,15 +1215,6 @@ msgstr ""
 #~ "Ihre Berechtigungen bezüglich der Datei wurden möglicherweise durch ein "
 #~ "anderes Programm geändert, oder die Datei könnte beschädigt worden sein."
 
-#~ msgid ""
-#~ "There was an error loading the requested file. The file either no longer "
-#~ "exists, is inaccessible, or you may not have permission to access the "
-#~ "file."
-#~ msgstr ""
-#~ "Es gab einen Fehler beim Laden der angeforderten Datei. Die Datei "
-#~ "existiert entweder nicht länger, ist nicht zugreifbar, oder Sie besitzen "
-#~ "nicht die Berechtigung, um auf die Datei zuzugreifen."
-
 #~ msgid "Hex Group Type"
 #~ msgstr "Hex-Gruppentyp"
 
diff -pruN 45.1-1/po/el.po 46.0-1/po/el.po
--- 45.1-1/po/el.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/el.po	2024-03-22 05:14:59.000000000 +0000
@@ -2,1085 +2,1583 @@
 # Copyright (C) 2000-2001 Free Software Foundation, Inc.
 # Spiros Papadimitriou <spapadim+@cs.cmu.edu>, 2000.
 # Simos Xenitellis <simos@hellug.gr>, 2000-2001.
-# Some messages are still not translated; in particular,
-# those containing the terms "offset" (didn't like "ektopisma",
-# know there must be a better Greek word -- what do we use in
-# math?  aaargh!) and "buffer"
-# simos: put buffer=entamieftis, dunno what for "modal"
-# simos: 107 messages, 26Mar2001, updated translation of Spyros - Spyros did all.
 # Dimitris Spingos (Δημήτρης Σπίγγος) <dmtrs32@gmail.com>, 2013.
-# Vangelis Skarmoutsos <skarmoutsosv@gmail.com>, 2015.
+# Vangelis Skarmoutsos <skarmoutsosv@gmail.com>, 2015, 2024.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex 1.2\n"
-"Report-Msgid-Bugs-To: http://bugzilla.gnome.org/enter_bug.cgi?product=ghex&keywords=I18N"
-"+L10N&component=general\n"
-"POT-Creation-Date: 2015-09-29 17:48+0000\n"
-"PO-Revision-Date: 2015-09-30 11:07+0300\n"
-"Last-Translator: Tom Tryfonidis <tomtryf@gmail.com>\n"
+"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues\n"
+"POT-Creation-Date: 2023-02-05 11:31+0000\n"
+"PO-Revision-Date: 2024-01-16 10:52+0200\n"
+"Last-Translator: Vangelis Skarmoutsos <skarmoutsosv@gmail.com>\n"
 "Language-Team: Ελληνικά <team@gnome.gr>\n"
 "Language: el\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Poedit 1.8.4\n"
+"X-Generator: Poedit 3.2.2\n"
 "X-Project-Style: gnome\n"
 
-#: ../data/ghex.desktop.in.h:1 ../src/ghex-window.c:664 ../src/ghex-window.c:1100
+#: data/org.gnome.GHex.appdata.xml.in.in:6
+#: src/ghex-application-window.ui.in:149
 msgid "GHex"
 msgstr "GHex"
 
-#: ../data/ghex.desktop.in.h:2
-msgid "Hex Editor"
-msgstr "Δεκαεξαδικός επεξεργαστής"
-
-#: ../data/ghex.desktop.in.h:3
+#: data/org.gnome.GHex.appdata.xml.in.in:7 data/org.gnome.GHex.desktop.in.in:6
 msgid "Inspect and edit binary files"
 msgstr "Ελέγξτε και επεξεργαστείτε εκτελέσιμα αρχεία"
 
-#. TRANSLATORS: here, 'binary' means a binary file (not the base-2 numeric system)
-#: ../data/ghex.desktop.in.h:5
+#: data/org.gnome.GHex.appdata.xml.in.in:9
+msgid "GHex is a hex editor for the GNOME desktop."
+msgstr "Το GHex είναι ένας δεκαεξαδικός διορθωτής για το GNOME desktop."
+
+#: data/org.gnome.GHex.appdata.xml.in.in:12
+msgid ""
+"GHex can load raw data from binary files and display them for editing in the "
+"traditional hex editor view. The display is split in two columns, with "
+"hexadecimal values in one column and the ASCII representation in the other. "
+"GHex is a useful tool for working with raw data."
+msgstr ""
+
+#: data/org.gnome.GHex.appdata.xml.in.in:40
+msgid "Logan Rathbone"
+msgstr ""
+
+#: data/org.gnome.GHex.desktop.in.in:5
+msgid "Hex Editor"
+msgstr "Δεκαεξαδικός επεξεργαστής"
+
+#. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
+#: data/org.gnome.GHex.desktop.in.in:8
 msgid "binary;debug;"
 msgstr "δυαδικό;αποσφαλμάτωση;εκτελέσιμο;binary;debug;"
 
-#: ../src/chartable.c:147
+#: src/chartable.c:152 src/find-options.ui:67
 msgid "ASCII"
 msgstr "ASCII"
 
-#: ../src/chartable.c:147
+#: src/chartable.c:152 src/find-options.ui:66
 msgid "Hex"
 msgstr "Δεκαεξαδικό"
 
-#: ../src/chartable.c:147 ../src/preferences.c:142
+#: src/chartable.c:152
 msgid "Decimal"
 msgstr "Δεκαδικό"
 
-#: ../src/chartable.c:148
+#: src/chartable.c:153
 msgid "Octal"
 msgstr "Οκταδικό"
 
-#: ../src/chartable.c:148
+#: src/chartable.c:153
 msgid "Binary"
 msgstr "Δυαδικό"
 
-#: ../src/chartable.c:164
+#: src/chartable.c:184
 msgid "Character table"
 msgstr "Πίνακας χαρακτήρων"
 
-#: ../src/converter.c:232
+#: src/chartable.c:252
+msgid "_Insert Character"
+msgstr "Εισαγωγή χαρακτήρα"
+
+#: src/chartable.c:256 src/converter.c:186
+msgid "_Close"
+msgstr "_Κλείσιμο"
+
+#: src/common-ui.c:240
+msgid ""
+"This program is free software; you can redistribute it and/or modify it "
+"under the terms of the GNU General Public License as published by the Free "
+"Software Foundation; either version 2 of the License, or (at your option) "
+"any later version."
+msgstr ""
+"Αυτό το πρόγραμμα είναι ελεύθερο λογισμικό· επιτρέπεται η αναδιανομή ή/και η "
+"τροποποίησή του υπό τους όρους της Γενικής Άδειας Δημόσιας Χρήσης GNU όπως "
+"αυτή δημοσιεύεται από το Ίδρυμα Ελεύθερου Λογισμικού· είτε της έκδοσης 2 της "
+"άδειας, είτε (κατ' επιλογήν) οποιασδήποτε μεταγενέστερης έκδοσης."
+
+#: src/common-ui.c:244
+msgid ""
+"This program is distributed in the hope that it will be useful, but WITHOUT "
+"ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
+"FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for "
+"more details."
+msgstr ""
+"Αυτό το πρόγραμμα διανέμεται με την ελπίδα ότι θα είναι χρήσιμο, αλλά ΧΩΡΙΣ "
+"ΚΑΜΙΑ ΑΠΟΛΥΤΩΣ ΕΓΓΥΗΣΗ· χωρίς ακόμη και την έμμεση εγγύηση ΕΜΠΟΡΕΥΣΙΜΟΤΗΤΑΣ "
+"ή ΚΑΤΑΛΛΗΛΟΤΗΤΑΣ ΓΙΑ ΣΥΓΚΕΚΡΙΜΕΝΟ ΣΚΟΠΟ. Δείτε για περισσότερες λεπτομέρειες "
+"τη Γενική Άδεια Δημόσιας Χρήσης GNU."
+
+#: src/common-ui.c:248
+msgid ""
+"You should have received a copy of the GNU General Public License along with "
+"this program; if not, write to the Free Software Foundation, Inc., 51 "
+"Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA"
+msgstr ""
+"Θα πρέπει να έχετε λάβει ένα αντίγραφο της Γενικής Άδειας Δημόσιας Χρήσης "
+"GNU (GNU General Public License) μαζί με αυτό το πρόγραμμα. Αν όχι, "
+"επικοινωνήστε γραπτώς με το Ίδρυμα Ελεύθερου Λογισμικού (Free Software "
+"Foundation, Inc.), 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, "
+"USA"
+
+#. Translators: these two strings here indicate the copyright time span,
+#. e.g. 1998-2018.
+#: src/common-ui.c:260
+#, c-format
+msgid "Copyright © %d–%d The GHex authors"
+msgstr "Πνευματικά δικαιώματα © %d–%d Οι συγγραφείς του GHex"
+
+#: src/common-ui.c:274
+msgid "A binary file editor"
+msgstr "Ένας διορθωτής δυαδικών αρχείων"
+
+#: src/common-ui.c:281
+msgid "About GHex"
+msgstr "Σχετικά με το GHex"
+
+#: src/common-ui.c:282
+msgid "translator-credits"
+msgstr ""
+"Ελληνική μεταφραστική ομάδα GNOME\n"
+"Δημήτρης Σπίγγος <dmtrs32@gmail.com>\n"
+"Βαγγέλης Σκαρμούτσος <skarmoutsosv@gmail.com>\n"
+"\n"
+"Για περισσότερες πληροφορίες, επισκεφθείτε τη σελίδα\n"
+"http://gnome.gr"
+
+#: src/common-ui.c:285
+msgid "GHex Website"
+msgstr "Ιστότοπος GHex"
+
+#. Translators: This is an error string for a print-related error
+#. * dialog.  The %s is the error generated by GError.
+#: src/common-ui.c:349
+#, fuzzy, c-format
+#| msgid "An error occurred while saving file!"
+msgid "An error has occurred: %s"
+msgstr "Σφάλμα κατά την αποθήκευση του αρχείου!"
+
+#: src/context-menu.ui:30
+msgid "_Undo"
+msgstr "Αναίρεση"
+
+#: src/context-menu.ui:34
+msgid "_Redo"
+msgstr "Α_κύρωση αναίρεσης"
+
+#: src/context-menu.ui:40
+msgid "Cu_t"
+msgstr "Απο_κοπή"
+
+#: src/context-menu.ui:44 src/paste-special.c:405
+msgid "_Copy"
+msgstr "Α_ντιγραφή"
+
+#: src/context-menu.ui:48 src/paste-special.ui:49
+#, fuzzy
+msgid "_Paste"
+msgstr "Σελίδα"
+
+#: src/converter.c:183
 msgid "Base Converter"
 msgstr "Μετατροπέας βάσης"
 
 #. entries
-#: ../src/converter.c:253
+#: src/converter.c:209
 msgid "_Binary:"
-msgstr "Δ_υαδικό:"
+msgstr "Δυαδικό:"
 
-#: ../src/converter.c:255
+#: src/converter.c:211
 msgid "_Octal:"
 msgstr "_Οκταδικό:"
 
-#: ../src/converter.c:257
+#: src/converter.c:213
 msgid "_Decimal:"
 msgstr "_Δεκαδικό:"
 
-#: ../src/converter.c:259
+#: src/converter.c:215
 msgid "_Hex:"
-msgstr "Δ_εκαεξαδικό:"
+msgstr "Δεκαεξαδικό:"
 
-#: ../src/converter.c:261
+#: src/converter.c:217
 msgid "_ASCII:"
 msgstr "_ASCII:"
 
 #. get cursor button
-#: ../src/converter.c:265
+#: src/converter.c:221
 msgid "_Get cursor value"
 msgstr "_Λήψη τιμής δρομέα"
 
-#: ../src/converter.c:279
-msgid "Get cursor value"
-msgstr "Λήψη τιμής δρομέα"
-
-#: ../src/converter.c:279
+#: src/converter.c:230
 msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
-msgstr "Δέχεται την τιμή στον δρομέα σε δυαδική, οκταδική, δεκαδική, δεκαεξαδική και ASCII"
+msgstr ""
+"Δέχεται την τιμή στον δρομέα σε δυαδική, οκταδική, δεκαδική, δεκαεξαδική και "
+"ASCII"
 
-#: ../src/converter.c:419
+#: src/converter.c:371
 msgid "ERROR"
 msgstr "ΣΦΑΛΜΑ"
 
-#: ../src/findreplace.c:97 ../src/findreplace.c:221 ../src/ui.c:885
-#, c-format
-msgid "GHex (%s): Find Data"
-msgstr "GHex (%s): Αναζήτηση δεδομένων"
+#: src/find-dialog.ui:38
+msgid "Enter the hex data or ASCII data to search for"
+msgstr "Εισάγετε τα δεκαεξαδικά δεδομένα ή δεδομένα ASCII για αναζήτηση"
 
-#: ../src/findreplace.c:101 ../src/findreplace.c:161 ../src/findreplace.c:359
+#: src/find-dialog.ui:41
 msgid "Find String"
 msgstr "Εύρεση συμβολοσειράς"
 
-#: ../src/findreplace.c:108 ../src/findreplace.c:258
+#: src/find-dialog.ui:58
 msgid "Find _Next"
 msgstr "Εύρεση _επόμενου"
 
-#: ../src/findreplace.c:115 ../src/findreplace.c:267
+#: src/find-dialog.ui:62
+msgid "Finds the next occurrence of the search string"
+msgstr "Εύρεση της επόμενης αντιστοίχισης της ζητούμενης συμβολοσειράς"
+
+#: src/find-dialog.ui:67
 msgid "Find _Previous"
 msgstr "Εύρεση _προηγούμενου"
 
-#: ../src/findreplace.c:138 ../src/findreplace.c:413
-msgid "Find Data"
-msgstr "Εύρεση δεδομένων"
-
-#: ../src/findreplace.c:138 ../src/findreplace.c:413
-msgid "Enter the hex data or ASCII data to search for"
-msgstr "Εισάγετε τα δεκαεξαδικά δεδομένα ή δεδομένα ASCII για αναζήτηση"
+#: src/find-dialog.ui:70
+#, fuzzy
+#| msgid "Finds the previous occurrence of the search string "
+msgid "Finds the previous occurrence of the search string"
+msgstr "Εύρεση προηγούμενης αντιστοίχισης της ζητούμενης συμβολοσειράς "
 
-#: ../src/findreplace.c:139
-msgid "Find Next"
-msgstr "Εύρεση επομένου"
+#: src/find-dialog.ui:75
+msgid "_Clear"
+msgstr ""
 
-#: ../src/findreplace.c:139 ../src/findreplace.c:415
-msgid "Finds the next occurrence of the search string"
-msgstr "Εύρεση της επόμενης αντιστοίχισης της ζητούμενης συμβολοσειράς"
+#: src/find-dialog.ui:78
+#, fuzzy
+#| msgid "Enter the hex data or ASCII data to search for"
+msgid "Clears the data you are searching for"
+msgstr "Εισάγετε τα δεκαεξαδικά δεδομένα ή δεδομένα ASCII για αναζήτηση"
 
-#: ../src/findreplace.c:140
-msgid "Find previous"
+#: src/find-dialog.ui:88
+#, fuzzy
+#| msgid "Find previous"
+msgid "Find options"
 msgstr "Εύρεση προηγούμενου"
 
-#: ../src/findreplace.c:140
-msgid "Finds the previous occurrence of the search string "
-msgstr "Εύρεση προηγούμενης αντιστοίχισης της ζητούμενης συμβολοσειράς "
+#: src/find-dialog.ui:89
+msgid "View options of the find pane"
+msgstr ""
 
-#: ../src/findreplace.c:141 ../src/findreplace.c:418 ../src/findreplace.c:469
-msgid "Cancel"
-msgstr "Άκυρο"
+#: src/find-dialog.ui:99 src/jump-dialog.ui:63
+msgid "Close"
+msgstr "Κλείσιμο"
 
-#: ../src/findreplace.c:141
-msgid "Closes find data window"
+#: src/find-dialog.ui:100
+#, fuzzy
+#| msgid "Closes find data window"
+msgid "Closes the find pane"
 msgstr "Κλείνει το παράθυρο εύρεσης δεδομένων"
 
-#: ../src/findreplace.c:157
-#, c-format
-msgid "GHex (%s): Find Data: Add search"
-msgstr "GHex (%s): Αναζήτηση δεδομένων: Προσθήκη αναζήτησης"
-
-#: ../src/findreplace.c:179
-msgid "Add"
-msgstr "Προσθήκη"
+#: src/find-options.ui:60
+msgid "Show:"
+msgstr ""
 
-#: ../src/findreplace.c:235
-msgid "Search String"
-msgstr "Αναζήτηση συμβολοσειράς"
+#: src/find-options.ui:68
+msgid "Both"
+msgstr ""
 
-#: ../src/findreplace.c:243
-msgid "Highlight Colour"
-msgstr "Επισήμανση χρώματος"
+#: src/findreplace.c:221
+msgid "No string provided."
+msgstr ""
 
-#: ../src/findreplace.c:280
-msgid "_Add New"
-msgstr "_Προσθήκη νέου"
+#: src/findreplace.c:395
+msgid ""
+"Beginning of file reached.\n"
+"\n"
+"No further matches found."
+msgstr ""
 
-#: ../src/findreplace.c:289
-msgid "_Remove Selected"
-msgstr "_Αφαίρεση επιλεγμένου"
+#: src/findreplace.c:397
+msgid ""
+"Beginning of file reached.\n"
+"\n"
+"No occurrences found from cursor."
+msgstr ""
 
-#: ../src/findreplace.c:309
-msgid "Close"
-msgstr "Κλείσιμο"
+#: src/findreplace.c:407
+msgid ""
+"End of file reached.\n"
+"\n"
+"No further matches found."
+msgstr ""
 
-#: ../src/findreplace.c:309
-msgid "Closes advanced find window"
-msgstr "Κλείνει το προχωρημένο παράθυρο αναζήτησης"
+#: src/findreplace.c:409
+msgid ""
+"End of file reached.\n"
+"\n"
+"No occurrences found from cursor."
+msgstr ""
 
-#: ../src/findreplace.c:355 ../src/ui.c:883
-#, c-format
-msgid "GHex (%s): Find & Replace Data"
-msgstr "GHex (%s): Εύρεση και αντικατάσταση δεδομένων"
+#: src/findreplace.c:480
+msgid "No offset has been specified."
+msgstr "Δεν ορίστηκε μετατόπιση."
+
+#: src/findreplace.c:505
+msgid "The specified offset is beyond the  file boundaries."
+msgstr "Η καθορισμένη μετατόπιση είναι πέρα από τα όρια του αρχείου."
 
-#: ../src/findreplace.c:368
-msgid "Replace With"
-msgstr "Αντικατάσταση με"
+#: src/findreplace.c:513
+#, fuzzy
+#| msgid "Can not position cursor beyond the End Of File!"
+msgid "Can not position cursor beyond the end of file."
+msgstr "Αδύνατη η τοποθέτηση δρομέα πέρα από το τέλος αρχείου!"
 
-#: ../src/findreplace.c:375
-msgid "Find _next"
-msgstr "Εύρεση επό_μενου"
+#: src/findreplace.c:523
+msgid ""
+"You may only give the offset as:\n"
+"  - a positive decimal number, or\n"
+"  - a hex number, beginning with '0x', or\n"
+"  - a '+' or '-' sign, followed by a relative offset"
+msgstr ""
+"Μπορείτε να δώσετε την μετατόπιση μόνο ως:\n"
+"  - θετικό δεκαδικό αριθμό, ή\n"
+"  - δεκαεξαδικό αριθμό, που ξεκινά με '0x', ή\n"
+"  - πρόσημο '+' or '-', ακολουθούμενο από μια σχετική μετατόπιση"
 
-#: ../src/findreplace.c:383
-msgid "_Replace"
-msgstr "Α_ντικατάσταση"
+#: src/findreplace.c:580
+#, fuzzy
+#| msgid "String was not found!\n"
+msgid "String was not found."
+msgstr "Δε βρέθηκε η συμβολοσειρά!\n"
 
-#: ../src/findreplace.c:391
-msgid "Replace _All"
-msgstr "Αντικατάσταση ό_λων"
+#: src/findreplace.c:644
+#, c-format
+msgid "Search complete: %d replacements made."
+msgstr ""
 
-#: ../src/findreplace.c:414
-msgid "Replace Data"
-msgstr "Αντικατάσταση δεδομένων"
+#: src/findreplace.c:651
+msgid "No occurrences were found."
+msgstr "Δεν βρέθηκαν εμφανίσεις."
 
-#: ../src/findreplace.c:414
-msgid "Enter the hex data or ASCII data to replace with"
-msgstr "Εισάγετε τα δεκαεξαδικά ή ASCII δεδομένα για αντικατάσταση"
+#. Translators: this is the string for an untitled buffer that will
+#. * be displayed in the titlebar when a user does File->New
+#.
+#: src/ghex-application-window.c:49 src/hex-document.c:1057
+#, fuzzy
+msgid "Untitled"
+msgstr "_Αρχείο"
 
-#: ../src/findreplace.c:415
-msgid "Find next"
-msgstr "Εύρεση επομένου"
-
-#: ../src/findreplace.c:416
-msgid "Replace"
-msgstr "Αντικατάσταση"
+#: src/ghex-application-window.c:284
+#, fuzzy
+#| msgid ""
+#| "There was an error displaying help: \n"
+#| "%s"
+msgid "There was an error saving the file."
+msgstr ""
+"Παρουσιάστηκε σφάλμα κατά την εμφάνιση της βοήθειας: \n"
+"%s"
 
-#: ../src/findreplace.c:416
-msgid "Replaces the search string with the replace string"
-msgstr "Αντικαθιστά τη συμβολοσειρά αναζήτησης με τη συμβολοσειρά αντικατάστασης"
+#: src/ghex-application-window.c:334
+msgid ""
+"<b>You have one or more files open with unsaved changes.</b>\n"
+"\n"
+"Are you sure you want to close the window?\n"
+"\n"
+msgstr ""
+"<b>Έχετε ένα ή περισσότερα αρχεία ανοιχτά με μη αποθηκευμένες αλλαγές.</b>\n"
+"\n"
+"Σίγουρα θέλετε να κλείσετε το παράθυρο;\n"
+"\n"
 
-#: ../src/findreplace.c:417
-msgid "Replace All"
-msgstr "Αντικατάσταση όλων"
+#: src/ghex-application-window.c:338
+#, fuzzy
+#| msgid "_Close"
+msgid "_Close Anyway"
+msgstr "_Κλείσιμο"
 
-#: ../src/findreplace.c:417
-msgid "Replaces all occurrences of the search string with the replace string"
+#: src/ghex-application-window.c:339 src/ghex-application-window.c:474
+#: src/ghex-application-window.c:1164
+msgid "_Go Back"
 msgstr ""
-"Αντικαθιστά όλες τις εμφανίσεις της συμβολοσειράς αναζήτησης με τη συμβολοσειρά αντικατάστασης"
 
-#: ../src/findreplace.c:418
-msgid "Closes find and replace data window"
-msgstr "Κλείνει το παράθυρο εύρεσης και αντικατάστασης δεδομένων"
-
-#: ../src/findreplace.c:434 ../src/ui.c:881
+#. Translators: %s is the filename that is currently being
+#. * edited.
+#: src/ghex-application-window.c:452
 #, c-format
-msgid "GHex (%s): Jump To Byte"
-msgstr "GHex (%s): Μετάβαση σε byte"
-
-#: ../src/findreplace.c:467
-msgid "Jump to byte"
-msgstr "Μετάβαση σε byte"
+msgid ""
+"<big><b>%s has been edited since opening.</b></big>\n"
+"\n"
+"Would you like to save your changes?"
+msgstr ""
+"<big><b>%s έχει επεξεργαστεί μετά το άνοιγμα.</b></big>\n"
+"\n"
+"Θέλετε να αποθηκεύσετε τις αλλαγές;"
 
-#: ../src/findreplace.c:467
-msgid "Enter the byte to jump to"
-msgstr "Εισάγετε το byte στο οποίο θα μεταβείτε"
-
-#: ../src/findreplace.c:468
-msgid "OK"
-msgstr "Εντάξει"
+#: src/ghex-application-window.c:458
+msgid ""
+"<b>The buffer has been edited since opening.</b>\n"
+"\n"
+"Would you like to save your changes?"
+msgstr ""
 
-#: ../src/findreplace.c:468
-msgid "Jumps to the specified byte"
-msgstr "Μεταβαίνει στο συγκεκριμένο byte"
+#: src/ghex-application-window.c:472
+#, fuzzy
+msgid "_Save Changes"
+msgstr "Αποθήκευση Ως"
 
-#: ../src/findreplace.c:469
-msgid "Closes jump to byte window"
-msgstr "Κλείνει το παράθυρο της μετάβασης σε byte"
+#: src/ghex-application-window.c:473
+#, fuzzy
+#| msgid "Displayed range"
+msgid "_Discard Changes"
+msgstr "Απεικονιζόμενο εύρος τιμών"
 
-#: ../src/findreplace.c:532 ../src/findreplace.c:566 ../src/findreplace.c:673
-msgid "There is no active document to search!"
-msgstr "Δεν υπάρχει ενεργό έγγραφο για αναζήτηση!"
-
-#: ../src/findreplace.c:539 ../src/findreplace.c:573 ../src/findreplace.c:680
-#: ../src/findreplace.c:714 ../src/findreplace.c:759
-msgid "There is no string to search for!"
-msgstr "Δεν υπάρχει συμβολοσειρά για αναζήτηση!"
-
-#: ../src/findreplace.c:551 ../src/findreplace.c:689 ../src/findreplace.c:879
-msgid "End Of File reached"
-msgstr "Έφτασε το τέλος του αρχείου"
-
-#: ../src/findreplace.c:552 ../src/findreplace.c:585 ../src/findreplace.c:688
-#: ../src/findreplace.c:880 ../src/findreplace.c:903
-msgid "String was not found!\n"
-msgstr "Δε βρέθηκε η συμβολοσειρά!\n"
+#: src/ghex-application-window.c:1017
+#, fuzzy
+#| msgid ""
+#| "There was an error displaying help: \n"
+#| "%s"
+msgid "There was an error saving the file to the path specified."
+msgstr ""
+"Παρουσιάστηκε σφάλμα κατά την εμφάνιση της βοήθειας: \n"
+"%s"
 
-#: ../src/findreplace.c:584 ../src/findreplace.c:902
-msgid "Beginning Of File reached"
-msgstr "Έφτασε η αρχή του αρχείου"
-
-#: ../src/findreplace.c:601
-msgid "There is no active document to move the cursor in!"
-msgstr "Δεν υπάρχει ενεργό έγγραφο για μετακίνηση του δρομέα!"
-
-#: ../src/findreplace.c:619
-msgid "No offset has been specified!"
-msgstr "Δεν ορίστηκε μετατόπιση!"
-
-#: ../src/findreplace.c:644
-msgid "The specified offset is beyond the  file boundaries!"
-msgstr "Η καθορισμένη μετατόπιση είναι πέρα από τα όρια του αρχείου!"
+#: src/ghex-application-window.c:1036
+msgid ""
+"An unknown error has occurred in attempting to reload the file you have just "
+"saved."
+msgstr ""
 
-#: ../src/findreplace.c:652
-msgid "Can not position cursor beyond the End Of File!"
-msgstr "Αδύνατη η τοποθέτηση δρομέα πέρα από το τέλος αρχείου!"
+#: src/ghex-application-window.c:1088
+msgid "Select a file to save buffer as"
+msgstr "Επιλογή αρχείου για αποθήκευση ενδιάμεσης μνήμης ως"
 
-#: ../src/findreplace.c:659
+#. Translators: %s here is the filename the user is being asked to
+#. * confirm whether they want to revert.
+#: src/ghex-application-window.c:1157
+#, c-format
 msgid ""
-"You may only give the offset as:\n"
-"  - a positive decimal number, or\n"
-"  - a hex number, beginning with '0x', or\n"
-"  - a '+' or '-' sign, followed by a relative offset"
+"<big><b>Are you sure you want to revert %s?</b></big>\n"
+"\n"
+"Your changes will be lost.\n"
+"\n"
+"This action cannot be undone."
 msgstr ""
-"Μπορείτε να δώσετε την μετατόπιση μόνο ως:\n"
-"  - θετικό δεκαδικό αριθμό, ή\n"
-"  - δεκαεξαδικό αριθμό, που ξεκινά με '0x', ή\n"
-"  - πρόσημο '+' or '-', ακολουθούμενο από μια σχετική μετατόπιση"
+"<big><b>Σίγουρα θέλετε να επαναφέρετε %s;</b></big>\n"
+"\n"
+"Οι αλλαγές σας θα χαθούν.\n"
+"\n"
+"Αυτή η ενέργεια δεν μπορεί να αναιρεθεί."
 
-#: ../src/findreplace.c:705
-msgid "There is no active buffer to replace data in!"
-msgstr "Δεν υπάρχει ενεργή ενδιάμεση μνήμη για αντικατάσταση των δεδομένων!"
-
-#: ../src/findreplace.c:730 ../src/findreplace.c:731
-msgid "End Of File reached!"
-msgstr "Έφτασε το τέλος του αρχείου!"
-
-#: ../src/findreplace.c:750
-msgid "There is no active document to replace data in!"
-msgstr "Δεν υπάρχει ενεργό έγγραφο για αντικατάσταση των δεδομένων!"
+#: src/ghex-application-window.c:1163 src/ghex-application-window.ui.in:39
+msgid "_Revert"
+msgstr "Επανα_φορά"
 
-#: ../src/findreplace.c:780
-msgid "No occurrences were found."
-msgstr "Δεν βρέθηκαν εμφανίσεις."
+#: src/ghex-application-window.c:1247
+msgid "Select a file to open"
+msgstr "Επιλέξτε αρχείο για άνοιγμα"
 
-#: ../src/findreplace.c:783
+#: src/ghex-application-window.c:1352
 #, c-format
-msgid "Replaced %d occurrence."
-msgid_plural "Replaced %d occurrences."
-msgstr[0] "Αντικαταστάθηκε %d αντιστοιχία."
-msgstr[1] "Αντικαταστάθηκαν %d αντιστοιχίες."
-
-#: ../src/findreplace.c:823
-msgid "No string to search for!"
-msgstr "Δε υπάρχει συμβολοσειρά για αναζήτηση!"
+msgid ""
+"Sorry, but help could not be opened.\n"
+"\n"
+"Various attempts were made to locate the help documentation unsuccessfully.\n"
+"\n"
+"Please ensure the application was properly installed.\n"
+"\n"
+"The specific error message is:\n"
+"\n"
+"%s"
+msgstr ""
 
-#: ../src/ghex-window.c:90
+#: src/ghex-application-window.c:1428
 #, c-format
 msgid ""
-"Can not open URI:\n"
-"%s"
+"Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
+"<tt>0x%lX</tt> selected"
 msgstr ""
-"Αδύνατο το άνοιγμα URI:\n"
-"%s"
+"Μετατόπιση: <tt>0x%lX</tt>; <tt>0x%lX</tt> byte από <tt>0x%lX</tt> έως "
+"<tt>0x%lX</tt> επιλέχθηκαν"
 
-#: ../src/ghex-window.c:111
+#: src/ghex-application-window.c:1432
 #, c-format
+msgid "Offset: <tt>0x%lX</tt>"
+msgstr "Μετατόπιση: <tt>0x%lX</tt>"
+
+#: src/ghex-application-window.c:2048
 msgid ""
-"Can not open file:\n"
-"%s"
+"You are attempting to open a file 1GB or larger.\n"
+"\n"
+"This can make GHex and your machine unstable as the file will be loaded into "
+"memory, using the active backend.\n"
+"\n"
+"Are you sure you want to proceed?\n"
+"\n"
+"This message will not be shown again for the remainder of this GHex "
+"session.\n"
+"\n"
+"To avoid this message from appearing, try using a different buffer backend."
+msgstr ""
+
+#: src/ghex-application-window.c:2105
+#, fuzzy
+#| msgid ""
+#| "There was an error displaying help: \n"
+#| "%s"
+msgid "There was an error reading the file."
 msgstr ""
-"Αδύνατο το άνοιγμα του αρχείου:\n"
+"Παρουσιάστηκε σφάλμα κατά την εμφάνιση της βοήθειας: \n"
 "%s"
 
-#: ../src/ghex-window.c:340
-msgid "_File"
-msgstr "_Αρχείο"
+#: src/ghex-application-window.ui.in:31
+msgid "_New"
+msgstr "Νέο"
+
+#: src/ghex-application-window.ui.in:35
+msgid "Save _As"
+msgstr "_Αποθήκευση ως"
 
-#: ../src/ghex-window.c:341
+#: src/ghex-application-window.ui.in:46
+msgid "_Print"
+msgstr "_Εκτύπωση"
+
+#: src/ghex-application-window.ui.in:50
+msgid "Print Previe_w"
+msgstr "Προεπισκόπηση εκτύπωσης"
+
+#: src/ghex-application-window.ui.in:58
+msgid "Find and _Replace"
+msgstr "Εύ_ρεση και αντικατάσταση"
+
+#: src/ghex-application-window.ui.in:62
+#, fuzzy
+#| msgid "Jump to byte"
+msgid "_Jump to Byte"
+msgstr "Μετάβαση σε byte"
+
+#: src/ghex-application-window.ui.in:72
 msgid "_Edit"
 msgstr "_Επεξεργασία"
 
-#: ../src/ghex-window.c:342
-msgid "_View"
-msgstr "_Προβολή"
-
-#: ../src/ghex-window.c:343
-msgid "_Group Data As"
-msgstr "_Ομαδοποίηση δεδομένων ως"
-
-#. View submenu
-#: ../src/ghex-window.c:344
-msgid "_Windows"
-msgstr "_Παράθυρα"
+#: src/ghex-application-window.ui.in:74
+msgid "_Copy Special"
+msgstr "Ειδική αντιγραφή"
+
+#: src/ghex-application-window.ui.in:78
+msgid "_Paste Special"
+msgstr "Ειδική επικόλληση"
+
+#: src/ghex-application-window.ui.in:85
+#, fuzzy
+#| msgid "Tools"
+msgid "_Tools"
+msgstr "Εργαλεία"
+
+#: src/ghex-application-window.ui.in:87
+msgid "_Character Table"
+msgstr "Πίνακας χαρακτήρων"
+
+#: src/ghex-application-window.ui.in:91
+msgid "_Base Converter"
+msgstr "Μετατροπέας _βάσης"
+
+#: src/ghex-application-window.ui.in:98
+msgid "G_roup Data As"
+msgstr "Ομαδοποίηση δεδομένων ως"
+
+#: src/ghex-application-window.ui.in:100
+#, fuzzy
+#| msgid "_Bytes"
+msgid "_Bytes (8-bit)"
+msgstr "_Bytes"
+
+#: src/ghex-application-window.ui.in:106
+msgid "_Words (16-bit)"
+msgstr ""
+
+#: src/ghex-application-window.ui.in:111
+#, fuzzy
+#| msgid "_Longwords"
+msgid "_Longwords (32-bit)"
+msgstr "Με_γάλες λέξεις"
+
+#: src/ghex-application-window.ui.in:116
+msgid "_Quadwords (64-bit)"
+msgstr ""
+
+#: src/ghex-application-window.ui.in:126
+msgid "_Keyboard Shortcuts"
+msgstr "Συντομεύσεις πλη_κτρολογίου"
 
-#: ../src/ghex-window.c:345
+#: src/ghex-application-window.ui.in:131
+msgid "_Preferences"
+msgstr "_Προτιμήσεις"
+
+#: src/ghex-application-window.ui.in:136
 msgid "_Help"
 msgstr "_Βοήθεια"
 
-#. File menu
-#: ../src/ghex-window.c:348
-msgid "_Open..."
-msgstr "Ά_νοιγμα..."
-
-#: ../src/ghex-window.c:349
-msgid "Open a file"
-msgstr "Άνοιγμα αρχείου"
-
-#: ../src/ghex-window.c:351
-msgid "_Save"
-msgstr "Απο_θήκευση"
-
-#: ../src/ghex-window.c:352
-msgid "Save the current file"
-msgstr "Αποθήκευση του τρέχοντος αρχείου"
-
-#: ../src/ghex-window.c:354
-msgid "Save _As..."
-msgstr "Αποθήκευση _ως..."
-
-#: ../src/ghex-window.c:355
-msgid "Save the current file with a different name"
-msgstr "Αποθήκευση του τρέχοντος αρχείου με διαφορετικό όνομα"
-
-#: ../src/ghex-window.c:357
-msgid "Save As _HTML..."
-msgstr "Αποθήκευση ως _HTML..."
-
-#: ../src/ghex-window.c:358
-msgid "Export data to HTML source"
-msgstr "Εξαγωγή δεδομένων σε πηγή HTML"
+#: src/ghex-application-window.ui.in:141
+#, fuzzy
+#| msgid "About GHex"
+msgid "_About GHex"
+msgstr "Σχετικά με το GHex"
 
-#: ../src/ghex-window.c:360
-msgid "_Revert"
-msgstr "Επανα_φορά"
+#: src/ghex-application-window.ui.in:170
+msgid "Open a file for hex editing"
+msgstr "Άνοιγμα αρχείου για δεκαεξαδική επεξεργασία"
 
-#: ../src/ghex-window.c:361
-msgid "Revert to a saved version of the file"
-msgstr "Επαναφορά σε αποθηκευμένη έκδοση του αρχείου"
+#: src/ghex-application-window.ui.in:187
+msgid "Main menu"
+msgstr ""
 
-#: ../src/ghex-window.c:363
-msgid "_Print"
-msgstr "_Εκτύπωση"
+#: src/ghex-application-window.ui.in:197
+msgid "Find a string in the hex document"
+msgstr "Εύρεση αλφαριθμητικού σε δεκαεξαδικό έγγραφο"
+
+#: src/ghex-application-window.ui.in:206
+msgid "Save document"
+msgstr "Αποθήκευση εγγράφου"
 
-#: ../src/ghex-window.c:364
-msgid "Print the current file"
-msgstr "Εκτύπωση του τρέχοντος αρχείου"
-
-#: ../src/ghex-window.c:366
-msgid "Print Previe_w..."
-msgstr "_Προεπισκόπηση εκτύπωσης..."
-
-#: ../src/ghex-window.c:367
-msgid "Preview printed data"
-msgstr "Προεπισκόπηση δεδομένων προς εκτύπωση"
+#: src/ghex-application-window.ui.in:214
+msgid "No File Loaded"
+msgstr ""
 
-#: ../src/ghex-window.c:369
-msgid "_Close"
-msgstr "_Κλείσιμο"
+#: src/ghex-application-window.ui.in:217
+msgid ""
+"• Press the Open button\n"
+"• Press Ctrl+N to start a new document\n"
+"• Press Ctrl+O to browse for a document\n"
+"\n"
+"Or, press Ctrl+W to close the window."
+msgstr ""
+"• Πατήστε το κουμπί Άνοιγμα\n"
+"• Πατήστε Ctrl+N για να ξεκινήσετε ένα νέο έγγραφο\n"
+"• Πατήστε Ctrl+O για να πλοηγηθείτε σε ένα έγγραφο\n"
+"\n"
+"ή πατήστε Ctrl+W για να κλείσετε το παράθυρο."
 
-#: ../src/ghex-window.c:370
-msgid "Close the current file"
-msgstr "Κλείσιμο του τρέχοντος αρχείου"
-
-#: ../src/ghex-window.c:372
-msgid "E_xit"
-msgstr "Έ_ξοδος"
-
-#: ../src/ghex-window.c:373
-msgid "Exit the program"
-msgstr "Έξοδος από το πρόγραμμα"
+#: src/ghex-application-window.ui.in:306
+msgid "Toggle insert mode (add data to file rather than replace existing data)"
+msgstr ""
+"Εναλλαγή κατάστασης εισαγωγής (προσθήκη δεδομένων στο αρχείο αντί να "
+"αντικαθιστά υπάρχοντα δεδομένα)"
 
-#. Edit menu
-#: ../src/ghex-window.c:377
-msgid "_Undo"
-msgstr "Αναί_ρεση"
+#: src/ghex-application-window.ui.in:318
+msgid "Toggle a pane showing various numeric conversions"
+msgstr ""
 
-#: ../src/ghex-window.c:378
-msgid "Undo the last action"
-msgstr "Αναίρεση της τελευταίας ενέργειας"
+#: src/help-overlay.ui:14
+msgid "Files"
+msgstr "Αρχεία"
 
-#: ../src/ghex-window.c:380
-msgid "_Redo"
-msgstr "Α_κύρωση αναίρεσης"
+#: src/help-overlay.ui:19
+msgid "New blank hex buffer"
+msgstr ""
 
-#: ../src/ghex-window.c:381
-msgid "Redo the undone action"
-msgstr "Ακύρωση της αναιρεμένης ενέργειας"
+#: src/help-overlay.ui:26
+msgid "Open a file for editing"
+msgstr "Άνοιγμα αρχείου για επεξεργασία"
 
-#: ../src/ghex-window.c:383
-msgid "_Copy"
-msgstr "Α_ντιγραφή"
+#: src/help-overlay.ui:33
+#, fuzzy
+msgid "Save file"
+msgstr "Αποθήκευση Ως"
 
-#: ../src/ghex-window.c:384
-msgid "Copy selection to clipboard"
-msgstr "Αντιγραφή επιλογής στο πρόχειρο"
+#: src/help-overlay.ui:40
+#, fuzzy
+msgid "Save as"
+msgstr "Αποθήκευση Ως"
 
-#: ../src/ghex-window.c:386
-msgid "Cu_t"
-msgstr "Απο_κοπή"
+#: src/help-overlay.ui:47
+#, fuzzy
+#| msgid "Close"
+msgid "Close tab"
+msgstr "Κλείσιμο"
 
-#: ../src/ghex-window.c:387
-msgid "Cut selection"
-msgstr "Αποκοπή επιλογής"
-
-#: ../src/ghex-window.c:389
-msgid "Pa_ste"
-msgstr "Επικό_λληση"
-
-#: ../src/ghex-window.c:390
-msgid "Paste data from clipboard"
-msgstr "Επικόλληση δεδομένων από το πρόχειρο"
-
-#: ../src/ghex-window.c:392
-msgid "_Find"
-msgstr "Εύρεσ_η"
-
-#: ../src/ghex-window.c:393
-msgid "Search for a string"
-msgstr "Αναζήτηση συμβολοσειράς"
-
-#: ../src/ghex-window.c:395
-msgid "_Advanced Find"
-msgstr "_Προχωρημένη εύρεση"
-
-#: ../src/ghex-window.c:396
-msgid "Advanced Find"
-msgstr "Προχωρημένη εύρεση"
-
-#: ../src/ghex-window.c:398
-msgid "R_eplace"
-msgstr "Αν_τικατάσταση"
-
-#: ../src/ghex-window.c:399
-msgid "Replace a string"
-msgstr "Αντικατάσταση συμβολοσειράς"
-
-#: ../src/ghex-window.c:401
-msgid "_Goto Byte..."
-msgstr "_Μετάβαση σε byte..."
-
-#: ../src/ghex-window.c:402
-msgid "Jump to a certain position"
-msgstr "Μετάβαση σε συγκεκριμένη θέση"
+#: src/help-overlay.ui:54
+msgid "Print the hex file"
+msgstr "Εκτύπωση του δεκαεξαδικού αρχείου"
 
-#: ../src/ghex-window.c:404
-msgid "_Preferences"
-msgstr "_Προτιμήσεις"
+#: src/help-overlay.ui:63
+msgid "Undo and Redo"
+msgstr "Αναίρεση και Επανάληψη"
 
-#: ../src/ghex-window.c:405
-msgid "Configure the application"
-msgstr "Ρύθμιση της εφαρμογής"
+#: src/help-overlay.ui:68
+msgid "Undo"
+msgstr "Αναίρεση"
 
-#. View menu
-#: ../src/ghex-window.c:409
-msgid "_Add View"
-msgstr "_Προσθήκη προβολής"
-
-#: ../src/ghex-window.c:410
-msgid "Add a new view to the buffer"
-msgstr "Προσθήκη νέας προβολής στην ενδιάμεση μνήμη"
-
-#: ../src/ghex-window.c:412
-msgid "_Remove View"
-msgstr "Α_φαίρεση προβολής"
-
-#: ../src/ghex-window.c:413
-msgid "Remove the current view of the buffer"
-msgstr "Αφαίρεση της παρούσας προβολής της ενδιάμεσης μνήμης"
-
-#. Help menu
-#: ../src/ghex-window.c:417
-msgid "_Contents"
-msgstr "_Περιεχόμενα"
-
-#: ../src/ghex-window.c:418
-msgid "Help on this application"
-msgstr "Βοήθεια για αυτήν την εφαρμογή"
-
-#: ../src/ghex-window.c:420
-msgid "_About"
-msgstr "_Περί"
-
-#: ../src/ghex-window.c:421
-msgid "About this application"
-msgstr "Σχετικά με αυτήν την εφαρμογή"
-
-#. Edit menu
-#: ../src/ghex-window.c:428
-msgid "_Insert Mode"
-msgstr "_Κατάσταση εισαγωγής"
-
-#: ../src/ghex-window.c:429
-msgid "Insert/overwrite data"
-msgstr "Εισαγωγή/αντικατάσταση δεδομένων"
-
-#. Windows menu
-#: ../src/ghex-window.c:433
-msgid "Character _Table"
-msgstr "_Πίνακας χαρακτήρων"
-
-#: ../src/ghex-window.c:434
-msgid "Show the character table"
-msgstr "Εμφάνιση πίνακα χαρακτήρων"
+#: src/help-overlay.ui:75
+#, fuzzy
+msgid "Redo"
+msgstr "Διαγραφή"
 
-#: ../src/ghex-window.c:436
-msgid "_Base Converter"
-msgstr "Μετατροπέας _βάσης"
+#: src/help-overlay.ui:84
+msgid "Find and Replace"
+msgstr "Εύρεση και Αντικατάσταση"
 
-#: ../src/ghex-window.c:437
-msgid "Open base conversion dialog"
-msgstr "Άνοιγμα διαλόγου μετατροπής βάσης"
-
-#: ../src/ghex-window.c:439
-msgid "Type Conversion _Dialog"
-msgstr "Τύπος _διαλόγου μετατροπής"
-
-#: ../src/ghex-window.c:440
-msgid "Show the type conversion dialog in the edit window"
-msgstr "Εμφάνιση του διαλόγου μετατροπής τύπου στο παράθυρο επεξεργασίας"
+#: src/help-overlay.ui:89
+msgid "Find"
+msgstr "Αναζήτηση"
 
-#: ../src/ghex-window.c:446 ../src/ui.c:48
-msgid "_Bytes"
-msgstr "_Bytes"
+#: src/help-overlay.ui:96
+msgid "Find and replace"
+msgstr "Εύρεση και αντικατάσταση"
 
-#: ../src/ghex-window.c:447
-msgid "Group data by 8 bits"
-msgstr "Ομαδοποίηση δεδομένων ανά 8 bit"
-
-#: ../src/ghex-window.c:448 ../src/ui.c:49
-msgid "_Words"
-msgstr "_Λέξεις"
-
-#: ../src/ghex-window.c:449
-msgid "Group data by 16 bits"
-msgstr "Ομαδοποίηση δεδομένων ανά 16 bit"
+#: src/help-overlay.ui:105
+msgid "Clipboard"
+msgstr ""
 
-#: ../src/ghex-window.c:450 ../src/ui.c:50
-msgid "_Longwords"
-msgstr "Με_γάλες λέξεις"
+#: src/help-overlay.ui:110
+msgid "Copy"
+msgstr "Αντιγραφή"
 
-#: ../src/ghex-window.c:451
-msgid "Group data by 32 bits"
-msgstr "Ομαδοποίηση δεδομένων ανά 32 bit"
+#: src/help-overlay.ui:117
+msgid "Cut"
+msgstr "Κοπή"
 
-#: ../src/ghex-window.c:785
-#, c-format
-msgid "Offset: %s"
+#: src/help-overlay.ui:124
+#, fuzzy
+msgid "Paste"
+msgstr "Σελίδα"
+
+#: src/help-overlay.ui:131
+msgid "Copy special"
+msgstr "Ειδική αντιγραφή"
+
+#: src/help-overlay.ui:138
+msgid "Paste special"
+msgstr "Ειδική επικόλληση"
+
+#: src/help-overlay.ui:147
+msgid "Navigation"
+msgstr "Πλοήγηση"
+
+#: src/help-overlay.ui:152
+msgid "Toggle left (hex) display"
+msgstr "Εναλλαγή στην αριστερή (hex) προβολή"
+
+#: src/help-overlay.ui:159
+msgid "Toggle right (ASCII) display"
+msgstr "Εναλλαγή στην δεξιά (ASCII) προβολή"
+
+#: src/help-overlay.ui:166
+msgid "Switch to previous tab"
+msgstr ""
+
+#: src/help-overlay.ui:173
+msgid "Switch to next tab"
+msgstr ""
+
+#: src/help-overlay.ui:180
+msgid "Jump to byte"
+msgstr "Μετάβαση σε byte"
+
+#: src/help-overlay.ui:189
+msgid "General"
+msgstr "Γενικά"
+
+#: src/help-overlay.ui:194
+msgid "Show About dialog"
+msgstr "Εμφάνιση του διαλόγου Σχετικά"
+
+#: src/help-overlay.ui:201
+msgid "Toggle insert mode"
+msgstr "Εναλλαγή κατάστασης εισαγωγής"
+
+#: src/hex-buffer-direct.c:42 src/hex-buffer-mmap.c:50
+msgid "The file appears to have an invalid path."
+msgstr ""
+
+#. Translators:  the first '%s' is the blurb indicating some kind of an
+#. * error has occurred (eg, 'An error has occurred', and the the 2nd '%s'
+#. * is the standard error message that will be reported from the system
+#. * (eg, 'No such file or directory').
+#.
+#: src/hex-buffer-direct.c:143 src/hex-buffer-mmap.c:173
+#, fuzzy, c-format
+#| msgid "Offset: %s"
+msgid "%s: %s"
 msgstr "Μετατόπιση: %s"
 
-#: ../src/ghex-window.c:788
-#, c-format
-msgid "; %s bytes from %s to %s selected"
-msgstr "; %s bytes από %s σε %s επιλέχτηκαν"
+#: src/hex-buffer-direct.c:193
+msgid "Failed to read data from file."
+msgstr ""
 
-#: ../src/ghex-window.c:1060
-#, c-format
-msgid "Activate file %s"
-msgstr "Ενεργοποίηση αρχείου %s"
+#: src/hex-buffer-direct.c:212 src/hex-buffer-mmap.c:587
+msgid "Unable to retrieve file or directory information"
+msgstr ""
 
-#: ../src/ghex-window.c:1096
-#, c-format
-msgid "%s - GHex"
-msgstr "%s - GHex"
+#: src/hex-buffer-direct.c:221 src/hex-buffer-mmap.c:596
+#, fuzzy
+#| msgid "Unable to access the drive."
+msgid "Unable to create file"
+msgstr "Πρόσβαση στο δίσκο αδύνατη."
 
-#: ../src/ghex-window.c:1218
-msgid "Select a file to save buffer as"
-msgstr "Επιλογή αρχείου για αποθήκευση ενδιάμεσης μνήμης ως"
+#: src/hex-buffer-direct.c:230
+msgid "Not a regular file or block device"
+msgstr ""
 
-#: ../src/ghex-window.c:1250
-#, c-format
-msgid ""
-"File %s exists.\n"
-"Do you want to overwrite it?"
+#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:616
+msgid "Unable to open file for reading"
+msgstr "Αδύνατο το άνοιγμα αρχείου για ανάγνωση"
+
+#: src/hex-buffer-direct.c:404
+#, fuzzy
+#| msgid "Unable to access the drive."
+msgid "Unable to read file"
+msgstr "Πρόσβαση στο δίσκο αδύνατη."
+
+#: src/hex-buffer-direct.c:417
+msgid "Error attempting to read block device"
 msgstr ""
-"Το αρχείο %s υπάρχει.\n"
-"Θέλετε να το αντικαταστήσετε;"
 
-#: ../src/ghex-window.c:1276 ../src/ui.c:303
-#, c-format
-msgid "Saved buffer to file %s"
-msgstr "Αποθηκευμένη ενδιάμεση μνήμη στο αρχείο %s"
+#: src/hex-buffer-direct.c:527
+msgid ""
+"With direct-write mode, you cannot save a file to a path other than its "
+"originating path"
+msgstr ""
 
-#: ../src/ghex-window.c:1283
-msgid "Error saving file!"
-msgstr "Σφάλμα κατά την αποθήκευση του αρχείου!"
+#: src/hex-buffer-direct.c:552
+msgid "Error writing changes to file"
+msgstr ""
 
-#: ../src/ghex-window.c:1289
-msgid "Can't open file for writing!"
-msgstr "Αδύνατο το άνοιγμα αρχείου για εγγραφή!"
+#: src/hex-buffer-mmap.c:310
+#, c-format
+msgid "Could not adjust %s from %lu to %lu bytes"
+msgstr ""
 
-#: ../src/ghex-window.c:1334
+#: src/hex-buffer-mmap.c:359
 #, c-format
-msgid ""
-"File %s has changed since last save.\n"
-"Do you want to save changes?"
+msgid "Fatal error: Memory mapping of file (%lu bytes, fd %d) failed"
+msgstr ""
+
+#: src/hex-buffer-mmap.c:606
+msgid "Not a regular file"
 msgstr ""
-"Το αρχείο %s έχει μεταβληθεί από την τελευταία αποθήκευση.\n"
-"Θέλετε να αποθηκεύσετε τις αλλαγές;"
 
-#: ../src/ghex-window.c:1338
-msgid "Do_n't save"
-msgstr "Να _μην αποθηκευτούν"
-
-#: ../src/ghex-window.c:1358 ../src/ui.c:291
-msgid "You don't have the permissions to save the file!"
-msgstr "Δεν έχετε τα απαραίτητα δικαιώματα για αποθήκευση του αρχείου!"
+#: src/hex-buffer-mmap.c:647
+msgid "Failed to open temporary file."
+msgstr "Αποτυχία ανοίγματος προσωρινού αρχείου."
 
-#: ../src/ghex-window.c:1362 ../src/ui.c:296
-msgid "An error occurred while saving file!"
+#: src/hex-buffer-mmap.c:686
+#, fuzzy
+#| msgid "Error saving file!"
+msgid "Error reading file"
 msgstr "Σφάλμα κατά την αποθήκευση του αρχείου!"
 
-#: ../src/hex-dialog.c:61
+#: src/hex-buffer-mmap.c:702
+msgid "An error has occurred"
+msgstr ""
+
+#: src/hex-dialog.c:72
 msgid "Signed 8 bit:"
 msgstr "Με πρόσημο 8 bit:"
 
-#: ../src/hex-dialog.c:62
+#: src/hex-dialog.c:73
 msgid "Unsigned 8 bit:"
 msgstr "Χωρίς πρόσημο 8 bit:"
 
-#: ../src/hex-dialog.c:63
+#: src/hex-dialog.c:74
 msgid "Signed 16 bit:"
 msgstr "Με πρόσημο 16 bit:"
 
-#: ../src/hex-dialog.c:64
+#: src/hex-dialog.c:75
 msgid "Unsigned 16 bit:"
 msgstr "Χωρίς πρόσημο 16 bit:"
 
-#: ../src/hex-dialog.c:65
+#: src/hex-dialog.c:76
 msgid "Signed 32 bit:"
 msgstr "Με πρόσημο 32 bit:"
 
-#: ../src/hex-dialog.c:66
+#: src/hex-dialog.c:77
 msgid "Unsigned 32 bit:"
 msgstr "Χωρίς πρόσημο 32 bit:"
 
-#: ../src/hex-dialog.c:67
+#: src/hex-dialog.c:78
 msgid "Signed 64 bit:"
 msgstr "Με πρόσημο 64 bit:"
 
-#: ../src/hex-dialog.c:68
+#: src/hex-dialog.c:79
 msgid "Unsigned 64 bit:"
 msgstr "Χωρίς πρόσημο 64 bit:"
 
-#: ../src/hex-dialog.c:69
+#: src/hex-dialog.c:80
 msgid "Float 32 bit:"
 msgstr "Κινητής υποδιαστολής 32 bit:"
 
-#: ../src/hex-dialog.c:70
+#: src/hex-dialog.c:81
 msgid "Float 64 bit:"
 msgstr "Κινητής υποδιαστολής 64 bit:"
 
-#: ../src/hex-dialog.c:71
+#: src/hex-dialog.c:82
 msgid "Hexadecimal:"
 msgstr "Δεκαεξαδικό:"
 
-#: ../src/hex-dialog.c:72
+#: src/hex-dialog.c:83
 msgid "Octal:"
 msgstr "Οκταδικό:"
 
-#: ../src/hex-dialog.c:73
+#: src/hex-dialog.c:84
 msgid "Binary:"
 msgstr "Δυαδικό:"
 
-#: ../src/hex-dialog.c:214
+#: src/hex-dialog.c:205
 msgid "Show little endian decoding"
 msgstr "Εμφάνιση αποκωδικοποίησης little endian"
 
-#: ../src/hex-dialog.c:221
+#: src/hex-dialog.c:211
 msgid "Show unsigned and float as hexadecimal"
-msgstr "Εμφάνιση αριθμών (χωρίς πρόσημο/κινητής υποδιαστολής), ως δεκαεξαδικούς"
+msgstr ""
+"Εμφάνιση αριθμών (χωρίς πρόσημο/κινητής υποδιαστολής), ως δεκαεξαδικούς"
 
-#: ../src/hex-dialog.c:227
+#: src/hex-dialog.c:217
 msgid "Stream Length:"
 msgstr "Μήκος ροής:"
 
-#: ../src/hex-dialog.c:250
+#: src/hex-dialog.c:241
 msgid "FIXME: no conversion function"
 msgstr "ΔΙΟΡΘΩΣΗ: χωρίς συνάρτηση μετατροπής"
 
-#: ../src/hex-document.c:435
-msgid "New document"
-msgstr "Νέο έγγραφο"
-
-#: ../src/hex-document.c:784
+#: src/hex-document.c:1085
 #, c-format
 msgid "Page"
 msgstr "Σελίδα"
 
-#: ../src/hex-document.c:790 ../src/hex-document.c:915
+#: src/hex-document.c:1091 src/hex-document.c:1194
 #, c-format
 msgid "Hex dump generated by"
 msgstr "Δεκαεξαδικό αποτύπωμα δημιουργημένο από το"
 
-#: ../src/hex-document.c:801
-msgid "Saving to HTML..."
-msgstr "Αποθήκευση σε HTML..."
-
-#: ../src/hex-document.c:838
+#: src/hex-document.c:1117
 #, c-format
 msgid "Previous page"
 msgstr "Προηγούμενη σελίδα"
 
-#: ../src/hex-document.c:853
+#: src/hex-document.c:1132
 #, c-format
 msgid "Next page"
 msgstr "Επόμενη σελίδα"
 
-#: ../src/main.c:36
-msgid "X geometry specification (see \"X\" man page)."
-msgstr "Προδιαγραφή γεωμετρίας Χ (δείτε σελίδα εγχειριδίου \"Χ\")."
+#: src/jump-dialog.ui:35
+msgid "Jump to byte (enter offset):"
+msgstr "Μετάβαση σε byte (εισαγωγή μετατόπισης)"
 
-#: ../src/main.c:36
-msgid "GEOMETRY"
-msgstr "ΓΕΩΜΕΤΡΙΑ"
+#: src/jump-dialog.ui:43
+msgid ""
+"Enter the offset byte to jump to. The default is decimal format, but other "
+"format strings are supported such as hexidecimal format, if C-style notation "
+"using the '0x' prefix is used. If your string is not recognized, a dialog "
+"will be presented explaining the valid formats of strings accepted."
+msgstr ""
 
-#: ../src/main.c:37
-msgid "FILES"
-msgstr "ΑΡΧΕΙΑ"
+#: src/jump-dialog.ui:48
+msgid "_Jump"
+msgstr ""
 
-#: ../src/main.c:99
-msgid "- GTK+ binary editor"
-msgstr "- GTK+ δυαδικός επεξεργαστής"
+#: src/jump-dialog.ui:54
+msgid "Jumps to the specified byte"
+msgstr "Μεταβαίνει στο συγκεκριμένο byte"
 
-#: ../src/main.c:103
-#, c-format
-msgid ""
-"%s\n"
-"Run '%s --help' to see a full list of available command line options.\n"
-msgstr ""
-"%s\n"
-"Εκτελέστε '%s --help' για να δείτε μια πλήρη λίστα με τις διαθέσιμες επιλογές γραμμής "
-"εντολών.\n"
+#: src/jump-dialog.ui:64
+#, fuzzy
+#| msgid "Closes jump to byte window"
+msgid "Closes the jump-to-byte pane"
+msgstr "Κλείνει το παράθυρο της μετάβασης σε byte"
+
+#: src/main.c:44
+#, fuzzy
+#| msgid "Configure the application"
+msgid "Show the application version"
+msgstr "Ρύθμιση της εφαρμογής"
 
-#: ../src/main.c:133 ../src/main.c:146
+#: src/main.c:105
 #, c-format
-msgid "Invalid geometry string \"%s\"\n"
-msgstr "Άκυρη συμβολοσειρά γεωμετρίας \"%s\"\n"
+msgid "This is GHex, version %s\n"
+msgstr "Αυτό είναι το GHex, έκδοση %s\n"
 
-#: ../src/preferences.c:69
-msgid "GHex Preferences"
-msgstr "Προτιμήσεις GHex"
+#: src/main.c:166
+msgid "GHex - A hex editor for the GNOME desktop"
+msgstr "GHex - Ένας δεκαεξαδικός διορθωτής για το GNOME desktop"
 
-#: ../src/preferences.c:101
-msgid "_Maximum number of undo levels:"
-msgstr "_Μέγιστος αριθμός επιπέδων αναίρεσης:"
+#: src/paste-special.c:220
+#, c-format
+msgid ""
+"Paste failed; invalid hex format.\n"
+"\n"
+"The string must be in the format of space-delineated hex byte pairs.\n"
+"\n"
+"For example: \"FF 3D 99 0A\""
+msgstr ""
 
-#: ../src/preferences.c:121
-msgid "Undo levels"
-msgstr "Επίπεδα αναίρεσης"
+#: src/paste-special.c:310
+msgid "GHex Paste Data"
+msgstr "GHex Επικόλληση δεδομένων"
+
+#: src/paste-special.c:407
+msgid "Copy Special"
+msgstr "Ειδική αντιγραφή"
 
-#: ../src/preferences.c:121
-msgid "Select maximum number of undo levels"
-msgstr "Επιλέξτε τον μέγιστο αριθμό επιπέδων αναίρεσης"
+#: src/paste-special.c:512
+msgid "Plain text (as ASCII)"
+msgstr ""
 
-#: ../src/preferences.c:125
-msgid "_Show cursor offset in statusbar as:"
-msgstr "Ε_μφάνιση μετατόπισης δρομέα στη γραμμή κατάστασης ως:"
+#: src/paste-special.c:529
+msgid "Plain text (Unicode)"
+msgstr ""
 
-#: ../src/preferences.c:144
-msgid "Hexadecimal"
-msgstr "Δεκαεξαδική"
+#: src/paste-special.c:533
+msgid "Plain text (as space-delimited hex pairs)"
+msgstr ""
 
-#: ../src/preferences.c:146
-msgid "Custom"
-msgstr "Προσαρμοσμένη"
+#. paste_special_dialog
+#: src/paste-special.ui:28
+msgid "Paste Special"
+msgstr "Ειδική επικόλληση"
 
-#: ../src/preferences.c:155
-msgid "Enter the cursor offset format"
-msgstr "Εισάγετε τη μορφή μετατόπισης δρομέα"
+#: src/paste-special.ui:55
+#, fuzzy
+#| msgid "Cancel"
+msgid "_Cancel"
+msgstr "Άκυρο"
 
-#: ../src/preferences.c:156
-msgid "Select the cursor offset format"
-msgstr "Επιλέξτε τη μορφή μετατόπισης δρομέα"
+#: src/preferences.ui:28
+msgid "Preferences"
+msgstr "Ρυθμίσεις"
 
-#. show offsets check button
-#: ../src/preferences.c:166
-msgid "Sh_ow offsets column"
-msgstr "Εμ_φάνιση στήλης μετατοπίσεων"
+#: src/preferences.ui:33
+msgid "Display"
+msgstr "Απεικόνιση"
 
-#: ../src/preferences.c:171
-msgid "Editing"
-msgstr "Επεξεργασία"
+#: src/preferences.ui:37
+msgid "Appearance"
+msgstr "Εμφάνιση"
 
-#. display font
-#: ../src/preferences.c:180
+#: src/preferences.ui:41
 msgid "Font"
 msgstr "Γραμματοσειρά"
 
-#. default group type
-#: ../src/preferences.c:203
-msgid "Default Group Type"
-msgstr "Προεπιλεγμένος τύπος ομαδοποίησης"
+#: src/preferences.ui:53
+msgid "Dark mode"
+msgstr ""
 
-#: ../src/preferences.c:219
-msgid "Display"
-msgstr "Απεικόνιση"
+# Using standard translation for "default" for consistency, although
+# it is not quite suitable in this context...
+#: src/preferences.ui:69
+#, fuzzy
+#| msgid "Add some defaults"
+msgid "Use system default"
+msgstr "Προσθήκη εξ' ορισμού εντολών"
+
+#: src/preferences.ui:83
+msgid "Hex Display"
+msgstr "Δεκαεξαδική προβολή"
+
+#: src/preferences.ui:87
+msgid "Group data as"
+msgstr "Ομαδοποίηση δεδομένων ως"
+
+#: src/preferences.ui:94
+msgid "Bytes (8-bit)"
+msgstr ""
+
+#: src/preferences.ui:100
+#, fuzzy
+#| msgid "16-bit"
+msgid "Words (16-bit)"
+msgstr "16-bit"
 
-#. paper selection
-#: ../src/preferences.c:228
-msgid "Paper size"
-msgstr "Μέγεθος χαρτιού"
+#: src/preferences.ui:106
+#, fuzzy
+#| msgid "Longwords"
+msgid "Longwords (32-bit)"
+msgstr "Μεγάλες λέξεις"
+
+#: src/preferences.ui:112
+msgid "Quadwords (64-bit)"
+msgstr ""
 
-#. data & header font selection
-#: ../src/preferences.c:233
+#: src/preferences.ui:122
+msgid "Show offsets column"
+msgstr "Εμφάνιση στήλης μετατοπίσεων"
+
+#: src/preferences.ui:137
+msgid "Printing"
+msgstr "Εκτύπωση"
+
+#: src/preferences.ui:141
 msgid "Fonts"
 msgstr "Γραμματοσειρές"
 
-#: ../src/preferences.c:245
-msgid "_Data font:"
-msgstr "Γραμματοσειρά _δεδομένων:"
-
-#: ../src/preferences.c:259
+#: src/preferences.ui:145
 msgid "Data font"
 msgstr "Γραμματοσειρά δεδομένων"
 
-#: ../src/preferences.c:259
-msgid "Select the data font"
-msgstr "Επιλέξτε τη γραμματοσειρά δεδομένων"
-
-#: ../src/preferences.c:268
-msgid "Header fo_nt:"
-msgstr "Γ_ραμματοσειρά κεφαλίδας:"
-
-#: ../src/preferences.c:281
+#: src/preferences.ui:156
 msgid "Header font"
 msgstr "Γραμματοσειρά κεφαλίδας"
 
-#: ../src/preferences.c:281
-msgid "Select the header font"
-msgstr "Επιλέξτε τη γραμματοσειρά κεφαλίδας"
-
-#: ../src/preferences.c:306
-msgid "_Print shaded box over:"
-msgstr "Ε_κτύπωση σκιασμένου πλαισίου πάνω από:"
-
-#: ../src/preferences.c:318
-msgid "Box size"
-msgstr "Μέγεθος πλαισίου"
-
-#: ../src/preferences.c:318
-msgid "Select size of box (in number of lines)"
-msgstr "Επιλέξτε μέγεθος πλαισίου (σε αριθμό γραμμών)"
-
-#: ../src/preferences.c:322
-msgid "lines (0 for no box)"
-msgstr "γραμμές (0 για κανένα πλαίσιο)"
+#: src/preferences.ui:170
+msgid "Shaded rows"
+msgstr "Σκιασμένες σειρές"
+
+#: src/preferences.ui:174
+msgid "Print alternating shaded rows"
+msgstr "Εκτύπωση εναλλασσόμενων σκιασμένων σειρών"
+
+#: src/preferences.ui:182
+msgid "Span across lines:"
+msgstr "Διάστημα ανάμεσα σε σειρές:"
 
-#: ../src/preferences.c:329
-msgid "Printing"
-msgstr "Εκτυπώνεται"
-
-#: ../src/preferences.c:447 ../src/ui.c:212
+#: src/print.c:50
 #, c-format
-msgid ""
-"There was an error displaying help: \n"
-"%s"
+msgid "Page: %i/%i"
+msgstr "Σελίδα: %i/%i"
+
+#: src/replace-dialog.ui:34
+msgid "Enter the hex data or ASCII data to replace with"
+msgstr "Εισάγετε τα δεκαεξαδικά ή ASCII δεδομένα για αντικατάσταση"
+
+#: src/replace-dialog.ui:37
+msgid "Replace With"
+msgstr "Αντικατάσταση με"
+
+#: src/replace-dialog.ui:47
+msgid "_Replace"
+msgstr "Α_ντικατάσταση"
+
+#: src/replace-dialog.ui:50
+msgid "Replaces the search string with the replace string"
 msgstr ""
-"Παρουσιάστηκε σφάλμα κατά την εμφάνιση της βοήθειας: \n"
-"%s"
+"Αντικαθιστά τη συμβολοσειρά αναζήτησης με τη συμβολοσειρά αντικατάστασης"
 
-#: ../src/preferences.c:499
-msgid "Can not open desired font!"
-msgstr "Αδύνατο το άνοιγμα της επιθυμητής γραμματοσειράς!"
+#: src/replace-dialog.ui:55
+msgid "Replace _All"
+msgstr "Αντικατάσταση ό_λων"
 
-#: ../src/preferences.c:560
-msgid ""
-"The offset format string contains invalid format specifier.\n"
-"Only 'x', 'X', 'p', 'P', 'd' and 'o' are allowed."
+#: src/replace-dialog.ui:58
+msgid "Replaces all occurrences of the search string with the replace string"
 msgstr ""
-"Η συμβολοσειρά μορφής μετατόπισης περιέχει άκυρο προσδιοριστικό μορφής.\n"
-"Μόνο τα 'x', 'X', 'p', 'P', 'd' και 'o' επιτρέπονται."
+"Αντικαθιστά όλες τις εμφανίσεις της συμβολοσειράς αναζήτησης με τη "
+"συμβολοσειρά αντικατάστασης"
+
+#~ msgid "Get cursor value"
+#~ msgstr "Λήψη τιμής δρομέα"
+
+#~ msgid "Find Data"
+#~ msgstr "Εύρεση δεδομένων"
+
+#~ msgid "Find Next"
+#~ msgstr "Εύρεση επομένου"
 
-#: ../src/print.c:57
 #, c-format
-msgid "Page: %i/%i"
-msgstr "Σελίδα: %i/%i"
+#~ msgid "GHex (%s): Find Data: Add search"
+#~ msgstr "GHex (%s): Αναζήτηση δεδομένων: Προσθήκη αναζήτησης"
 
-#: ../src/ui.c:55
-msgid "hex data"
-msgstr "δεκαεξαδικά δεδομένα"
+#~ msgid "Add"
+#~ msgstr "Προσθήκη"
 
-#: ../src/ui.c:56
-msgid "ASCII data"
-msgstr "ASCII δεδομένα"
+#~ msgid "Search String"
+#~ msgstr "Αναζήτηση συμβολοσειράς"
 
-#: ../src/ui.c:153
-msgid ""
-"This program is free software; you can redistribute it and/or modify it under the terms of "
-"the GNU General Public License as published by the Free Software Foundation; either version 2 "
-"of the License, or (at your option) any later version."
-msgstr ""
-"Αυτό το πρόγραμμα είναι ελεύθερο λογισμικό· επιτρέπεται η αναδιανομή ή/και η τροποποίησή του "
-"υπό τους όρους της Γενικής Άδειας Δημόσιας Χρήσης GNU όπως αυτή δημοσιεύεται από το Ίδρυμα "
-"Ελεύθερου Λογισμικού· είτε της έκδοσης 2 της άδειας, είτε (κατ' επιλογήν) οποιασδήποτε "
-"μεταγενέστερης έκδοσης."
+#~ msgid "Highlight Colour"
+#~ msgstr "Επισήμανση χρώματος"
 
-#: ../src/ui.c:157
-msgid ""
-"This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; "
-"without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  "
-"See the GNU General Public License for more details."
-msgstr ""
-"Αυτό το πρόγραμμα διανέμεται με την ελπίδα ότι θα είναι χρήσιμο, αλλά ΧΩΡΙΣ ΚΑΜΙΑ ΑΠΟΛΥΤΩΣ "
-"ΕΓΓΥΗΣΗ· χωρίς ακόμη και την έμμεση εγγύηση ΕΜΠΟΡΕΥΣΙΜΟΤΗΤΑΣ ή ΚΑΤΑΛΛΗΛΟΤΗΤΑΣ ΓΙΑ "
-"ΣΥΓΚΕΚΡΙΜΕΝΟ ΣΚΟΠΟ. Δείτε για περισσότερες λεπτομέρειες τη Γενική Άδεια Δημόσιας Χρήσης GNU."
+#~ msgid "_Add New"
+#~ msgstr "_Προσθήκη νέου"
 
-#: ../src/ui.c:161
-msgid ""
-"You should have received a copy of the GNU General Public License along with this program; if "
-"not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, "
-"MA  02110-1301  USA"
-msgstr ""
-"Θα πρέπει να έχετε λάβει ένα αντίγραφο της Γενικής Άδειας Δημόσιας Χρήσης GNU (GNU General "
-"Public License) μαζί με αυτό το πρόγραμμα. Αν όχι, επικοινωνήστε γραπτώς με το Ίδρυμα "
-"Ελεύθερου Λογισμικού (Free Software Foundation, Inc.), 51 Franklin Street, Fifth Floor, "
-"Boston, MA 02110-1301, USA"
+#~ msgid "_Remove Selected"
+#~ msgstr "_Αφαίρεση επιλεγμένου"
 
-#. Translators: these two strings here indicate the copyright time span,
-#. e.g. 1998-2012.
-#: ../src/ui.c:173
-msgid "Copyright © %Id–%Id The GHex authors"
-msgstr "Πνευματικά δικαιώματα © %Id–%Id Οι συγγραφείς του GHex"
+#~ msgid "Closes advanced find window"
+#~ msgstr "Κλείνει το προχωρημένο παράθυρο αναζήτησης"
 
-#: ../src/ui.c:177
-msgid "A binary file editor"
-msgstr "Ένας επεξεργαστής εκτελέσιμων αρχείων"
+#, c-format
+#~ msgid "GHex (%s): Find & Replace Data"
+#~ msgstr "GHex (%s): Εύρεση και αντικατάσταση δεδομένων"
 
-#: ../src/ui.c:183
-msgid "About GHex"
-msgstr "Σχετικά με το GHex"
+#~ msgid "Find _next"
+#~ msgstr "Εύρεση επό_μενου"
 
-#: ../src/ui.c:184
-msgid "translator-credits"
-msgstr ""
-"Ελληνική μεταφραστική ομάδα GNOME\n"
-"Δημήτρης Σπίγγος <dmtrs32@gmail.com>\n"
-"Βαγγέλης Σκαρμούτσος <skarmoutsosv@gmail.com>\n"
-"\n"
-"Για περισσότερες πληροφορίες, επισκεφθείτε τη σελίδα\n"
-"http://gnome.gr"
+#~ msgid "Replace Data"
+#~ msgstr "Αντικατάσταση δεδομένων"
 
-#: ../src/ui.c:187
-msgid "GHex Website"
-msgstr "Ιστότοπος GHex"
+#~ msgid "Find next"
+#~ msgstr "Εύρεση επομένου"
 
-#: ../src/ui.c:321
-msgid "Select a file to open"
-msgstr "Επιλέξτε αρχεία για ανάγνωση"
+#~ msgid "Replace All"
+#~ msgstr "Αντικατάσταση όλων"
+
+#~ msgid "Closes find and replace data window"
+#~ msgstr "Κλείνει το παράθυρο εύρεσης και αντικατάστασης δεδομένων"
 
-#: ../src/ui.c:353
 #, c-format
-msgid "Loaded file %s"
-msgstr "Φορτωμένο αρχείο %s"
+#~ msgid "GHex (%s): Jump To Byte"
+#~ msgstr "GHex (%s): Μετάβαση σε byte"
 
-#: ../src/ui.c:361
-msgid "Can not open file!"
-msgstr "Αδύνατο το άνοιγμα του αρχείου!"
+#~ msgid "Enter the byte to jump to"
+#~ msgstr "Εισάγετε το byte στο οποίο θα μεταβείτε"
 
-#: ../src/ui.c:426
-msgid "Select path and file name for the HTML source"
-msgstr "Επιλέξτε διαδρομή και όνομα αρχείου για το κώδικα HTML"
+#~ msgid "OK"
+#~ msgstr "Εντάξει"
 
-#: ../src/ui.c:458
-msgid "You need to specify a base name for the HTML files."
-msgstr "Πρέπει να καθορίσετε ένα όνομα βάσης για τα αρχεία HTML."
+#~ msgid "There is no active document to search!"
+#~ msgstr "Δεν υπάρχει ενεργό έγγραφο για αναζήτηση!"
 
-#: ../src/ui.c:469 ../src/ui.c:495
-msgid "You don't have the permission to write to the selected path.\n"
-msgstr "Δεν έχετε το δικαίωμα εγγραφής στην επιλεγμένη διαδρομή.\n"
+#~ msgid "There is no string to search for!"
+#~ msgstr "Δεν υπάρχει συμβολοσειρά για αναζήτηση!"
 
-#: ../src/ui.c:481
-msgid ""
-"Saving to HTML will overwrite some files.\n"
-"Do you want to proceed?"
-msgstr ""
-"Η αποθήκευση σε HTML θα αντικαταστήσει μερικά αρχεία.\n"
-"Θέλετε να συνεχίσετε;"
+#~ msgid "End Of File reached"
+#~ msgstr "Έφτασε το τέλος του αρχείου"
+
+#~ msgid "Beginning Of File reached"
+#~ msgstr "Έφτασε η αρχή του αρχείου"
+
+#~ msgid "There is no active document to move the cursor in!"
+#~ msgstr "Δεν υπάρχει ενεργό έγγραφο για μετακίνηση του δρομέα!"
+
+#~ msgid "There is no active buffer to replace data in!"
+#~ msgstr "Δεν υπάρχει ενεργή ενδιάμεση μνήμη για αντικατάσταση των δεδομένων!"
+
+#~ msgid "End Of File reached!"
+#~ msgstr "Έφτασε το τέλος του αρχείου!"
+
+#~ msgid "There is no active document to replace data in!"
+#~ msgstr "Δεν υπάρχει ενεργό έγγραφο για αντικατάσταση των δεδομένων!"
+
+#, c-format
+#~ msgid "Replaced %d occurrence."
+#~ msgid_plural "Replaced %d occurrences."
+#~ msgstr[0] "Αντικαταστάθηκε %d αντιστοιχία."
+#~ msgstr[1] "Αντικαταστάθηκαν %d αντιστοιχίες."
+
+#~ msgid "No string to search for!"
+#~ msgstr "Δε υπάρχει συμβολοσειρά για αναζήτηση!"
 
-#: ../src/ui.c:749
 #, c-format
-msgid "Really revert file %s?"
-msgstr "Θέλετε πραγματικά να επαναφερθεί το αρχείο %s;"
+#~ msgid ""
+#~ "Can not open URI:\n"
+#~ "%s"
+#~ msgstr ""
+#~ "Αδύνατο το άνοιγμα URI:\n"
+#~ "%s"
 
-#: ../src/ui.c:763
 #, c-format
-msgid "Reverted buffer from file %s"
-msgstr "Επαναφορά ενδιάμεσης μνήμης από το αρχείο %s"
+#~ msgid ""
+#~ "Can not open file:\n"
+#~ "%s"
+#~ msgstr ""
+#~ "Αδύνατο το άνοιγμα του αρχείου:\n"
+#~ "%s"
+
+#~ msgid "_View"
+#~ msgstr "_Προβολή"
+
+#~ msgid "_Windows"
+#~ msgstr "_Παράθυρα"
+
+#~ msgid "_Open..."
+#~ msgstr "Ά_νοιγμα..."
+
+#~ msgid "Open a file"
+#~ msgstr "Άνοιγμα αρχείου"
+
+#~ msgid "_Save"
+#~ msgstr "Απο_θήκευση"
+
+#~ msgid "Save the current file"
+#~ msgstr "Αποθήκευση του τρέχοντος αρχείου"
+
+#~ msgid "Save _As..."
+#~ msgstr "Αποθήκευση _ως..."
+
+#~ msgid "Save the current file with a different name"
+#~ msgstr "Αποθήκευση του τρέχοντος αρχείου με διαφορετικό όνομα"
+
+#~ msgid "Save As _HTML..."
+#~ msgstr "Αποθήκευση ως _HTML..."
+
+#~ msgid "Export data to HTML source"
+#~ msgstr "Εξαγωγή δεδομένων σε πηγή HTML"
+
+#~ msgid "Revert to a saved version of the file"
+#~ msgstr "Επαναφορά σε αποθηκευμένη έκδοση του αρχείου"
+
+#~ msgid "Preview printed data"
+#~ msgstr "Προεπισκόπηση δεδομένων προς εκτύπωση"
+
+#~ msgid "Close the current file"
+#~ msgstr "Κλείσιμο του τρέχοντος αρχείου"
+
+#~ msgid "E_xit"
+#~ msgstr "Έ_ξοδος"
+
+#~ msgid "Exit the program"
+#~ msgstr "Έξοδος από το πρόγραμμα"
+
+#~ msgid "Undo the last action"
+#~ msgstr "Αναίρεση της τελευταίας ενέργειας"
+
+#~ msgid "Redo the undone action"
+#~ msgstr "Ακύρωση της αναιρεμένης ενέργειας"
+
+#~ msgid "Copy selection to clipboard"
+#~ msgstr "Αντιγραφή επιλογής στο πρόχειρο"
+
+#~ msgid "Cut selection"
+#~ msgstr "Αποκοπή επιλογής"
+
+#~ msgid "Pa_ste"
+#~ msgstr "Επικό_λληση"
+
+#~ msgid "Paste data from clipboard"
+#~ msgstr "Επικόλληση δεδομένων από το πρόχειρο"
+
+#~ msgid "_Find"
+#~ msgstr "Εύρεσ_η"
+
+#~ msgid "Search for a string"
+#~ msgstr "Αναζήτηση συμβολοσειράς"
+
+#~ msgid "_Advanced Find"
+#~ msgstr "_Προχωρημένη εύρεση"
+
+#~ msgid "Advanced Find"
+#~ msgstr "Προχωρημένη εύρεση"
+
+#~ msgid "R_eplace"
+#~ msgstr "Αν_τικατάσταση"
+
+#~ msgid "Replace a string"
+#~ msgstr "Αντικατάσταση συμβολοσειράς"
+
+#~ msgid "_Goto Byte..."
+#~ msgstr "_Μετάβαση σε byte..."
+
+#~ msgid "Jump to a certain position"
+#~ msgstr "Μετάβαση σε συγκεκριμένη θέση"
+
+#~ msgid "_Add View"
+#~ msgstr "_Προσθήκη προβολής"
+
+#~ msgid "Add a new view to the buffer"
+#~ msgstr "Προσθήκη νέας προβολής στην ενδιάμεση μνήμη"
+
+#~ msgid "_Remove View"
+#~ msgstr "Α_φαίρεση προβολής"
+
+#~ msgid "Remove the current view of the buffer"
+#~ msgstr "Αφαίρεση της παρούσας προβολής της ενδιάμεσης μνήμης"
+
+#~ msgid "_Contents"
+#~ msgstr "_Περιεχόμενα"
+
+#~ msgid "Help on this application"
+#~ msgstr "Βοήθεια για αυτήν την εφαρμογή"
+
+#~ msgid "_About"
+#~ msgstr "_Περί"
+
+#~ msgid "About this application"
+#~ msgstr "Σχετικά με αυτήν την εφαρμογή"
+
+#~ msgid "Insert/overwrite data"
+#~ msgstr "Εισαγωγή/αντικατάσταση δεδομένων"
+
+#~ msgid "Show the character table"
+#~ msgstr "Εμφάνιση πίνακα χαρακτήρων"
+
+#~ msgid "Open base conversion dialog"
+#~ msgstr "Άνοιγμα διαλόγου μετατροπής βάσης"
+
+#~ msgid "Type Conversion _Dialog"
+#~ msgstr "Τύπος _διαλόγου μετατροπής"
+
+#~ msgid "Show the type conversion dialog in the edit window"
+#~ msgstr "Εμφάνιση του διαλόγου μετατροπής τύπου στο παράθυρο επεξεργασίας"
+
+#~ msgid "Group data by 8 bits"
+#~ msgstr "Ομαδοποίηση δεδομένων ανά 8 bit"
+
+#~ msgid "_Words"
+#~ msgstr "_Λέξεις"
+
+#~ msgid "Group data by 16 bits"
+#~ msgstr "Ομαδοποίηση δεδομένων ανά 16 bit"
+
+#~ msgid "Group data by 32 bits"
+#~ msgstr "Ομαδοποίηση δεδομένων ανά 32 bit"
+
+#, c-format
+#~ msgid "; %s bytes from %s to %s selected"
+#~ msgstr "; %s bytes από %s σε %s επιλέχτηκαν"
+
+#, c-format
+#~ msgid "Activate file %s"
+#~ msgstr "Ενεργοποίηση αρχείου %s"
+
+#, c-format
+#~ msgid "%s - GHex"
+#~ msgstr "%s - GHex"
+
+#, c-format
+#~ msgid ""
+#~ "File %s exists.\n"
+#~ "Do you want to overwrite it?"
+#~ msgstr ""
+#~ "Το αρχείο %s υπάρχει.\n"
+#~ "Θέλετε να το αντικαταστήσετε;"
+
+#, c-format
+#~ msgid "Saved buffer to file %s"
+#~ msgstr "Αποθηκευμένη ενδιάμεση μνήμη στο αρχείο %s"
+
+#, c-format
+#~ msgid ""
+#~ "File %s has changed since last save.\n"
+#~ "Do you want to save changes?"
+#~ msgstr ""
+#~ "Το αρχείο %s έχει μεταβληθεί από την τελευταία αποθήκευση.\n"
+#~ "Θέλετε να αποθηκεύσετε τις αλλαγές;"
+
+#~ msgid "Do_n't save"
+#~ msgstr "Να _μην αποθηκευτούν"
+
+#~ msgid "You don't have the permissions to save the file!"
+#~ msgstr "Δεν έχετε τα απαραίτητα δικαιώματα για αποθήκευση του αρχείου!"
+
+#~ msgid "Saving to HTML..."
+#~ msgstr "Αποθήκευση σε HTML..."
+
+#~ msgid "X geometry specification (see \"X\" man page)."
+#~ msgstr "Προδιαγραφή γεωμετρίας Χ (δείτε σελίδα εγχειριδίου \"Χ\")."
+
+#~ msgid "GEOMETRY"
+#~ msgstr "ΓΕΩΜΕΤΡΙΑ"
+
+#~ msgid "FILES"
+#~ msgstr "ΑΡΧΕΙΑ"
+
+#~ msgid "- GTK+ binary editor"
+#~ msgstr "- GTK+ δυαδικός επεξεργαστής"
+
+#, c-format
+#~ msgid ""
+#~ "%s\n"
+#~ "Run '%s --help' to see a full list of available command line options.\n"
+#~ msgstr ""
+#~ "%s\n"
+#~ "Εκτελέστε '%s --help' για να δείτε μια πλήρη λίστα με τις διαθέσιμες "
+#~ "επιλογές γραμμής εντολών.\n"
+
+#, c-format
+#~ msgid "Invalid geometry string \"%s\"\n"
+#~ msgstr "Άκυρη συμβολοσειρά γεωμετρίας \"%s\"\n"
+
+#~ msgid "GHex Preferences"
+#~ msgstr "Προτιμήσεις GHex"
+
+#~ msgid "_Maximum number of undo levels:"
+#~ msgstr "_Μέγιστος αριθμός επιπέδων αναίρεσης:"
+
+#~ msgid "Undo levels"
+#~ msgstr "Επίπεδα αναίρεσης"
+
+#~ msgid "Select maximum number of undo levels"
+#~ msgstr "Επιλέξτε τον μέγιστο αριθμό επιπέδων αναίρεσης"
+
+#~ msgid "_Show cursor offset in statusbar as:"
+#~ msgstr "Ε_μφάνιση μετατόπισης δρομέα στη γραμμή κατάστασης ως:"
+
+#~ msgid "Hexadecimal"
+#~ msgstr "Δεκαεξαδική"
+
+#~ msgid "Custom"
+#~ msgstr "Προσαρμοσμένη"
+
+#~ msgid "Enter the cursor offset format"
+#~ msgstr "Εισάγετε τη μορφή μετατόπισης δρομέα"
+
+#~ msgid "Select the cursor offset format"
+#~ msgstr "Επιλέξτε τη μορφή μετατόπισης δρομέα"
+
+#~ msgid "Editing"
+#~ msgstr "Επεξεργασία"
+
+#~ msgid "Default Group Type"
+#~ msgstr "Προεπιλεγμένος τύπος ομαδοποίησης"
+
+#~ msgid "Paper size"
+#~ msgstr "Μέγεθος χαρτιού"
+
+#~ msgid "_Data font:"
+#~ msgstr "Γραμματοσειρά _δεδομένων:"
+
+#~ msgid "Select the data font"
+#~ msgstr "Επιλέξτε τη γραμματοσειρά δεδομένων"
+
+#~ msgid "Header fo_nt:"
+#~ msgstr "Γ_ραμματοσειρά κεφαλίδας:"
+
+#~ msgid "Select the header font"
+#~ msgstr "Επιλέξτε τη γραμματοσειρά κεφαλίδας"
+
+#~ msgid "_Print shaded box over:"
+#~ msgstr "Ε_κτύπωση σκιασμένου πλαισίου πάνω από:"
+
+#~ msgid "Box size"
+#~ msgstr "Μέγεθος πλαισίου"
+
+#~ msgid "Select size of box (in number of lines)"
+#~ msgstr "Επιλέξτε μέγεθος πλαισίου (σε αριθμό γραμμών)"
+
+#~ msgid "lines (0 for no box)"
+#~ msgstr "γραμμές (0 για κανένα πλαίσιο)"
+
+#~ msgid "Can not open desired font!"
+#~ msgstr "Αδύνατο το άνοιγμα της επιθυμητής γραμματοσειράς!"
+
+#~ msgid ""
+#~ "The offset format string contains invalid format specifier.\n"
+#~ "Only 'x', 'X', 'p', 'P', 'd' and 'o' are allowed."
+#~ msgstr ""
+#~ "Η συμβολοσειρά μορφής μετατόπισης περιέχει άκυρο προσδιοριστικό μορφής.\n"
+#~ "Μόνο τα 'x', 'X', 'p', 'P', 'd' και 'o' επιτρέπονται."
+
+#~ msgid "hex data"
+#~ msgstr "δεκαεξαδικά δεδομένα"
+
+#~ msgid "ASCII data"
+#~ msgstr "ASCII δεδομένα"
+
+#, c-format
+#~ msgid "Loaded file %s"
+#~ msgstr "Φορτωμένο αρχείο %s"
+
+#~ msgid "Can not open file!"
+#~ msgstr "Αδύνατο το άνοιγμα του αρχείου!"
+
+#~ msgid "Select path and file name for the HTML source"
+#~ msgstr "Επιλέξτε διαδρομή και όνομα αρχείου για το κώδικα HTML"
+
+#~ msgid "You need to specify a base name for the HTML files."
+#~ msgstr "Πρέπει να καθορίσετε ένα όνομα βάσης για τα αρχεία HTML."
+
+#~ msgid "You don't have the permission to write to the selected path.\n"
+#~ msgstr "Δεν έχετε το δικαίωμα εγγραφής στην επιλεγμένη διαδρομή.\n"
+
+#~ msgid ""
+#~ "Saving to HTML will overwrite some files.\n"
+#~ "Do you want to proceed?"
+#~ msgstr ""
+#~ "Η αποθήκευση σε HTML θα αντικαταστήσει μερικά αρχεία.\n"
+#~ "Θέλετε να συνεχίσετε;"
+
+#, c-format
+#~ msgid "Really revert file %s?"
+#~ msgstr "Θέλετε πραγματικά να επαναφερθεί το αρχείο %s;"
+
+#, c-format
+#~ msgid "Reverted buffer from file %s"
+#~ msgstr "Επαναφορά ενδιάμεσης μνήμης από το αρχείο %s"
 
 #~ msgid "GNOME Hexadecimal Editor"
 #~ msgstr "Δεκαεξαδικός επεξεργαστής του GNOME"
@@ -1103,21 +1601,12 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "Converter..."
 #~ msgstr "Μετατ_ροπέας"
 
-#~ msgid "Copy"
-#~ msgstr "Αντιγραφή"
-
-#~ msgid "Cut"
-#~ msgstr "Κοπή"
-
 #~ msgid "Exit"
 #~ msgstr "Έξοδος"
 
 #~ msgid "Export to HTML..."
 #~ msgstr "Εξαγωγή σε HTML..."
 
-#~ msgid "Find"
-#~ msgstr "Αναζήτηση"
-
 #, fuzzy
 #~ msgid "Goto Byte"
 #~ msgstr "_Μετάβαση στο Byte..."
@@ -1130,16 +1619,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "Insert Mode"
 #~ msgstr "_Κατάσταση εισαγωγής"
 
-#~ msgid "Longwords"
-#~ msgstr "Μεγάλες λέξεις"
-
-#, fuzzy
-#~ msgid "Paste"
-#~ msgstr "Σελίδα"
-
-#~ msgid "Preferences"
-#~ msgstr "Ρυθμίσεις"
-
 #, fuzzy
 #~ msgid "Print"
 #~ msgstr "Σε εκτύπωση"
@@ -1149,10 +1628,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgstr "Προεπισκόπηση..."
 
 #, fuzzy
-#~ msgid "Redo"
-#~ msgstr "Διαγραφή"
-
-#, fuzzy
 #~ msgid "Remove View"
 #~ msgstr "_Διαγραφή απεικόνισης"
 
@@ -1164,10 +1639,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgstr "Αποθήκευση"
 
 #, fuzzy
-#~ msgid "Save As"
-#~ msgstr "Αποθήκευση Ως"
-
-#, fuzzy
 #~ msgid "Type Conversion Dialog..."
 #~ msgstr "Άνοιγμα διαλόγου μετατροπής συστήματος αρίθμισης"
 
@@ -1187,10 +1658,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgstr "Επιλογέας Γραμματοσειράς"
 
 #, fuzzy
-#~ msgid "Title"
-#~ msgstr "_Αρχείο"
-
-#, fuzzy
 #~ msgid "Font name"
 #~ msgstr "Όνομα αρχείου"
 
@@ -1244,9 +1711,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "MDI"
 #~ msgstr "MDI"
 
-#~ msgid "Tools"
-#~ msgstr "Εργαλεία"
-
 #~ msgid "GHex: Character table"
 #~ msgstr "GHex: Πίνακας χαρακτήρων"
 
@@ -1264,8 +1728,11 @@ msgstr "Επαναφορά ενδιάμ
 
 # Possibly revise translation of "dial" (don't like it!)
 #~ msgid ""
-#~ "A quick hack to show the amount of space free on mounted file systems uitilizing a dial."
-#~ msgstr "Πρόχειρο πρόγραμμα για εμφάνιση ελεύθερου χώρου στους δίσκους, με στροφικό δείκτη."
+#~ "A quick hack to show the amount of space free on mounted file systems "
+#~ "uitilizing a dial."
+#~ msgstr ""
+#~ "Πρόχειρο πρόγραμμα για εμφάνιση ελεύθερου χώρου στους δίσκους, με "
+#~ "στροφικό δείκτη."
 
 #~ msgid "Don't search subdirectories"
 #~ msgstr "Όχι αναζήτηση σε υποκαταλόγους"
@@ -1371,17 +1838,24 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "can't open config file \"%s\""
 #~ msgstr "άνοιγμα αρχείου ρυθμίσεων \"%s\" αδύνατο"
 
-#~ msgid "can't open config file \"./gstripchart.conf\", \"%s\", \"%s\", or \"%s\""
-#~ msgstr "άνοιγμα αρχείου ρυθμίσεων \"./gstripchart.conf\", \"%s\", \"%s\", ή \"%s\" αδύνατο"
+#~ msgid ""
+#~ "can't open config file \"./gstripchart.conf\", \"%s\", \"%s\", or \"%s\""
+#~ msgstr ""
+#~ "άνοιγμα αρχείου ρυθμίσεων \"./gstripchart.conf\", \"%s\", \"%s\", ή "
+#~ "\"%s\" αδύνατο"
 
 #~ msgid "can't open config file \"./gstripchart.conf\", \"%s\", or \"%s\""
-#~ msgstr "άνοιγμα αρχείου ρυθμίσεων \"./gstripchart.conf\", \"%s\", \"%s\", ή \"%s\" αδύνατο"
+#~ msgstr ""
+#~ "άνοιγμα αρχείου ρυθμίσεων \"./gstripchart.conf\", \"%s\", \"%s\", ή "
+#~ "\"%s\" αδύνατο"
 
 #~ msgid "unrecognized color: %s"
 #~ msgstr "άγνωστο χρώμα: %s"
 
 #~ msgid "scale must be either \"log\" or \"linear\""
-#~ msgstr "η κλίμακα πρέπει να είναι είτε \"log\" (λογαριθμική) ή \"linear\" (γραμμική)"
+#~ msgstr ""
+#~ "η κλίμακα πρέπει να είναι είτε \"log\" (λογαριθμική) ή "
+#~ "\"linear\" (γραμμική)"
 
 #~ msgid "no equation found"
 #~ msgstr "δε βρέθηκε εξίσωση"
@@ -1393,15 +1867,16 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgstr "Πνευματικά δικαιώματα 1998,99 John Kodis"
 
 #~ msgid ""
-#~ "The GNOME stripchart program plots various user-specified parameters as a function of "
-#~ "time.  Its main use is to chart system performance parameters such as CPU load, CPU "
-#~ "utilization, network traffic levels, and the like.  Other more ingenious uses are left as "
-#~ "an exercise for the interested user."
-#~ msgstr ""
-#~ "Το πρόγραμμα γραφημάτων του GNOME απεικονίζει δίαφορες παραμέτρους ως συνάρτηση του "
-#~ "χρόνου. Η βασική λειτουργία του είναι η απεικόνιση διαφόρων παραμέτρων της απόδοσης του "
-#~ "συστήματος, όπως φόρτος CPU load, αξιοποίηση CPU, επίπεδα κίνησης δικτύου, και τα σχετικά. "
-#~ "Άλλες ευφυέστερες χρήσεις αφήνονται ως άσκηση για τους ενδιαφερόμενους χρήστες."
+#~ "The GNOME stripchart program plots various user-specified parameters as a "
+#~ "function of time.  Its main use is to chart system performance parameters "
+#~ "such as CPU load, CPU utilization, network traffic levels, and the like.  "
+#~ "Other more ingenious uses are left as an exercise for the interested user."
+#~ msgstr ""
+#~ "Το πρόγραμμα γραφημάτων του GNOME απεικονίζει δίαφορες παραμέτρους ως "
+#~ "συνάρτηση του χρόνου. Η βασική λειτουργία του είναι η απεικόνιση διαφόρων "
+#~ "παραμέτρων της απόδοσης του συστήματος, όπως φόρτος CPU load, αξιοποίηση "
+#~ "CPU, επίπεδα κίνησης δικτύου, και τα σχετικά. Άλλες ευφυέστερες χρήσεις "
+#~ "αφήνονται ως άσκηση για τους ενδιαφερόμενους χρήστες."
 
 #~ msgid "Info about the striphart program"
 #~ msgstr "Πληροφορίες για το πρόγραμμα γραφημάτων"
@@ -1427,9 +1902,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "Expected range"
 #~ msgstr "Αναμενόμενο εύρος τιμών"
 
-#~ msgid "Displayed range"
-#~ msgstr "Απεικονιζόμενο εύρος τιμών"
-
 #~ msgid "Current value"
 #~ msgstr "Τρέχουσα τιμή"
 
@@ -1735,9 +2207,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "Copy Selected Project"
 #~ msgstr "Αντιγραφή Επιλεγμένου Έργου"
 
-#~ msgid "Paste Project"
-#~ msgstr "Επικόλληση Έργου"
-
 #~ msgid "Props"
 #~ msgstr "Ιδιότητες"
 
@@ -1891,9 +2360,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "Shut Down"
 #~ msgstr "Κλείσιμο Υπολογιστή"
 
-#~ msgid "Single User Mode"
-#~ msgstr "Κατάσταση Ενός Χρήστη"
-
 #~ msgid "Runlevel 2"
 #~ msgstr "Runlevel 2"
 
@@ -1930,8 +2396,11 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "Are you sure you want to reboot the system?"
 #~ msgstr "Είσαστε βέβαιοι ότι θέλετε να επανεκιννήσετε τον υπολογιστή;"
 
-#~ msgid "You must be the super-user (root) to shut down or restart the computer."
-#~ msgstr "Μόνο ο υπερχρήστης (root) επιτρέπεται να κλείσει ή επανεκκινήσει τον υπολογιστή."
+#~ msgid ""
+#~ "You must be the super-user (root) to shut down or restart the computer."
+#~ msgstr ""
+#~ "Μόνο ο υπερχρήστης (root) επιτρέπεται να κλείσει ή επανεκκινήσει τον "
+#~ "υπολογιστή."
 
 #~ msgid "Shutdown or Reboot"
 #~ msgstr "Τερματισμός ή Επανεκκίνηση Υπολογιστή"
@@ -1943,7 +2412,8 @@ msgstr "Επαναφορά ενδιάμ
 #~ "Click OK to shutdown or reboot. You will lose\n"
 #~ "any unsaved information in open applications."
 #~ msgstr ""
-#~ "Κάντε κλίκ στο Εντάξει για να κλείσετε ή να επανεκκινήσετε τον υπολογιστή.\n"
+#~ "Κάντε κλίκ στο Εντάξει για να κλείσετε ή να επανεκκινήσετε τον "
+#~ "υπολογιστή.\n"
 #~ "Οι μη αποθηκευμένες αλλαγές σε ανοιχτά προγράμματα θα χαθούν."
 
 #~ msgid "Revert to Defaults"
@@ -1955,9 +2425,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "Confirm before shutdown?"
 #~ msgstr "Επιβεβαίωση τερματισμού λειτουργίας υπολογιστή;"
 
-#~ msgid "General"
-#~ msgstr "Γενικά"
-
 #~ msgid ""
 #~ "%s\n"
 #~ "You will lose any unsaved work."
@@ -2175,11 +2642,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "Command Line"
 #~ msgstr "Γραμμή Εντολών"
 
-# Using standard translation for "default" for consistency, although
-# it is not quite suitable in this context...
-#~ msgid "Add some defaults"
-#~ msgstr "Προσθήκη εξ' ορισμού εντολών"
-
 #~ msgid "Delete"
 #~ msgstr "Διαγραφή"
 
@@ -2215,9 +2677,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "Running: %s\n"
 #~ msgstr "Εκτελείται: %s\n"
 
-#~ msgid "16-bit"
-#~ msgstr "16-bit"
-
 #~ msgid "32-bit"
 #~ msgstr "32-bit"
 
@@ -2230,9 +2689,6 @@ msgstr "Επαναφορά ενδιάμ
 #~ msgid "Standby"
 #~ msgstr "Αναμονή"
 
-#~ msgid "Unable to access the drive."
-#~ msgstr "Πρόσβαση στο δίσκο αδύνατη."
-
 #~ msgid "The DMA setting for this drive cannot be changed."
 #~ msgstr "Οι ρυθμίσεις DMA για αυτόν τον δίσκο δεν μπορούν να αλλαχθούν."
 
diff -pruN 45.1-1/po/es.po 46.0-1/po/es.po
--- 45.1-1/po/es.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/es.po	2024-03-22 05:14:59.000000000 +0000
@@ -7,26 +7,25 @@
 # Lucas 'Basurero' Vieites <lucas@asixinformatica.com>, 2002,2003.
 # Francisco Javier F. Serrador <serrador@cvs.gnome.org>, 2004, 2005, 2006.
 # Jorge González <jorgegonz@svn.gnome.org>, 2007, 2010.
-# Daniel Mustieles <daniel.mustieles@gmail.com>, 2010-2022.
-# Daniel Mustieles García <daniel.mustieles@gmail.com>, 2022.
+# Daniel Mustieles <daniel.mustieles@gmail.com>, 2022-2024.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex.HEAD.es\n"
-"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues\n"
-"POT-Creation-Date: 2022-11-06 13:42+0000\n"
-"PO-Revision-Date: 2022-11-14 10:31+0100\n"
-"Last-Translator: Daniel Mustieles García <daniel.mustieles@gmail.com>\n"
+"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues/\n"
+"POT-Creation-Date: 2024-01-29 08:37+0000\n"
+"PO-Revision-Date: 2024-01-30 11:27+0100\n"
+"Last-Translator: Daniel Mustieles <daniel.mustieles@gmail.com>\n"
 "Language-Team: Spanish - Spain <gnome-es-list@gnome.org>\n"
 "Language: es_ES\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1)\n"
-"X-Generator: Gtranslator 42.0\n"
+"X-Generator: Gtranslator 45.3\n"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:6
-#: src/ghex-application-window.ui.in:149
+#: src/ghex-application-window.ui.in:151
 msgid "GHex"
 msgstr "GHex"
 
@@ -50,52 +49,40 @@ msgstr ""
 "columnas , una con los valores hexadecimales y otra con su representación "
 "ASCII. Es una herramienta muy útil para trabajar con datos en bruto."
 
-#: data/org.gnome.GHex.appdata.xml.in.in:40
-msgid "Logan Rathbone"
-msgstr "Logan Rathbone"
-
 #: data/org.gnome.GHex.desktop.in.in:5
 msgid "Hex Editor"
 msgstr "Editor hexadecimal"
 
 #. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
 #: data/org.gnome.GHex.desktop.in.in:8
-msgid "binary;debug;"
-msgstr "binario;depurar;"
+msgid "binary;debug;hexadecimal;"
+msgstr "binario;depurar;hexadecimal;"
 
-#: src/chartable.c:152 src/find-options.ui:67
+#: src/chartable.ui:30
+msgid "Character table"
+msgstr "Tabla de caracteres"
+
+#: src/chartable.ui:44 src/find-options.ui:67
 msgid "ASCII"
 msgstr "ASCII"
 
-#: src/chartable.c:152 src/find-options.ui:66
+#: src/chartable.ui:69 src/find-options.ui:66
 msgid "Hex"
 msgstr "Hexadecimal"
 
-#: src/chartable.c:152
+#: src/chartable.ui:94
 msgid "Decimal"
 msgstr "Decimal"
 
-#: src/chartable.c:153
+#: src/chartable.ui:119
 msgid "Octal"
 msgstr "Octal"
 
-#: src/chartable.c:153
+#: src/chartable.ui:144
 msgid "Binary"
 msgstr "Binario"
 
-#: src/chartable.c:184
-msgid "Character table"
-msgstr "Tabla de caracteres"
-
-#: src/chartable.c:252
-msgid "_Insert Character"
-msgstr "_Insertar carácter"
-
-#: src/chartable.c:256 src/converter.c:186
-msgid "_Close"
-msgstr "_Cerrar"
-
-#: src/common-ui.c:240
+#: src/common-ui.c:246
 msgid ""
 "This program is free software; you can redistribute it and/or modify it "
 "under the terms of the GNU General Public License as published by the Free "
@@ -107,7 +94,7 @@ msgstr ""
 "Free Software Foundation; ya sea la versión 2 de la Licencia, o (a su "
 "elección) cualquier versión posterior."
 
-#: src/common-ui.c:244
+#: src/common-ui.c:250
 msgid ""
 "This program is distributed in the hope that it will be useful, but WITHOUT "
 "ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
@@ -119,7 +106,7 @@ msgstr ""
 "IDONEIDAD PARA UN PROPÓSITO PARTICULAR. Vea la Licencia Pública General GNU "
 "para más detalles."
 
-#: src/common-ui.c:248
+#: src/common-ui.c:254
 msgid ""
 "You should have received a copy of the GNU General Public License along with "
 "this program; if not, write to the Free Software Foundation, Inc., 51 "
@@ -131,89 +118,69 @@ msgstr ""
 
 #. Translators: these two strings here indicate the copyright time span,
 #. e.g. 1998-2018.
-#: src/common-ui.c:260
+#: src/common-ui.c:266
 #, c-format
 msgid "Copyright © %d–%d The GHex authors"
 msgstr "Copyright © %d–%d Los autores de GHex"
 
-#: src/common-ui.c:274
-msgid "A binary file editor"
-msgstr "Un editor de archivos binarios"
-
-#: src/common-ui.c:281
+#: src/common-ui.c:287
 msgid "About GHex"
 msgstr "Acerca de GHex"
 
-#: src/common-ui.c:282
+#: src/common-ui.c:288
 msgid "translator-credits"
-msgstr "Daniel Mustieles <daniel.mustieles@gmail.com>, 2007-2010"
-
-#: src/common-ui.c:285
-msgid "GHex Website"
-msgstr "Página web de GHex"
+msgstr "Daniel Mustieles <daniel.mustieles@gmail.com>, 2007-2024"
 
 #. Translators: This is an error string for a print-related error
 #. * dialog.  The %s is the error generated by GError.
-#: src/common-ui.c:349
+#: src/common-ui.c:353
 #, c-format
 msgid "An error has occurred: %s"
 msgstr "Ha ocurrido un error: %s"
 
-#: src/context-menu.ui:30
-msgid "_Undo"
-msgstr "_Deshacer"
-
-#: src/context-menu.ui:34
-msgid "_Redo"
-msgstr "_Rehacer"
-
-#: src/context-menu.ui:40
-msgid "Cu_t"
-msgstr "Cor_tar"
-
-#: src/context-menu.ui:44 src/paste-special.c:405
-msgid "_Copy"
-msgstr "_Copiar"
-
-#: src/context-menu.ui:48 src/paste-special.ui:49
-msgid "_Paste"
-msgstr "_Pegar"
+#: src/common-ui.c:374 src/find-dialog.ui:99 src/jump-dialog.ui:64
+msgid "Close"
+msgstr "Cerrar"
 
-#: src/converter.c:183
+#: src/converter.c:166
 msgid "Base Converter"
 msgstr "Conversor de base"
 
 #. entries
-#: src/converter.c:209
+#: src/converter.c:176
 msgid "_Binary:"
 msgstr "_Binario:"
 
-#: src/converter.c:211
+#: src/converter.c:178
 msgid "_Octal:"
 msgstr "_Octal:"
 
-#: src/converter.c:213
+#: src/converter.c:180
 msgid "_Decimal:"
 msgstr "_Decimal:"
 
-#: src/converter.c:215
+#: src/converter.c:182
 msgid "_Hex:"
 msgstr "_Hex:"
 
-#: src/converter.c:217
+#: src/converter.c:184
 msgid "_ASCII:"
 msgstr "_ASCII:"
 
 #. get cursor button
-#: src/converter.c:221
+#: src/converter.c:188
 msgid "_Get cursor value"
 msgstr "O_btener el valor del cursor"
 
-#: src/converter.c:230
+#: src/converter.c:189
+msgid "_Close"
+msgstr "_Cerrar"
+
+#: src/converter.c:199
 msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
 msgstr "Obtiene el valor del cursor en binario, octal, decimal, hex y ASCII"
 
-#: src/converter.c:371
+#: src/converter.c:339
 msgid "ERROR"
 msgstr "ERROR"
 
@@ -257,14 +224,18 @@ msgstr "Opciones de búsqueda"
 msgid "View options of the find pane"
 msgstr "Opciones de vista para el panel de búsqueda"
 
-#: src/find-dialog.ui:99 src/jump-dialog.ui:63
-msgid "Close"
-msgstr "Cerrar"
-
 #: src/find-dialog.ui:100
 msgid "Closes the find pane"
 msgstr "Cierra el panel de búsqueda"
 
+#: src/find-options.ui:35
+msgid "_Regular expressions"
+msgstr "Expresiones _regulares"
+
+#: src/find-options.ui:44
+msgid "_Ignore case"
+msgstr "_Ignorar mayúsculas/minúsculas"
+
 #: src/find-options.ui:60
 msgid "Show:"
 msgstr "Mostrar:"
@@ -273,11 +244,11 @@ msgstr "Mostrar:"
 msgid "Both"
 msgstr "Ambas"
 
-#: src/findreplace.c:221
+#: src/findreplace.c:222
 msgid "No string provided."
 msgstr "No se ha proporcionado ninguna cadena."
 
-#: src/findreplace.c:395
+#: src/findreplace.c:396
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -287,7 +258,7 @@ msgstr ""
 "\n"
 "No hay más coincidencias."
 
-#: src/findreplace.c:397
+#: src/findreplace.c:398
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -297,7 +268,7 @@ msgstr ""
 "\n"
 "No se han encontrado coincidencias desde el cursor."
 
-#: src/findreplace.c:407
+#: src/findreplace.c:408
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -307,7 +278,7 @@ msgstr ""
 "\n"
 "No hay más coincidencias."
 
-#: src/findreplace.c:409
+#: src/findreplace.c:410
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -317,19 +288,19 @@ msgstr ""
 "\n"
 "No hay más coincidencias."
 
-#: src/findreplace.c:480
+#: src/findreplace.c:481
 msgid "No offset has been specified."
 msgstr "No se ha especificado el desplazamiento."
 
-#: src/findreplace.c:505
+#: src/findreplace.c:506
 msgid "The specified offset is beyond the  file boundaries."
 msgstr "El desplazamiento especificado está fuera de los límites del archivo."
 
-#: src/findreplace.c:513
+#: src/findreplace.c:514
 msgid "Can not position cursor beyond the end of file."
 msgstr "No se puede poner el cursor más allá del fin del archivo."
 
-#: src/findreplace.c:523
+#: src/findreplace.c:525
 msgid ""
 "You may only give the offset as:\n"
 "  - a positive decimal number, or\n"
@@ -341,31 +312,31 @@ msgstr ""
 "  - un número hexadecimal, que empiece por «0x»\n"
 "  - un signo «+» o «-». seguido de un desplazamiento relativo"
 
-#: src/findreplace.c:580
+#: src/findreplace.c:584
 msgid "String was not found."
 msgstr "No se encontró la cadena."
 
-#: src/findreplace.c:644
+#: src/findreplace.c:648
 #, c-format
 msgid "Search complete: %d replacements made."
 msgstr "Búsqueda completada: reemplazadas %d ocurrencias."
 
-#: src/findreplace.c:651
+#: src/findreplace.c:655
 msgid "No occurrences were found."
 msgstr "No se han encontrado coincidencias."
 
 #. Translators: this is the string for an untitled buffer that will
 #. * be displayed in the titlebar when a user does File->New
 #.
-#: src/ghex-application-window.c:49 src/hex-document.c:1057
+#: src/ghex-application-window.c:49 src/hex-document.c:1091
 msgid "Untitled"
 msgstr "Sin título"
 
-#: src/ghex-application-window.c:284
+#: src/ghex-application-window.c:293
 msgid "There was an error saving the file."
 msgstr "Hubo un error al guardar el archivo."
 
-#: src/ghex-application-window.c:334
+#: src/ghex-application-window.c:336
 msgid ""
 "<b>You have one or more files open with unsaved changes.</b>\n"
 "\n"
@@ -377,18 +348,18 @@ msgstr ""
 "¿Está seguro de querer cerrar esta ventana?\n"
 "\n"
 
-#: src/ghex-application-window.c:338
+#: src/ghex-application-window.c:339
 msgid "_Close Anyway"
 msgstr "Cerrar de _todas formas"
 
-#: src/ghex-application-window.c:339 src/ghex-application-window.c:474
-#: src/ghex-application-window.c:1164
+#: src/ghex-application-window.c:340 src/ghex-application-window.c:475
+#: src/ghex-application-window.c:1173
 msgid "_Go Back"
 msgstr "A_trás"
 
 #. Translators: %s is the filename that is currently being
 #. * edited.
-#: src/ghex-application-window.c:452
+#: src/ghex-application-window.c:456
 #, c-format
 msgid ""
 "<big><b>%s has been edited since opening.</b></big>\n"
@@ -399,7 +370,7 @@ msgstr ""
 "\n"
 "¿Quiere guardar los cambios?"
 
-#: src/ghex-application-window.c:458
+#: src/ghex-application-window.c:462
 msgid ""
 "<b>The buffer has been edited since opening.</b>\n"
 "\n"
@@ -409,19 +380,19 @@ msgstr ""
 "\n"
 "¿Quiere guardar los cambios?"
 
-#: src/ghex-application-window.c:472
+#: src/ghex-application-window.c:473
 msgid "_Save Changes"
 msgstr "_Guardar cambios"
 
-#: src/ghex-application-window.c:473
+#: src/ghex-application-window.c:474
 msgid "_Discard Changes"
 msgstr "_Descartar cambios"
 
-#: src/ghex-application-window.c:1017
+#: src/ghex-application-window.c:1029
 msgid "There was an error saving the file to the path specified."
 msgstr "Hubo un error al guardar el archivo en la ruta especificada."
 
-#: src/ghex-application-window.c:1036
+#: src/ghex-application-window.c:1048
 msgid ""
 "An unknown error has occurred in attempting to reload the file you have just "
 "saved."
@@ -429,13 +400,13 @@ msgstr ""
 "Hubo un error desconocido al intentar volver a cargar el archivo que acaba "
 "de guardar."
 
-#: src/ghex-application-window.c:1088
+#: src/ghex-application-window.c:1101
 msgid "Select a file to save buffer as"
 msgstr "Seleccione un archivo en el que guardar el búfer actual"
 
 #. Translators: %s here is the filename the user is being asked to
 #. * confirm whether they want to revert.
-#: src/ghex-application-window.c:1157
+#: src/ghex-application-window.c:1167
 #, c-format
 msgid ""
 "<big><b>Are you sure you want to revert %s?</b></big>\n"
@@ -450,15 +421,15 @@ msgstr ""
 "\n"
 "Esta acción no se puede deshacer."
 
-#: src/ghex-application-window.c:1163 src/ghex-application-window.ui.in:39
+#: src/ghex-application-window.c:1172 src/ghex-application-window.ui.in:39
 msgid "_Revert"
 msgstr "_Revertir"
 
-#: src/ghex-application-window.c:1247
+#: src/ghex-application-window.c:1260
 msgid "Select a file to open"
 msgstr "Seleccione un archivo para abrir"
 
-#: src/ghex-application-window.c:1352
+#: src/ghex-application-window.c:1367
 #, c-format
 msgid ""
 "Sorry, but help could not be opened.\n"
@@ -482,21 +453,21 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/ghex-application-window.c:1428
+#: src/ghex-application-window.c:1561
 #, c-format
 msgid ""
-"Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to <tt>0x"
-"%lX</tt> selected"
+"Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
+"<tt>0x%lX</tt> selected"
 msgstr ""
 "Desplazamiento: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes desde <tt>0x%lX</tt> a "
 "<tt>0x%lX</tt> seleccionados"
 
-#: src/ghex-application-window.c:1432
+#: src/ghex-application-window.c:1565
 #, c-format
 msgid "Offset: <tt>0x%lX</tt>"
 msgstr "Desplazamiento: <tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:2048
+#: src/ghex-application-window.c:2374
 msgid ""
 "You are attempting to open a file 1GB or larger.\n"
 "\n"
@@ -522,10 +493,18 @@ msgstr ""
 "Para evitar la aparición de este mensaje, pruebe a usar un backend de búfer "
 "diferente."
 
-#: src/ghex-application-window.c:2105
+#: src/ghex-application-window.c:2432
 msgid "There was an error reading the file."
 msgstr "Hubo un error al leer el archivo."
 
+#: src/ghex-application-window.c:2493
+msgid ""
+"There was an error loading the requested file. The file either no longer "
+"exists, is inaccessible, or you may not have permission to access the file."
+msgstr ""
+"Hubo un error al cargar el archivo solicitado. El archivo no existe, no es "
+"accesible o no tiene permisos para acceder a él."
+
 #: src/ghex-application-window.ui.in:31
 msgid "_New"
 msgstr "_Nueva"
@@ -550,87 +529,99 @@ msgstr "Buscar y _reemplazar"
 msgid "_Jump to Byte"
 msgstr "Sal_tar al byte"
 
-#: src/ghex-application-window.ui.in:72
+#: src/ghex-application-window.ui.in:66
+msgid "_Marks"
+msgstr "_Marcas"
+
+#: src/ghex-application-window.ui.in:76
 msgid "_Edit"
 msgstr "_Editar"
 
-#: src/ghex-application-window.ui.in:74
+#: src/ghex-application-window.ui.in:78
 msgid "_Copy Special"
 msgstr "_Copiado especial"
 
-#: src/ghex-application-window.ui.in:78
+#: src/ghex-application-window.ui.in:82
 msgid "_Paste Special"
 msgstr "_Pegado especial"
 
-#: src/ghex-application-window.ui.in:85
-msgid "_Tools"
-msgstr "Herramien_tas"
-
-#: src/ghex-application-window.ui.in:87
-msgid "_Character Table"
-msgstr "_Tabla de caracteres"
-
-#: src/ghex-application-window.ui.in:91
-msgid "_Base Converter"
-msgstr "Conversor de _base"
-
-#: src/ghex-application-window.ui.in:98
+#: src/ghex-application-window.ui.in:86
 msgid "G_roup Data As"
 msgstr "A_grupar datos como"
 
-#: src/ghex-application-window.ui.in:100
+#: src/ghex-application-window.ui.in:88
 msgid "_Bytes (8-bit)"
 msgstr "_Bytes (8-bit)"
 
-#: src/ghex-application-window.ui.in:106
+#: src/ghex-application-window.ui.in:94
 msgid "_Words (16-bit)"
 msgstr "_Palabras (16-bit)"
 
-#: src/ghex-application-window.ui.in:111
+#: src/ghex-application-window.ui.in:99
 msgid "_Longwords (32-bit)"
 msgstr "Palabras _largas (32-bit)"
 
-#: src/ghex-application-window.ui.in:116
+#: src/ghex-application-window.ui.in:104
 msgid "_Quadwords (64-bit)"
 msgstr "Palabras _cuádruples (16-bit)"
 
-#: src/ghex-application-window.ui.in:126
+#: src/ghex-application-window.ui.in:113
+msgid "_Tools"
+msgstr "Herramien_tas"
+
+#: src/ghex-application-window.ui.in:115
+msgid "_Character Table"
+msgstr "_Tabla de caracteres"
+
+#: src/ghex-application-window.ui.in:119
+msgid "_Base Converter"
+msgstr "Conversor de _base"
+
+#: src/ghex-application-window.ui.in:128
 msgid "_Keyboard Shortcuts"
 msgstr "Atajos del _teclado"
 
-#: src/ghex-application-window.ui.in:131
+#: src/ghex-application-window.ui.in:133
 msgid "_Preferences"
 msgstr "_Preferencias"
 
-#: src/ghex-application-window.ui.in:136
+#: src/ghex-application-window.ui.in:138
 msgid "_Help"
 msgstr "Ay_uda"
 
-#: src/ghex-application-window.ui.in:141
+#: src/ghex-application-window.ui.in:143
 msgid "_About GHex"
 msgstr "_Acerca de GHex"
 
-#: src/ghex-application-window.ui.in:170
+#: src/ghex-application-window.ui.in:172
 msgid "Open a file for hex editing"
 msgstr "Abrir un archivo para editarlo en hexadecimal"
 
-#: src/ghex-application-window.ui.in:187
+#: src/ghex-application-window.ui.in:175
+msgid "_Open"
+msgstr "_Abrir"
+
+#: src/ghex-application-window.ui.in:188
+msgid "Main Menu"
+msgstr "Menu Principal"
+
+#: src/ghex-application-window.ui.in:190
 msgid "Main menu"
 msgstr "Menú principal"
 
-#: src/ghex-application-window.ui.in:197
+#: src/ghex-application-window.ui.in:200
 msgid "Find a string in the hex document"
 msgstr "Busca una cadena en el documento hexadecimal"
 
-#: src/ghex-application-window.ui.in:206
+#: src/ghex-application-window.ui.in:209
 msgid "Save document"
 msgstr "Guardar documento"
 
-#: src/ghex-application-window.ui.in:214
+#: src/ghex-application-window.ui.in:217
 msgid "No File Loaded"
 msgstr "Ningún archivo cargado"
 
-#: src/ghex-application-window.ui.in:217
+#: src/ghex-application-window.ui.in:220
 msgid ""
 "• Press the Open button\n"
 "• Press Ctrl+N to start a new document\n"
@@ -644,16 +635,48 @@ msgstr ""
 "\n"
 "O pulse Ctrl+W para cerrar la ventana."
 
-#: src/ghex-application-window.ui.in:306
+#: src/ghex-application-window.ui.in:309
 msgid "Toggle insert mode (add data to file rather than replace existing data)"
 msgstr ""
 "Conmutar el modo de inserción (añadir datos al archivo en lugar de sustituir "
 "los datos existentes)"
 
-#: src/ghex-application-window.ui.in:318
+#: src/ghex-application-window.ui.in:321
 msgid "Toggle a pane showing various numeric conversions"
 msgstr "Conmutar un panel que muestra varias conversiones numéricas"
 
+#: src/gtkhex.ui:23
+msgid "Automatic geometry"
+msgstr "Geometría automática"
+
+#: src/gtkhex.ui:33
+msgid "Characters per line:"
+msgstr "Caracteres por línea:"
+
+#: src/gtkhex.ui:62
+msgid "_Undo"
+msgstr "_Deshacer"
+
+#: src/gtkhex.ui:66
+msgid "_Redo"
+msgstr "_Rehacer"
+
+#: src/gtkhex.ui:72
+msgid "Cu_t"
+msgstr "Cor_tar"
+
+#: src/gtkhex.ui:76 src/paste-special.c:420
+msgid "_Copy"
+msgstr "_Copiar"
+
+#: src/gtkhex.ui:80 src/paste-special.ui:47
+msgid "_Paste"
+msgstr "_Pegar"
+
+#: src/gtkhex.ui:86
+msgid "_Geometry"
+msgstr "_Geometría"
+
 #: src/help-overlay.ui:14
 msgid "Files"
 msgstr "Archivos"
@@ -707,62 +730,86 @@ msgid "Find and replace"
 msgstr "Buscar y reemplazar"
 
 #: src/help-overlay.ui:105
+msgid "Marks"
+msgstr "Marcas"
+
+#: src/help-overlay.ui:110
+msgid "Marks dialog"
+msgstr "Diálogo de marcas"
+
+#: src/help-overlay.ui:117
+msgid "Activate mark (0-9)"
+msgstr "Activar marca (0-9)"
+
+#: src/help-overlay.ui:126
 msgid "Clipboard"
 msgstr "Portapapeles"
 
-#: src/help-overlay.ui:110
+#: src/help-overlay.ui:131
 msgid "Copy"
 msgstr "Copiar"
 
-#: src/help-overlay.ui:117
+#: src/help-overlay.ui:138
 msgid "Cut"
 msgstr "Cortar"
 
-#: src/help-overlay.ui:124
+#: src/help-overlay.ui:145
 msgid "Paste"
 msgstr "Pegar"
 
-#: src/help-overlay.ui:131
+#: src/help-overlay.ui:152
 msgid "Copy special"
 msgstr "Copiado especial"
 
-#: src/help-overlay.ui:138
+#: src/help-overlay.ui:159
 msgid "Paste special"
 msgstr "Pegado especial"
 
-#: src/help-overlay.ui:147
+#: src/help-overlay.ui:168
 msgid "Navigation"
 msgstr "Navegación"
 
-#: src/help-overlay.ui:152
+#: src/help-overlay.ui:173
 msgid "Toggle left (hex) display"
 msgstr "Conmutar la visualización de la región izquierda (hexadecimal)"
 
-#: src/help-overlay.ui:159
+#: src/help-overlay.ui:180
 msgid "Toggle right (ASCII) display"
 msgstr "Conmutar la visualización de la región derecha (ASCII)"
 
-#: src/help-overlay.ui:166
+#: src/help-overlay.ui:187
 msgid "Switch to previous tab"
 msgstr "Cambiar a la pestaña anterior"
 
-#: src/help-overlay.ui:173
+#: src/help-overlay.ui:194
 msgid "Switch to next tab"
 msgstr "Cambiar a la siguiente pestaña"
 
-#: src/help-overlay.ui:180
+#: src/help-overlay.ui:201
 msgid "Jump to byte"
 msgstr "Salta al byte"
 
-#: src/help-overlay.ui:189
+#: src/help-overlay.ui:208
+msgid "Move to beginning of document"
+msgstr "Moverse al principio del documento"
+
+#: src/help-overlay.ui:215
+msgid "Move to end of document"
+msgstr "Moverse al final del documento"
+
+#: src/help-overlay.ui:224
 msgid "General"
 msgstr "General"
 
-#: src/help-overlay.ui:194
-msgid "Show About dialog"
-msgstr "La ventana del diálogo Acerca de"
+#: src/help-overlay.ui:229
+msgid "Show help"
+msgstr "Mostrar la ayuda"
+
+#: src/help-overlay.ui:236
+msgid "Show preferences"
+msgstr "Mostrar las preferencias"
 
-#: src/help-overlay.ui:201
+#: src/help-overlay.ui:243
 msgid "Toggle insert mode"
 msgstr "Conmutar el modo de insertar"
 
@@ -796,7 +843,7 @@ msgstr "No se pudo crear el archivo"
 msgid "Not a regular file or block device"
 msgstr "No es un archivo normal o un dispositivo de bloques"
 
-#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:616
+#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:615
 msgid "Unable to open file for reading"
 msgstr "No se puede abrir el archivo para lectura."
 
@@ -830,106 +877,102 @@ msgstr "No se puede ajustar %s de %lu a
 msgid "Fatal error: Memory mapping of file (%lu bytes, fd %d) failed"
 msgstr "Error fatal: falló el mapeo de memoria del archivo (%lu bytes, fd %d)"
 
-#: src/hex-buffer-mmap.c:606
+#: src/hex-buffer-mmap.c:605
 msgid "Not a regular file"
 msgstr "No es un archivo regular"
 
-#: src/hex-buffer-mmap.c:647
+#: src/hex-buffer-mmap.c:646
 msgid "Failed to open temporary file."
 msgstr "Falló al abrir el archivo temporal."
 
-#: src/hex-buffer-mmap.c:686
+#: src/hex-buffer-mmap.c:685
 msgid "Error reading file"
 msgstr "Error al leer el archivo"
 
-#: src/hex-buffer-mmap.c:702
+#: src/hex-buffer-mmap.c:701
 msgid "An error has occurred"
 msgstr "Ha ocurrido un error"
 
-#: src/hex-dialog.c:72
+#: src/hex-dialog.c:70
 msgid "Signed 8 bit:"
 msgstr "8 bits con signo:"
 
-#: src/hex-dialog.c:73
+#: src/hex-dialog.c:71
 msgid "Unsigned 8 bit:"
 msgstr "8 bits sin signo:"
 
-#: src/hex-dialog.c:74
+#: src/hex-dialog.c:72
 msgid "Signed 16 bit:"
 msgstr "16 bits con signo:"
 
-#: src/hex-dialog.c:75
+#: src/hex-dialog.c:73
 msgid "Unsigned 16 bit:"
 msgstr "16 bits sin signo:"
 
-#: src/hex-dialog.c:76
+#: src/hex-dialog.c:74
 msgid "Signed 32 bit:"
 msgstr "32 bits con signo:"
 
-#: src/hex-dialog.c:77
+#: src/hex-dialog.c:75
 msgid "Unsigned 32 bit:"
 msgstr "32 bits sin signo:"
 
-#: src/hex-dialog.c:78
+#: src/hex-dialog.c:76
 msgid "Signed 64 bit:"
 msgstr "64 bits con signo:"
 
-#: src/hex-dialog.c:79
+#: src/hex-dialog.c:77
 msgid "Unsigned 64 bit:"
 msgstr "64 bits sin signo:"
 
-#: src/hex-dialog.c:80
+#: src/hex-dialog.c:78
 msgid "Float 32 bit:"
 msgstr "32 bits en coma flotante:"
 
-#: src/hex-dialog.c:81
+#: src/hex-dialog.c:79
 msgid "Float 64 bit:"
 msgstr "64 bits en coma flotante:"
 
-#: src/hex-dialog.c:82
+#: src/hex-dialog.c:80
 msgid "Hexadecimal:"
 msgstr "Hexadecimal:"
 
-#: src/hex-dialog.c:83
+#: src/hex-dialog.c:81
 msgid "Octal:"
 msgstr "Octal:"
 
-#: src/hex-dialog.c:84
+#: src/hex-dialog.c:82
 msgid "Binary:"
 msgstr "Binario:"
 
-#: src/hex-dialog.c:205
+#: src/hex-dialog.c:201
 msgid "Show little endian decoding"
 msgstr "Mostrar decodificación little endian"
 
-#: src/hex-dialog.c:211
+#: src/hex-dialog.c:207
 msgid "Show unsigned and float as hexadecimal"
 msgstr "Mostrar unsigned y float como hexadecimal"
 
-#: src/hex-dialog.c:217
+#: src/hex-dialog.c:213
 msgid "Stream Length:"
 msgstr "Longitud del flujo:"
 
-#: src/hex-dialog.c:241
-msgid "FIXME: no conversion function"
-msgstr "FIXME: no hay función de conversión"
-
-#: src/hex-document.c:1085
+#: src/hex-document.c:1119
 #, c-format
 msgid "Page"
 msgstr "Página"
 
-#: src/hex-document.c:1091 src/hex-document.c:1194
+#: src/hex-document.c:1125 src/hex-document.c:1228
 #, c-format
 msgid "Hex dump generated by"
 msgstr "Volcado hexadecimal generado por"
 
-#: src/hex-document.c:1117
+#: src/hex-document.c:1151
 #, c-format
 msgid "Previous page"
 msgstr "Página anterior"
 
-#: src/hex-document.c:1132
+#: src/hex-document.c:1166
 #, c-format
 msgid "Next page"
 msgstr "Página siguiente"
@@ -938,10 +981,10 @@ msgstr "Página siguiente"
 msgid "Jump to byte (enter offset):"
 msgstr "Saltar a byte (introduzca desplazamiento):"
 
-#: src/jump-dialog.ui:43
+#: src/jump-dialog.ui:44
 msgid ""
 "Enter the offset byte to jump to. The default is decimal format, but other "
-"format strings are supported such as hexidecimal format, if C-style notation "
+"format strings are supported such as hexadecimal format, if C-style notation "
 "using the '0x' prefix is used. If your string is not recognized, a dialog "
 "will be presented explaining the valid formats of strings accepted."
 msgstr ""
@@ -951,15 +994,15 @@ msgstr ""
 "prefijo. Si la cadena no se reconoce, se mostrará una ventana de diálogo "
 "explicando los formatos aceptados de cadenas."
 
-#: src/jump-dialog.ui:48
+#: src/jump-dialog.ui:49
 msgid "_Jump"
 msgstr "_Saltar"
 
-#: src/jump-dialog.ui:54
+#: src/jump-dialog.ui:55
 msgid "Jumps to the specified byte"
 msgstr "Salta al byte especificado"
 
-#: src/jump-dialog.ui:64
+#: src/jump-dialog.ui:65
 msgid "Closes the jump-to-byte pane"
 msgstr "Cierra el panel de saltar a byte"
 
@@ -976,7 +1019,7 @@ msgstr "Esto es GHex, versión %s\n"
 msgid "GHex - A hex editor for the GNOME desktop"
 msgstr "GHex es un editor hexadecimal para el escritorio GNOME"
 
-#: src/paste-special.c:220
+#: src/paste-special.c:218
 #, c-format
 msgid ""
 "Paste failed; invalid hex format.\n"
@@ -992,32 +1035,31 @@ msgstr ""
 "\n"
 "Por ejemplo: «FF 3D 99 0A»"
 
-#: src/paste-special.c:310
+#: src/paste-special.c:305
 msgid "GHex Paste Data"
 msgstr "GHex pegar datos"
 
-#: src/paste-special.c:407
+#: src/paste-special.c:422
 msgid "Copy Special"
 msgstr "Copiado especial"
 
-#: src/paste-special.c:512
+#: src/paste-special.c:527
 msgid "Plain text (as ASCII)"
 msgstr "Texto plano (como ASCII)"
 
-#: src/paste-special.c:529
+#: src/paste-special.c:544
 msgid "Plain text (Unicode)"
 msgstr "Testo plano (Unicode)"
 
-#: src/paste-special.c:533
+#: src/paste-special.c:548
 msgid "Plain text (as space-delimited hex pairs)"
 msgstr "Texto plano (pares hexadecimales delimitados por espacios)"
 
-#. paste_special_dialog
 #: src/paste-special.ui:28
 msgid "Paste Special"
 msgstr "Pegado especial"
 
-#: src/paste-special.ui:55
+#: src/paste-special.ui:53
 msgid "_Cancel"
 msgstr "C_ancelar"
 
@@ -1132,6 +1174,24 @@ msgstr ""
 "Reemplaza todas las coincidencias de la cadena de búsqueda con la cadena de "
 "reemplazo"
 
+#~ msgid "Logan Rathbone"
+#~ msgstr "Logan Rathbone"
+
+#~ msgid "_Insert Character"
+#~ msgstr "_Insertar carácter"
+
+#~ msgid "A binary file editor"
+#~ msgstr "Un editor de archivos binarios"
+
+#~ msgid "GHex Website"
+#~ msgstr "Página web de GHex"
+
+#~ msgid "Show About dialog"
+#~ msgstr "La ventana del diálogo Acerca de"
+
+#~ msgid "FIXME: no conversion function"
+#~ msgstr "FIXME: no hay función de conversión"
+
 #~ msgid "Hex Group Type"
 #~ msgstr "Tipo de grupo hexadecimal"
 
@@ -1605,9 +1665,6 @@ msgstr ""
 #~ msgid "Help Chat"
 #~ msgstr "Chat de ayuda"
 
-#~ msgid "Open"
-#~ msgstr "Abrir"
-
 #~ msgid "Print"
 #~ msgstr "Imprimir"
 
@@ -1677,9 +1734,6 @@ msgstr ""
 #~ msgid "Font size for label in font info mode"
 #~ msgstr "Tamaño de fuente para la etiqueta en el modo de info de fuente"
 
-#~ msgid "Show size"
-#~ msgstr "Mostrar tamaño"
-
 #~ msgid "Show size in font info mode"
 #~ msgstr "Mostrar tamaño en el modo de info de fuente"
 
diff -pruN 45.1-1/po/fi.po 46.0-1/po/fi.po
--- 45.1-1/po/fi.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/fi.po	2024-03-22 05:14:59.000000000 +0000
@@ -10,9 +10,9 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex\n"
-"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues\n"
-"POT-Creation-Date: 2023-07-26 14:02+0000\n"
-"PO-Revision-Date: 2023-08-27 19:54+0300\n"
+"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues/\n"
+"POT-Creation-Date: 2024-02-24 00:29+0000\n"
+"PO-Revision-Date: 2024-03-09 17:33+0200\n"
 "Last-Translator: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>\n"
 "Language-Team: suomi <gnome-fi-laatu@lists.sourceforge.net>\n"
 "Language: fi\n"
@@ -20,10 +20,10 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Poedit 3.3.2\n"
+"X-Generator: Poedit 3.4.2\n"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:6
-#: src/ghex-application-window.ui.in:149
+#: src/ghex-application-window.ui.in:151
 msgid "GHex"
 msgstr "GHex"
 
@@ -47,52 +47,40 @@ msgstr ""
 "palstaan, heksadesimaaliarvot yhdessä ja ASCII-esitys toisessa. GHex on "
 "hyödyllinen työkalu raakadatan kanssa työskentelyyn."
 
-#: data/org.gnome.GHex.appdata.xml.in.in:40
-msgid "Logan Rathbone"
-msgstr "Logan Rathbone"
-
 #: data/org.gnome.GHex.desktop.in.in:5
 msgid "Hex Editor"
 msgstr "Heksadesimaalimuokkain"
 
 #. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
 #: data/org.gnome.GHex.desktop.in.in:8
-msgid "binary;debug;"
-msgstr "binary;debug;binääri;vianetsintä;"
+msgid "binary;debug;hexadecimal;"
+msgstr "binary;debug;binääri;vianetsintä;vianjäljitys;heksadesimaali;"
+
+#: src/chartable.ui:30
+msgid "Character table"
+msgstr "Markkitaulu"
 
-#: src/chartable.c:152 src/find-options.ui:67
+#: src/chartable.ui:44 src/find-options.ui:67
 msgid "ASCII"
 msgstr "ASCII"
 
-#: src/chartable.c:152 src/find-options.ui:66
+#: src/chartable.ui:69 src/find-options.ui:66
 msgid "Hex"
 msgstr "Heksa"
 
-#: src/chartable.c:152
+#: src/chartable.ui:94
 msgid "Decimal"
 msgstr "Desimaali"
 
-#: src/chartable.c:153
+#: src/chartable.ui:119
 msgid "Octal"
 msgstr "Oktaali"
 
-#: src/chartable.c:153
+#: src/chartable.ui:144
 msgid "Binary"
 msgstr "Binääri"
 
-#: src/chartable.c:184
-msgid "Character table"
-msgstr "Markkitaulu"
-
-#: src/chartable.c:252
-msgid "_Insert Character"
-msgstr "_Syötä merkki"
-
-#: src/chartable.c:256 src/converter.c:186
-msgid "_Close"
-msgstr "_Sulje"
-
-#: src/common-ui.c:240
+#: src/common-ui.c:246
 msgid ""
 "This program is free software; you can redistribute it and/or modify it "
 "under the terms of the GNU General Public License as published by the Free "
@@ -104,7 +92,7 @@ msgstr ""
 "Free Software Foundation on sen määritellyt; voit halutessasi käyttää "
 "lisenssin versiota 2 taikka mitä tahansa tämän jälkeen ilmestynyttä versiota."
 
-#: src/common-ui.c:244
+#: src/common-ui.c:250
 msgid ""
 "This program is distributed in the hope that it will be useful, but WITHOUT "
 "ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
@@ -116,7 +104,7 @@ msgstr ""
 "HYÖDYSTÄ YKSITTÄISEEN TARKOITUKSEEN.  Katso lisätietoja lisenssistä GNU "
 "General Public Licence."
 
-#: src/common-ui.c:248
+#: src/common-ui.c:254
 msgid ""
 "You should have received a copy of the GNU General Public License along with "
 "this program; if not, write to the Free Software Foundation, Inc., 51 "
@@ -128,71 +116,72 @@ msgstr ""
 
 #. Translators: these two strings here indicate the copyright time span,
 #. e.g. 1998-2018.
-#: src/common-ui.c:260
+#: src/common-ui.c:266
 #, c-format
 msgid "Copyright © %d–%d The GHex authors"
 msgstr "Tekijänoikeus © %d–%d GHexin tekijät"
 
-#: src/common-ui.c:274
-msgid "A binary file editor"
-msgstr "Binääritiedostoeditori"
-
-#: src/common-ui.c:281
+#: src/common-ui.c:287
 msgid "About GHex"
 msgstr "Tietoja - GHex"
 
-#: src/common-ui.c:282
+#: src/common-ui.c:288
 msgid "translator-credits"
 msgstr "Jiri Grönroos"
 
-#: src/common-ui.c:285
-msgid "GHex Website"
-msgstr "GHexin verkkosivusto"
-
 #. Translators: This is an error string for a print-related error
 #. * dialog.  The %s is the error generated by GError.
-#: src/common-ui.c:349
+#: src/common-ui.c:353
 #, c-format
 msgid "An error has occurred: %s"
 msgstr "Tapahtui virhe: %s"
 
-#: src/converter.c:183
+#: src/common-ui.c:374 src/find-dialog.ui:99 src/jump-dialog.ui:64
+#: src/mark-dialog.ui:152
+msgid "Close"
+msgstr "Sulje"
+
+#: src/converter.c:166
 msgid "Base Converter"
 msgstr "Kantamuuntaja"
 
 #. entries
-#: src/converter.c:209
+#: src/converter.c:176
 msgid "_Binary:"
 msgstr "_Binääri:"
 
-#: src/converter.c:211
+#: src/converter.c:178
 msgid "_Octal:"
 msgstr "_Oktaali:"
 
-#: src/converter.c:213
+#: src/converter.c:180
 msgid "_Decimal:"
 msgstr "_Desimaali:"
 
-#: src/converter.c:215
+#: src/converter.c:182
 msgid "_Hex:"
 msgstr "_Heksa:"
 
-#: src/converter.c:217
+#: src/converter.c:184
 msgid "_ASCII:"
 msgstr "_ASCII:"
 
 #. get cursor button
-#: src/converter.c:221
+#: src/converter.c:188
 msgid "_Get cursor value"
 msgstr "_Hae kursorin arvo"
 
-#: src/converter.c:230
+#: src/converter.c:189
+msgid "_Close"
+msgstr "_Sulje"
+
+#: src/converter.c:199
 msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
 msgstr ""
 "Hae kohdistimen kohdalla oleva arvo binääri-, oktaali-, desimaali-, "
 "heksadesimaali- ja ASCII-muodoissa"
 
-#: src/converter.c:371
+#: src/converter.c:339
 msgid "ERROR"
 msgstr "VIRHE"
 
@@ -236,10 +225,6 @@ msgstr "Hakuvalinnat"
 msgid "View options of the find pane"
 msgstr "Hakuikkunan näkymävalinnat"
 
-#: src/find-dialog.ui:99 src/jump-dialog.ui:63
-msgid "Close"
-msgstr "Sulje"
-
 #: src/find-dialog.ui:100
 msgid "Closes the find pane"
 msgstr "Sulkee hakuikkunan"
@@ -260,11 +245,11 @@ msgstr "Näytä:"
 msgid "Both"
 msgstr "Molemmat"
 
-#: src/findreplace.c:221
+#: src/findreplace.c:222
 msgid "No string provided."
 msgstr "Merkkijonoa ei annettu."
 
-#: src/findreplace.c:395
+#: src/findreplace.c:396
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -274,7 +259,7 @@ msgstr ""
 "\n"
 "Enempää vastaavuksia ei löytynyt."
 
-#: src/findreplace.c:397
+#: src/findreplace.c:398
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -284,7 +269,7 @@ msgstr ""
 "\n"
 "Ilmenemiä ei löytynyt kursorista."
 
-#: src/findreplace.c:407
+#: src/findreplace.c:408
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -294,7 +279,7 @@ msgstr ""
 "\n"
 "Enempää vastaavuksia ei löytynyt."
 
-#: src/findreplace.c:409
+#: src/findreplace.c:410
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -304,19 +289,19 @@ msgstr ""
 "\n"
 "Ilmenemiä ei löytynyt kursorista."
 
-#: src/findreplace.c:480
+#: src/findreplace.c:481
 msgid "No offset has been specified."
 msgstr "Siirrosta ei ole määritelty."
 
-#: src/findreplace.c:505
+#: src/findreplace.c:506
 msgid "The specified offset is beyond the  file boundaries."
 msgstr ""
 
-#: src/findreplace.c:513
+#: src/findreplace.c:514
 msgid "Can not position cursor beyond the end of file."
 msgstr "Osoitinta ei voi sijoittaa tiedoston lopun (EOF) ohi."
 
-#: src/findreplace.c:523
+#: src/findreplace.c:525
 msgid ""
 "You may only give the offset as:\n"
 "  - a positive decimal number, or\n"
@@ -328,31 +313,31 @@ msgstr ""
 "  - heksanumero, alkaen merkillä '0x', tai\n"
 "  - \"+\"- tai \"-\"-merkki, jonka perässä suhteellinen siirtymä"
 
-#: src/findreplace.c:580
+#: src/findreplace.c:584
 msgid "String was not found."
 msgstr "Merkkijonoa ei löytynyt."
 
-#: src/findreplace.c:644
+#: src/findreplace.c:648
 #, c-format
 msgid "Search complete: %d replacements made."
 msgstr "Haku valmistui: %d korvausta tehty."
 
-#: src/findreplace.c:651
+#: src/findreplace.c:655
 msgid "No occurrences were found."
 msgstr "Osumia ei löytynyt."
 
 #. Translators: this is the string for an untitled buffer that will
 #. * be displayed in the titlebar when a user does File->New
 #.
-#: src/ghex-application-window.c:49 src/hex-document.c:1057
+#: src/ghex-application-window.c:49 src/hex-document.c:1091
 msgid "Untitled"
 msgstr "Nimetön"
 
-#: src/ghex-application-window.c:284
+#: src/ghex-application-window.c:293
 msgid "There was an error saving the file."
 msgstr "Virhe tallennettaessa tiedostoa."
 
-#: src/ghex-application-window.c:334
+#: src/ghex-application-window.c:336
 msgid ""
 "<b>You have one or more files open with unsaved changes.</b>\n"
 "\n"
@@ -365,18 +350,18 @@ msgstr ""
 "Haluatko varmasti sulkea ikkunan?\n"
 "\n"
 
-#: src/ghex-application-window.c:338
+#: src/ghex-application-window.c:339
 msgid "_Close Anyway"
 msgstr "_Sulje silti"
 
-#: src/ghex-application-window.c:339 src/ghex-application-window.c:474
-#: src/ghex-application-window.c:1175
+#: src/ghex-application-window.c:340 src/ghex-application-window.c:475
+#: src/ghex-application-window.c:1179
 msgid "_Go Back"
 msgstr "_Takaisin"
 
 #. Translators: %s is the filename that is currently being
 #. * edited.
-#: src/ghex-application-window.c:452
+#: src/ghex-application-window.c:456
 #, c-format
 msgid ""
 "<big><b>%s has been edited since opening.</b></big>\n"
@@ -387,7 +372,7 @@ msgstr ""
 "\n"
 "Haluatko tallentaa muutokset?"
 
-#: src/ghex-application-window.c:458
+#: src/ghex-application-window.c:462
 msgid ""
 "<b>The buffer has been edited since opening.</b>\n"
 "\n"
@@ -397,31 +382,32 @@ msgstr ""
 "\n"
 "Haluatko tallentaa muutokset?"
 
-#: src/ghex-application-window.c:472
+#: src/ghex-application-window.c:473
 msgid "_Save Changes"
 msgstr "_Tallenna muutokset"
 
-#: src/ghex-application-window.c:473
+#: src/ghex-application-window.c:474
 msgid "_Discard Changes"
 msgstr "_Hylkää muutokset"
 
-#: src/ghex-application-window.c:1028
+#: src/ghex-application-window.c:1035
 msgid "There was an error saving the file to the path specified."
 msgstr "Tiedostoa tallennettaessa valittuun polkuun tapahtui virhe."
 
-#: src/ghex-application-window.c:1047
+#: src/ghex-application-window.c:1054
 msgid ""
 "An unknown error has occurred in attempting to reload the file you have just "
 "saved."
 msgstr ""
+"Juuri tallentamaasi tiedostoa ladatessa uudelleen tapahtui tuntematon virhe."
 
-#: src/ghex-application-window.c:1099
+#: src/ghex-application-window.c:1107
 msgid "Select a file to save buffer as"
 msgstr "Valitse tiedosto johon puskuri tallennetaan"
 
 #. Translators: %s here is the filename the user is being asked to
 #. * confirm whether they want to revert.
-#: src/ghex-application-window.c:1168
+#: src/ghex-application-window.c:1173
 #, c-format
 msgid ""
 "<big><b>Are you sure you want to revert %s?</b></big>\n"
@@ -436,15 +422,15 @@ msgstr ""
 "\n"
 "Tätä toimintoa ei voi perua."
 
-#: src/ghex-application-window.c:1174 src/ghex-application-window.ui.in:39
+#: src/ghex-application-window.c:1178 src/ghex-application-window.ui.in:39
 msgid "_Revert"
 msgstr "Pa_lauta"
 
-#: src/ghex-application-window.c:1258
+#: src/ghex-application-window.c:1266
 msgid "Select a file to open"
 msgstr "Valitse avattava tiedosto"
 
-#: src/ghex-application-window.c:1363
+#: src/ghex-application-window.c:1373
 #, c-format
 msgid ""
 "Sorry, but help could not be opened.\n"
@@ -467,7 +453,7 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/ghex-application-window.c:1439
+#: src/ghex-application-window.c:1567
 #, c-format
 msgid ""
 "Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
@@ -476,12 +462,12 @@ msgstr ""
 "Siirros: <tt>0x%lX</tt>; <tt>0x%lX</tt> tavua kohdasta <tt>0x%lX</tt> "
 "kohtaan <tt>0x%lX</tt> valittu"
 
-#: src/ghex-application-window.c:1443
+#: src/ghex-application-window.c:1571
 #, c-format
 msgid "Offset: <tt>0x%lX</tt>"
 msgstr "Siirros: <tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:2079
+#: src/ghex-application-window.c:2381
 msgid ""
 "You are attempting to open a file 1GB or larger.\n"
 "\n"
@@ -507,10 +493,16 @@ msgstr ""
 "Jos haluat tästä viestistä kokonaan eroon, kokeile käyttää toista puskurin "
 "taustaosaa."
 
-#: src/ghex-application-window.c:2136
+#: src/ghex-application-window.c:2439
 msgid "There was an error reading the file."
 msgstr "Tiedostoa luettaessa tapahtui virhe."
 
+#: src/ghex-application-window.c:2500
+msgid ""
+"There was an error loading the requested file. The file either no longer "
+"exists, is inaccessible, or you may not have permission to access the file."
+msgstr ""
+
 #: src/ghex-application-window.ui.in:31
 msgid "_New"
 msgstr "_Uusi"
@@ -535,95 +527,99 @@ msgstr "_Etsi ja korvaa"
 msgid "_Jump to Byte"
 msgstr "_Siirry tavuun"
 
-#: src/ghex-application-window.ui.in:72
+#: src/ghex-application-window.ui.in:66
+msgid "_Marks"
+msgstr "_Merkinnät"
+
+#: src/ghex-application-window.ui.in:76
 msgid "_Edit"
 msgstr "_Muokkaa"
 
-#: src/ghex-application-window.ui.in:74
+#: src/ghex-application-window.ui.in:78
 msgid "_Copy Special"
 msgstr "Kopioi e_rityisesti"
 
-#: src/ghex-application-window.ui.in:78
+#: src/ghex-application-window.ui.in:82
 msgid "_Paste Special"
 msgstr "Liitä _erityisesti"
 
-#: src/ghex-application-window.ui.in:85
-msgid "_Tools"
-msgstr "_Työkalut"
-
-#: src/ghex-application-window.ui.in:87
-msgid "_Character Table"
-msgstr "Merkki_taulukko"
-
-#: src/ghex-application-window.ui.in:91
-msgid "_Base Converter"
-msgstr "Kantamuunnin"
-
-#: src/ghex-application-window.ui.in:98
+#: src/ghex-application-window.ui.in:86
 msgid "G_roup Data As"
 msgstr "Ryhmittele _data"
 
-#: src/ghex-application-window.ui.in:100
+#: src/ghex-application-window.ui.in:88
 msgid "_Bytes (8-bit)"
 msgstr "_Tavut (8-bit)"
 
-#: src/ghex-application-window.ui.in:106
+#: src/ghex-application-window.ui.in:94
 msgid "_Words (16-bit)"
 msgstr "_Sanat (16-bit)"
 
-#: src/ghex-application-window.ui.in:111
+#: src/ghex-application-window.ui.in:99
 msgid "_Longwords (32-bit)"
 msgstr "_Pitkät sanat (32-bit)"
 
-#: src/ghex-application-window.ui.in:116
+#: src/ghex-application-window.ui.in:104
 msgid "_Quadwords (64-bit)"
 msgstr "_Nelisanat (64-bit)"
 
-#: src/ghex-application-window.ui.in:126
+#: src/ghex-application-window.ui.in:113
+msgid "_Tools"
+msgstr "_Työkalut"
+
+#: src/ghex-application-window.ui.in:115
+msgid "_Character Table"
+msgstr "Merkki_taulukko"
+
+#: src/ghex-application-window.ui.in:119
+msgid "_Base Converter"
+msgstr "Kantamuunnin"
+
+#: src/ghex-application-window.ui.in:128
 msgid "_Keyboard Shortcuts"
 msgstr "_Pikanäppäimet"
 
-#: src/ghex-application-window.ui.in:131
+#: src/ghex-application-window.ui.in:133
 msgid "_Preferences"
 msgstr "_Asetukset"
 
-#: src/ghex-application-window.ui.in:136
+#: src/ghex-application-window.ui.in:138
 msgid "_Help"
 msgstr "O_hje"
 
-#: src/ghex-application-window.ui.in:141
+#: src/ghex-application-window.ui.in:143
 msgid "_About GHex"
 msgstr "_Tietoja - GHex"
 
-#: src/ghex-application-window.ui.in:170
+#: src/ghex-application-window.ui.in:172
 msgid "Open a file for hex editing"
 msgstr "Avaa tiedosto heksamuokattavaksi"
 
-#: src/ghex-application-window.ui.in:173
+#: src/ghex-application-window.ui.in:175
 msgid "_Open"
 msgstr "_Avaa"
 
-#: src/ghex-application-window.ui.in:186
+#: src/ghex-application-window.ui.in:188
 msgid "Main Menu"
 msgstr "Päävalikko"
 
-#: src/ghex-application-window.ui.in:188
+#: src/ghex-application-window.ui.in:190
 msgid "Main menu"
 msgstr "Päävalikko"
 
-#: src/ghex-application-window.ui.in:198
+#: src/ghex-application-window.ui.in:200
 msgid "Find a string in the hex document"
 msgstr "Löydä merkkijono heksa-asiakirjasta"
 
-#: src/ghex-application-window.ui.in:207
+#: src/ghex-application-window.ui.in:209
 msgid "Save document"
 msgstr "Tallenna asiakirja"
 
-#: src/ghex-application-window.ui.in:215
+#: src/ghex-application-window.ui.in:217
 msgid "No File Loaded"
 msgstr "Mitään tiedostoa ei ole ladattu"
 
-#: src/ghex-application-window.ui.in:218
+#: src/ghex-application-window.ui.in:220
 msgid ""
 "• Press the Open button\n"
 "• Press Ctrl+N to start a new document\n"
@@ -637,13 +633,13 @@ msgstr ""
 "\n"
 "Tai paina Ctrl+W sulkeaksesi ikkunan."
 
-#: src/ghex-application-window.ui.in:307
+#: src/ghex-application-window.ui.in:309
 msgid "Toggle insert mode (add data to file rather than replace existing data)"
 msgstr ""
 "Syöttötila päälle/pois (lisää dataa tiedostoon sen sijaan että korvaisit "
 "olemassa olevaa dataa)"
 
-#: src/ghex-application-window.ui.in:319
+#: src/ghex-application-window.ui.in:321
 msgid "Toggle a pane showing various numeric conversions"
 msgstr "Näytä/piilota paneeli, joka näyttää lukuisia numeerisia muunnoksia"
 
@@ -667,11 +663,11 @@ msgstr "_Tee uudestaan"
 msgid "Cu_t"
 msgstr "_Leikkaa"
 
-#: src/gtkhex.ui:76 src/paste-special.c:405
+#: src/gtkhex.ui:76 src/paste-special.c:420
 msgid "_Copy"
 msgstr "_Kopioi"
 
-#: src/gtkhex.ui:80 src/paste-special.ui:49
+#: src/gtkhex.ui:80 src/paste-special.ui:47
 msgid "_Paste"
 msgstr "_Liitä"
 
@@ -732,74 +728,86 @@ msgid "Find and replace"
 msgstr "Etsi ja korvaa"
 
 #: src/help-overlay.ui:105
+msgid "Marks"
+msgstr "Merkinnät"
+
+#: src/help-overlay.ui:110
+msgid "Marks dialog"
+msgstr "Merkinnät-ikkuna"
+
+#: src/help-overlay.ui:117
+msgid "Activate mark (0-9)"
+msgstr "Aktivoi merkintä (0-9)"
+
+#: src/help-overlay.ui:126
 msgid "Clipboard"
 msgstr "Leikepöytä"
 
-#: src/help-overlay.ui:110
+#: src/help-overlay.ui:131
 msgid "Copy"
 msgstr "Kopioi"
 
-#: src/help-overlay.ui:117
+#: src/help-overlay.ui:138
 msgid "Cut"
 msgstr "Leikkaa"
 
-#: src/help-overlay.ui:124
+#: src/help-overlay.ui:145
 msgid "Paste"
 msgstr "Liitä"
 
-#: src/help-overlay.ui:131
+#: src/help-overlay.ui:152
 msgid "Copy special"
 msgstr "Kopioi erityisesti"
 
-#: src/help-overlay.ui:138
+#: src/help-overlay.ui:159
 msgid "Paste special"
 msgstr "Liitä erityisesti"
 
-#: src/help-overlay.ui:147
+#: src/help-overlay.ui:168
 msgid "Navigation"
 msgstr "Liikkuminen"
 
-#: src/help-overlay.ui:152
+#: src/help-overlay.ui:173
 msgid "Toggle left (hex) display"
 msgstr "Näytä/piilota vasen (heksa) näkymä"
 
-#: src/help-overlay.ui:159
+#: src/help-overlay.ui:180
 msgid "Toggle right (ASCII) display"
 msgstr "Näytä/piilota oikea (ASCII) näkymä"
 
-#: src/help-overlay.ui:166
+#: src/help-overlay.ui:187
 msgid "Switch to previous tab"
 msgstr "Siirry edelliseen välilehteen"
 
-#: src/help-overlay.ui:173
+#: src/help-overlay.ui:194
 msgid "Switch to next tab"
 msgstr "Siirry seuraavaan välilehteen"
 
-#: src/help-overlay.ui:180
+#: src/help-overlay.ui:201
 msgid "Jump to byte"
 msgstr "Siirtyy tavuun"
 
-#: src/help-overlay.ui:187
+#: src/help-overlay.ui:208
 msgid "Move to beginning of document"
 msgstr "Siirry asiakirjan alkuun"
 
-#: src/help-overlay.ui:194
+#: src/help-overlay.ui:215
 msgid "Move to end of document"
 msgstr "Siirry asiakirjan loppuun"
 
-#: src/help-overlay.ui:203
+#: src/help-overlay.ui:224
 msgid "General"
 msgstr "Yleiset"
 
-#: src/help-overlay.ui:208
+#: src/help-overlay.ui:229
 msgid "Show help"
 msgstr "Näytä ohje"
 
-#: src/help-overlay.ui:215
+#: src/help-overlay.ui:236
 msgid "Show preferences"
 msgstr "Näytä asetukset"
 
-#: src/help-overlay.ui:222
+#: src/help-overlay.ui:243
 msgid "Toggle insert mode"
 msgstr "Syöttötila päälle/pois"
 
@@ -833,7 +841,7 @@ msgstr "Tiedoston luominen epäonnistui"
 msgid "Not a regular file or block device"
 msgstr "Ei tavallinen tiedosto tai lohkolaite"
 
-#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:616
+#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:615
 msgid "Unable to open file for reading"
 msgstr "Tiedostoa ei voitu avata lukemista varten"
 
@@ -865,19 +873,19 @@ msgstr ""
 msgid "Fatal error: Memory mapping of file (%lu bytes, fd %d) failed"
 msgstr ""
 
-#: src/hex-buffer-mmap.c:606
+#: src/hex-buffer-mmap.c:605
 msgid "Not a regular file"
 msgstr "Ei tavallinen tiedosto"
 
-#: src/hex-buffer-mmap.c:647
+#: src/hex-buffer-mmap.c:646
 msgid "Failed to open temporary file."
 msgstr "Tilapäistiedoston avaaminen epäonnistui."
 
-#: src/hex-buffer-mmap.c:686
+#: src/hex-buffer-mmap.c:685
 msgid "Error reading file"
 msgstr "Virhe tiedostoa luettaessa"
 
-#: src/hex-buffer-mmap.c:702
+#: src/hex-buffer-mmap.c:701
 msgid "An error has occurred"
 msgstr "Tapahtui virhe"
 
@@ -945,26 +953,22 @@ msgstr "Näytä etumerkittömät ja liuk
 msgid "Stream Length:"
 msgstr "Virran pituus:"
 
-#: src/hex-dialog.c:237
-msgid "FIXME: no conversion function"
-msgstr "KORJAATÄMÄ: ei muunnosfunktiota"
-
-#: src/hex-document.c:1085
+#: src/hex-document.c:1119
 #, c-format
 msgid "Page"
 msgstr "Sivu"
 
-#: src/hex-document.c:1091 src/hex-document.c:1194
+#: src/hex-document.c:1125 src/hex-document.c:1228
 #, c-format
 msgid "Hex dump generated by"
 msgstr "Heksadumpin luonut"
 
-#: src/hex-document.c:1117
+#: src/hex-document.c:1151
 #, c-format
 msgid "Previous page"
 msgstr "Edellinen sivu"
 
-#: src/hex-document.c:1132
+#: src/hex-document.c:1166
 #, c-format
 msgid "Next page"
 msgstr "Seuraava sivu"
@@ -973,7 +977,7 @@ msgstr "Seuraava sivu"
 msgid "Jump to byte (enter offset):"
 msgstr "Siirry tavuun (kirjoita siirros):"
 
-#: src/jump-dialog.ui:43
+#: src/jump-dialog.ui:44
 msgid ""
 "Enter the offset byte to jump to. The default is decimal format, but other "
 "format strings are supported such as hexadecimal format, if C-style notation "
@@ -986,15 +990,15 @@ msgstr ""
 "avautuu ikkuna, joka selventää hyväksyttävien merkkijonojen kelvollisia "
 "muotoja."
 
-#: src/jump-dialog.ui:48
+#: src/jump-dialog.ui:49 src/mark-dialog.ui:110
 msgid "_Jump"
 msgstr "_Siirry"
 
-#: src/jump-dialog.ui:54
+#: src/jump-dialog.ui:55
 msgid "Jumps to the specified byte"
 msgstr "Siirtyy annetuun tavuun"
 
-#: src/jump-dialog.ui:64
+#: src/jump-dialog.ui:65
 msgid "Closes the jump-to-byte pane"
 msgstr "Sulkee \"Siirry tavuun\"-ikkunan"
 
@@ -1011,7 +1015,55 @@ msgstr "Tämä on GHex, versio %s\n"
 msgid "GHex - A hex editor for the GNOME desktop"
 msgstr "GHex - Heksamuokkain Gnome-työpöydälle"
 
-#: src/paste-special.c:220
+#. Translators: this is meant to show a range of hex offset values.
+#. * eg, "0xAA - 0xFF"
+#.
+#: src/mark-dialog.c:125
+#, c-format
+msgid "0x%lX - 0x%lX"
+msgstr "0x%lX - 0x%lX"
+
+#: src/mark-dialog.ui:36
+msgid "Mark:"
+msgstr "Merkintä:"
+
+#: src/mark-dialog.ui:50
+msgid "Select the desired mark to set, jump to, or delete"
+msgstr "Valitse haluttu merkintä asettaaksesi, siirtyäksesi tai poistaaksesi"
+
+#: src/mark-dialog.ui:58
+msgid "Optional custom color for the mark"
+msgstr "Valinnainen mukautettu väri merkinnälle"
+
+#: src/mark-dialog.ui:74
+msgid "Pick a custom color for the mark, if desired."
+msgstr "Valitse halutessasi mukautettu väri merkinnälle."
+
+#: src/mark-dialog.ui:96
+msgid "_Set"
+msgstr "_Aseta"
+
+#: src/mark-dialog.ui:103
+msgid "Set a mark on a byte or range of bytes"
+msgstr "Aseta merkintä tavuun tai tavujoukkoon"
+
+#: src/mark-dialog.ui:122
+msgid "Bring the cursor to the specified mark"
+msgstr "Tuo kursori määritettyyn merkintään"
+
+#: src/mark-dialog.ui:129
+msgid "_Delete"
+msgstr "_Poista"
+
+#: src/mark-dialog.ui:141
+msgid "Delete the specified mark"
+msgstr "Poista määritetty merkintä"
+
+#: src/mark-dialog.ui:153
+msgid "Closes the marks pane"
+msgstr "Sulkee merkintäpaneelin"
+
+#: src/paste-special.c:218
 #, c-format
 msgid ""
 "Paste failed; invalid hex format.\n"
@@ -1026,32 +1078,31 @@ msgstr ""
 "\n"
 "Esimerkki: \"FF 3D 99 0A\""
 
-#: src/paste-special.c:310
+#: src/paste-special.c:305
 msgid "GHex Paste Data"
 msgstr "GHexin liitosdata"
 
-#: src/paste-special.c:407
+#: src/paste-special.c:422
 msgid "Copy Special"
 msgstr "Kopioi erityisesti"
 
-#: src/paste-special.c:512
+#: src/paste-special.c:527
 msgid "Plain text (as ASCII)"
 msgstr "Muotoilematon teksti (ASCII)"
 
-#: src/paste-special.c:529
+#: src/paste-special.c:544
 msgid "Plain text (Unicode)"
 msgstr "Muotoilematon teksti (Unicode)"
 
-#: src/paste-special.c:533
+#: src/paste-special.c:548
 msgid "Plain text (as space-delimited hex pairs)"
 msgstr "Muotoilematon teksti (välilyönnillä rajatut heksaparit)"
 
-#. paste_special_dialog
 #: src/paste-special.ui:28
 msgid "Paste Special"
 msgstr "Liitä erityisesti"
 
-#: src/paste-special.ui:55
+#: src/paste-special.ui:53
 msgid "_Cancel"
 msgstr "_Peru"
 
@@ -1164,6 +1215,21 @@ msgstr "Korvaa k_aikki"
 msgid "Replaces all occurrences of the search string with the replace string"
 msgstr "Korvaa kaikki haetun merkkijonon osumat korvaavalla merkkijonolla"
 
+#~ msgid "Logan Rathbone"
+#~ msgstr "Logan Rathbone"
+
+#~ msgid "_Insert Character"
+#~ msgstr "_Syötä merkki"
+
+#~ msgid "A binary file editor"
+#~ msgstr "Binääritiedostoeditori"
+
+#~ msgid "GHex Website"
+#~ msgstr "GHexin verkkosivusto"
+
+#~ msgid "FIXME: no conversion function"
+#~ msgstr "KORJAATÄMÄ: ei muunnosfunktiota"
+
 #~ msgid "Show About dialog"
 #~ msgstr "Näytä Tietoja-ikkuna"
 
diff -pruN 45.1-1/po/hu.po 46.0-1/po/hu.po
--- 45.1-1/po/hu.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/hu.po	2024-03-22 05:14:59.000000000 +0000
@@ -1,17 +1,17 @@
 # Hungarian translation for ghex.
-# Copyright (C) 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2007, 2009, 2010, 2011, 2012, 2013, 2015, 2018, 2019, 2022, 2023 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2007, 2009, 2010, 2011, 2012, 2013, 2015, 2018, 2019, 2022, 2023, 2024 Free Software Foundation, Inc.
 # This file is distributed under the same license as the ghex package.
 #
 # Szabolcs Ban <shooby at gnome dot hu>, 1999, 2000, 2001.
 # Andras Timar <timar at gnome dot hu>, 2001, 2002, 2003.
 # Gabor Kelemen <kelemeng at gnome dot hu>, 2004, 2005, 2007, 2009, 2010, 2011.
-# Balázs Úr <ur.balazs at fsf dot hu>, 2012, 2013, 2015, 2018, 2019, 2022, 2023.
+# Balázs Úr <ur.balazs at fsf dot hu>, 2012, 2013, 2015, 2018, 2019, 2022, 2023, 2024.
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex master\n"
-"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues\n"
-"POT-Creation-Date: 2023-07-26 14:02+0000\n"
-"PO-Revision-Date: 2023-07-27 01:35+0200\n"
+"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues/\n"
+"POT-Creation-Date: 2024-02-12 06:30+0000\n"
+"PO-Revision-Date: 2024-02-22 01:34+0100\n"
 "Last-Translator: Balázs Úr <ur.balazs at fsf dot hu>\n"
 "Language-Team: Hungarian <openscope at fsf dot hu>\n"
 "Language: hu\n"
@@ -19,10 +19,10 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Lokalize 23.04.1\n"
+"X-Generator: Lokalize 23.08.4\n"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:6
-#: src/ghex-application-window.ui.in:149
+#: src/ghex-application-window.ui.in:151
 msgid "GHex"
 msgstr "GHex"
 
@@ -47,52 +47,41 @@ msgstr ""
 "oszlopban, és az ASCII ábrázolással a másikban. A GHex hasznos eszköz a "
 "nyers adatokkal történő munkavégzésnél."
 
-#: data/org.gnome.GHex.appdata.xml.in.in:40
-msgid "Logan Rathbone"
-msgstr "Logan Rathbone"
-
 #: data/org.gnome.GHex.desktop.in.in:5
 msgid "Hex Editor"
 msgstr "Hexadecimális szerkesztő"
 
 #. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
 #: data/org.gnome.GHex.desktop.in.in:8
-msgid "binary;debug;"
-msgstr "bináris;hibakeresés;"
+#| msgid "binary;debug;"
+msgid "binary;debug;hexadecimal;"
+msgstr "bináris;hibakeresés;hexadecimális;"
+
+#: src/chartable.ui:30
+msgid "Character table"
+msgstr "Karaktertábla"
 
-#: src/chartable.c:152 src/find-options.ui:67
+#: src/chartable.ui:44 src/find-options.ui:67
 msgid "ASCII"
 msgstr "ASCII"
 
-#: src/chartable.c:152 src/find-options.ui:66
+#: src/chartable.ui:69 src/find-options.ui:66
 msgid "Hex"
 msgstr "Hexadecimális"
 
-#: src/chartable.c:152
+#: src/chartable.ui:94
 msgid "Decimal"
 msgstr "Decimális"
 
-#: src/chartable.c:153
+#: src/chartable.ui:119
 msgid "Octal"
 msgstr "Oktális"
 
-#: src/chartable.c:153
+#: src/chartable.ui:144
 msgid "Binary"
 msgstr "Bináris"
 
-#: src/chartable.c:184
-msgid "Character table"
-msgstr "Karaktertábla"
-
-#: src/chartable.c:252
-msgid "_Insert Character"
-msgstr "Karakter _beszúrása"
-
-#: src/chartable.c:256 src/converter.c:186
-msgid "_Close"
-msgstr "_Bezárás"
-
-#: src/common-ui.c:240
+#: src/common-ui.c:246
 msgid ""
 "This program is free software; you can redistribute it and/or modify it "
 "under the terms of the GNU General Public License as published by the Free "
@@ -103,7 +92,7 @@ msgstr ""
 "Foundation által kiadott GNU General Public License második (vagy bármely "
 "későbbi) változatában foglaltak alapján."
 
-#: src/common-ui.c:244
+#: src/common-ui.c:250
 msgid ""
 "This program is distributed in the hope that it will be useful, but WITHOUT "
 "ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
@@ -115,7 +104,7 @@ msgstr ""
 "alkalmas-e a KÖZREADÁSRA vagy EGY BIZONYOS FELADAT ELVÉGZÉSÉRE. További "
 "részletekért tanulmányozza a GNU GPL licencet."
 
-#: src/common-ui.c:248
+#: src/common-ui.c:254
 msgid ""
 "You should have received a copy of the GNU General Public License along with "
 "this program; if not, write to the Free Software Foundation, Inc., 51 "
@@ -127,74 +116,75 @@ msgstr ""
 
 #. Translators: these two strings here indicate the copyright time span,
 #. e.g. 1998-2018.
-#: src/common-ui.c:260
+#: src/common-ui.c:266
 #, c-format
 msgid "Copyright © %d–%d The GHex authors"
 msgstr "Copyright © %d–%d A GHex szerzői"
 
-#: src/common-ui.c:274
-msgid "A binary file editor"
-msgstr "Binárisfájl-szerkesztő"
-
-#: src/common-ui.c:281
+#: src/common-ui.c:287
 msgid "About GHex"
 msgstr "A GHex névjegye"
 
-#: src/common-ui.c:282
+#: src/common-ui.c:288
 msgid "translator-credits"
 msgstr ""
 "Bán Szabolcs <shooby@gnome.hu>\n"
 "Kelemen Gábor <kelemeng@gnome.hu>\n"
 "Tímár András <timar@gnome.hu>"
 
-#: src/common-ui.c:285
-msgid "GHex Website"
-msgstr "A GHex weboldala"
-
 #. Translators: This is an error string for a print-related error
 #. * dialog.  The %s is the error generated by GError.
-#: src/common-ui.c:349
+#: src/common-ui.c:353
 #, c-format
 msgid "An error has occurred: %s"
 msgstr "Hiba történt: %s"
 
-#: src/converter.c:183
+#: src/common-ui.c:374 src/find-dialog.ui:99 src/jump-dialog.ui:64
+#: src/mark-dialog.ui:152
+msgid "Close"
+msgstr "Bezárás"
+
+#: src/converter.c:166
 msgid "Base Converter"
 msgstr "Alapkonvertáló"
 
 #. entries
-#: src/converter.c:209
+#: src/converter.c:176
 msgid "_Binary:"
 msgstr "_Bináris:"
 
-#: src/converter.c:211
+#: src/converter.c:178
 msgid "_Octal:"
 msgstr "_Oktális:"
 
-#: src/converter.c:213
+#: src/converter.c:180
 msgid "_Decimal:"
 msgstr "_Decimális:"
 
-#: src/converter.c:215
+#: src/converter.c:182
 msgid "_Hex:"
 msgstr "_Hexadecimális:"
 
-#: src/converter.c:217
+#: src/converter.c:184
 msgid "_ASCII:"
 msgstr "_ASCII:"
 
 #. get cursor button
-#: src/converter.c:221
+#: src/converter.c:188
 msgid "_Get cursor value"
 msgstr "_Kurzor alatti érték"
 
-#: src/converter.c:230
+#: src/converter.c:189
+msgid "_Close"
+msgstr "_Bezárás"
+
+#: src/converter.c:199
 msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
 msgstr ""
 "Visszaadja a kurzor alatti értéket bináris, oktális, decimális, "
 "hexadecimális és ASCII formátumban"
 
-#: src/converter.c:371
+#: src/converter.c:339
 msgid "ERROR"
 msgstr "HIBA"
 
@@ -238,10 +228,6 @@ msgstr "Keresési beállítások"
 msgid "View options of the find pane"
 msgstr "A keresés ablaktábla beállításainak megtekintése"
 
-#: src/find-dialog.ui:99 src/jump-dialog.ui:63
-msgid "Close"
-msgstr "Bezárás"
-
 #: src/find-dialog.ui:100
 msgid "Closes the find pane"
 msgstr "Bezárja a keresés ablaktáblát"
@@ -262,11 +248,11 @@ msgstr "Megjelenítés:"
 msgid "Both"
 msgstr "Mindkettő"
 
-#: src/findreplace.c:221
+#: src/findreplace.c:222
 msgid "No string provided."
 msgstr "Nincs karakterlánc megadva."
 
-#: src/findreplace.c:395
+#: src/findreplace.c:396
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -276,7 +262,7 @@ msgstr ""
 "\n"
 "Nem találhatók további egyezések."
 
-#: src/findreplace.c:397
+#: src/findreplace.c:398
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -286,7 +272,7 @@ msgstr ""
 "\n"
 "Nem találhatók előfordulások a kurzortól."
 
-#: src/findreplace.c:407
+#: src/findreplace.c:408
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -296,7 +282,7 @@ msgstr ""
 "\n"
 "Nem találhatók további egyezések."
 
-#: src/findreplace.c:409
+#: src/findreplace.c:410
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -306,19 +292,19 @@ msgstr ""
 "\n"
 "Nem találhatók előfordulások a kurzortól."
 
-#: src/findreplace.c:480
+#: src/findreplace.c:481
 msgid "No offset has been specified."
 msgstr "Nem lett eltolás megadva."
 
-#: src/findreplace.c:505
+#: src/findreplace.c:506
 msgid "The specified offset is beyond the  file boundaries."
 msgstr "A megadott eltolás túl van a fájl határain."
 
-#: src/findreplace.c:513
+#: src/findreplace.c:514
 msgid "Can not position cursor beyond the end of file."
 msgstr "Nem lehet a kurzort a fájl végén túlra mozgatni."
 
-#: src/findreplace.c:523
+#: src/findreplace.c:525
 msgid ""
 "You may only give the offset as:\n"
 "  - a positive decimal number, or\n"
@@ -330,31 +316,31 @@ msgstr ""
 "  - „0x”-szel kezdődő hexadecimális szám vagy\n"
 "  - „+” vagy „-” jel, amelyet a relatív eltolás követ"
 
-#: src/findreplace.c:580
+#: src/findreplace.c:584
 msgid "String was not found."
 msgstr "A karakterlánc nem található."
 
-#: src/findreplace.c:644
+#: src/findreplace.c:648
 #, c-format
 msgid "Search complete: %d replacements made."
 msgstr "Keresés befejezve: %d csere történt."
 
-#: src/findreplace.c:651
+#: src/findreplace.c:655
 msgid "No occurrences were found."
 msgstr "Nem találtam előfordulásokat."
 
 #. Translators: this is the string for an untitled buffer that will
 #. * be displayed in the titlebar when a user does File->New
 #.
-#: src/ghex-application-window.c:49 src/hex-document.c:1057
+#: src/ghex-application-window.c:49 src/hex-document.c:1091
 msgid "Untitled"
 msgstr "Névtelen"
 
-#: src/ghex-application-window.c:284
+#: src/ghex-application-window.c:293
 msgid "There was an error saving the file."
 msgstr "Hiba történt a fájl mentése során."
 
-#: src/ghex-application-window.c:334
+#: src/ghex-application-window.c:336
 msgid ""
 "<b>You have one or more files open with unsaved changes.</b>\n"
 "\n"
@@ -366,18 +352,18 @@ msgstr ""
 "Biztosan be szeretné zárni az ablakot?\n"
 "\n"
 
-#: src/ghex-application-window.c:338
+#: src/ghex-application-window.c:339
 msgid "_Close Anyway"
 msgstr "_Bezárás mindenképp"
 
-#: src/ghex-application-window.c:339 src/ghex-application-window.c:474
-#: src/ghex-application-window.c:1175
+#: src/ghex-application-window.c:340 src/ghex-application-window.c:475
+#: src/ghex-application-window.c:1179
 msgid "_Go Back"
 msgstr "_Ugrás vissza"
 
 #. Translators: %s is the filename that is currently being
 #. * edited.
-#: src/ghex-application-window.c:452
+#: src/ghex-application-window.c:456
 #, c-format
 msgid ""
 "<big><b>%s has been edited since opening.</b></big>\n"
@@ -388,7 +374,7 @@ msgstr ""
 "\n"
 "Szeretné menteni a változtatásait?"
 
-#: src/ghex-application-window.c:458
+#: src/ghex-application-window.c:462
 msgid ""
 "<b>The buffer has been edited since opening.</b>\n"
 "\n"
@@ -398,19 +384,19 @@ msgstr ""
 "\n"
 "Szeretné menteni a változtatásait?"
 
-#: src/ghex-application-window.c:472
+#: src/ghex-application-window.c:473
 msgid "_Save Changes"
 msgstr "Változtatások _mentése"
 
-#: src/ghex-application-window.c:473
+#: src/ghex-application-window.c:474
 msgid "_Discard Changes"
 msgstr "Változtatások _elvetése"
 
-#: src/ghex-application-window.c:1028
+#: src/ghex-application-window.c:1035
 msgid "There was an error saving the file to the path specified."
 msgstr "Hiba történt a megadott útvonalra való fájlmentés során."
 
-#: src/ghex-application-window.c:1047
+#: src/ghex-application-window.c:1054
 msgid ""
 "An unknown error has occurred in attempting to reload the file you have just "
 "saved."
@@ -418,13 +404,13 @@ msgstr ""
 "Ismeretlen hiba történt a fájl újratöltési kísérlete során, amelyet épp most "
 "mentett el."
 
-#: src/ghex-application-window.c:1099
+#: src/ghex-application-window.c:1107
 msgid "Select a file to save buffer as"
 msgstr "Válasszon ki egy fájlt a mentéshez"
 
 #. Translators: %s here is the filename the user is being asked to
 #. * confirm whether they want to revert.
-#: src/ghex-application-window.c:1168
+#: src/ghex-application-window.c:1173
 #, c-format
 msgid ""
 "<big><b>Are you sure you want to revert %s?</b></big>\n"
@@ -439,15 +425,15 @@ msgstr ""
 "\n"
 "Ezt a műveletet nem lehet visszavonni."
 
-#: src/ghex-application-window.c:1174 src/ghex-application-window.ui.in:39
+#: src/ghex-application-window.c:1178 src/ghex-application-window.ui.in:39
 msgid "_Revert"
 msgstr "_Visszaállítás"
 
-#: src/ghex-application-window.c:1258
+#: src/ghex-application-window.c:1266
 msgid "Select a file to open"
 msgstr "A megnyitandó fájl kiválasztása"
 
-#: src/ghex-application-window.c:1363
+#: src/ghex-application-window.c:1373
 #, c-format
 msgid ""
 "Sorry, but help could not be opened.\n"
@@ -471,7 +457,7 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/ghex-application-window.c:1439
+#: src/ghex-application-window.c:1567
 #, c-format
 msgid ""
 "Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
@@ -480,12 +466,12 @@ msgstr ""
 "Eltolás: <tt>0x%lX</tt>, <tt>0x%lX</tt> bájt <tt>0x%lX</tt> és <tt>0x%lX</"
 "tt> között kijelölve"
 
-#: src/ghex-application-window.c:1443
+#: src/ghex-application-window.c:1571
 #, c-format
 msgid "Offset: <tt>0x%lX</tt>"
 msgstr "Eltolás: <tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:2079
+#: src/ghex-application-window.c:2381
 msgid ""
 "You are attempting to open a file 1GB or larger.\n"
 "\n"
@@ -511,10 +497,18 @@ msgstr ""
 "Ezen üzenet megjelenésének elkerüléséhez próbáljon másik puffer-"
 "háttérprogramot használni."
 
-#: src/ghex-application-window.c:2136
+#: src/ghex-application-window.c:2439
 msgid "There was an error reading the file."
 msgstr "Hiba történt a fájl olvasása során."
 
+#: src/ghex-application-window.c:2500
+msgid ""
+"There was an error loading the requested file. The file either no longer "
+"exists, is inaccessible, or you may not have permission to access the file."
+msgstr ""
+"Hiba történt a kért fájl betöltése során. A fájl már vagy nem létezik, vagy"
+" nem érhető el, vagy nincs jogosultsága a fájl eléréséhez."
+
 #: src/ghex-application-window.ui.in:31
 msgid "_New"
 msgstr "Ú_j"
@@ -539,97 +533,100 @@ msgstr "Keresés és _csere"
 msgid "_Jump to Byte"
 msgstr "_Ugrás bájtra"
 
-#: src/ghex-application-window.ui.in:72
+#: src/ghex-application-window.ui.in:66
+msgid "_Marks"
+msgstr "_Jelek"
+
+#: src/ghex-application-window.ui.in:76
 msgid "_Edit"
 msgstr "Sz_erkesztés"
 
-#: src/ghex-application-window.ui.in:74
+#: src/ghex-application-window.ui.in:78
 msgid "_Copy Special"
 msgstr "Különleges karakter _másolása"
 
-#: src/ghex-application-window.ui.in:78
+#: src/ghex-application-window.ui.in:82
 msgid "_Paste Special"
 msgstr "Különleges karakter _beillesztése"
 
-#: src/ghex-application-window.ui.in:85
-msgid "_Tools"
-msgstr "_Eszközök"
-
-#: src/ghex-application-window.ui.in:87
-msgid "_Character Table"
-msgstr "_Karaktertábla"
-
-#: src/ghex-application-window.ui.in:91
-msgid "_Base Converter"
-msgstr "_Alapkonvertáló"
-
-#: src/ghex-application-window.ui.in:98
+#: src/ghex-application-window.ui.in:86
 msgid "G_roup Data As"
 msgstr "Adatok _csoportosítása mint"
 
-#: src/ghex-application-window.ui.in:100
+#: src/ghex-application-window.ui.in:88
 msgid "_Bytes (8-bit)"
 msgstr "_Bájtok (8 bites)"
 
-#: src/ghex-application-window.ui.in:106
+#: src/ghex-application-window.ui.in:94
 msgid "_Words (16-bit)"
 msgstr "_Szavak (16 bites)"
 
-#: src/ghex-application-window.ui.in:111
+#: src/ghex-application-window.ui.in:99
 msgid "_Longwords (32-bit)"
 msgstr "_Hosszú szavak (32 bites)"
 
-#: src/ghex-application-window.ui.in:116
+#: src/ghex-application-window.ui.in:104
 msgid "_Quadwords (64-bit)"
 msgstr "_Négy szavak (64 bites)"
 
-#: src/ghex-application-window.ui.in:126
+#: src/ghex-application-window.ui.in:113
+msgid "_Tools"
+msgstr "_Eszközök"
+
+#: src/ghex-application-window.ui.in:115
+msgid "_Character Table"
+msgstr "_Karaktertábla"
+
+#: src/ghex-application-window.ui.in:119
+msgid "_Base Converter"
+msgstr "_Alapkonvertáló"
+
+#: src/ghex-application-window.ui.in:128
 msgid "_Keyboard Shortcuts"
 msgstr "_Gyorsbillentyűk"
 
-#: src/ghex-application-window.ui.in:131
+#: src/ghex-application-window.ui.in:133
 msgid "_Preferences"
 msgstr "_Beállítások"
 
-#: src/ghex-application-window.ui.in:136
+#: src/ghex-application-window.ui.in:138
 msgid "_Help"
 msgstr "_Súgó"
 
-#: src/ghex-application-window.ui.in:141
+#: src/ghex-application-window.ui.in:143
 msgid "_About GHex"
 msgstr "A GHex _névjegye"
 
 # src/ui.c:543
-#: src/ghex-application-window.ui.in:170
+#: src/ghex-application-window.ui.in:172
 msgid "Open a file for hex editing"
 msgstr "Fájl megnyitása hexadecimális szerkesztéshez"
 
-#: src/ghex-application-window.ui.in:173
+#: src/ghex-application-window.ui.in:175
 msgid "_Open"
 msgstr "_Megnyitás"
 
-#: src/ghex-application-window.ui.in:186
-#| msgid "Main menu"
+#: src/ghex-application-window.ui.in:188
 msgid "Main Menu"
 msgstr "Főmenü"
 
-#: src/ghex-application-window.ui.in:188
+#: src/ghex-application-window.ui.in:190
 msgid "Main menu"
 msgstr "Főmenü"
 
-#: src/ghex-application-window.ui.in:198
+#: src/ghex-application-window.ui.in:200
 msgid "Find a string in the hex document"
 msgstr "Karakterlánc keresése a hexadecimális dokumentumban"
 
-#: src/ghex-application-window.ui.in:207
+#: src/ghex-application-window.ui.in:209
 msgid "Save document"
 msgstr "Dokumentum mentése"
 
-#: src/ghex-application-window.ui.in:215
+#: src/ghex-application-window.ui.in:217
 msgid "No File Loaded"
 msgstr "Nincs fájl betöltve"
 
-#: src/ghex-application-window.ui.in:218
+#: src/ghex-application-window.ui.in:220
 msgid ""
 "• Press the Open button\n"
 "• Press Ctrl+N to start a new document\n"
@@ -643,13 +640,13 @@ msgstr ""
 "\n"
 "Vagy nyomja meg a Ctrl+W billentyűkombinációt az ablak bezárásához."
 
-#: src/ghex-application-window.ui.in:307
+#: src/ghex-application-window.ui.in:309
 msgid "Toggle insert mode (add data to file rather than replace existing data)"
 msgstr ""
 "Beszúrási mód be- vagy kikapcsolása (adatok hozzáadása a fájlhoz a meglévő "
 "adatok cseréje helyett)"
 
-#: src/ghex-application-window.ui.in:319
+#: src/ghex-application-window.ui.in:321
 msgid "Toggle a pane showing various numeric conversions"
 msgstr ""
 "Különféle numerikus átváltásokat megjelenítő ablaktábla be- vagy kikapcsolása"
@@ -674,11 +671,11 @@ msgstr "_Ismétlés"
 msgid "Cu_t"
 msgstr "_Kivágás"
 
-#: src/gtkhex.ui:76 src/paste-special.c:405
+#: src/gtkhex.ui:76 src/paste-special.c:420
 msgid "_Copy"
 msgstr "_Másolás"
 
-#: src/gtkhex.ui:80 src/paste-special.ui:49
+#: src/gtkhex.ui:80 src/paste-special.ui:47
 msgid "_Paste"
 msgstr "_Beillesztés"
 
@@ -740,76 +737,86 @@ msgid "Find and replace"
 msgstr "Keresés és csere"
 
 #: src/help-overlay.ui:105
+msgid "Marks"
+msgstr "Jelek"
+
+#: src/help-overlay.ui:110
+msgid "Marks dialog"
+msgstr "Jelek párbeszédablak"
+
+#: src/help-overlay.ui:117
+msgid "Activate mark (0-9)"
+msgstr "Jel aktiválása (0-9)"
+
+#: src/help-overlay.ui:126
 msgid "Clipboard"
 msgstr "Vágólap"
 
-#: src/help-overlay.ui:110
+#: src/help-overlay.ui:131
 msgid "Copy"
 msgstr "Másolás"
 
-#: src/help-overlay.ui:117
+#: src/help-overlay.ui:138
 msgid "Cut"
 msgstr "Kivágás"
 
-#: src/help-overlay.ui:124
+#: src/help-overlay.ui:145
 msgid "Paste"
 msgstr "Beillesztés"
 
-#: src/help-overlay.ui:131
+#: src/help-overlay.ui:152
 msgid "Copy special"
 msgstr "Különleges karakter másolása"
 
-#: src/help-overlay.ui:138
+#: src/help-overlay.ui:159
 msgid "Paste special"
 msgstr "Különleges karakter beillesztése"
 
-#: src/help-overlay.ui:147
+#: src/help-overlay.ui:168
 msgid "Navigation"
 msgstr "Navigáció"
 
-#: src/help-overlay.ui:152
+#: src/help-overlay.ui:173
 msgid "Toggle left (hex) display"
 msgstr "Bal (hexadecimális) megjelenítő be- vagy kikapcsolása"
 
-#: src/help-overlay.ui:159
+#: src/help-overlay.ui:180
 msgid "Toggle right (ASCII) display"
 msgstr "Jobb (ASCII) megjelenítő be- vagy kikapcsolása"
 
-#: src/help-overlay.ui:166
+#: src/help-overlay.ui:187
 msgid "Switch to previous tab"
 msgstr "Váltás az előző lapra"
 
-#: src/help-overlay.ui:173
+#: src/help-overlay.ui:194
 msgid "Switch to next tab"
 msgstr "Váltás a következő lapra"
 
-#: src/help-overlay.ui:180
+#: src/help-overlay.ui:201
 msgid "Jump to byte"
 msgstr "Ugrás bájtra"
 
-#: src/help-overlay.ui:187
+#: src/help-overlay.ui:208
 msgid "Move to beginning of document"
 msgstr "Ugrás a dokumentum elejére"
 
-#: src/help-overlay.ui:194
-#| msgid "Save document"
+#: src/help-overlay.ui:215
 msgid "Move to end of document"
 msgstr "Ugrás a dokumentum végére"
 
-#: src/help-overlay.ui:203
+#: src/help-overlay.ui:224
 msgid "General"
 msgstr "Általános"
 
-#: src/help-overlay.ui:208
+#: src/help-overlay.ui:229
 msgid "Show help"
 msgstr "Súgó megjelenítése"
 
-#: src/help-overlay.ui:215
-#| msgid "Preferences"
+#: src/help-overlay.ui:236
 msgid "Show preferences"
 msgstr "Beállítások megjelenítése"
 
-#: src/help-overlay.ui:222
+#: src/help-overlay.ui:243
 msgid "Toggle insert mode"
 msgstr "Beszúrási mód be- vagy kikapcsolása"
 
@@ -844,7 +851,7 @@ msgid "Not a regular file or block devic
 msgstr "Nem szabályos fájl vagy blokkeszköz"
 
 # src/ui.c:543
-#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:616
+#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:615
 msgid "Unable to open file for reading"
 msgstr "Nem lehet megnyitni a fájlt olvasásra"
 
@@ -879,19 +886,19 @@ msgid "Fatal error: Memory mapping of fi
 msgstr ""
 "Végzetes hiba: a fájl memórialeképezése (%lu bájt, %d. fájlleíró) sikertelen"
 
-#: src/hex-buffer-mmap.c:606
+#: src/hex-buffer-mmap.c:605
 msgid "Not a regular file"
 msgstr "Nem szabályos fájl"
 
-#: src/hex-buffer-mmap.c:647
+#: src/hex-buffer-mmap.c:646
 msgid "Failed to open temporary file."
 msgstr "Nem sikerült megnyitni az átmeneti fájlt."
 
-#: src/hex-buffer-mmap.c:686
+#: src/hex-buffer-mmap.c:685
 msgid "Error reading file"
 msgstr "Hiba a fájl olvasásakor"
 
-#: src/hex-buffer-mmap.c:702
+#: src/hex-buffer-mmap.c:701
 msgid "An error has occurred"
 msgstr "Hiba történt"
 
@@ -959,26 +966,22 @@ msgstr "Előjel nélküli és lebegőpon
 msgid "Stream Length:"
 msgstr "Adatfolyam hossza:"
 
-#: src/hex-dialog.c:237
-msgid "FIXME: no conversion function"
-msgstr "FIXME: nincs konverziós függvény"
-
-#: src/hex-document.c:1085
+#: src/hex-document.c:1119
 #, c-format
 msgid "Page"
 msgstr "Oldal"
 
-#: src/hex-document.c:1091 src/hex-document.c:1194
+#: src/hex-document.c:1125 src/hex-document.c:1228
 #, c-format
 msgid "Hex dump generated by"
 msgstr "Hex dump készítője"
 
-#: src/hex-document.c:1117
+#: src/hex-document.c:1151
 #, c-format
 msgid "Previous page"
 msgstr "Előző lap"
 
-#: src/hex-document.c:1132
+#: src/hex-document.c:1166
 #, c-format
 msgid "Next page"
 msgstr "Következő lap"
@@ -987,13 +990,7 @@ msgstr "Következő lap"
 msgid "Jump to byte (enter offset):"
 msgstr "Ugrás bájtra (eltolás megadása):"
 
-#: src/jump-dialog.ui:43
-#| msgid ""
-#| "Enter the offset byte to jump to. The default is decimal format, but "
-#| "other format strings are supported such as hexidecimal format, if C-style "
-#| "notation using the '0x' prefix is used. If your string is not recognized, "
-#| "a dialog will be presented explaining the valid formats of strings "
-#| "accepted."
+#: src/jump-dialog.ui:44
 msgid ""
 "Enter the offset byte to jump to. The default is decimal format, but other "
 "format strings are supported such as hexadecimal format, if C-style notation "
@@ -1007,15 +1004,15 @@ msgstr ""
 "jelenik meg, amely elmagyarázza az elfogadott karakterláncok érvényes "
 "formátumait."
 
-#: src/jump-dialog.ui:48
+#: src/jump-dialog.ui:49 src/mark-dialog.ui:110
 msgid "_Jump"
 msgstr "_Ugrás"
 
-#: src/jump-dialog.ui:54
+#: src/jump-dialog.ui:55
 msgid "Jumps to the specified byte"
 msgstr "A megadott bájtra ugrik"
 
-#: src/jump-dialog.ui:64
+#: src/jump-dialog.ui:65
 msgid "Closes the jump-to-byte pane"
 msgstr "Bezárja a bájtra ugró ablaktáblát"
 
@@ -1032,7 +1029,59 @@ msgstr "Ez a GHex, verziószám: %s\n"
 msgid "GHex - A hex editor for the GNOME desktop"
 msgstr "GHex – egy hexadecimális szerkesztő a GNOME asztali környezethez"
 
-#: src/paste-special.c:220
+#. Translators: this is meant to show a range of hex offset values.
+#. * eg, "0xAA - 0xFF"
+#.
+#: src/mark-dialog.c:125
+#, c-format
+msgid "0x%lX - 0x%lX"
+msgstr "0x%lX - 0x%lX"
+
+#: src/mark-dialog.ui:36
+msgid "Mark:"
+msgstr "Jel:"
+
+#: src/mark-dialog.ui:50
+msgid "Select the desired mark to set, jump to, or delete"
+msgstr ""
+"Válassza ki a kívánt jelet a beállításhoz, az oda ugráshoz vagy a törléshez"
+
+#: src/mark-dialog.ui:58
+msgid "Optional custom color for the mark"
+msgstr "Nem kötelező egyéni szín a jelhez"
+
+#: src/mark-dialog.ui:74
+msgid "Pick a custom color for the mark, if desired."
+msgstr "Válasszon egyéni színt a jelhez, ha szükséges."
+
+#: src/mark-dialog.ui:96
+msgid "_Set"
+msgstr "_Beállítás"
+
+#: src/mark-dialog.ui:103
+msgid "Set a mark on a byte or range of bytes"
+msgstr "Jel beállítása egy bájton vagy bájttartományon"
+
+#: src/mark-dialog.ui:122
+#| msgid "Jumps to the specified byte"
+msgid "Bring the cursor to the specified mark"
+msgstr "A kurzor mozgatása a megadott jelre"
+
+#: src/mark-dialog.ui:129
+msgid "_Delete"
+msgstr "_Törlés"
+
+#: src/mark-dialog.ui:141
+#| msgid "Jumps to the specified byte"
+msgid "Delete the specified mark"
+msgstr "A megadott jel törlése"
+
+#: src/mark-dialog.ui:153
+#| msgid "Closes the find pane"
+msgid "Closes the marks pane"
+msgstr "Bezárja a jelek ablaktáblát"
+
+#: src/paste-special.c:218
 #, c-format
 msgid ""
 "Paste failed; invalid hex format.\n"
@@ -1048,32 +1097,31 @@ msgstr ""
 "\n"
 "Például: „FF 3D 99 0A”"
 
-#: src/paste-special.c:310
+#: src/paste-special.c:305
 msgid "GHex Paste Data"
 msgstr "GHex adatok beillesztése"
 
-#: src/paste-special.c:407
+#: src/paste-special.c:422
 msgid "Copy Special"
 msgstr "Különleges karakter másolása"
 
-#: src/paste-special.c:512
+#: src/paste-special.c:527
 msgid "Plain text (as ASCII)"
 msgstr "Egyszerű szöveg (ASCII-ként)"
 
-#: src/paste-special.c:529
+#: src/paste-special.c:544
 msgid "Plain text (Unicode)"
 msgstr "Egyszerű szöveg (Unicode)"
 
-#: src/paste-special.c:533
+#: src/paste-special.c:548
 msgid "Plain text (as space-delimited hex pairs)"
 msgstr "Egyszerű szöveg (szóközzel elválasztott hexadecimális bájtpárokként)"
 
-#. paste_special_dialog
 #: src/paste-special.ui:28
 msgid "Paste Special"
 msgstr "Különleges karakter beillesztése"
 
-#: src/paste-special.ui:55
+#: src/paste-special.ui:53
 msgid "_Cancel"
 msgstr "_Mégse"
 
diff -pruN 45.1-1/po/ka.po 46.0-1/po/ka.po
--- 45.1-1/po/ka.po	1970-01-01 00:00:00.000000000 +0000
+++ 46.0-1/po/ka.po	2024-03-22 05:14:59.000000000 +0000
@@ -0,0 +1,1122 @@
+# Georgian translation for ghex.
+# Copyright (C) 2024 ghex's COPYRIGHT HOLDER
+# This file is distributed under the same license as the ghex package.
+# Ekaterine Papava <papava.e@gtu.ge>, 2024.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ghex master\n"
+"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues/\n"
+"POT-Creation-Date: 2024-03-21 23:38+0000\n"
+"PO-Revision-Date: 2024-03-22 05:33+0100\n"
+"Last-Translator: Ekaterine Papava <papava.e@gtu.ge>\n"
+"Language-Team: Georgian <ka@li.org>\n"
+"Language: ka\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 3.3.2\n"
+
+#: data/org.gnome.GHex.appdata.xml.in.in:6
+#: src/ghex-application-window.ui.in:151
+msgid "GHex"
+msgstr "GHex"
+
+#: data/org.gnome.GHex.appdata.xml.in.in:7 data/org.gnome.GHex.desktop.in.in:6
+msgid "Inspect and edit binary files"
+msgstr "დაათვალიერეთ და ჩაასწორეთ ბინარული ფაილები"
+
+#: data/org.gnome.GHex.appdata.xml.in.in:9
+msgid "GHex is a hex editor for the GNOME desktop."
+msgstr "GHex-ი GNOME-ის ბინარული რედაქტორია."
+
+#: data/org.gnome.GHex.appdata.xml.in.in:12
+msgid ""
+"GHex can load raw data from binary files and display them for editing in the "
+"traditional hex editor view. The display is split in two columns, with "
+"hexadecimal values in one column and the ASCII representation in the other. "
+"GHex is a useful tool for working with raw data."
+msgstr ""
+
+#: data/org.gnome.GHex.desktop.in.in:5
+msgid "Hex Editor"
+msgstr "რედაქტორი თექვსმეტობითში"
+
+#. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
+#: data/org.gnome.GHex.desktop.in.in:8
+msgid "binary;debug;hexadecimal;"
+msgstr ""
+
+#: src/chartable.ui:30
+msgid "Character table"
+msgstr "სიმბოლოების ცხრლი"
+
+#: src/chartable.ui:44 src/find-options.ui:67
+msgid "ASCII"
+msgstr "ASCII"
+
+#: src/chartable.ui:69 src/find-options.ui:66
+msgid "Hex"
+msgstr "თექვსმეტობითი"
+
+#: src/chartable.ui:94
+msgid "Decimal"
+msgstr "ათობითი"
+
+#: src/chartable.ui:119
+msgid "Octal"
+msgstr "რვაობითი"
+
+#: src/chartable.ui:144
+msgid "Binary"
+msgstr "გამშვები"
+
+#: src/common-ui.c:246
+msgid ""
+"This program is free software; you can redistribute it and/or modify it "
+"under the terms of the GNU General Public License as published by the Free "
+"Software Foundation; either version 2 of the License, or (at your option) "
+"any later version."
+msgstr ""
+
+#: src/common-ui.c:250
+msgid ""
+"This program is distributed in the hope that it will be useful, but WITHOUT "
+"ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
+"FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for "
+"more details."
+msgstr ""
+
+#: src/common-ui.c:254
+msgid ""
+"You should have received a copy of the GNU General Public License along with "
+"this program; if not, write to the Free Software Foundation, Inc., 51 "
+"Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA"
+msgstr ""
+
+#. Translators: these two strings here indicate the copyright time span,
+#. e.g. 1998-2018.
+#: src/common-ui.c:266
+#, c-format
+msgid "Copyright © %d–%d The GHex authors"
+msgstr ""
+
+#: src/common-ui.c:287
+msgid "About GHex"
+msgstr "GHex-ის შესახებ"
+
+#: src/common-ui.c:288
+msgid "translator-credits"
+msgstr "მთარგმნელის შესახებ"
+
+#. Translators: This is an error string for a print-related error
+#. * dialog.  The %s is the error generated by GError.
+#: src/common-ui.c:353
+#, c-format
+msgid "An error has occurred: %s"
+msgstr "აღმოჩენილია შეცდომა: %s"
+
+#: src/common-ui.c:374 src/find-dialog.ui:99 src/jump-dialog.ui:64
+#: src/mark-dialog.ui:152
+msgid "Close"
+msgstr "დახურვა"
+
+#: src/converter.c:166
+msgid "Base Converter"
+msgstr "საბაზისო გადამყვანი"
+
+#. entries
+#: src/converter.c:176
+msgid "_Binary:"
+msgstr "_ბინარული:"
+
+#: src/converter.c:178
+msgid "_Octal:"
+msgstr "_რვაობითი:"
+
+#: src/converter.c:180
+msgid "_Decimal:"
+msgstr "_ათობითი:"
+
+#: src/converter.c:182
+msgid "_Hex:"
+msgstr "_თექვსმეტობითი:"
+
+#: src/converter.c:184
+msgid "_ASCII:"
+msgstr "_ASCII:"
+
+#. get cursor button
+#: src/converter.c:188
+msgid "_Get cursor value"
+msgstr "_კურსორის მნიშვნელობის მიღება"
+
+#: src/converter.c:189
+msgid "_Close"
+msgstr "_დახურვა"
+
+#: src/converter.c:199
+msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
+msgstr ""
+
+#: src/converter.c:339
+msgid "ERROR"
+msgstr "შეცდომა"
+
+#: src/find-dialog.ui:38
+msgid "Enter the hex data or ASCII data to search for"
+msgstr ""
+
+#: src/find-dialog.ui:41
+msgid "Find String"
+msgstr "სტრიქონის ძებნა"
+
+#: src/find-dialog.ui:58
+msgid "Find _Next"
+msgstr "შემდეგის _პოვნა"
+
+#: src/find-dialog.ui:62
+msgid "Finds the next occurrence of the search string"
+msgstr ""
+
+#: src/find-dialog.ui:67
+msgid "Find _Previous"
+msgstr "წინას პოვნა"
+
+#: src/find-dialog.ui:70
+msgid "Finds the previous occurrence of the search string"
+msgstr ""
+
+#: src/find-dialog.ui:75
+msgid "_Clear"
+msgstr "გასუფთავება"
+
+#: src/find-dialog.ui:78
+msgid "Clears the data you are searching for"
+msgstr ""
+
+#: src/find-dialog.ui:88
+msgid "Find options"
+msgstr ""
+
+#: src/find-dialog.ui:89
+msgid "View options of the find pane"
+msgstr ""
+
+#: src/find-dialog.ui:100
+msgid "Closes the find pane"
+msgstr ""
+
+#: src/find-options.ui:35
+msgid "_Regular expressions"
+msgstr ""
+
+#: src/find-options.ui:44
+msgid "_Ignore case"
+msgstr ""
+
+#: src/find-options.ui:60
+msgid "Show:"
+msgstr "ჩვენება:"
+
+#: src/find-options.ui:68
+msgid "Both"
+msgstr "ორივე"
+
+#: src/findreplace.c:222
+msgid "No string provided."
+msgstr ""
+
+#: src/findreplace.c:396
+msgid ""
+"Beginning of file reached.\n"
+"\n"
+"No further matches found."
+msgstr ""
+
+#: src/findreplace.c:398
+msgid ""
+"Beginning of file reached.\n"
+"\n"
+"No occurrences found from cursor."
+msgstr ""
+
+#: src/findreplace.c:408
+msgid ""
+"End of file reached.\n"
+"\n"
+"No further matches found."
+msgstr ""
+
+#: src/findreplace.c:410
+msgid ""
+"End of file reached.\n"
+"\n"
+"No occurrences found from cursor."
+msgstr ""
+
+#: src/findreplace.c:481
+msgid "No offset has been specified."
+msgstr ""
+
+#: src/findreplace.c:506
+msgid "The specified offset is beyond the  file boundaries."
+msgstr ""
+
+#: src/findreplace.c:514
+msgid "Can not position cursor beyond the end of file."
+msgstr ""
+
+#: src/findreplace.c:525
+msgid ""
+"You may only give the offset as:\n"
+"  - a positive decimal number, or\n"
+"  - a hex number, beginning with '0x', or\n"
+"  - a '+' or '-' sign, followed by a relative offset"
+msgstr ""
+
+#: src/findreplace.c:584
+msgid "String was not found."
+msgstr ""
+
+#: src/findreplace.c:648
+#, c-format
+msgid "Search complete: %d replacements made."
+msgstr ""
+
+#: src/findreplace.c:655
+msgid "No occurrences were found."
+msgstr ""
+
+#. Translators: this is the string for an untitled buffer that will
+#. * be displayed in the titlebar when a user does File->New
+#.
+#: src/ghex-application-window.c:49 src/hex-document.c:1110
+msgid "Untitled"
+msgstr "უსახელო"
+
+#: src/ghex-application-window.c:293
+msgid "There was an error saving the file."
+msgstr ""
+
+#: src/ghex-application-window.c:336
+msgid ""
+"<b>You have one or more files open with unsaved changes.</b>\n"
+"\n"
+"Are you sure you want to close the window?\n"
+"\n"
+msgstr ""
+
+#: src/ghex-application-window.c:339
+msgid "_Close Anyway"
+msgstr ""
+
+#: src/ghex-application-window.c:340 src/ghex-application-window.c:475
+#: src/ghex-application-window.c:1179
+msgid "_Go Back"
+msgstr ""
+
+#. Translators: %s is the filename that is currently being
+#. * edited.
+#: src/ghex-application-window.c:456
+#, c-format
+msgid ""
+"<big><b>%s has been edited since opening.</b></big>\n"
+"\n"
+"Would you like to save your changes?"
+msgstr ""
+
+#: src/ghex-application-window.c:462
+msgid ""
+"<b>The buffer has been edited since opening.</b>\n"
+"\n"
+"Would you like to save your changes?"
+msgstr ""
+
+#: src/ghex-application-window.c:473
+msgid "_Save Changes"
+msgstr "ცვლილებების _შენახვა"
+
+#: src/ghex-application-window.c:474
+msgid "_Discard Changes"
+msgstr "_ცვლილებების გაუქმება"
+
+#: src/ghex-application-window.c:1035
+msgid "There was an error saving the file to the path specified."
+msgstr ""
+
+#: src/ghex-application-window.c:1054
+msgid ""
+"An unknown error has occurred in attempting to reload the file you have just "
+"saved."
+msgstr ""
+
+#: src/ghex-application-window.c:1107
+msgid "Select a file to save buffer as"
+msgstr ""
+
+#. Translators: %s here is the filename the user is being asked to
+#. * confirm whether they want to revert.
+#: src/ghex-application-window.c:1173
+#, c-format
+msgid ""
+"<big><b>Are you sure you want to revert %s?</b></big>\n"
+"\n"
+"Your changes will be lost.\n"
+"\n"
+"This action cannot be undone."
+msgstr ""
+
+#: src/ghex-application-window.c:1178 src/ghex-application-window.ui.in:39
+msgid "_Revert"
+msgstr "და_ბრუნება"
+
+#: src/ghex-application-window.c:1266
+msgid "Select a file to open"
+msgstr ""
+
+#: src/ghex-application-window.c:1373
+#, c-format
+msgid ""
+"Sorry, but help could not be opened.\n"
+"\n"
+"Various attempts were made to locate the help documentation unsuccessfully.\n"
+"\n"
+"Please ensure the application was properly installed.\n"
+"\n"
+"The specific error message is:\n"
+"\n"
+"%s"
+msgstr ""
+
+#: src/ghex-application-window.c:1567
+#, c-format
+msgid ""
+"Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
+"<tt>0x%lX</tt> selected"
+msgstr ""
+
+#: src/ghex-application-window.c:1571
+#, c-format
+msgid "Offset: <tt>0x%lX</tt>"
+msgstr "წანაცვლება: <tt>0x%lX</tt>"
+
+#: src/ghex-application-window.c:2381
+msgid ""
+"You are attempting to open a file 1GB or larger.\n"
+"\n"
+"This can make GHex and your machine unstable as the file will be loaded into "
+"memory, using the active backend.\n"
+"\n"
+"Are you sure you want to proceed?\n"
+"\n"
+"This message will not be shown again for the remainder of this GHex "
+"session.\n"
+"\n"
+"To avoid this message from appearing, try using a different buffer backend."
+msgstr ""
+
+#: src/ghex-application-window.c:2439
+msgid "There was an error reading the file."
+msgstr "შეცდომა ფაილის წაკითხვისას."
+
+#: src/ghex-application-window.c:2500
+msgid ""
+"There was an error loading the requested file. The file either no longer "
+"exists, is inaccessible, or you may not have permission to access the file."
+msgstr ""
+
+#: src/ghex-application-window.ui.in:31
+msgid "_New"
+msgstr "_ახალი"
+
+#: src/ghex-application-window.ui.in:35
+msgid "Save _As"
+msgstr "_შენახვა, როგორც"
+
+#: src/ghex-application-window.ui.in:46
+msgid "_Print"
+msgstr "_ბეჭდვა"
+
+#: src/ghex-application-window.ui.in:50
+msgid "Print Previe_w"
+msgstr "გადახედვა _დაბეჭდვამდე"
+
+#: src/ghex-application-window.ui.in:58
+msgid "Find and _Replace"
+msgstr "ძებნა და _ჩანაცვლება"
+
+#: src/ghex-application-window.ui.in:62
+msgid "_Jump to Byte"
+msgstr "_გადასვლა ბაიტზე"
+
+#: src/ghex-application-window.ui.in:66
+msgid "_Marks"
+msgstr "_ნიშნები"
+
+#: src/ghex-application-window.ui.in:76
+msgid "_Edit"
+msgstr "_ჩასწორება"
+
+#: src/ghex-application-window.ui.in:78
+msgid "_Copy Special"
+msgstr "_სპეციალური კოპირება"
+
+#: src/ghex-application-window.ui.in:82
+msgid "_Paste Special"
+msgstr "სპეციალური ჩ_ასმა"
+
+#: src/ghex-application-window.ui.in:86
+msgid "G_roup Data As"
+msgstr ""
+
+#: src/ghex-application-window.ui.in:88
+msgid "_Bytes (8-bit)"
+msgstr ""
+
+#: src/ghex-application-window.ui.in:94
+msgid "_Words (16-bit)"
+msgstr ""
+
+#: src/ghex-application-window.ui.in:99
+msgid "_Longwords (32-bit)"
+msgstr ""
+
+#: src/ghex-application-window.ui.in:104
+msgid "_Quadwords (64-bit)"
+msgstr ""
+
+#: src/ghex-application-window.ui.in:113
+msgid "_Tools"
+msgstr "_ხელსაწყოები"
+
+#: src/ghex-application-window.ui.in:115
+msgid "_Character Table"
+msgstr "_სიმბოლოების ცხრლი"
+
+#: src/ghex-application-window.ui.in:119
+msgid "_Base Converter"
+msgstr "სა_ბაზისო გადამყვანი"
+
+#: src/ghex-application-window.ui.in:128
+msgid "_Keyboard Shortcuts"
+msgstr "_კლავიატურის მალსახმობები"
+
+#: src/ghex-application-window.ui.in:133
+msgid "_Preferences"
+msgstr "_გამართვა"
+
+#: src/ghex-application-window.ui.in:138
+msgid "_Help"
+msgstr "_დახმარება"
+
+#: src/ghex-application-window.ui.in:143
+msgid "_About GHex"
+msgstr "GHex-ის შეს_ახებ"
+
+#: src/ghex-application-window.ui.in:172
+msgid "Open a file for hex editing"
+msgstr ""
+
+#: src/ghex-application-window.ui.in:175
+msgid "_Open"
+msgstr "_გახსნა"
+
+#: src/ghex-application-window.ui.in:188
+msgid "Main Menu"
+msgstr "მთავარი მენიუ"
+
+#: src/ghex-application-window.ui.in:190
+msgid "Main menu"
+msgstr "მთავარი მენიუ"
+
+#: src/ghex-application-window.ui.in:200
+msgid "Find a string in the hex document"
+msgstr "სტრიქონის პოვნა თექვსმეტობით დოკუმენტში"
+
+#: src/ghex-application-window.ui.in:209
+msgid "Save document"
+msgstr "დოკუმენტის შენახვა"
+
+#: src/ghex-application-window.ui.in:217
+msgid "No File Loaded"
+msgstr "ფაილი ჩატვირთული არაა"
+
+#: src/ghex-application-window.ui.in:220
+msgid ""
+"• Press the Open button\n"
+"• Press Ctrl+N to start a new document\n"
+"• Press Ctrl+O to browse for a document\n"
+"\n"
+"Or, press Ctrl+W to close the window."
+msgstr ""
+
+#: src/ghex-application-window.ui.in:309
+msgid "Toggle insert mode (add data to file rather than replace existing data)"
+msgstr ""
+
+#: src/ghex-application-window.ui.in:321
+msgid "Toggle a pane showing various numeric conversions"
+msgstr ""
+
+#: src/gtkhex.ui:23
+msgid "Automatic geometry"
+msgstr "ავტომატური გეომეტრია"
+
+#: src/gtkhex.ui:33
+msgid "Characters per line:"
+msgstr "სიმბოლოები თითოეულ სტრიქონში:"
+
+#: src/gtkhex.ui:62
+msgid "_Undo"
+msgstr "გა_უქმება"
+
+#: src/gtkhex.ui:66
+msgid "_Redo"
+msgstr "_გამეორება"
+
+#: src/gtkhex.ui:72
+msgid "Cu_t"
+msgstr "_ამოჭრა"
+
+#: src/gtkhex.ui:76 src/paste-special.c:420
+msgid "_Copy"
+msgstr "_კოპირება"
+
+#: src/gtkhex.ui:80 src/paste-special.ui:47
+msgid "_Paste"
+msgstr "ჩასმა"
+
+#: src/gtkhex.ui:86
+msgid "_Geometry"
+msgstr "_გეომეტრია"
+
+#: src/help-overlay.ui:14
+msgid "Files"
+msgstr "ფაილები"
+
+#: src/help-overlay.ui:19
+msgid "New blank hex buffer"
+msgstr ""
+
+#: src/help-overlay.ui:26
+msgid "Open a file for editing"
+msgstr ""
+
+#: src/help-overlay.ui:33
+msgid "Save file"
+msgstr "ფაილის შენახვა"
+
+#: src/help-overlay.ui:40
+msgid "Save as"
+msgstr "შენახვა, როგორც"
+
+#: src/help-overlay.ui:47
+msgid "Close tab"
+msgstr "ჩანართის დახურვა"
+
+#: src/help-overlay.ui:54
+msgid "Print the hex file"
+msgstr ""
+
+#: src/help-overlay.ui:63
+msgid "Undo and Redo"
+msgstr "გაუქმება/გამეორება"
+
+#: src/help-overlay.ui:68
+msgid "Undo"
+msgstr "დაბრუნება"
+
+#: src/help-overlay.ui:75
+msgid "Redo"
+msgstr "გამეორება"
+
+#: src/help-overlay.ui:84
+msgid "Find and Replace"
+msgstr "ძებნა და ჩანაცვლება"
+
+#: src/help-overlay.ui:89
+msgid "Find"
+msgstr "მოძებნა"
+
+#: src/help-overlay.ui:96
+msgid "Find and replace"
+msgstr "ძებნა და ჩანაცვლება"
+
+#: src/help-overlay.ui:105
+msgid "Marks"
+msgstr "ნიშნები"
+
+#: src/help-overlay.ui:110
+msgid "Marks dialog"
+msgstr ""
+
+#: src/help-overlay.ui:117
+msgid "Activate mark (0-9)"
+msgstr ""
+
+#: src/help-overlay.ui:126
+msgid "Clipboard"
+msgstr "გაცვლის ბაფერი"
+
+#: src/help-overlay.ui:131
+msgid "Copy"
+msgstr "კოპირება"
+
+#: src/help-overlay.ui:138
+msgid "Cut"
+msgstr "ამოჭრა"
+
+#: src/help-overlay.ui:145
+msgid "Paste"
+msgstr "ჩასმა"
+
+#: src/help-overlay.ui:152
+msgid "Copy special"
+msgstr "სპეციალური კოპირება"
+
+#: src/help-overlay.ui:159
+msgid "Paste special"
+msgstr "სპეციალური ჩასმა"
+
+#: src/help-overlay.ui:168
+msgid "Navigation"
+msgstr "ნავიგაცია"
+
+#: src/help-overlay.ui:173
+msgid "Toggle left (hex) display"
+msgstr ""
+
+#: src/help-overlay.ui:180
+msgid "Toggle right (ASCII) display"
+msgstr ""
+
+#: src/help-overlay.ui:187
+msgid "Switch to previous tab"
+msgstr "წინა ჩანართზე გადართვა"
+
+#: src/help-overlay.ui:194
+msgid "Switch to next tab"
+msgstr "გადართვა შემდეგ ჩანართზე"
+
+#: src/help-overlay.ui:201
+msgid "Jump to byte"
+msgstr "გადასვლა ბაიტზე"
+
+#: src/help-overlay.ui:208
+msgid "Move to beginning of document"
+msgstr "დოკუმენტის დასაწყისში გადასვლა"
+
+#: src/help-overlay.ui:215
+msgid "Move to end of document"
+msgstr "დოკუმენტის ბოლოში გადასვლა"
+
+#: src/help-overlay.ui:224
+msgid "General"
+msgstr "ზოგადი"
+
+#: src/help-overlay.ui:229
+msgid "Show help"
+msgstr "დახმარების ჩვენება"
+
+#: src/help-overlay.ui:236
+msgid "Show preferences"
+msgstr "პარამეტრების ფანჯრის ჩვენება"
+
+#: src/help-overlay.ui:243
+msgid "Toggle insert mode"
+msgstr "ჩასმის რეჟიმის გადართვა"
+
+#: src/hex-buffer-direct.c:42 src/hex-buffer-mmap.c:50
+msgid "The file appears to have an invalid path."
+msgstr ""
+
+#. Translators:  the first '%s' is the blurb indicating some kind of an
+#. * error has occurred (eg, 'An error has occurred', and the the 2nd '%s'
+#. * is the standard error message that will be reported from the system
+#. * (eg, 'No such file or directory').
+#.
+#: src/hex-buffer-direct.c:143 src/hex-buffer-mmap.c:173
+#, c-format
+msgid "%s: %s"
+msgstr "%s: %s"
+
+#: src/hex-buffer-direct.c:193
+msgid "Failed to read data from file."
+msgstr "მონაცემების წაკითხვა ფაილიდან ჩავარდა."
+
+#: src/hex-buffer-direct.c:212 src/hex-buffer-mmap.c:587
+msgid "Unable to retrieve file or directory information"
+msgstr ""
+
+#: src/hex-buffer-direct.c:221 src/hex-buffer-mmap.c:596
+msgid "Unable to create file"
+msgstr "ფაილის შექმნა შეუძლებელია"
+
+#: src/hex-buffer-direct.c:230
+msgid "Not a regular file or block device"
+msgstr "არ წარმოადგენს ჩვეულებრივ ფაილს ან ბლოკურ მოწყობილობას"
+
+#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:615
+msgid "Unable to open file for reading"
+msgstr "ფაილის წასაკითხად გახსნის შეცდომა"
+
+#: src/hex-buffer-direct.c:404
+msgid "Unable to read file"
+msgstr "ფაილის წაკითხვის პრობლემა"
+
+#: src/hex-buffer-direct.c:417
+msgid "Error attempting to read block device"
+msgstr ""
+
+#: src/hex-buffer-direct.c:527
+msgid ""
+"With direct-write mode, you cannot save a file to a path other than its "
+"originating path"
+msgstr ""
+
+#: src/hex-buffer-direct.c:552
+msgid "Error writing changes to file"
+msgstr ""
+
+#: src/hex-buffer-mmap.c:310
+#, c-format
+msgid "Could not adjust %s from %lu to %lu bytes"
+msgstr ""
+
+#: src/hex-buffer-mmap.c:359
+#, c-format
+msgid "Fatal error: Memory mapping of file (%lu bytes, fd %d) failed"
+msgstr ""
+
+#: src/hex-buffer-mmap.c:605
+msgid "Not a regular file"
+msgstr "ფაილი ჩვეულებრივი არაა"
+
+#: src/hex-buffer-mmap.c:646
+msgid "Failed to open temporary file."
+msgstr "დროებითი ფაილის გახსნის შეცდომა."
+
+#: src/hex-buffer-mmap.c:685
+msgid "Error reading file"
+msgstr "ფაილის წაკითხვის შეცდომა"
+
+#: src/hex-buffer-mmap.c:701
+msgid "An error has occurred"
+msgstr ""
+
+#: src/hex-dialog.c:70
+msgid "Signed 8 bit:"
+msgstr ""
+
+#: src/hex-dialog.c:71
+msgid "Unsigned 8 bit:"
+msgstr ""
+
+#: src/hex-dialog.c:72
+msgid "Signed 16 bit:"
+msgstr ""
+
+#: src/hex-dialog.c:73
+msgid "Unsigned 16 bit:"
+msgstr ""
+
+#: src/hex-dialog.c:74
+msgid "Signed 32 bit:"
+msgstr ""
+
+#: src/hex-dialog.c:75
+msgid "Unsigned 32 bit:"
+msgstr ""
+
+#: src/hex-dialog.c:76
+msgid "Signed 64 bit:"
+msgstr ""
+
+#: src/hex-dialog.c:77
+msgid "Unsigned 64 bit:"
+msgstr ""
+
+#: src/hex-dialog.c:78
+msgid "Float 32 bit:"
+msgstr ""
+
+#: src/hex-dialog.c:79
+msgid "Float 64 bit:"
+msgstr ""
+
+#: src/hex-dialog.c:80
+msgid "Hexadecimal:"
+msgstr "თექვსმეტობითი:"
+
+#: src/hex-dialog.c:81
+msgid "Octal:"
+msgstr "რვაობითი:"
+
+#: src/hex-dialog.c:82
+msgid "Binary:"
+msgstr "ორობითი:"
+
+#: src/hex-dialog.c:201
+msgid "Show little endian decoding"
+msgstr ""
+
+#: src/hex-dialog.c:207
+msgid "Show unsigned and float as hexadecimal"
+msgstr ""
+
+#: src/hex-dialog.c:213
+msgid "Stream Length:"
+msgstr "ნაკადის სიგრძე"
+
+#: src/hex-document.c:1138
+#, c-format
+msgid "Page"
+msgstr "გვერდი"
+
+#: src/hex-document.c:1144 src/hex-document.c:1247
+#, c-format
+msgid "Hex dump generated by"
+msgstr ""
+
+#: src/hex-document.c:1170
+#, c-format
+msgid "Previous page"
+msgstr "წინა გვერდი"
+
+#: src/hex-document.c:1185
+#, c-format
+msgid "Next page"
+msgstr "შემდეგი გვერდი"
+
+#: src/jump-dialog.ui:35
+msgid "Jump to byte (enter offset):"
+msgstr ""
+
+#: src/jump-dialog.ui:44
+msgid ""
+"Enter the offset byte to jump to. The default is decimal format, but other "
+"format strings are supported such as hexadecimal format, if C-style notation "
+"using the '0x' prefix is used. If your string is not recognized, a dialog "
+"will be presented explaining the valid formats of strings accepted."
+msgstr ""
+
+#: src/jump-dialog.ui:49 src/mark-dialog.ui:110
+msgid "_Jump"
+msgstr "_გადასვლა"
+
+#: src/jump-dialog.ui:55
+msgid "Jumps to the specified byte"
+msgstr ""
+
+#: src/jump-dialog.ui:65
+msgid "Closes the jump-to-byte pane"
+msgstr ""
+
+#: src/main.c:44
+msgid "Show the application version"
+msgstr ""
+
+#: src/main.c:105
+#, c-format
+msgid "This is GHex, version %s\n"
+msgstr ""
+
+#: src/main.c:166
+msgid "GHex - A hex editor for the GNOME desktop"
+msgstr ""
+
+#. Translators: this is meant to show a range of hex offset values.
+#. * eg, "0xAA - 0xFF"
+#.
+#: src/mark-dialog.c:125
+#, c-format
+msgid "0x%lX - 0x%lX"
+msgstr "0x%lX - 0x%lX"
+
+#: src/mark-dialog.ui:36
+msgid "Mark:"
+msgstr "დანიშვნა:"
+
+#: src/mark-dialog.ui:50
+msgid "Select the desired mark to set, jump to, or delete"
+msgstr ""
+
+#: src/mark-dialog.ui:58
+msgid "Optional custom color for the mark"
+msgstr ""
+
+#: src/mark-dialog.ui:74
+msgid "Pick a custom color for the mark, if desired."
+msgstr ""
+
+#: src/mark-dialog.ui:96
+msgid "_Set"
+msgstr "_დაყენება"
+
+#: src/mark-dialog.ui:103
+msgid "Set a mark on a byte or range of bytes"
+msgstr ""
+
+#: src/mark-dialog.ui:122
+msgid "Bring the cursor to the specified mark"
+msgstr ""
+
+#: src/mark-dialog.ui:129
+msgid "_Delete"
+msgstr "_წაშლა"
+
+#: src/mark-dialog.ui:141
+msgid "Delete the specified mark"
+msgstr ""
+
+#: src/mark-dialog.ui:153
+msgid "Closes the marks pane"
+msgstr ""
+
+#: src/paste-special.c:218
+#, c-format
+msgid ""
+"Paste failed; invalid hex format.\n"
+"\n"
+"The string must be in the format of space-delineated hex byte pairs.\n"
+"\n"
+"For example: \"FF 3D 99 0A\""
+msgstr ""
+
+#: src/paste-special.c:305
+msgid "GHex Paste Data"
+msgstr ""
+
+#: src/paste-special.c:422
+msgid "Copy Special"
+msgstr "სპეციალური კოპირება"
+
+#: src/paste-special.c:527
+msgid "Plain text (as ASCII)"
+msgstr ""
+
+#: src/paste-special.c:544
+msgid "Plain text (Unicode)"
+msgstr ""
+
+#: src/paste-special.c:548
+msgid "Plain text (as space-delimited hex pairs)"
+msgstr ""
+
+#: src/paste-special.ui:28
+msgid "Paste Special"
+msgstr "სპეციალური ჩასმა"
+
+#: src/paste-special.ui:53
+msgid "_Cancel"
+msgstr "&გაუქმება"
+
+#: src/preferences.ui:28
+msgid "Preferences"
+msgstr "პარამეტრები"
+
+#: src/preferences.ui:33
+msgid "Display"
+msgstr "ჩვენება"
+
+#: src/preferences.ui:37
+msgid "Appearance"
+msgstr "გარეგნობა"
+
+#: src/preferences.ui:41
+msgid "Font"
+msgstr "ფონტი"
+
+#: src/preferences.ui:53
+msgid "Dark mode"
+msgstr "მუქი რეჟიმი"
+
+#: src/preferences.ui:69
+msgid "Use system default"
+msgstr "სისტემის ნაგულისხმების გამოყენება"
+
+#: src/preferences.ui:83
+msgid "Hex Display"
+msgstr ""
+
+#: src/preferences.ui:87
+msgid "Group data as"
+msgstr ""
+
+#: src/preferences.ui:94
+msgid "Bytes (8-bit)"
+msgstr ""
+
+#: src/preferences.ui:100
+msgid "Words (16-bit)"
+msgstr ""
+
+#: src/preferences.ui:106
+msgid "Longwords (32-bit)"
+msgstr ""
+
+#: src/preferences.ui:112
+msgid "Quadwords (64-bit)"
+msgstr ""
+
+#: src/preferences.ui:122
+msgid "Show offsets column"
+msgstr ""
+
+#: src/preferences.ui:137
+msgid "Printing"
+msgstr "დაბეჭდვა"
+
+#: src/preferences.ui:141
+msgid "Fonts"
+msgstr "ფონტები"
+
+#: src/preferences.ui:145
+msgid "Data font"
+msgstr ""
+
+#: src/preferences.ui:156
+msgid "Header font"
+msgstr "თავსართის ფონტი"
+
+#: src/preferences.ui:170
+msgid "Shaded rows"
+msgstr ""
+
+#: src/preferences.ui:174
+msgid "Print alternating shaded rows"
+msgstr ""
+
+#: src/preferences.ui:182
+msgid "Span across lines:"
+msgstr ""
+
+#: src/print.c:50
+#, c-format
+msgid "Page: %i/%i"
+msgstr "გვერდი: %i/%i"
+
+#: src/replace-dialog.ui:34
+msgid "Enter the hex data or ASCII data to replace with"
+msgstr ""
+
+#: src/replace-dialog.ui:37
+msgid "Replace With"
+msgstr "_ჩანაცვლება"
+
+#: src/replace-dialog.ui:47
+msgid "_Replace"
+msgstr "_ჩანაცვლება"
+
+#: src/replace-dialog.ui:50
+msgid "Replaces the search string with the replace string"
+msgstr ""
+
+#: src/replace-dialog.ui:55
+msgid "Replace _All"
+msgstr "ყველ_აფრის ჩანაცვლება"
+
+#: src/replace-dialog.ui:58
+msgid "Replaces all occurrences of the search string with the replace string"
+msgstr ""
diff -pruN 45.1-1/po/ru.po 46.0-1/po/ru.po
--- 45.1-1/po/ru.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/ru.po	2024-03-22 05:14:59.000000000 +0000
@@ -11,9 +11,9 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex\n"
-"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues\n"
-"POT-Creation-Date: 2023-07-26 23:38+0000\n"
-"PO-Revision-Date: 2023-08-02 10:23+1000\n"
+"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues/\n"
+"POT-Creation-Date: 2024-02-12 06:30+0000\n"
+"PO-Revision-Date: 2024-02-15 17:11+1000\n"
 "Last-Translator: Ser82-png <asvmail.as@gmail.com>\n"
 "Language-Team: Russian <gnome-cyr@gnome.org>\n"
 "Language: ru\n"
@@ -25,7 +25,7 @@ msgstr ""
 "X-Generator: Poedit 3.0.1\n"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:6
-#: src/ghex-application-window.ui.in:149
+#: src/ghex-application-window.ui.in:151
 msgid "GHex"
 msgstr "GHex"
 
@@ -50,52 +50,40 @@ msgstr ""
 "в одном столбце и представлением ASCII в другом. GHex — полезный инструмент "
 "для работы с необработанными данными."
 
-#: data/org.gnome.GHex.appdata.xml.in.in:40
-msgid "Logan Rathbone"
-msgstr "Logan Rathbone"
-
 #: data/org.gnome.GHex.desktop.in.in:5
 msgid "Hex Editor"
 msgstr "Шестнадцатеричный редактор"
 
 #. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
 #: data/org.gnome.GHex.desktop.in.in:8
-msgid "binary;debug;"
-msgstr "binary;debug;двоичный;бинарный;отладка;"
+msgid "binary;debug;hexadecimal;"
+msgstr "binary;debug;hexadecimal;двоичный;бинарный;отладка;шестнадцатеричный;"
+
+#: src/chartable.ui:30
+msgid "Character table"
+msgstr "Таблица символов"
 
-#: src/chartable.c:152 src/find-options.ui:67
+#: src/chartable.ui:44 src/find-options.ui:67
 msgid "ASCII"
 msgstr "ASCII"
 
-#: src/chartable.c:152 src/find-options.ui:66
+#: src/chartable.ui:69 src/find-options.ui:66
 msgid "Hex"
 msgstr "Шестнадц."
 
-#: src/chartable.c:152
+#: src/chartable.ui:94
 msgid "Decimal"
 msgstr "Десятичное"
 
-#: src/chartable.c:153
+#: src/chartable.ui:119
 msgid "Octal"
 msgstr "Восьмеричное"
 
-#: src/chartable.c:153
+#: src/chartable.ui:144
 msgid "Binary"
 msgstr "Двоичное"
 
-#: src/chartable.c:184
-msgid "Character table"
-msgstr "Таблица символов"
-
-#: src/chartable.c:252
-msgid "_Insert Character"
-msgstr "Вставить _символ"
-
-#: src/chartable.c:256 src/converter.c:186
-msgid "_Close"
-msgstr "_Закрыть"
-
-#: src/common-ui.c:240
+#: src/common-ui.c:246
 msgid ""
 "This program is free software; you can redistribute it and/or modify it "
 "under the terms of the GNU General Public License as published by the Free "
@@ -107,7 +95,7 @@ msgstr ""
 "опубликованной Free Software Foundation; либо версии 2 лицензии, либо (на "
 "ваше усмотрение) любой более поздней версии."
 
-#: src/common-ui.c:244
+#: src/common-ui.c:250
 msgid ""
 "This program is distributed in the hope that it will be useful, but WITHOUT "
 "ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
@@ -119,7 +107,7 @@ msgstr ""
 "КАКИМ-ЛИБО ТРЕБОВАНИЯМ. Для получения дополнительной информации ознакомьтесь "
 "с GNU General Public License."
 
-#: src/common-ui.c:248
+#: src/common-ui.c:254
 msgid ""
 "You should have received a copy of the GNU General Public License along with "
 "this program; if not, write to the Free Software Foundation, Inc., 51 "
@@ -131,20 +119,16 @@ msgstr ""
 
 #. Translators: these two strings here indicate the copyright time span,
 #. e.g. 1998-2018.
-#: src/common-ui.c:260
+#: src/common-ui.c:266
 #, c-format
 msgid "Copyright © %d–%d The GHex authors"
 msgstr "Copyright © %d–%d Авторы GHex"
 
-#: src/common-ui.c:274
-msgid "A binary file editor"
-msgstr "Редактор двоичных файлов"
-
-#: src/common-ui.c:281
+#: src/common-ui.c:287
 msgid "About GHex"
 msgstr "О приложении GHex"
 
-#: src/common-ui.c:282
+#: src/common-ui.c:288
 msgid "translator-credits"
 msgstr ""
 "Valek Filppov <frob@df.ru>, 1999-2003, 2006\n"
@@ -153,54 +137,59 @@ msgstr ""
 "Юрий Козлов <yuray@komaykino.ru>, 2011\n"
 "Ser82-png <asvmail.as@gmail.com>, 2022-2023"
 
-#: src/common-ui.c:285
-msgid "GHex Website"
-msgstr "Веб-страница GHex"
-
 #. Translators: This is an error string for a print-related error
 #. * dialog.  The %s is the error generated by GError.
-#: src/common-ui.c:349
+#: src/common-ui.c:353
 #, c-format
 msgid "An error has occurred: %s"
 msgstr "Произошла ошибка: %s"
 
-#: src/converter.c:183
+#: src/common-ui.c:374 src/find-dialog.ui:99 src/jump-dialog.ui:64
+#: src/mark-dialog.ui:152
+msgid "Close"
+msgstr "Закрыть"
+
+#: src/converter.c:166
 msgid "Base Converter"
 msgstr "Конвертер представлений"
 
 #. entries
-#: src/converter.c:209
+#: src/converter.c:176
 msgid "_Binary:"
 msgstr "_Двоичное:"
 
-#: src/converter.c:211
+#: src/converter.c:178
 msgid "_Octal:"
 msgstr "_Восьмеричное:"
 
-#: src/converter.c:213
+#: src/converter.c:180
 msgid "_Decimal:"
 msgstr "Де_сятичное:"
 
-#: src/converter.c:215
+#: src/converter.c:182
 msgid "_Hex:"
 msgstr "_Шестнадцатеричное:"
 
-#: src/converter.c:217
+#: src/converter.c:184
 msgid "_ASCII:"
 msgstr "_ASCII:"
 
 #. get cursor button
-#: src/converter.c:221
+#: src/converter.c:188
 msgid "_Get cursor value"
 msgstr "Вз_ять значение под курсором"
 
-#: src/converter.c:230
+#: src/converter.c:189
+msgid "_Close"
+msgstr "_Закрыть"
+
+#: src/converter.c:199
 msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
 msgstr ""
 "Получает значение из позиции курсора в двоичном, восьми-, десяти-, "
 "шестнадцатеричном и ACSII представлении"
 
-#: src/converter.c:371
+#: src/converter.c:339
 msgid "ERROR"
 msgstr "ОШИБКА"
 
@@ -244,10 +233,6 @@ msgstr "Параметры поиска"
 msgid "View options of the find pane"
 msgstr "Просмотр параметров панели поиска"
 
-#: src/find-dialog.ui:99 src/jump-dialog.ui:63
-msgid "Close"
-msgstr "Закрыть"
-
 #: src/find-dialog.ui:100
 msgid "Closes the find pane"
 msgstr "Закрывает панель поиска"
@@ -268,11 +253,11 @@ msgstr "Показать:"
 msgid "Both"
 msgstr "Оба"
 
-#: src/findreplace.c:221
+#: src/findreplace.c:222
 msgid "No string provided."
 msgstr "Строка не указана."
 
-#: src/findreplace.c:395
+#: src/findreplace.c:396
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -282,7 +267,7 @@ msgstr ""
 "\n"
 "Больше совпадений не найдено."
 
-#: src/findreplace.c:397
+#: src/findreplace.c:398
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -292,7 +277,7 @@ msgstr ""
 "\n"
 "От курсора совпадений не найдено."
 
-#: src/findreplace.c:407
+#: src/findreplace.c:408
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -302,7 +287,7 @@ msgstr ""
 "\n"
 "Больше совпадений не найдено."
 
-#: src/findreplace.c:409
+#: src/findreplace.c:410
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -312,19 +297,19 @@ msgstr ""
 "\n"
 "От курсора совпадений не найдено."
 
-#: src/findreplace.c:480
+#: src/findreplace.c:481
 msgid "No offset has been specified."
 msgstr "Не было указано смещение."
 
-#: src/findreplace.c:505
+#: src/findreplace.c:506
 msgid "The specified offset is beyond the  file boundaries."
 msgstr "Указанное смещение лежит вне границ файла."
 
-#: src/findreplace.c:513
+#: src/findreplace.c:514
 msgid "Can not position cursor beyond the end of file."
 msgstr "Невозможно установить курсор за пределами файла."
 
-#: src/findreplace.c:523
+#: src/findreplace.c:525
 msgid ""
 "You may only give the offset as:\n"
 "  - a positive decimal number, or\n"
@@ -336,31 +321,31 @@ msgstr ""
 "  - шестнадцатеричное число, начинающееся с «0x»;\n"
 "  - перед смещением может быть знак «+» или «-» sign"
 
-#: src/findreplace.c:580
+#: src/findreplace.c:584
 msgid "String was not found."
 msgstr "Строка не найдена."
 
-#: src/findreplace.c:644
+#: src/findreplace.c:648
 #, c-format
 msgid "Search complete: %d replacements made."
 msgstr "Поиск завершен: выполнено %d замен."
 
-#: src/findreplace.c:651
+#: src/findreplace.c:655
 msgid "No occurrences were found."
 msgstr "Вхождений не найдено."
 
 #. Translators: this is the string for an untitled buffer that will
 #. * be displayed in the titlebar when a user does File->New
 #.
-#: src/ghex-application-window.c:49 src/hex-document.c:1057
+#: src/ghex-application-window.c:49 src/hex-document.c:1091
 msgid "Untitled"
 msgstr "Без названия"
 
-#: src/ghex-application-window.c:284
+#: src/ghex-application-window.c:293
 msgid "There was an error saving the file."
 msgstr "Произошла ошибка при сохранении файла."
 
-#: src/ghex-application-window.c:334
+#: src/ghex-application-window.c:336
 msgid ""
 "<b>You have one or more files open with unsaved changes.</b>\n"
 "\n"
@@ -372,18 +357,18 @@ msgstr ""
 "Вы уверены, что хотите закрыть окно?\n"
 "\n"
 
-#: src/ghex-application-window.c:338
+#: src/ghex-application-window.c:339
 msgid "_Close Anyway"
 msgstr "_Закрыть всё равно"
 
-#: src/ghex-application-window.c:339 src/ghex-application-window.c:474
-#: src/ghex-application-window.c:1175
+#: src/ghex-application-window.c:340 src/ghex-application-window.c:475
+#: src/ghex-application-window.c:1179
 msgid "_Go Back"
 msgstr "_Вернуться"
 
 #. Translators: %s is the filename that is currently being
 #. * edited.
-#: src/ghex-application-window.c:452
+#: src/ghex-application-window.c:456
 #, c-format
 msgid ""
 "<big><b>%s has been edited since opening.</b></big>\n"
@@ -394,7 +379,7 @@ msgstr ""
 "\n"
 "Сохранить изменения?"
 
-#: src/ghex-application-window.c:458
+#: src/ghex-application-window.c:462
 msgid ""
 "<b>The buffer has been edited since opening.</b>\n"
 "\n"
@@ -404,19 +389,19 @@ msgstr ""
 "\n"
 "Сохранить изменения?"
 
-#: src/ghex-application-window.c:472
+#: src/ghex-application-window.c:473
 msgid "_Save Changes"
 msgstr "_Сохранить изменения"
 
-#: src/ghex-application-window.c:473
+#: src/ghex-application-window.c:474
 msgid "_Discard Changes"
 msgstr "_Отменить изменения"
 
-#: src/ghex-application-window.c:1028
+#: src/ghex-application-window.c:1035
 msgid "There was an error saving the file to the path specified."
 msgstr "Произошла ошибка при сохранении файла по указанному пути."
 
-#: src/ghex-application-window.c:1047
+#: src/ghex-application-window.c:1054
 msgid ""
 "An unknown error has occurred in attempting to reload the file you have just "
 "saved."
@@ -424,13 +409,13 @@ msgstr ""
 "Произошла неизвестная ошибка при попытке перезагрузить только что "
 "сохранённый файл."
 
-#: src/ghex-application-window.c:1099
+#: src/ghex-application-window.c:1107
 msgid "Select a file to save buffer as"
 msgstr "Выбрать файл для сохранения из буфера"
 
 #. Translators: %s here is the filename the user is being asked to
 #. * confirm whether they want to revert.
-#: src/ghex-application-window.c:1168
+#: src/ghex-application-window.c:1173
 #, c-format
 msgid ""
 "<big><b>Are you sure you want to revert %s?</b></big>\n"
@@ -445,15 +430,15 @@ msgstr ""
 "\n"
 "Это действие не может быть отменено."
 
-#: src/ghex-application-window.c:1174 src/ghex-application-window.ui.in:39
+#: src/ghex-application-window.c:1178 src/ghex-application-window.ui.in:39
 msgid "_Revert"
 msgstr "Восста_новить"
 
-#: src/ghex-application-window.c:1258
+#: src/ghex-application-window.c:1266
 msgid "Select a file to open"
 msgstr "Выбрать файл для открытия"
 
-#: src/ghex-application-window.c:1363
+#: src/ghex-application-window.c:1373
 #, c-format
 msgid ""
 "Sorry, but help could not be opened.\n"
@@ -476,7 +461,7 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/ghex-application-window.c:1439
+#: src/ghex-application-window.c:1567
 #, c-format
 msgid ""
 "Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
@@ -485,12 +470,12 @@ msgstr ""
 "Смещение: выбрано <tt>0x%lX</tt>; <tt>0x%lX</tt> байт из <tt>0x%lX</tt> to "
 "<tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:1443
+#: src/ghex-application-window.c:1571
 #, c-format
 msgid "Offset: <tt>0x%lX</tt>"
 msgstr "Смещение: <tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:2079
+#: src/ghex-application-window.c:2381
 msgid ""
 "You are attempting to open a file 1GB or larger.\n"
 "\n"
@@ -516,10 +501,18 @@ msgstr ""
 "Чтобы это сообщение не появлялось, попробуйте использовать другой модуль "
 "обработки буфера."
 
-#: src/ghex-application-window.c:2136
+#: src/ghex-application-window.c:2439
 msgid "There was an error reading the file."
 msgstr "Произошла ошибка при чтении файла."
 
+#: src/ghex-application-window.c:2500
+msgid ""
+"There was an error loading the requested file. The file either no longer "
+"exists, is inaccessible, or you may not have permission to access the file."
+msgstr ""
+"При загрузке запрошенного файла произошла ошибка. Файл либо больше не "
+"существует, либо недоступен, либо у вас нет прав на доступ к файлу."
+
 #: src/ghex-application-window.ui.in:31
 msgid "_New"
 msgstr "_Создать"
@@ -544,95 +537,99 @@ msgstr "_Найти и заменить"
 msgid "_Jump to Byte"
 msgstr "Перейти _к байту"
 
-#: src/ghex-application-window.ui.in:72
+#: src/ghex-application-window.ui.in:66
+msgid "_Marks"
+msgstr "_Метки"
+
+#: src/ghex-application-window.ui.in:76
 msgid "_Edit"
 msgstr "_Правка"
 
-#: src/ghex-application-window.ui.in:74
+#: src/ghex-application-window.ui.in:78
 msgid "_Copy Special"
 msgstr "Специальное _копирование"
 
-#: src/ghex-application-window.ui.in:78
+#: src/ghex-application-window.ui.in:82
 msgid "_Paste Special"
 msgstr "Специальная _вставка"
 
-#: src/ghex-application-window.ui.in:85
-msgid "_Tools"
-msgstr "_Инструменты"
-
-#: src/ghex-application-window.ui.in:87
-msgid "_Character Table"
-msgstr "_Таблица символов"
-
-#: src/ghex-application-window.ui.in:91
-msgid "_Base Converter"
-msgstr "_Конвертер представлений"
-
-#: src/ghex-application-window.ui.in:98
+#: src/ghex-application-window.ui.in:86
 msgid "G_roup Data As"
 msgstr "_Группировать данные как"
 
-#: src/ghex-application-window.ui.in:100
+#: src/ghex-application-window.ui.in:88
 msgid "_Bytes (8-bit)"
 msgstr "_Байты (8-bit)"
 
-#: src/ghex-application-window.ui.in:106
+#: src/ghex-application-window.ui.in:94
 msgid "_Words (16-bit)"
 msgstr "_Слова (16-bit)"
 
-#: src/ghex-application-window.ui.in:111
+#: src/ghex-application-window.ui.in:99
 msgid "_Longwords (32-bit)"
 msgstr "_Длинные слова (32-bit)"
 
-#: src/ghex-application-window.ui.in:116
+#: src/ghex-application-window.ui.in:104
 msgid "_Quadwords (64-bit)"
 msgstr "_Четыре слова (64-bit)"
 
-#: src/ghex-application-window.ui.in:126
+#: src/ghex-application-window.ui.in:113
+msgid "_Tools"
+msgstr "_Инструменты"
+
+#: src/ghex-application-window.ui.in:115
+msgid "_Character Table"
+msgstr "_Таблица символов"
+
+#: src/ghex-application-window.ui.in:119
+msgid "_Base Converter"
+msgstr "_Конвертер представлений"
+
+#: src/ghex-application-window.ui.in:128
 msgid "_Keyboard Shortcuts"
 msgstr "_Комбинации клавиш"
 
-#: src/ghex-application-window.ui.in:131
+#: src/ghex-application-window.ui.in:133
 msgid "_Preferences"
 msgstr "_Параметры"
 
-#: src/ghex-application-window.ui.in:136
+#: src/ghex-application-window.ui.in:138
 msgid "_Help"
 msgstr "_Справка"
 
-#: src/ghex-application-window.ui.in:141
+#: src/ghex-application-window.ui.in:143
 msgid "_About GHex"
 msgstr "_О приложении"
 
-#: src/ghex-application-window.ui.in:170
+#: src/ghex-application-window.ui.in:172
 msgid "Open a file for hex editing"
 msgstr "Открыть файл для редактирования в шестнадцатеричном формате"
 
-#: src/ghex-application-window.ui.in:173
+#: src/ghex-application-window.ui.in:175
 msgid "_Open"
 msgstr "_Открыть"
 
-#: src/ghex-application-window.ui.in:186
+#: src/ghex-application-window.ui.in:188
 msgid "Main Menu"
 msgstr "Главное меню"
 
-#: src/ghex-application-window.ui.in:188
+#: src/ghex-application-window.ui.in:190
 msgid "Main menu"
 msgstr "Главное меню"
 
-#: src/ghex-application-window.ui.in:198
+#: src/ghex-application-window.ui.in:200
 msgid "Find a string in the hex document"
 msgstr "Найти строку в шестнадцатеричном документе"
 
-#: src/ghex-application-window.ui.in:207
+#: src/ghex-application-window.ui.in:209
 msgid "Save document"
 msgstr "Сохранить документ"
 
-#: src/ghex-application-window.ui.in:215
+#: src/ghex-application-window.ui.in:217
 msgid "No File Loaded"
 msgstr "Файл не загружен"
 
-#: src/ghex-application-window.ui.in:218
+#: src/ghex-application-window.ui.in:220
 msgid ""
 "• Press the Open button\n"
 "• Press Ctrl+N to start a new document\n"
@@ -646,13 +643,13 @@ msgstr ""
 "\n"
 "Или нажмите Ctrl+W, чтобы закрыть окно."
 
-#: src/ghex-application-window.ui.in:307
+#: src/ghex-application-window.ui.in:309
 msgid "Toggle insert mode (add data to file rather than replace existing data)"
 msgstr ""
 "Переключить режим вставки (добавлять данные в файл, а не заменять "
 "существующие)"
 
-#: src/ghex-application-window.ui.in:319
+#: src/ghex-application-window.ui.in:321
 msgid "Toggle a pane showing various numeric conversions"
 msgstr ""
 "Переключить панель, на которой показаны различные числовые преобразования"
@@ -677,11 +674,11 @@ msgstr "_Повторить"
 msgid "Cu_t"
 msgstr "Вы_резать"
 
-#: src/gtkhex.ui:76 src/paste-special.c:405
+#: src/gtkhex.ui:76 src/paste-special.c:420
 msgid "_Copy"
 msgstr "_Копировать"
 
-#: src/gtkhex.ui:80 src/paste-special.ui:49
+#: src/gtkhex.ui:80 src/paste-special.ui:47
 msgid "_Paste"
 msgstr "_Вставить"
 
@@ -742,74 +739,86 @@ msgid "Find and replace"
 msgstr "Найти и заменить"
 
 #: src/help-overlay.ui:105
+msgid "Marks"
+msgstr "Метки"
+
+#: src/help-overlay.ui:110
+msgid "Marks dialog"
+msgstr "Диалоговое окно меток"
+
+#: src/help-overlay.ui:117
+msgid "Activate mark (0-9)"
+msgstr "Задействовать метку (0-9)"
+
+#: src/help-overlay.ui:126
 msgid "Clipboard"
 msgstr "Буфер обмена"
 
-#: src/help-overlay.ui:110
+#: src/help-overlay.ui:131
 msgid "Copy"
 msgstr "Копировать"
 
-#: src/help-overlay.ui:117
+#: src/help-overlay.ui:138
 msgid "Cut"
 msgstr "Вырезать"
 
-#: src/help-overlay.ui:124
+#: src/help-overlay.ui:145
 msgid "Paste"
 msgstr "Вставить"
 
-#: src/help-overlay.ui:131
+#: src/help-overlay.ui:152
 msgid "Copy special"
 msgstr "Специальное копирование"
 
-#: src/help-overlay.ui:138
+#: src/help-overlay.ui:159
 msgid "Paste special"
 msgstr "Специальная вставка"
 
-#: src/help-overlay.ui:147
+#: src/help-overlay.ui:168
 msgid "Navigation"
 msgstr "Навигация"
 
-#: src/help-overlay.ui:152
+#: src/help-overlay.ui:173
 msgid "Toggle left (hex) display"
 msgstr "Переключить левую (шестнадцатеричную) панель"
 
-#: src/help-overlay.ui:159
+#: src/help-overlay.ui:180
 msgid "Toggle right (ASCII) display"
 msgstr "Переключить правую (ASCII) панель"
 
-#: src/help-overlay.ui:166
+#: src/help-overlay.ui:187
 msgid "Switch to previous tab"
 msgstr "Переключиться на предыдущую вкладку"
 
-#: src/help-overlay.ui:173
+#: src/help-overlay.ui:194
 msgid "Switch to next tab"
 msgstr "Переключиться на следующую вкладку"
 
-#: src/help-overlay.ui:180
+#: src/help-overlay.ui:201
 msgid "Jump to byte"
 msgstr "Перейти к байту"
 
-#: src/help-overlay.ui:187
+#: src/help-overlay.ui:208
 msgid "Move to beginning of document"
 msgstr "Перейти в начало документа"
 
-#: src/help-overlay.ui:194
+#: src/help-overlay.ui:215
 msgid "Move to end of document"
 msgstr "Перейти в конец документа"
 
-#: src/help-overlay.ui:203
+#: src/help-overlay.ui:224
 msgid "General"
 msgstr "Основное"
 
-#: src/help-overlay.ui:208
+#: src/help-overlay.ui:229
 msgid "Show help"
 msgstr "Показать справку"
 
-#: src/help-overlay.ui:215
+#: src/help-overlay.ui:236
 msgid "Show preferences"
 msgstr "Показать параметры"
 
-#: src/help-overlay.ui:222
+#: src/help-overlay.ui:243
 msgid "Toggle insert mode"
 msgstr "Переключить режим вставки"
 
@@ -843,7 +852,7 @@ msgstr "Не удалось создат
 msgid "Not a regular file or block device"
 msgstr "Не является обычным файлом или блочным устройством"
 
-#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:616
+#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:615
 msgid "Unable to open file for reading"
 msgstr "Не удалось открыть файл для чтения"
 
@@ -878,19 +887,19 @@ msgid "Fatal error: Memory mapping of fi
 msgstr ""
 "Неустранимая ошибка: не удалось связать память с файлом (%lu байт, fd %d)"
 
-#: src/hex-buffer-mmap.c:606
+#: src/hex-buffer-mmap.c:605
 msgid "Not a regular file"
 msgstr "Не является обычным файлом"
 
-#: src/hex-buffer-mmap.c:647
+#: src/hex-buffer-mmap.c:646
 msgid "Failed to open temporary file."
 msgstr "Не удалось открыть временный файл."
 
-#: src/hex-buffer-mmap.c:686
+#: src/hex-buffer-mmap.c:685
 msgid "Error reading file"
 msgstr "Ошибка чтения файла"
 
-#: src/hex-buffer-mmap.c:702
+#: src/hex-buffer-mmap.c:701
 msgid "An error has occurred"
 msgstr "Произошла ошибка"
 
@@ -958,26 +967,22 @@ msgstr "Беззнаковые и вещ
 msgid "Stream Length:"
 msgstr "Длина потока:"
 
-#: src/hex-dialog.c:237
-msgid "FIXME: no conversion function"
-msgstr "ИСПРАВИТЬ: нет функции преобразования"
-
-#: src/hex-document.c:1085
+#: src/hex-document.c:1119
 #, c-format
 msgid "Page"
 msgstr "Страница"
 
-#: src/hex-document.c:1091 src/hex-document.c:1194
+#: src/hex-document.c:1125 src/hex-document.c:1228
 #, c-format
 msgid "Hex dump generated by"
 msgstr "Шестнадцатеричный дамп создан"
 
-#: src/hex-document.c:1117
+#: src/hex-document.c:1151
 #, c-format
 msgid "Previous page"
 msgstr "Пред. страница"
 
-#: src/hex-document.c:1132
+#: src/hex-document.c:1166
 #, c-format
 msgid "Next page"
 msgstr "След. страница"
@@ -986,7 +991,7 @@ msgstr "След. страница"
 msgid "Jump to byte (enter offset):"
 msgstr "Перейти к байту (введите смещение):"
 
-#: src/jump-dialog.ui:43
+#: src/jump-dialog.ui:44
 msgid ""
 "Enter the offset byte to jump to. The default is decimal format, but other "
 "format strings are supported such as hexadecimal format, if C-style notation "
@@ -999,15 +1004,15 @@ msgstr ""
 "«0x». Если ваша строка не распознана, появится диалоговое окно с объяснением "
 "допустимых форматов строк."
 
-#: src/jump-dialog.ui:48
+#: src/jump-dialog.ui:49 src/mark-dialog.ui:110
 msgid "_Jump"
 msgstr "_Перейти"
 
-#: src/jump-dialog.ui:54
+#: src/jump-dialog.ui:55
 msgid "Jumps to the specified byte"
 msgstr "Переходит к указанному байту"
 
-#: src/jump-dialog.ui:64
+#: src/jump-dialog.ui:65
 msgid "Closes the jump-to-byte pane"
 msgstr "Закрывает панель перехода-к-байту"
 
@@ -1024,7 +1029,57 @@ msgstr "GHex, версия %s\n"
 msgid "GHex - A hex editor for the GNOME desktop"
 msgstr "GHex — шестнадцатеричный редактор для рабочего стола GNOME"
 
-#: src/paste-special.c:220
+#. Translators: this is meant to show a range of hex offset values.
+#. * eg, "0xAA - 0xFF"
+#.
+#: src/mark-dialog.c:125
+#, c-format
+msgid "0x%lX - 0x%lX"
+msgstr "0x%lX - 0x%lX"
+
+#: src/mark-dialog.ui:36
+msgid "Mark:"
+msgstr "Метка:"
+
+#: src/mark-dialog.ui:50
+msgid "Select the desired mark to set, jump to, or delete"
+msgstr ""
+"Выберите метку, которую нужно установить, к которой необходимо перейти или "
+"удалить"
+
+#: src/mark-dialog.ui:58
+msgid "Optional custom color for the mark"
+msgstr "Собственный цвет метки"
+
+#: src/mark-dialog.ui:74
+msgid "Pick a custom color for the mark, if desired."
+msgstr "Выберите, если хотите, собственный цвет для метки."
+
+#: src/mark-dialog.ui:96
+msgid "_Set"
+msgstr "_Установить"
+
+#: src/mark-dialog.ui:103
+msgid "Set a mark on a byte or range of bytes"
+msgstr "Установить отметку на байт или диапазон байтов"
+
+#: src/mark-dialog.ui:122
+msgid "Bring the cursor to the specified mark"
+msgstr "Перевести курсор к указанной метке"
+
+#: src/mark-dialog.ui:129
+msgid "_Delete"
+msgstr "У_далить"
+
+#: src/mark-dialog.ui:141
+msgid "Delete the specified mark"
+msgstr "Удалить указанную отметку"
+
+#: src/mark-dialog.ui:153
+msgid "Closes the marks pane"
+msgstr "Закрывает панель меток"
+
+#: src/paste-special.c:218
 #, c-format
 msgid ""
 "Paste failed; invalid hex format.\n"
@@ -1040,32 +1095,31 @@ msgstr ""
 "\n"
 "Например: \"FF 3D 99 0A\""
 
-#: src/paste-special.c:310
+#: src/paste-special.c:305
 msgid "GHex Paste Data"
 msgstr "Вставка данных GHex"
 
-#: src/paste-special.c:407
+#: src/paste-special.c:422
 msgid "Copy Special"
 msgstr "Специальное копирование"
 
-#: src/paste-special.c:512
+#: src/paste-special.c:527
 msgid "Plain text (as ASCII)"
 msgstr "Обычный текст (как ASCII)"
 
-#: src/paste-special.c:529
+#: src/paste-special.c:544
 msgid "Plain text (Unicode)"
 msgstr "Обычный текст (Unicode)"
 
-#: src/paste-special.c:533
+#: src/paste-special.c:548
 msgid "Plain text (as space-delimited hex pairs)"
 msgstr "Обычный текст (как разделённые пробелами шестнадцатеричные пары)"
 
-#. paste_special_dialog
 #: src/paste-special.ui:28
 msgid "Paste Special"
 msgstr "Специальная вставка"
 
-#: src/paste-special.ui:55
+#: src/paste-special.ui:53
 msgid "_Cancel"
 msgstr "_Отменить"
 
@@ -1178,17 +1232,24 @@ msgstr "Заменить _все"
 msgid "Replaces all occurrences of the search string with the replace string"
 msgstr "Заменяет все вхождения строки поиска строкой замены"
 
+#~ msgid "Logan Rathbone"
+#~ msgstr "Logan Rathbone"
+
+#~ msgid "FIXME: no conversion function"
+#~ msgstr "ИСПРАВИТЬ: нет функции преобразования"
+
+#~ msgid "_Insert Character"
+#~ msgstr "Вставить _символ"
+
+#~ msgid "A binary file editor"
+#~ msgstr "Редактор двоичных файлов"
+
+#~ msgid "GHex Website"
+#~ msgstr "Веб-страница GHex"
+
 #~ msgid "Show About dialog"
 #~ msgstr "Показать окно «О приложении»"
 
-#~ msgid ""
-#~ "There was an error loading the requested file. The file either no longer "
-#~ "exists, is inaccessible, or you may not have permission to access the "
-#~ "file."
-#~ msgstr ""
-#~ "При загрузке запрошенного файла произошла ошибка. Файл либо больше не "
-#~ "существует, либо недоступен, либо у вас нет прав на доступ к файлу."
-
 #~ msgid "Hex Group Type"
 #~ msgstr "Тип группировки шестнадцатеричных данных"
 
diff -pruN 45.1-1/po/sv.po 46.0-1/po/sv.po
--- 45.1-1/po/sv.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/sv.po	2024-03-22 05:14:59.000000000 +0000
@@ -1,18 +1,18 @@
 # Swedish messages for ghex.
-# Copyright © 1999-2023 Free Software Foundation, Inc.
+# Copyright © 1999-2024 Free Software Foundation, Inc.
 # Tomas Ögren <stric@ing.umu.se>, 1999.
 # Andreas Hyden <a.hyden@cyberpoint.se>, 2000.
 # Christian Rose <menthos@menthos.com>, 2001, 2002, 2003, 2004.
 # Daniel Nylander <po@danielnylander.se>, 2006, 2007, 2008, 2010, 2012.
-# Anders Jonsson <anders.jonsson@norsjovallen.se>, 2015, 2016, 2018, 2019, 2022, 2023.
+# Anders Jonsson <anders.jonsson@norsjovallen.se>, 2015, 2016, 2018, 2019, 2022, 2023, 2024.
 # Luna Jernberg <droidbittin@gmail.com>, 2021, 2022.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex\n"
-"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues\n"
-"POT-Creation-Date: 2023-07-31 19:59+0000\n"
-"PO-Revision-Date: 2023-08-16 23:10+0200\n"
+"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues/\n"
+"POT-Creation-Date: 2024-02-12 06:30+0000\n"
+"PO-Revision-Date: 2024-02-12 09:23+0100\n"
 "Last-Translator: Anders Jonsson <anders.jonsson@norsjovallen.se>\n"
 "Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
 "Language: sv\n"
@@ -20,10 +20,10 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
-"X-Generator: Poedit 3.3.2\n"
+"X-Generator: Poedit 3.4.2\n"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:6
-#: src/ghex-application-window.ui.in:149
+#: src/ghex-application-window.ui.in:151
 msgid "GHex"
 msgstr "GHex"
 
@@ -47,52 +47,40 @@ msgstr ""
 "hexadecimala värden i en kolumn och ASCII-representationen i den andra. GHex "
 "är ett användbart verktyg för att arbeta med rådata."
 
-#: data/org.gnome.GHex.appdata.xml.in.in:40
-msgid "Logan Rathbone"
-msgstr "Logan Rathbone"
-
 #: data/org.gnome.GHex.desktop.in.in:5
 msgid "Hex Editor"
 msgstr "Hexadecimalredigerare"
 
 #. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
 #: data/org.gnome.GHex.desktop.in.in:8
-msgid "binary;debug;"
-msgstr "binär;felsök;debug;"
+msgid "binary;debug;hexadecimal;"
+msgstr "binär;felsök;debug;hexadecimal;"
+
+#: src/chartable.ui:30
+msgid "Character table"
+msgstr "Teckentabell"
 
-#: src/chartable.c:152 src/find-options.ui:67
+#: src/chartable.ui:44 src/find-options.ui:67
 msgid "ASCII"
 msgstr "ASCII"
 
-#: src/chartable.c:152 src/find-options.ui:66
+#: src/chartable.ui:69 src/find-options.ui:66
 msgid "Hex"
 msgstr "Hexadecimalt"
 
-#: src/chartable.c:152
+#: src/chartable.ui:94
 msgid "Decimal"
 msgstr "Decimalt"
 
-#: src/chartable.c:153
+#: src/chartable.ui:119
 msgid "Octal"
 msgstr "Oktalt"
 
-#: src/chartable.c:153
+#: src/chartable.ui:144
 msgid "Binary"
 msgstr "Binärt"
 
-#: src/chartable.c:184
-msgid "Character table"
-msgstr "Teckentabell"
-
-#: src/chartable.c:252
-msgid "_Insert Character"
-msgstr "_Infoga tecken"
-
-#: src/chartable.c:256 src/converter.c:186
-msgid "_Close"
-msgstr "S_täng"
-
-#: src/common-ui.c:240
+#: src/common-ui.c:246
 msgid ""
 "This program is free software; you can redistribute it and/or modify it "
 "under the terms of the GNU General Public License as published by the Free "
@@ -104,7 +92,7 @@ msgstr ""
 "Software Foundation, antingen version 2 eller (om du så vill) någon senare "
 "version."
 
-#: src/common-ui.c:244
+#: src/common-ui.c:250
 msgid ""
 "This program is distributed in the hope that it will be useful, but WITHOUT "
 "ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
@@ -116,7 +104,7 @@ msgstr ""
 "LÄMPLIGHET FÖR NÅGOT SPECIELLT ÄNDAMÅL. Se GNU General Public License för "
 "ytterligare information."
 
-#: src/common-ui.c:248
+#: src/common-ui.c:254
 msgid ""
 "You should have received a copy of the GNU General Public License along with "
 "this program; if not, write to the Free Software Foundation, Inc., 51 "
@@ -128,20 +116,16 @@ msgstr ""
 
 #. Translators: these two strings here indicate the copyright time span,
 #. e.g. 1998-2018.
-#: src/common-ui.c:260
+#: src/common-ui.c:266
 #, c-format
 msgid "Copyright © %d–%d The GHex authors"
 msgstr "Copyright © %d–%d GHex-upphovsmännen"
 
-#: src/common-ui.c:274
-msgid "A binary file editor"
-msgstr "En binärfilsredigerare"
-
-#: src/common-ui.c:281
+#: src/common-ui.c:287
 msgid "About GHex"
 msgstr "Om GHex"
 
-#: src/common-ui.c:282
+#: src/common-ui.c:288
 msgid "translator-credits"
 msgstr ""
 "Daniel Nylander <po@danielnylander.se>\n"
@@ -154,54 +138,59 @@ msgstr ""
 "Skicka synpunkter på översättningen till\n"
 "<tp-sv@listor.tp-sv.se>."
 
-#: src/common-ui.c:285
-msgid "GHex Website"
-msgstr "Webbplatsen för GHex"
-
 #. Translators: This is an error string for a print-related error
 #. * dialog.  The %s is the error generated by GError.
-#: src/common-ui.c:349
+#: src/common-ui.c:353
 #, c-format
 msgid "An error has occurred: %s"
 msgstr "Ett fel har inträffat: %s"
 
-#: src/converter.c:183
+#: src/common-ui.c:374 src/find-dialog.ui:99 src/jump-dialog.ui:64
+#: src/mark-dialog.ui:152
+msgid "Close"
+msgstr "Stäng"
+
+#: src/converter.c:166
 msgid "Base Converter"
 msgstr "Baskonverterare"
 
 #. entries
-#: src/converter.c:209
+#: src/converter.c:176
 msgid "_Binary:"
 msgstr "_Binärt:"
 
-#: src/converter.c:211
+#: src/converter.c:178
 msgid "_Octal:"
 msgstr "_Oktalt:"
 
-#: src/converter.c:213
+#: src/converter.c:180
 msgid "_Decimal:"
 msgstr "_Decimalt:"
 
-#: src/converter.c:215
+#: src/converter.c:182
 msgid "_Hex:"
 msgstr "_Hexadecimalt:"
 
-#: src/converter.c:217
+#: src/converter.c:184
 msgid "_ASCII:"
 msgstr "_ASCII:"
 
 #. get cursor button
-#: src/converter.c:221
+#: src/converter.c:188
 msgid "_Get cursor value"
 msgstr "Hämta värde vid _markör"
 
-#: src/converter.c:230
+#: src/converter.c:189
+msgid "_Close"
+msgstr "S_täng"
+
+#: src/converter.c:199
 msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
 msgstr ""
 "Hämtar värdet vid markören i binärt, oktalt, decimalt, hexadecimalt och "
 "ASCII-format"
 
-#: src/converter.c:371
+#: src/converter.c:339
 msgid "ERROR"
 msgstr "FEL"
 
@@ -245,10 +234,6 @@ msgstr "Sökalternativ"
 msgid "View options of the find pane"
 msgstr "Visa alternativ för sökpanelen"
 
-#: src/find-dialog.ui:99 src/jump-dialog.ui:64
-msgid "Close"
-msgstr "Stäng"
-
 #: src/find-dialog.ui:100
 msgid "Closes the find pane"
 msgstr "Stänger sökpanelen"
@@ -269,11 +254,11 @@ msgstr "Visa:"
 msgid "Both"
 msgstr "Båda"
 
-#: src/findreplace.c:221
+#: src/findreplace.c:222
 msgid "No string provided."
 msgstr "Ingen sträng tillhandahölls."
 
-#: src/findreplace.c:395
+#: src/findreplace.c:396
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -283,7 +268,7 @@ msgstr ""
 "\n"
 "Inga fler matchningar hittades."
 
-#: src/findreplace.c:397
+#: src/findreplace.c:398
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -293,7 +278,7 @@ msgstr ""
 "\n"
 "Inga förekomster hittades från markören."
 
-#: src/findreplace.c:407
+#: src/findreplace.c:408
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -303,7 +288,7 @@ msgstr ""
 "\n"
 "Inga fler matchningar hittades."
 
-#: src/findreplace.c:409
+#: src/findreplace.c:410
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -313,20 +298,20 @@ msgstr ""
 "\n"
 "Inga förekomster hittades från markören."
 
-#: src/findreplace.c:480
+#: src/findreplace.c:481
 msgid "No offset has been specified."
 msgstr "Ingen position har angivits."
 
 # TODO: doubled space
-#: src/findreplace.c:505
+#: src/findreplace.c:506
 msgid "The specified offset is beyond the  file boundaries."
 msgstr "Den angivna positionen ligger utanför filgränserna."
 
-#: src/findreplace.c:513
+#: src/findreplace.c:514
 msgid "Can not position cursor beyond the end of file."
 msgstr "Kan inte placera markören efter filslutet."
 
-#: src/findreplace.c:524
+#: src/findreplace.c:525
 msgid ""
 "You may only give the offset as:\n"
 "  - a positive decimal number, or\n"
@@ -338,31 +323,31 @@ msgstr ""
 "  - ett hexadecimalt nummer, som börjar med ”0x” eller\n"
 "  - ett ”+” eller ”-”-tecken, följt av en relativ position"
 
-#: src/findreplace.c:583
+#: src/findreplace.c:584
 msgid "String was not found."
 msgstr "Strängen hittades inte."
 
-#: src/findreplace.c:647
+#: src/findreplace.c:648
 #, c-format
 msgid "Search complete: %d replacements made."
 msgstr "Sökning slutförd: %d ersättningar gjorda."
 
-#: src/findreplace.c:654
+#: src/findreplace.c:655
 msgid "No occurrences were found."
 msgstr "Inga förekomster hittades."
 
 #. Translators: this is the string for an untitled buffer that will
 #. * be displayed in the titlebar when a user does File->New
 #.
-#: src/ghex-application-window.c:49 src/hex-document.c:1057
+#: src/ghex-application-window.c:49 src/hex-document.c:1091
 msgid "Untitled"
 msgstr "Namnlös"
 
-#: src/ghex-application-window.c:284
+#: src/ghex-application-window.c:293
 msgid "There was an error saving the file."
 msgstr "Det uppstod ett fel när filen skulle sparas."
 
-#: src/ghex-application-window.c:334
+#: src/ghex-application-window.c:336
 msgid ""
 "<b>You have one or more files open with unsaved changes.</b>\n"
 "\n"
@@ -374,18 +359,18 @@ msgstr ""
 "Är du säker på att du vill stänga fönstret?\n"
 "\n"
 
-#: src/ghex-application-window.c:338
+#: src/ghex-application-window.c:339
 msgid "_Close Anyway"
 msgstr "S_täng ändå"
 
-#: src/ghex-application-window.c:339 src/ghex-application-window.c:474
-#: src/ghex-application-window.c:1175
+#: src/ghex-application-window.c:340 src/ghex-application-window.c:475
+#: src/ghex-application-window.c:1179
 msgid "_Go Back"
 msgstr "_Gå bakåt"
 
 #. Translators: %s is the filename that is currently being
 #. * edited.
-#: src/ghex-application-window.c:452
+#: src/ghex-application-window.c:456
 #, c-format
 msgid ""
 "<big><b>%s has been edited since opening.</b></big>\n"
@@ -396,7 +381,7 @@ msgstr ""
 "\n"
 "Vill du spara dina ändringar?"
 
-#: src/ghex-application-window.c:458
+#: src/ghex-application-window.c:462
 msgid ""
 "<b>The buffer has been edited since opening.</b>\n"
 "\n"
@@ -406,19 +391,19 @@ msgstr ""
 "\n"
 "Vill du spara dina ändringar?"
 
-#: src/ghex-application-window.c:472
+#: src/ghex-application-window.c:473
 msgid "_Save Changes"
 msgstr "_Spara ändringar"
 
-#: src/ghex-application-window.c:473
+#: src/ghex-application-window.c:474
 msgid "_Discard Changes"
 msgstr "_Förkasta ändringar"
 
-#: src/ghex-application-window.c:1028
+#: src/ghex-application-window.c:1035
 msgid "There was an error saving the file to the path specified."
 msgstr "Det uppstod ett fel när filen skulle sparas på den angivna sökvägen."
 
-#: src/ghex-application-window.c:1047
+#: src/ghex-application-window.c:1054
 msgid ""
 "An unknown error has occurred in attempting to reload the file you have just "
 "saved."
@@ -426,13 +411,13 @@ msgstr ""
 "Ett okänt fel har inträffat vid försök att på nytt läsa filen du just har "
 "sparat."
 
-#: src/ghex-application-window.c:1099
+#: src/ghex-application-window.c:1107
 msgid "Select a file to save buffer as"
 msgstr "Välj en fil att spara bufferten som"
 
 #. Translators: %s here is the filename the user is being asked to
 #. * confirm whether they want to revert.
-#: src/ghex-application-window.c:1168
+#: src/ghex-application-window.c:1173
 #, c-format
 msgid ""
 "<big><b>Are you sure you want to revert %s?</b></big>\n"
@@ -447,15 +432,15 @@ msgstr ""
 "\n"
 "Denna åtgärd kan inte ångras."
 
-#: src/ghex-application-window.c:1174 src/ghex-application-window.ui.in:39
+#: src/ghex-application-window.c:1178 src/ghex-application-window.ui.in:39
 msgid "_Revert"
 msgstr "_Återgå"
 
-#: src/ghex-application-window.c:1258
+#: src/ghex-application-window.c:1266
 msgid "Select a file to open"
 msgstr "Välj en fil att öppna"
 
-#: src/ghex-application-window.c:1363
+#: src/ghex-application-window.c:1373
 #, c-format
 msgid ""
 "Sorry, but help could not be opened.\n"
@@ -478,7 +463,7 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/ghex-application-window.c:1439
+#: src/ghex-application-window.c:1567
 #, c-format
 msgid ""
 "Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
@@ -487,12 +472,12 @@ msgstr ""
 "Position: <tt>0x%lX</tt>; <tt>0x%lX</tt> byte från <tt>0x%lX</tt> till "
 "<tt>0x%lX</tt> markerade"
 
-#: src/ghex-application-window.c:1443
+#: src/ghex-application-window.c:1571
 #, c-format
 msgid "Offset: <tt>0x%lX</tt>"
 msgstr "Position: <tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:2079
+#: src/ghex-application-window.c:2381
 msgid ""
 "You are attempting to open a file 1GB or larger.\n"
 "\n"
@@ -519,10 +504,19 @@ msgstr ""
 "Pröva använda en annan buffertbakände för att inte behöva se detta "
 "meddelande."
 
-#: src/ghex-application-window.c:2136
+#: src/ghex-application-window.c:2439
 msgid "There was an error reading the file."
 msgstr "Det uppstod ett fel vid läsning av filen."
 
+#: src/ghex-application-window.c:2500
+msgid ""
+"There was an error loading the requested file. The file either no longer "
+"exists, is inaccessible, or you may not have permission to access the file."
+msgstr ""
+"Det uppstod ett fel vid inläsning av den begärda filen. Filen finns antingen "
+"inte längre, är otillgänglig eller så kanske du inte har rättighet att komma "
+"åt filen."
+
 #: src/ghex-application-window.ui.in:31
 msgid "_New"
 msgstr "_Ny"
@@ -547,95 +541,99 @@ msgstr "Sök och _ersätt"
 msgid "_Jump to Byte"
 msgstr "_Hoppa till byte"
 
-#: src/ghex-application-window.ui.in:72
+#: src/ghex-application-window.ui.in:66
+msgid "_Marks"
+msgstr "_Märken"
+
+#: src/ghex-application-window.ui.in:76
 msgid "_Edit"
 msgstr "_Redigera"
 
-#: src/ghex-application-window.ui.in:74
+#: src/ghex-application-window.ui.in:78
 msgid "_Copy Special"
 msgstr "_Kopiera special"
 
-#: src/ghex-application-window.ui.in:78
+#: src/ghex-application-window.ui.in:82
 msgid "_Paste Special"
 msgstr "K_lista in special"
 
-#: src/ghex-application-window.ui.in:85
-msgid "_Tools"
-msgstr "_Verktyg"
-
-#: src/ghex-application-window.ui.in:87
-msgid "_Character Table"
-msgstr "Te_ckentabell"
-
-#: src/ghex-application-window.ui.in:91
-msgid "_Base Converter"
-msgstr "_Baskonverterare"
-
-#: src/ghex-application-window.ui.in:98
+#: src/ghex-application-window.ui.in:86
 msgid "G_roup Data As"
 msgstr "G_ruppera data som"
 
-#: src/ghex-application-window.ui.in:100
+#: src/ghex-application-window.ui.in:88
 msgid "_Bytes (8-bit)"
 msgstr "_Byte (8 bitar)"
 
-#: src/ghex-application-window.ui.in:106
+#: src/ghex-application-window.ui.in:94
 msgid "_Words (16-bit)"
 msgstr "Or_d (16 bitar)"
 
-#: src/ghex-application-window.ui.in:111
+#: src/ghex-application-window.ui.in:99
 msgid "_Longwords (32-bit)"
 msgstr "_Långord (32 bitar)"
 
-#: src/ghex-application-window.ui.in:116
+#: src/ghex-application-window.ui.in:104
 msgid "_Quadwords (64-bit)"
 msgstr "_Quad-ord (64 bitar)"
 
-#: src/ghex-application-window.ui.in:126
+#: src/ghex-application-window.ui.in:113
+msgid "_Tools"
+msgstr "_Verktyg"
+
+#: src/ghex-application-window.ui.in:115
+msgid "_Character Table"
+msgstr "Te_ckentabell"
+
+#: src/ghex-application-window.ui.in:119
+msgid "_Base Converter"
+msgstr "_Baskonverterare"
+
+#: src/ghex-application-window.ui.in:128
 msgid "_Keyboard Shortcuts"
 msgstr "_Tangentbordsgenvägar"
 
-#: src/ghex-application-window.ui.in:131
+#: src/ghex-application-window.ui.in:133
 msgid "_Preferences"
 msgstr "_Inställningar"
 
-#: src/ghex-application-window.ui.in:136
+#: src/ghex-application-window.ui.in:138
 msgid "_Help"
 msgstr "_Hjälp"
 
-#: src/ghex-application-window.ui.in:141
+#: src/ghex-application-window.ui.in:143
 msgid "_About GHex"
 msgstr "_Om GHex"
 
-#: src/ghex-application-window.ui.in:170
+#: src/ghex-application-window.ui.in:172
 msgid "Open a file for hex editing"
 msgstr "Öppna en fil för hexadecimalredigering"
 
-#: src/ghex-application-window.ui.in:173
+#: src/ghex-application-window.ui.in:175
 msgid "_Open"
 msgstr "Ö_ppna"
 
-#: src/ghex-application-window.ui.in:186
+#: src/ghex-application-window.ui.in:188
 msgid "Main Menu"
 msgstr "Huvudmeny"
 
-#: src/ghex-application-window.ui.in:188
+#: src/ghex-application-window.ui.in:190
 msgid "Main menu"
 msgstr "Huvudmeny"
 
-#: src/ghex-application-window.ui.in:198
+#: src/ghex-application-window.ui.in:200
 msgid "Find a string in the hex document"
 msgstr "Sök en sträng i hexdokumentet"
 
-#: src/ghex-application-window.ui.in:207
+#: src/ghex-application-window.ui.in:209
 msgid "Save document"
 msgstr "Spara dokument"
 
-#: src/ghex-application-window.ui.in:215
+#: src/ghex-application-window.ui.in:217
 msgid "No File Loaded"
 msgstr "Ingen fil inläst"
 
-#: src/ghex-application-window.ui.in:218
+#: src/ghex-application-window.ui.in:220
 msgid ""
 "• Press the Open button\n"
 "• Press Ctrl+N to start a new document\n"
@@ -649,13 +647,13 @@ msgstr ""
 "\n"
 "Eller tryck Ctrl+W för att stänga fönstret."
 
-#: src/ghex-application-window.ui.in:307
+#: src/ghex-application-window.ui.in:309
 msgid "Toggle insert mode (add data to file rather than replace existing data)"
 msgstr ""
 "Växla inskrivningsläge (lägg till data till fil snarare än att ersätta "
 "befintliga data)"
 
-#: src/ghex-application-window.ui.in:319
+#: src/ghex-application-window.ui.in:321
 msgid "Toggle a pane showing various numeric conversions"
 msgstr "Visa/dölj en panel som visar diverse numeriska konverteringar"
 
@@ -679,11 +677,11 @@ msgstr "_Gör om"
 msgid "Cu_t"
 msgstr "Klipp _ut"
 
-#: src/gtkhex.ui:76 src/paste-special.c:405
+#: src/gtkhex.ui:76 src/paste-special.c:420
 msgid "_Copy"
 msgstr "_Kopiera"
 
-#: src/gtkhex.ui:80 src/paste-special.ui:49
+#: src/gtkhex.ui:80 src/paste-special.ui:47
 msgid "_Paste"
 msgstr "_Klistra in"
 
@@ -744,74 +742,86 @@ msgid "Find and replace"
 msgstr "Sök och ersätt"
 
 #: src/help-overlay.ui:105
+msgid "Marks"
+msgstr "Märken"
+
+#: src/help-overlay.ui:110
+msgid "Marks dialog"
+msgstr "Märkesdialog"
+
+#: src/help-overlay.ui:117
+msgid "Activate mark (0-9)"
+msgstr "Aktivera märke (0-9)"
+
+#: src/help-overlay.ui:126
 msgid "Clipboard"
 msgstr "Urklipp"
 
-#: src/help-overlay.ui:110
+#: src/help-overlay.ui:131
 msgid "Copy"
 msgstr "Kopiera"
 
-#: src/help-overlay.ui:117
+#: src/help-overlay.ui:138
 msgid "Cut"
 msgstr "Klipp ut"
 
-#: src/help-overlay.ui:124
+#: src/help-overlay.ui:145
 msgid "Paste"
 msgstr "Klistra in"
 
-#: src/help-overlay.ui:131
+#: src/help-overlay.ui:152
 msgid "Copy special"
 msgstr "Kopiera special"
 
-#: src/help-overlay.ui:138
+#: src/help-overlay.ui:159
 msgid "Paste special"
 msgstr "Klista in special"
 
-#: src/help-overlay.ui:147
+#: src/help-overlay.ui:168
 msgid "Navigation"
 msgstr "Navigering"
 
-#: src/help-overlay.ui:152
+#: src/help-overlay.ui:173
 msgid "Toggle left (hex) display"
 msgstr "Visa/dölj vänster vy (hex)"
 
-#: src/help-overlay.ui:159
+#: src/help-overlay.ui:180
 msgid "Toggle right (ASCII) display"
 msgstr "Visa/dölj höger vy (ASCII)"
 
-#: src/help-overlay.ui:166
+#: src/help-overlay.ui:187
 msgid "Switch to previous tab"
 msgstr "Växla till föregående flik"
 
-#: src/help-overlay.ui:173
+#: src/help-overlay.ui:194
 msgid "Switch to next tab"
 msgstr "Växla till nästa flik"
 
-#: src/help-overlay.ui:180
+#: src/help-overlay.ui:201
 msgid "Jump to byte"
 msgstr "Hoppa till byte"
 
-#: src/help-overlay.ui:187
+#: src/help-overlay.ui:208
 msgid "Move to beginning of document"
 msgstr "Gå till början på dokumentet"
 
-#: src/help-overlay.ui:194
+#: src/help-overlay.ui:215
 msgid "Move to end of document"
 msgstr "Gå till slutet på dokumentet"
 
-#: src/help-overlay.ui:203
+#: src/help-overlay.ui:224
 msgid "General"
 msgstr "Allmänt"
 
-#: src/help-overlay.ui:208
+#: src/help-overlay.ui:229
 msgid "Show help"
 msgstr "Visa hjälp"
 
-#: src/help-overlay.ui:215
+#: src/help-overlay.ui:236
 msgid "Show preferences"
 msgstr "Visa inställningar"
 
-#: src/help-overlay.ui:222
+#: src/help-overlay.ui:243
 msgid "Toggle insert mode"
 msgstr "Växla inskrivningsläge"
 
@@ -845,7 +855,7 @@ msgstr "Kunde inte skapa fil"
 msgid "Not a regular file or block device"
 msgstr "Inte en vanlig fil eller blockenhet"
 
-#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:616
+#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:615
 msgid "Unable to open file for reading"
 msgstr "Kunde inte öppna fil för läsning"
 
@@ -879,19 +889,19 @@ msgstr "Kunde inte justera %s från %lu
 msgid "Fatal error: Memory mapping of file (%lu bytes, fd %d) failed"
 msgstr "Ödesdigert fel: Minnesmappning av filen (%lu byte, fd %d) misslyckades"
 
-#: src/hex-buffer-mmap.c:606
+#: src/hex-buffer-mmap.c:605
 msgid "Not a regular file"
 msgstr "Inte en vanlig fil"
 
-#: src/hex-buffer-mmap.c:647
+#: src/hex-buffer-mmap.c:646
 msgid "Failed to open temporary file."
 msgstr "Misslyckades med att öppna temporär fil."
 
-#: src/hex-buffer-mmap.c:686
+#: src/hex-buffer-mmap.c:685
 msgid "Error reading file"
 msgstr "Fel vid läsning av fil"
 
-#: src/hex-buffer-mmap.c:702
+#: src/hex-buffer-mmap.c:701
 msgid "An error has occurred"
 msgstr "Ett fel har inträffat"
 
@@ -960,26 +970,22 @@ msgstr "Visa teckenlösa och flyttal hex
 msgid "Stream Length:"
 msgstr "Strömlängd:"
 
-#: src/hex-dialog.c:237
-msgid "FIXME: no conversion function"
-msgstr "FIXAMIG: ingen konverteringsfunktion"
-
-#: src/hex-document.c:1085
+#: src/hex-document.c:1119
 #, c-format
 msgid "Page"
 msgstr "Sida"
 
-#: src/hex-document.c:1091 src/hex-document.c:1194
+#: src/hex-document.c:1125 src/hex-document.c:1228
 #, c-format
 msgid "Hex dump generated by"
 msgstr "Hexdump genererad av"
 
-#: src/hex-document.c:1117
+#: src/hex-document.c:1151
 #, c-format
 msgid "Previous page"
 msgstr "Föregående sida"
 
-#: src/hex-document.c:1132
+#: src/hex-document.c:1166
 #, c-format
 msgid "Next page"
 msgstr "Nästa sida"
@@ -1000,7 +1006,7 @@ msgstr ""
 "prefixet ”0x” används. Om din sträng inte känns igen kommer en dialogruta "
 "att visas som förklarar de giltiga strängformaten som accepteras."
 
-#: src/jump-dialog.ui:49
+#: src/jump-dialog.ui:49 src/mark-dialog.ui:110
 msgid "_Jump"
 msgstr "_Hoppa"
 
@@ -1025,7 +1031,55 @@ msgstr "Detta är GHex, version %s\n"
 msgid "GHex - A hex editor for the GNOME desktop"
 msgstr "GHex - En hexadecimalredigerare för GNOME-skrivbordet"
 
-#: src/paste-special.c:220
+#. Translators: this is meant to show a range of hex offset values.
+#. * eg, "0xAA - 0xFF"
+#.
+#: src/mark-dialog.c:125
+#, c-format
+msgid "0x%lX - 0x%lX"
+msgstr "0x%lX - 0x%lX"
+
+#: src/mark-dialog.ui:36
+msgid "Mark:"
+msgstr "Märke:"
+
+#: src/mark-dialog.ui:50
+msgid "Select the desired mark to set, jump to, or delete"
+msgstr "Välj det önskade märket att ställa in, hoppa till eller ta bort"
+
+#: src/mark-dialog.ui:58
+msgid "Optional custom color for the mark"
+msgstr "Valfritt en anpassad färg för märket"
+
+#: src/mark-dialog.ui:74
+msgid "Pick a custom color for the mark, if desired."
+msgstr "Välj en anpassad färg för märket om så önskas."
+
+#: src/mark-dialog.ui:96
+msgid "_Set"
+msgstr "_Ställ in"
+
+#: src/mark-dialog.ui:103
+msgid "Set a mark on a byte or range of bytes"
+msgstr "Ställ in ett märke på en byte eller ett intervall av byte"
+
+#: src/mark-dialog.ui:122
+msgid "Bring the cursor to the specified mark"
+msgstr "För markören till det angivna märket"
+
+#: src/mark-dialog.ui:129
+msgid "_Delete"
+msgstr "_Ta bort"
+
+#: src/mark-dialog.ui:141
+msgid "Delete the specified mark"
+msgstr "Ta bort det angivna märket"
+
+#: src/mark-dialog.ui:153
+msgid "Closes the marks pane"
+msgstr "Stänger märkespanelen"
+
+#: src/paste-special.c:218
 #, c-format
 msgid ""
 "Paste failed; invalid hex format.\n"
@@ -1040,32 +1094,31 @@ msgstr ""
 "\n"
 "Till exempel: ”FF 3D 99 0A”"
 
-#: src/paste-special.c:310
+#: src/paste-special.c:305
 msgid "GHex Paste Data"
 msgstr "Klistra in GHex-data"
 
-#: src/paste-special.c:407
+#: src/paste-special.c:422
 msgid "Copy Special"
 msgstr "Kopiera special"
 
-#: src/paste-special.c:512
+#: src/paste-special.c:527
 msgid "Plain text (as ASCII)"
 msgstr "Vanlig text (som ASCII)"
 
-#: src/paste-special.c:529
+#: src/paste-special.c:544
 msgid "Plain text (Unicode)"
 msgstr "Vanlig text (Unicode)"
 
-#: src/paste-special.c:533
+#: src/paste-special.c:548
 msgid "Plain text (as space-delimited hex pairs)"
 msgstr "Vanlig text (som blankstegsavgränsade hexpar)"
 
-#. paste_special_dialog
 #: src/paste-special.ui:28
 msgid "Paste Special"
 msgstr "Klista in special"
 
-#: src/paste-special.ui:55
+#: src/paste-special.ui:53
 msgid "_Cancel"
 msgstr "A_vbryt"
 
@@ -1178,18 +1231,24 @@ msgstr "Ersätt _alla"
 msgid "Replaces all occurrences of the search string with the replace string"
 msgstr "Ersätter alla förekomster av söksträngen med ersättningssträngen"
 
+#~ msgid "Logan Rathbone"
+#~ msgstr "Logan Rathbone"
+
+#~ msgid "FIXME: no conversion function"
+#~ msgstr "FIXAMIG: ingen konverteringsfunktion"
+
+#~ msgid "_Insert Character"
+#~ msgstr "_Infoga tecken"
+
+#~ msgid "A binary file editor"
+#~ msgstr "En binärfilsredigerare"
+
+#~ msgid "GHex Website"
+#~ msgstr "Webbplatsen för GHex"
+
 #~ msgid "Show About dialog"
 #~ msgstr "Visa Om-dialog"
 
-#~ msgid ""
-#~ "There was an error loading the requested file. The file either no longer "
-#~ "exists, is inaccessible, or you may not have permission to access the "
-#~ "file."
-#~ msgstr ""
-#~ "Det uppstod ett fel vid inläsning av den begärda filen. Filen finns "
-#~ "antingen inte längre, är otillgänglig eller så kanske du inte har "
-#~ "rättighet att komma åt filen."
-
 #~ msgid "Hex Group Type"
 #~ msgstr "Hexadecimalgrupptyp"
 
diff -pruN 45.1-1/po/tr.po 46.0-1/po/tr.po
--- 45.1-1/po/tr.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/tr.po	2024-03-22 05:14:59.000000000 +0000
@@ -8,15 +8,15 @@
 # Arman Aksoy (Armish) <armish@linux-sevenler.de>, 2003.
 # Necdet Yücel <necdetyucel@gmail.com>, 2015.
 # Muhammet Kara <muhammetk@gmail.com>, 2014, 2015, 2016.
-# Emin Tufan Çetin <etcetin@gmail.com>, 2019, 2023.
-# Sabri Ünal <libreajans@gmail.com>, 2022, 2023.
+# Sabri Ünal <libreajans@gmail.com>, 2022-2024.
+# Emin Tufan Çetin <etcetin@gmail.com>, 2019, 2023, 2024.
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex\n"
-"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues\n"
-"POT-Creation-Date: 2023-07-26 23:38+0000\n"
-"PO-Revision-Date: 2023-08-06 18:22+0300\n"
+"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues/\n"
+"POT-Creation-Date: 2024-02-12 06:30+0000\n"
+"PO-Revision-Date: 2024-02-14 02:39+0300\n"
 "Last-Translator: Sabri Ünal <libreajans@gmail.com>\n"
 "Language-Team: Türkçe <takim@gnome.org.tr>\n"
 "Language: tr\n"
@@ -24,17 +24,17 @@ msgstr ""
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Generator: Poedit 3.2.2\n"
+"X-Generator: Poedit 3.4.2\n"
 "X-POOTLE-MTIME: 1423957989.000000\n"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:6
-#: src/ghex-application-window.ui.in:149
+#: src/ghex-application-window.ui.in:151
 msgid "GHex"
 msgstr "GHex"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:7 data/org.gnome.GHex.desktop.in.in:6
 msgid "Inspect and edit binary files"
-msgstr "İkilik dosyaları inceleyin ve düzenleyin"
+msgstr "İkilik dosyaları incele ve düzenle"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:9
 msgid "GHex is a hex editor for the GNOME desktop."
@@ -52,52 +52,40 @@ msgstr ""
 "bir sütunda onaltılık değer ve diğerinde ASCII gösterimi ile iki sütuna "
 "bölünmüştür. GHex ham verilerle çalışmak için yararlı bir araçtır."
 
-#: data/org.gnome.GHex.appdata.xml.in.in:40
-msgid "Logan Rathbone"
-msgstr "Logan Rathbone"
-
 #: data/org.gnome.GHex.desktop.in.in:5
 msgid "Hex Editor"
 msgstr "Onaltılık Düzenliyici"
 
 #. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
 #: data/org.gnome.GHex.desktop.in.in:8
-msgid "binary;debug;"
-msgstr "ikilik;ikili;hata ayıklama;"
+msgid "binary;debug;hexadecimal;"
+msgstr "ikilik;ikili;hata ayıklama;onaltılık;"
+
+#: src/chartable.ui:30
+msgid "Character table"
+msgstr "Karakter tablosu"
 
-#: src/chartable.c:152 src/find-options.ui:67
+#: src/chartable.ui:44 src/find-options.ui:67
 msgid "ASCII"
 msgstr "ASCII"
 
-#: src/chartable.c:152 src/find-options.ui:66
+#: src/chartable.ui:69 src/find-options.ui:66
 msgid "Hex"
 msgstr "Onaltılık"
 
-#: src/chartable.c:152
+#: src/chartable.ui:94
 msgid "Decimal"
 msgstr "Ondalık"
 
-#: src/chartable.c:153
+#: src/chartable.ui:119
 msgid "Octal"
 msgstr "Sekizlik"
 
-#: src/chartable.c:153
+#: src/chartable.ui:144
 msgid "Binary"
 msgstr "İkilik"
 
-#: src/chartable.c:184
-msgid "Character table"
-msgstr "Karakter tablosu"
-
-#: src/chartable.c:252
-msgid "_Insert Character"
-msgstr "Karakter _Ekle"
-
-#: src/chartable.c:256 src/converter.c:186
-msgid "_Close"
-msgstr "_Kapat"
-
-#: src/common-ui.c:240
+#: src/common-ui.c:246
 msgid ""
 "This program is free software; you can redistribute it and/or modify it "
 "under the terms of the GNU General Public License as published by the Free "
@@ -108,7 +96,7 @@ msgstr ""
 "Kamu Lisansı'nın 2. sürümü ya da (tercihinize bağlı olarak) sonraki "
 "sürümleri koşulları altında yeniden dağıtabilir ve/veya değiştirebilirsiniz."
 
-#: src/common-ui.c:244
+#: src/common-ui.c:250
 msgid ""
 "This program is distributed in the hope that it will be useful, but WITHOUT "
 "ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
@@ -119,7 +107,7 @@ msgstr ""
 "GARANTİSİ YOKTUR; hatta ÜRÜN DEĞERİ ya da BİR AMACA UYGUNLUK gibi garantiler "
 "de vermez.  Ayrıntılar için lütfen GNU Genel Kamu Lisansı'na bakınız."
 
-#: src/common-ui.c:248
+#: src/common-ui.c:254
 msgid ""
 "You should have received a copy of the GNU General Public License along with "
 "this program; if not, write to the Free Software Foundation, Inc., 51 "
@@ -131,72 +119,73 @@ msgstr ""
 
 #. Translators: these two strings here indicate the copyright time span,
 #. e.g. 1998-2018.
-#: src/common-ui.c:260
+#: src/common-ui.c:266
 #, c-format
 msgid "Copyright © %d–%d The GHex authors"
 msgstr "Telif Hakkı © %d–%d GHex geliştiricileri"
 
-#: src/common-ui.c:274
-msgid "A binary file editor"
-msgstr "İkilik dosya düzenleyici"
-
-#: src/common-ui.c:281
+#: src/common-ui.c:287
 msgid "About GHex"
 msgstr "GHex Hakkında"
 
-#: src/common-ui.c:282
+#: src/common-ui.c:288
 msgid "translator-credits"
 msgstr ""
 "Muhammet Kara <muhammetk@gmail.com>\n"
 "Emin Tufan Çetin <etcetin@gmail.com>\n"
 "Sabri Ünal <libreajans@gmail.com>"
 
-#: src/common-ui.c:285
-msgid "GHex Website"
-msgstr "GHex Web Sitesi"
-
 #. Translators: This is an error string for a print-related error
 #. * dialog.  The %s is the error generated by GError.
-#: src/common-ui.c:349
+#: src/common-ui.c:353
 #, c-format
 msgid "An error has occurred: %s"
 msgstr "Hata oluştu: %s"
 
-#: src/converter.c:183
+#: src/common-ui.c:374 src/find-dialog.ui:99 src/jump-dialog.ui:64
+#: src/mark-dialog.ui:152
+msgid "Close"
+msgstr "Kapat"
+
+#: src/converter.c:166
 msgid "Base Converter"
 msgstr "Taban Çevirici"
 
 #. entries
-#: src/converter.c:209
+#: src/converter.c:176
 msgid "_Binary:"
 msgstr "İ_kilik:"
 
-#: src/converter.c:211
+#: src/converter.c:178
 msgid "_Octal:"
 msgstr "_Sekizlik:"
 
-#: src/converter.c:213
+#: src/converter.c:180
 msgid "_Decimal:"
 msgstr "_Ondalık:"
 
-#: src/converter.c:215
+#: src/converter.c:182
 msgid "_Hex:"
 msgstr "Onal_tılık:"
 
-#: src/converter.c:217
+#: src/converter.c:184
 msgid "_ASCII:"
 msgstr "_ASCII:"
 
 #. get cursor button
-#: src/converter.c:221
+#: src/converter.c:188
 msgid "_Get cursor value"
 msgstr "_İmleç değerlerini al"
 
-#: src/converter.c:230
+#: src/converter.c:189
+msgid "_Close"
+msgstr "_Kapat"
+
+#: src/converter.c:199
 msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
 msgstr "İmleçteki ikilik, ondalık, sekizlik, onaltılık ve ASCII değerleri alır"
 
-#: src/converter.c:371
+#: src/converter.c:339
 msgid "ERROR"
 msgstr "HATA"
 
@@ -240,10 +229,6 @@ msgstr "Bulma seçenekleri"
 msgid "View options of the find pane"
 msgstr "Bul bölmesinin seçeneklerini görüntüle"
 
-#: src/find-dialog.ui:99 src/jump-dialog.ui:63
-msgid "Close"
-msgstr "Kapat"
-
 #: src/find-dialog.ui:100
 msgid "Closes the find pane"
 msgstr "Bul bölmesini kapatır"
@@ -264,11 +249,11 @@ msgstr "Göster:"
 msgid "Both"
 msgstr "Her İkisi"
 
-#: src/findreplace.c:221
+#: src/findreplace.c:222
 msgid "No string provided."
 msgstr "Dizge sağlanmadı."
 
-#: src/findreplace.c:395
+#: src/findreplace.c:396
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -278,7 +263,7 @@ msgstr ""
 "\n"
 "Başka eşleşme bulunamadı."
 
-#: src/findreplace.c:397
+#: src/findreplace.c:398
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -288,7 +273,7 @@ msgstr ""
 "\n"
 "İmleçten önce herhangi bir belirim bulunamadı."
 
-#: src/findreplace.c:407
+#: src/findreplace.c:408
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -298,7 +283,7 @@ msgstr ""
 "\n"
 "Başka eşleşme bulunamadı."
 
-#: src/findreplace.c:409
+#: src/findreplace.c:410
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -308,19 +293,19 @@ msgstr ""
 "\n"
 "İmleçten sonra herhangi bir belirim bulunamadı."
 
-#: src/findreplace.c:480
+#: src/findreplace.c:481
 msgid "No offset has been specified."
 msgstr "Ofset belirtilmemiş."
 
-#: src/findreplace.c:505
+#: src/findreplace.c:506
 msgid "The specified offset is beyond the  file boundaries."
 msgstr "Belirtilen ofset dosya sınırlarının dışında."
 
-#: src/findreplace.c:513
+#: src/findreplace.c:514
 msgid "Can not position cursor beyond the end of file."
 msgstr "İmleç dosya sonundan ileri konumlandırılamaz."
 
-#: src/findreplace.c:523
+#: src/findreplace.c:525
 msgid ""
 "You may only give the offset as:\n"
 "  - a positive decimal number, or\n"
@@ -333,31 +318,31 @@ msgstr ""
 "  - '+' veya '-' işareti ve ardından gelen göreli ofset değeri olarak "
 "girebilirsiniz."
 
-#: src/findreplace.c:580
+#: src/findreplace.c:584
 msgid "String was not found."
 msgstr "Dizge bulunamadı."
 
-#: src/findreplace.c:644
+#: src/findreplace.c:648
 #, c-format
 msgid "Search complete: %d replacements made."
 msgstr "Arama tamamlandı: %d değiştirme yapıldı."
 
-#: src/findreplace.c:651
+#: src/findreplace.c:655
 msgid "No occurrences were found."
 msgstr "Hiçbir belirimi bulunamadı."
 
 #. Translators: this is the string for an untitled buffer that will
 #. * be displayed in the titlebar when a user does File->New
 #.
-#: src/ghex-application-window.c:49 src/hex-document.c:1057
+#: src/ghex-application-window.c:49 src/hex-document.c:1091
 msgid "Untitled"
 msgstr "Başlıksız"
 
-#: src/ghex-application-window.c:284
+#: src/ghex-application-window.c:293
 msgid "There was an error saving the file."
 msgstr "Dosya kaydedilirken hata oluştu."
 
-#: src/ghex-application-window.c:334
+#: src/ghex-application-window.c:336
 msgid ""
 "<b>You have one or more files open with unsaved changes.</b>\n"
 "\n"
@@ -369,18 +354,18 @@ msgstr ""
 "Pencereyi kapatmak istediğinize emin misiniz?\n"
 "\n"
 
-#: src/ghex-application-window.c:338
+#: src/ghex-application-window.c:339
 msgid "_Close Anyway"
 msgstr "Yine De _Kapat"
 
-#: src/ghex-application-window.c:339 src/ghex-application-window.c:474
-#: src/ghex-application-window.c:1175
+#: src/ghex-application-window.c:340 src/ghex-application-window.c:475
+#: src/ghex-application-window.c:1179
 msgid "_Go Back"
 msgstr "Geri _Git"
 
 #. Translators: %s is the filename that is currently being
 #. * edited.
-#: src/ghex-application-window.c:452
+#: src/ghex-application-window.c:456
 #, c-format
 msgid ""
 "<big><b>%s has been edited since opening.</b></big>\n"
@@ -391,7 +376,7 @@ msgstr ""
 "\n"
 "Değişiklikleri kaydetmek ister misiniz?"
 
-#: src/ghex-application-window.c:458
+#: src/ghex-application-window.c:462
 msgid ""
 "<b>The buffer has been edited since opening.</b>\n"
 "\n"
@@ -401,19 +386,19 @@ msgstr ""
 "\n"
 "Değişikliklerini kaydetmek ister misiniz?"
 
-#: src/ghex-application-window.c:472
+#: src/ghex-application-window.c:473
 msgid "_Save Changes"
 msgstr "Değişiklikleri _Kaydet"
 
-#: src/ghex-application-window.c:473
+#: src/ghex-application-window.c:474
 msgid "_Discard Changes"
 msgstr "Değişiklikleri _Gözden Çıkar"
 
-#: src/ghex-application-window.c:1028
+#: src/ghex-application-window.c:1035
 msgid "There was an error saving the file to the path specified."
 msgstr "Dosya belirtilen yola kaydedilirken hata oluştu."
 
-#: src/ghex-application-window.c:1047
+#: src/ghex-application-window.c:1054
 msgid ""
 "An unknown error has occurred in attempting to reload the file you have just "
 "saved."
@@ -421,13 +406,13 @@ msgstr ""
 "Yeni kaydettiğiniz dosyayı yeniden yüklemeye çalışırken bilinmeyen hata "
 "oluştu."
 
-#: src/ghex-application-window.c:1099
+#: src/ghex-application-window.c:1107
 msgid "Select a file to save buffer as"
 msgstr "Tampondaki dosyayı saklamak için dosya seç"
 
 #. Translators: %s here is the filename the user is being asked to
 #. * confirm whether they want to revert.
-#: src/ghex-application-window.c:1168
+#: src/ghex-application-window.c:1173
 #, c-format
 msgid ""
 "<big><b>Are you sure you want to revert %s?</b></big>\n"
@@ -442,15 +427,15 @@ msgstr ""
 "\n"
 "Bu işlem geri alınamaz."
 
-#: src/ghex-application-window.c:1174 src/ghex-application-window.ui.in:39
+#: src/ghex-application-window.c:1178 src/ghex-application-window.ui.in:39
 msgid "_Revert"
 msgstr "_Geri Al"
 
-#: src/ghex-application-window.c:1258
+#: src/ghex-application-window.c:1266
 msgid "Select a file to open"
 msgstr "Açılacak dosyayı seç"
 
-#: src/ghex-application-window.c:1363
+#: src/ghex-application-window.c:1373
 #, c-format
 msgid ""
 "Sorry, but help could not be opened.\n"
@@ -473,21 +458,21 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/ghex-application-window.c:1439
+#: src/ghex-application-window.c:1567
 #, c-format
 msgid ""
-"Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
-"<tt>0x%lX</tt> selected"
+"Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to <tt>0x"
+"%lX</tt> selected"
 msgstr ""
 "Ofset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bayt, <tt>0x%lX</tt> ile <tt>0x%lX</"
 "tt> arasında seçildi"
 
-#: src/ghex-application-window.c:1443
+#: src/ghex-application-window.c:1571
 #, c-format
 msgid "Offset: <tt>0x%lX</tt>"
 msgstr "Ofset: <tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:2079
+#: src/ghex-application-window.c:2381
 msgid ""
 "You are attempting to open a file 1GB or larger.\n"
 "\n"
@@ -513,10 +498,18 @@ msgstr ""
 "Bu iletinin görünmesini önlemek için başka tampon arka ucu kullanmayı "
 "deneyin."
 
-#: src/ghex-application-window.c:2136
+#: src/ghex-application-window.c:2439
 msgid "There was an error reading the file."
 msgstr "Dosya okunurken hata oluştu."
 
+#: src/ghex-application-window.c:2500
+msgid ""
+"There was an error loading the requested file. The file either no longer "
+"exists, is inaccessible, or you may not have permission to access the file."
+msgstr ""
+"İstenen dosyayı yüklerken hata oluştu. Dosya ya yok, ya erişilemez ya da "
+"dosyaya erişim izniniz yok."
+
 #: src/ghex-application-window.ui.in:31
 msgid "_New"
 msgstr "_Yeni"
@@ -541,96 +534,100 @@ msgstr "Bul ve _Değiştir"
 msgid "_Jump to Byte"
 msgstr "Bayt’a _Git"
 
-#: src/ghex-application-window.ui.in:72
+#: src/ghex-application-window.ui.in:66
+msgid "_Marks"
+msgstr "İ_mler"
+
+#: src/ghex-application-window.ui.in:76
 msgid "_Edit"
 msgstr "Dü_zenle"
 
-#: src/ghex-application-window.ui.in:74
+#: src/ghex-application-window.ui.in:78
 msgid "_Copy Special"
 msgstr "Özel _Kopyala"
 
-#: src/ghex-application-window.ui.in:78
+#: src/ghex-application-window.ui.in:82
 msgid "_Paste Special"
 msgstr "Ö_zel Yapıştır"
 
-#: src/ghex-application-window.ui.in:85
-msgid "_Tools"
-msgstr "_Araçlar"
-
-#: src/ghex-application-window.ui.in:87
-msgid "_Character Table"
-msgstr "_Karakter Tablosu"
-
-#: src/ghex-application-window.ui.in:91
-msgid "_Base Converter"
-msgstr "_Taban Çevirici"
-
 # Komut sonrası gruplama seçenekleri çıkıyor
-#: src/ghex-application-window.ui.in:98
+#: src/ghex-application-window.ui.in:86
 msgid "G_roup Data As"
 msgstr "_Veriyi Grupla"
 
-#: src/ghex-application-window.ui.in:100
+#: src/ghex-application-window.ui.in:88
 msgid "_Bytes (8-bit)"
 msgstr "_Bayt (8-bit)"
 
-#: src/ghex-application-window.ui.in:106
+#: src/ghex-application-window.ui.in:94
 msgid "_Words (16-bit)"
 msgstr "_Sözcük (16-bit)"
 
-#: src/ghex-application-window.ui.in:111
+#: src/ghex-application-window.ui.in:99
 msgid "_Longwords (32-bit)"
 msgstr "_Uzun Sözcük (32-bit)"
 
-#: src/ghex-application-window.ui.in:116
+#: src/ghex-application-window.ui.in:104
 msgid "_Quadwords (64-bit)"
 msgstr "_Dört Sözcük (64-bit)"
 
-#: src/ghex-application-window.ui.in:126
+#: src/ghex-application-window.ui.in:113
+msgid "_Tools"
+msgstr "_Araçlar"
+
+#: src/ghex-application-window.ui.in:115
+msgid "_Character Table"
+msgstr "_Karakter Tablosu"
+
+#: src/ghex-application-window.ui.in:119
+msgid "_Base Converter"
+msgstr "_Taban Çevirici"
+
+#: src/ghex-application-window.ui.in:128
 msgid "_Keyboard Shortcuts"
 msgstr "_Klavye Kısayolları"
 
-#: src/ghex-application-window.ui.in:131
+#: src/ghex-application-window.ui.in:133
 msgid "_Preferences"
 msgstr "_Tercihler"
 
-#: src/ghex-application-window.ui.in:136
+#: src/ghex-application-window.ui.in:138
 msgid "_Help"
 msgstr "_Yardım"
 
-#: src/ghex-application-window.ui.in:141
+#: src/ghex-application-window.ui.in:143
 msgid "_About GHex"
 msgstr "GHex _Hakkında"
 
-#: src/ghex-application-window.ui.in:170
+#: src/ghex-application-window.ui.in:172
 msgid "Open a file for hex editing"
 msgstr "Onaltılık düzenlemek için dosya aç"
 
-#: src/ghex-application-window.ui.in:173
+#: src/ghex-application-window.ui.in:175
 msgid "_Open"
 msgstr "_Aç"
 
-#: src/ghex-application-window.ui.in:186
+#: src/ghex-application-window.ui.in:188
 msgid "Main Menu"
 msgstr "Ana Menü"
 
-#: src/ghex-application-window.ui.in:188
+#: src/ghex-application-window.ui.in:190
 msgid "Main menu"
 msgstr "Ana menü"
 
-#: src/ghex-application-window.ui.in:198
+#: src/ghex-application-window.ui.in:200
 msgid "Find a string in the hex document"
 msgstr "Hex belgesinde dizge bul"
 
-#: src/ghex-application-window.ui.in:207
+#: src/ghex-application-window.ui.in:209
 msgid "Save document"
 msgstr "Belgeyi kaydet"
 
-#: src/ghex-application-window.ui.in:215
+#: src/ghex-application-window.ui.in:217
 msgid "No File Loaded"
 msgstr "Dosya Yüklenmedi"
 
-#: src/ghex-application-window.ui.in:218
+#: src/ghex-application-window.ui.in:220
 msgid ""
 "• Press the Open button\n"
 "• Press Ctrl+N to start a new document\n"
@@ -644,13 +641,13 @@ msgstr ""
 "\n"
 "Veya pencereyi kapatmak için Ctrl+W tuşlarına basın."
 
-#: src/ghex-application-window.ui.in:307
+#: src/ghex-application-window.ui.in:309
 msgid "Toggle insert mode (add data to file rather than replace existing data)"
 msgstr ""
 "Ekleme kipini aç/kapat (var olan verileri değiştirmek yerine dosyaya veri "
 "ekle)"
 
-#: src/ghex-application-window.ui.in:319
+#: src/ghex-application-window.ui.in:321
 msgid "Toggle a pane showing various numeric conversions"
 msgstr "Türlü sayısal dönüşümleri gösteren bölmeyi aç/kapat"
 
@@ -674,11 +671,11 @@ msgstr "_Yinele"
 msgid "Cu_t"
 msgstr "Ke_s"
 
-#: src/gtkhex.ui:76 src/paste-special.c:405
+#: src/gtkhex.ui:76 src/paste-special.c:420
 msgid "_Copy"
 msgstr "_Kopyala"
 
-#: src/gtkhex.ui:80 src/paste-special.ui:49
+#: src/gtkhex.ui:80 src/paste-special.ui:47
 msgid "_Paste"
 msgstr "_Yapıştır"
 
@@ -739,76 +736,88 @@ msgid "Find and replace"
 msgstr "Bul ve değiştir"
 
 #: src/help-overlay.ui:105
+msgid "Marks"
+msgstr "İmler"
+
+#: src/help-overlay.ui:110
+msgid "Marks dialog"
+msgstr "İmler iletişim kutusu"
+
+#: src/help-overlay.ui:117
+msgid "Activate mark (0-9)"
+msgstr "İmi etkinleştir (0-9)"
+
+#: src/help-overlay.ui:126
 msgid "Clipboard"
 msgstr "Pano"
 
-#: src/help-overlay.ui:110
+#: src/help-overlay.ui:131
 msgid "Copy"
 msgstr "Kopyala"
 
-#: src/help-overlay.ui:117
+#: src/help-overlay.ui:138
 msgid "Cut"
 msgstr "Kes"
 
-#: src/help-overlay.ui:124
+#: src/help-overlay.ui:145
 msgid "Paste"
 msgstr "Yapıştır"
 
-#: src/help-overlay.ui:131
+#: src/help-overlay.ui:152
 msgid "Copy special"
 msgstr "Özel kopyala"
 
-#: src/help-overlay.ui:138
+#: src/help-overlay.ui:159
 msgid "Paste special"
 msgstr "Özel yapıştır"
 
-#: src/help-overlay.ui:147
+#: src/help-overlay.ui:168
 msgid "Navigation"
 msgstr "Gezinme"
 
 # Her ne kadar Toogle aç/kapat anlamına da gelse, burada iki panel arasında geçiş yapmak anlamında kullanılmış.
-#: src/help-overlay.ui:152
+#: src/help-overlay.ui:173
 msgid "Toggle left (hex) display"
 msgstr "Sol (onaltılık) görünüme geç"
 
 # Her ne kadar Toogle aç/kapat anlamına da gelse, burada iki panel arasında geçiş yapmak anlamında kullanılmış.
-#: src/help-overlay.ui:159
+#: src/help-overlay.ui:180
 msgid "Toggle right (ASCII) display"
 msgstr "Sağ (ASCII) görünüme geç"
 
-#: src/help-overlay.ui:166
+#: src/help-overlay.ui:187
 msgid "Switch to previous tab"
 msgstr "Önceki sekmeye geç"
 
-#: src/help-overlay.ui:173
+#: src/help-overlay.ui:194
 msgid "Switch to next tab"
 msgstr "Sonraki sekmeye geç"
 
-#: src/help-overlay.ui:180
+#: src/help-overlay.ui:201
 msgid "Jump to byte"
 msgstr "Bayt’a git"
 
-#: src/help-overlay.ui:187
+#: src/help-overlay.ui:208
 msgid "Move to beginning of document"
 msgstr "Belgenin başına git"
 
-#: src/help-overlay.ui:194
+#: src/help-overlay.ui:215
 msgid "Move to end of document"
 msgstr "Belgenin sonuna git"
 
-#: src/help-overlay.ui:203
+#: src/help-overlay.ui:224
 msgid "General"
 msgstr "Genel"
 
-#: src/help-overlay.ui:208
+#: src/help-overlay.ui:229
 msgid "Show help"
 msgstr "Yardımı göster"
 
-#: src/help-overlay.ui:215
+#: src/help-overlay.ui:236
 msgid "Show preferences"
 msgstr "Tercihleri göster"
 
-#: src/help-overlay.ui:222
+#: src/help-overlay.ui:243
 msgid "Toggle insert mode"
 msgstr "Ekleme kipini aç/kapat"
 
@@ -842,7 +851,7 @@ msgstr "Dosya oluşturulamadı"
 msgid "Not a regular file or block device"
 msgstr "Sıradan dosya veya blok aygıtı değil"
 
-#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:616
+#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:615
 msgid "Unable to open file for reading"
 msgstr "Dosya okumak için açılamadı"
 
@@ -877,19 +886,19 @@ msgid "Fatal error: Memory mapping of fi
 msgstr ""
 "Ölümcül hata: Dosyanın bellek eşlemesi (%lu bayt, fd %d) başarısız oldu"
 
-#: src/hex-buffer-mmap.c:606
+#: src/hex-buffer-mmap.c:605
 msgid "Not a regular file"
 msgstr "Sıradan dosya değil"
 
-#: src/hex-buffer-mmap.c:647
+#: src/hex-buffer-mmap.c:646
 msgid "Failed to open temporary file."
 msgstr "Geçici dosya açılamadı."
 
-#: src/hex-buffer-mmap.c:686
+#: src/hex-buffer-mmap.c:685
 msgid "Error reading file"
 msgstr "Dosya okunurken hata oluştu"
 
-#: src/hex-buffer-mmap.c:702
+#: src/hex-buffer-mmap.c:701
 msgid "An error has occurred"
 msgstr "Hata oluştu"
 
@@ -957,26 +966,22 @@ msgstr "İşaretsiz ve ondalık değerle
 msgid "Stream Length:"
 msgstr "Akım Uzunluğu:"
 
-#: src/hex-dialog.c:237
-msgid "FIXME: no conversion function"
-msgstr "BENİ DÜZELT: çevrim işlevi yok"
-
-#: src/hex-document.c:1085
+#: src/hex-document.c:1119
 #, c-format
 msgid "Page"
 msgstr "Sayfa"
 
-#: src/hex-document.c:1091 src/hex-document.c:1194
+#: src/hex-document.c:1125 src/hex-document.c:1228
 #, c-format
 msgid "Hex dump generated by"
 msgstr "Onaltılık baskıyı yaratan"
 
-#: src/hex-document.c:1117
+#: src/hex-document.c:1151
 #, c-format
 msgid "Previous page"
 msgstr "Önceki sayfa"
 
-#: src/hex-document.c:1132
+#: src/hex-document.c:1166
 #, c-format
 msgid "Next page"
 msgstr "Sonraki sayfa"
@@ -985,7 +990,7 @@ msgstr "Sonraki sayfa"
 msgid "Jump to byte (enter offset):"
 msgstr "Bayt’a git (ofset gir):"
 
-#: src/jump-dialog.ui:43
+#: src/jump-dialog.ui:44
 msgid ""
 "Enter the offset byte to jump to. The default is decimal format, but other "
 "format strings are supported such as hexadecimal format, if C-style notation "
@@ -997,15 +1002,15 @@ msgstr ""
 "gibi diğer biçim dizgeleri desteklenir. Dizgeniz tanınmazsa, kabul edilen "
 "dizgelerin geçerli biçimlerini açıklayan iletişim kutusu görüntülenir."
 
-#: src/jump-dialog.ui:48
+#: src/jump-dialog.ui:49 src/mark-dialog.ui:110
 msgid "_Jump"
 msgstr "_Git"
 
-#: src/jump-dialog.ui:54
+#: src/jump-dialog.ui:55
 msgid "Jumps to the specified byte"
 msgstr "Belirtilen bayt’a gider"
 
-#: src/jump-dialog.ui:64
+#: src/jump-dialog.ui:65
 msgid "Closes the jump-to-byte pane"
 msgstr "Bayt’a git bölmesini kapatır"
 
@@ -1022,7 +1027,55 @@ msgstr "GHex, sürüm %s\n"
 msgid "GHex - A hex editor for the GNOME desktop"
 msgstr "GHex - GNOME masaüstü için onaltılık düzenleyici"
 
-#: src/paste-special.c:220
+#. Translators: this is meant to show a range of hex offset values.
+#. * eg, "0xAA - 0xFF"
+#.
+#: src/mark-dialog.c:125
+#, c-format
+msgid "0x%lX - 0x%lX"
+msgstr "0x%lX - 0x%lX"
+
+#: src/mark-dialog.ui:36
+msgid "Mark:"
+msgstr "İm:"
+
+#: src/mark-dialog.ui:50
+msgid "Select the desired mark to set, jump to, or delete"
+msgstr "Ayarlanacak, atlanacak ya da silinecek imi seç"
+
+#: src/mark-dialog.ui:58
+msgid "Optional custom color for the mark"
+msgstr "İm için isteğe bağlı özel renk"
+
+#: src/mark-dialog.ui:74
+msgid "Pick a custom color for the mark, if desired."
+msgstr "İstenirse, im için özel renk seç."
+
+#: src/mark-dialog.ui:96
+msgid "_Set"
+msgstr "_Ayarla"
+
+#: src/mark-dialog.ui:103
+msgid "Set a mark on a byte or range of bytes"
+msgstr "Bayt ya da bayt aralığı üzerinde im ayarla"
+
+#: src/mark-dialog.ui:122
+msgid "Bring the cursor to the specified mark"
+msgstr "İmleci belirtilen ime getir"
+
+#: src/mark-dialog.ui:129
+msgid "_Delete"
+msgstr "_Sil"
+
+#: src/mark-dialog.ui:141
+msgid "Delete the specified mark"
+msgstr "Belirtilen imi sil"
+
+#: src/mark-dialog.ui:153
+msgid "Closes the marks pane"
+msgstr "İmler bölmesini kapatır"
+
+#: src/paste-special.c:218
 #, c-format
 msgid ""
 "Paste failed; invalid hex format.\n"
@@ -1037,34 +1090,33 @@ msgstr ""
 "\n"
 "Örnek: \"FF 3D 99 0A\""
 
-#: src/paste-special.c:310
+#: src/paste-special.c:305
 msgid "GHex Paste Data"
 msgstr "GHex Veriyi Yapıştır"
 
-#: src/paste-special.c:407
+#: src/paste-special.c:422
 msgid "Copy Special"
 msgstr "Özel Kopyala"
 
-#: src/paste-special.c:512
+#: src/paste-special.c:527
 msgid "Plain text (as ASCII)"
 msgstr "Düz metin (ASCII olarak)"
 
-#: src/paste-special.c:529
+#: src/paste-special.c:544
 msgid "Plain text (Unicode)"
 msgstr "Düz metin (Unicode)"
 
-#: src/paste-special.c:533
+#: src/paste-special.c:548
 msgid "Plain text (as space-delimited hex pairs)"
 msgstr "Düz metin (boşlukla ayrılmış onaltılık çiftler olarak)"
 
-#. paste_special_dialog
 #: src/paste-special.ui:28
 msgid "Paste Special"
 msgstr "Özel Yapıştır"
 
-#: src/paste-special.ui:55
+#: src/paste-special.ui:53
 msgid "_Cancel"
-msgstr "_İptal"
+msgstr "İ_ptal"
 
 #: src/preferences.ui:28
 msgid "Preferences"
@@ -1175,3 +1227,18 @@ msgstr "_Tümünü Değiştir"
 #: src/replace-dialog.ui:58
 msgid "Replaces all occurrences of the search string with the replace string"
 msgstr "Arama dizgesinin her belirimini değiştirme dizgesi ile değiştirir"
+
+#~ msgid "Logan Rathbone"
+#~ msgstr "Logan Rathbone"
+
+#~ msgid "FIXME: no conversion function"
+#~ msgstr "BENİ DÜZELT: çevrim işlevi yok"
+
+#~ msgid "_Insert Character"
+#~ msgstr "Karakter _Ekle"
+
+#~ msgid "A binary file editor"
+#~ msgstr "İkilik dosya düzenleyici"
+
+#~ msgid "GHex Website"
+#~ msgstr "GHex Web Sitesi"
diff -pruN 45.1-1/po/uk.po 46.0-1/po/uk.po
--- 45.1-1/po/uk.po	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/po/uk.po	2024-03-22 05:14:59.000000000 +0000
@@ -3,13 +3,13 @@
 #
 # Yuri Syrota <rasta@renome.rovno.ua>, 1999.
 # Maxim Dziumanenko <mvd@mylinux.ua>, 2005.
-# Yuri Chornoivan <yurchor@ukr.net>, 2020, 2021, 2022, 2023.
+# Yuri Chornoivan <yurchor@ukr.net>, 2020, 2021, 2022, 2023, 2024.
 msgid ""
 msgstr ""
 "Project-Id-Version: ghex\n"
-"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues\n"
-"POT-Creation-Date: 2023-07-26 23:38+0000\n"
-"PO-Revision-Date: 2023-07-28 16:56+0300\n"
+"Report-Msgid-Bugs-To: https://gitlab.gnome.org/GNOME/ghex/issues/\n"
+"POT-Creation-Date: 2024-02-12 06:30+0000\n"
+"PO-Revision-Date: 2024-02-12 20:39+0200\n"
 "Last-Translator: Yuri Chornoivan <yurchor@ukr.net>\n"
 "Language-Team: Ukrainian <uk@li.org>\n"
 "Language: uk\n"
@@ -18,10 +18,10 @@ msgstr ""
 "Content-Transfer-Encoding: 8bit\n"
 "Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && n"
 "%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
-"X-Generator: Lokalize 20.12.0\n"
+"X-Generator: Lokalize 23.04.1\n"
 
 #: data/org.gnome.GHex.appdata.xml.in.in:6
-#: src/ghex-application-window.ui.in:149
+#: src/ghex-application-window.ui.in:151
 msgid "GHex"
 msgstr "GHex"
 
@@ -46,52 +46,42 @@ msgstr ""
 "шістнадцяткові значення, а у другому — представлення цих значень символами "
 "ASCII. Корисний інструмент для роботи із необробленими даними."
 
-#: data/org.gnome.GHex.appdata.xml.in.in:40
-msgid "Logan Rathbone"
-msgstr "Logan Rathbone"
-
 #: data/org.gnome.GHex.desktop.in.in:5
 msgid "Hex Editor"
 msgstr "Шістнадцятковий редактор"
 
 #. Translators: Search terms to find this application. Do NOT translate or localize the semicolons! The list MUST also end with a semicolon! Here, 'binary' means a binary file (not the base-2 numeric system).
 #: data/org.gnome.GHex.desktop.in.in:8
-msgid "binary;debug;"
-msgstr "binary;debug;двійковий;бінарний;діагностика;зневадження;"
+msgid "binary;debug;hexadecimal;"
+msgstr ""
+"binary;debug;hexadecimal;двійковий;бінарний;діагностика;зневадження;"
+"шістнадцятковий;"
 
-#: src/chartable.c:152 src/find-options.ui:67
+#: src/chartable.ui:30
+msgid "Character table"
+msgstr "Таблиця символів"
+
+#: src/chartable.ui:44 src/find-options.ui:67
 msgid "ASCII"
 msgstr "ASCII"
 
-#: src/chartable.c:152 src/find-options.ui:66
+#: src/chartable.ui:69 src/find-options.ui:66
 msgid "Hex"
 msgstr "Шістнадцяткова"
 
-#: src/chartable.c:152
+#: src/chartable.ui:94
 msgid "Decimal"
 msgstr "Десяткова"
 
-#: src/chartable.c:153
+#: src/chartable.ui:119
 msgid "Octal"
 msgstr "Вісімкова"
 
-#: src/chartable.c:153
+#: src/chartable.ui:144
 msgid "Binary"
 msgstr "Двійкова"
 
-#: src/chartable.c:184
-msgid "Character table"
-msgstr "Таблиця символів"
-
-#: src/chartable.c:252
-msgid "_Insert Character"
-msgstr "_Вставити символ"
-
-#: src/chartable.c:256 src/converter.c:186
-msgid "_Close"
-msgstr "_Закрити"
-
-#: src/common-ui.c:240
+#: src/common-ui.c:246
 msgid ""
 "This program is free software; you can redistribute it and/or modify it "
 "under the terms of the GNU General Public License as published by the Free "
@@ -104,7 +94,7 @@ msgstr ""
 "Foundation тексту цієї ліцензії версії 2 або (якщо вам того хочеться) будь-"
 "якої пізнішої версії."
 
-#: src/common-ui.c:244
+#: src/common-ui.c:250
 msgid ""
 "This program is distributed in the hope that it will be useful, but WITHOUT "
 "ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or "
@@ -116,7 +106,7 @@ msgstr ""
 "або ПРИДАТНОСТІ ДЛЯ ВИКОРИСТАННЯ З ПЕВНОЮ МЕТОЮ. Докладніше про це можна "
 "дізнатися з GNU General Public License."
 
-#: src/common-ui.c:248
+#: src/common-ui.c:254
 msgid ""
 "You should have received a copy of the GNU General Public License along with "
 "this program; if not, write to the Free Software Foundation, Inc., 51 "
@@ -128,73 +118,74 @@ msgstr ""
 
 #. Translators: these two strings here indicate the copyright time span,
 #. e.g. 1998-2018.
-#: src/common-ui.c:260
+#: src/common-ui.c:266
 #, c-format
 msgid "Copyright © %d–%d The GHex authors"
 msgstr "© Автори GHex, %d–%d"
 
-#: src/common-ui.c:274
-msgid "A binary file editor"
-msgstr "Редактор двійкових даних"
-
-#: src/common-ui.c:281
+#: src/common-ui.c:287
 msgid "About GHex"
 msgstr "Про GHex"
 
-#: src/common-ui.c:282
+#: src/common-ui.c:288
 msgid "translator-credits"
 msgstr ""
 "Максим Дзюманенко <dziumanenko@gmail.com>\n"
 "Юрій Чорноіван <yurchor@ukr.net>"
 
-#: src/common-ui.c:285
-msgid "GHex Website"
-msgstr "Сайт GHex"
-
 #. Translators: This is an error string for a print-related error
 #. * dialog.  The %s is the error generated by GError.
-#: src/common-ui.c:349
+#: src/common-ui.c:353
 #, c-format
 msgid "An error has occurred: %s"
 msgstr "Сталася помилка: %s"
 
-#: src/converter.c:183
+#: src/common-ui.c:374 src/find-dialog.ui:99 src/jump-dialog.ui:64
+#: src/mark-dialog.ui:152
+msgid "Close"
+msgstr "Закрити"
+
+#: src/converter.c:166
 msgid "Base Converter"
 msgstr "Конвертор систем числення"
 
 #. entries
-#: src/converter.c:209
+#: src/converter.c:176
 msgid "_Binary:"
 msgstr "_Двійкове:"
 
-#: src/converter.c:211
+#: src/converter.c:178
 msgid "_Octal:"
 msgstr "_Вісімкове:"
 
-#: src/converter.c:213
+#: src/converter.c:180
 msgid "_Decimal:"
 msgstr "_Десяткове:"
 
-#: src/converter.c:215
+#: src/converter.c:182
 msgid "_Hex:"
 msgstr "_Шістнадцяткове:"
 
-#: src/converter.c:217
+#: src/converter.c:184
 msgid "_ASCII:"
 msgstr "_ASCII:"
 
 #. get cursor button
-#: src/converter.c:221
+#: src/converter.c:188
 msgid "_Get cursor value"
 msgstr "_Взяти значення під курсором"
 
-#: src/converter.c:230
+#: src/converter.c:189
+msgid "_Close"
+msgstr "_Закрити"
+
+#: src/converter.c:199
 msgid "Gets the value at cursor in binary, octal, decimal, hex and ASCII"
 msgstr ""
 "Взяти значення в позиції курсора у двійковій, вісімковій, десятковій, "
 "шістнадцятковій формі та ASCII"
 
-#: src/converter.c:371
+#: src/converter.c:339
 msgid "ERROR"
 msgstr "ПОМИЛКА"
 
@@ -238,10 +229,6 @@ msgstr "Параметри пошуку"
 msgid "View options of the find pane"
 msgstr "Перегляд параметрів панелі пошуку"
 
-#: src/find-dialog.ui:99 src/jump-dialog.ui:63
-msgid "Close"
-msgstr "Закрити"
-
 #: src/find-dialog.ui:100
 msgid "Closes the find pane"
 msgstr "Закриває панель пошуку"
@@ -262,11 +249,11 @@ msgstr "Показ:"
 msgid "Both"
 msgstr "Обидва"
 
-#: src/findreplace.c:221
+#: src/findreplace.c:222
 msgid "No string provided."
 msgstr "Не надано рядка."
 
-#: src/findreplace.c:395
+#: src/findreplace.c:396
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -276,7 +263,7 @@ msgstr ""
 "\n"
 "Більше збігів не виявлено."
 
-#: src/findreplace.c:397
+#: src/findreplace.c:398
 msgid ""
 "Beginning of file reached.\n"
 "\n"
@@ -286,7 +273,7 @@ msgstr ""
 "\n"
 "Від курсора збігів не виявлено."
 
-#: src/findreplace.c:407
+#: src/findreplace.c:408
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -296,7 +283,7 @@ msgstr ""
 "\n"
 "Більше збігів не виявлено."
 
-#: src/findreplace.c:409
+#: src/findreplace.c:410
 msgid ""
 "End of file reached.\n"
 "\n"
@@ -306,19 +293,19 @@ msgstr ""
 "\n"
 "Від курсора збігів не виявлено."
 
-#: src/findreplace.c:480
+#: src/findreplace.c:481
 msgid "No offset has been specified."
 msgstr "Не вказано зміщення."
 
-#: src/findreplace.c:505
+#: src/findreplace.c:506
 msgid "The specified offset is beyond the  file boundaries."
 msgstr "Вказаний відступ перебуває за межами файла."
 
-#: src/findreplace.c:513
+#: src/findreplace.c:514
 msgid "Can not position cursor beyond the end of file."
 msgstr "Неможливо встановити курсор за межами файла!"
 
-#: src/findreplace.c:523
+#: src/findreplace.c:525
 msgid ""
 "You may only give the offset as:\n"
 "  - a positive decimal number, or\n"
@@ -330,31 +317,31 @@ msgstr ""
 "  - шістнадцяткове число, що починається з «0x», чи\n"
 "  - знак «+» або «-» із наступним відносним відступом"
 
-#: src/findreplace.c:580
+#: src/findreplace.c:584
 msgid "String was not found."
 msgstr "Рядок не знайдено."
 
-#: src/findreplace.c:644
+#: src/findreplace.c:648
 #, c-format
 msgid "Search complete: %d replacements made."
 msgstr "Пошук завершено: виконано %d замін."
 
-#: src/findreplace.c:651
+#: src/findreplace.c:655
 msgid "No occurrences were found."
 msgstr "Не виявлено входжень."
 
 #. Translators: this is the string for an untitled buffer that will
 #. * be displayed in the titlebar when a user does File->New
 #.
-#: src/ghex-application-window.c:49 src/hex-document.c:1057
+#: src/ghex-application-window.c:49 src/hex-document.c:1091
 msgid "Untitled"
 msgstr "Без назви"
 
-#: src/ghex-application-window.c:284
+#: src/ghex-application-window.c:293
 msgid "There was an error saving the file."
 msgstr "Під час спроби зберегти файл сталася помилка."
 
-#: src/ghex-application-window.c:334
+#: src/ghex-application-window.c:336
 msgid ""
 "<b>You have one or more files open with unsaved changes.</b>\n"
 "\n"
@@ -366,18 +353,18 @@ msgstr ""
 "Ви справді хочете закрити вікно?\n"
 "\n"
 
-#: src/ghex-application-window.c:338
+#: src/ghex-application-window.c:339
 msgid "_Close Anyway"
 msgstr "_Закрити попри це"
 
-#: src/ghex-application-window.c:339 src/ghex-application-window.c:474
-#: src/ghex-application-window.c:1175
+#: src/ghex-application-window.c:340 src/ghex-application-window.c:475
+#: src/ghex-application-window.c:1179
 msgid "_Go Back"
 msgstr "П_овернутися"
 
 #. Translators: %s is the filename that is currently being
 #. * edited.
-#: src/ghex-application-window.c:452
+#: src/ghex-application-window.c:456
 #, c-format
 msgid ""
 "<big><b>%s has been edited since opening.</b></big>\n"
@@ -388,7 +375,7 @@ msgstr ""
 "\n"
 "Хочете зберегти внесені зміни?"
 
-#: src/ghex-application-window.c:458
+#: src/ghex-application-window.c:462
 msgid ""
 "<b>The buffer has been edited since opening.</b>\n"
 "\n"
@@ -398,20 +385,20 @@ msgstr ""
 "\n"
 "Хочете зберегти внесені зміни?"
 
-#: src/ghex-application-window.c:472
+#: src/ghex-application-window.c:473
 msgid "_Save Changes"
 msgstr "З_берегти зміни"
 
-#: src/ghex-application-window.c:473
+#: src/ghex-application-window.c:474
 msgid "_Discard Changes"
 msgstr "_Відкинути зміни"
 
-#: src/ghex-application-window.c:1028
+#: src/ghex-application-window.c:1035
 msgid "There was an error saving the file to the path specified."
 msgstr ""
 "Під час спроби збереження файла до вказаного каталогу сталася помилка."
 
-#: src/ghex-application-window.c:1047
+#: src/ghex-application-window.c:1054
 msgid ""
 "An unknown error has occurred in attempting to reload the file you have just "
 "saved."
@@ -419,13 +406,13 @@ msgstr ""
 "Сталася невідома помилка під час спроби повторно завантажити файл, який ви "
 "щойно зберегли."
 
-#: src/ghex-application-window.c:1099
+#: src/ghex-application-window.c:1107
 msgid "Select a file to save buffer as"
 msgstr "Виберіть файл для збереження буфера"
 
 #. Translators: %s here is the filename the user is being asked to
 #. * confirm whether they want to revert.
-#: src/ghex-application-window.c:1168
+#: src/ghex-application-window.c:1173
 #, c-format
 msgid ""
 "<big><b>Are you sure you want to revert %s?</b></big>\n"
@@ -440,15 +427,15 @@ msgstr ""
 "\n"
 "Наслідки цієї дії не можна буде скасувати."
 
-#: src/ghex-application-window.c:1174 src/ghex-application-window.ui.in:39
+#: src/ghex-application-window.c:1178 src/ghex-application-window.ui.in:39
 msgid "_Revert"
 msgstr "Від_новити"
 
-#: src/ghex-application-window.c:1258
+#: src/ghex-application-window.c:1266
 msgid "Select a file to open"
 msgstr "Вибрати файл для відкриття"
 
-#: src/ghex-application-window.c:1363
+#: src/ghex-application-window.c:1373
 #, c-format
 msgid ""
 "Sorry, but help could not be opened.\n"
@@ -471,7 +458,7 @@ msgstr ""
 "\n"
 "%s"
 
-#: src/ghex-application-window.c:1439
+#: src/ghex-application-window.c:1567
 #, c-format
 msgid ""
 "Offset: <tt>0x%lX</tt>; <tt>0x%lX</tt> bytes from <tt>0x%lX</tt> to "
@@ -480,12 +467,12 @@ msgstr ""
 "Зсув: <tt>0x%lX</tt>; позначено <tt>0x%lX</tt> байтів від <tt>0x%lX</tt> до "
 "<tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:1443
+#: src/ghex-application-window.c:1571
 #, c-format
 msgid "Offset: <tt>0x%lX</tt>"
 msgstr "Зсув: <tt>0x%lX</tt>"
 
-#: src/ghex-application-window.c:2079
+#: src/ghex-application-window.c:2381
 msgid ""
 "You are attempting to open a file 1GB or larger.\n"
 "\n"
@@ -511,10 +498,18 @@ msgstr ""
 "Щоб уникнути цього повідомлення, спробуйте скористатися іншим модулем "
 "обробки буфера."
 
-#: src/ghex-application-window.c:2136
+#: src/ghex-application-window.c:2439
 msgid "There was an error reading the file."
 msgstr "Під час читання з файла сталася помилка."
 
+#: src/ghex-application-window.c:2500
+msgid ""
+"There was an error loading the requested file. The file either no longer "
+"exists, is inaccessible, or you may not have permission to access the file."
+msgstr ""
+"Під час завантаження бажаного файла сталася помилка. Файла або не існує, або "
+"він недоступний, або, можливо, у вас немає прав доступу до файла."
+
 #: src/ghex-application-window.ui.in:31
 msgid "_New"
 msgstr "С_творити"
@@ -539,95 +534,99 @@ msgstr "Знайти й за_мінит
 msgid "_Jump to Byte"
 msgstr "Пере_йти до байта"
 
-#: src/ghex-application-window.ui.in:72
+#: src/ghex-application-window.ui.in:66
+msgid "_Marks"
+msgstr "Позна_чки"
+
+#: src/ghex-application-window.ui.in:76
 msgid "_Edit"
 msgstr "_Правка"
 
-#: src/ghex-application-window.ui.in:74
+#: src/ghex-application-window.ui.in:78
 msgid "_Copy Special"
 msgstr "С_пеціальне копіювання"
 
-#: src/ghex-application-window.ui.in:78
+#: src/ghex-application-window.ui.in:82
 msgid "_Paste Special"
 msgstr "Спе_ціальне вставлення"
 
-#: src/ghex-application-window.ui.in:85
-msgid "_Tools"
-msgstr "_Засоби"
-
-#: src/ghex-application-window.ui.in:87
-msgid "_Character Table"
-msgstr "_Таблиця символів"
-
-#: src/ghex-application-window.ui.in:91
-msgid "_Base Converter"
-msgstr "Перетворювач систем _числення"
-
-#: src/ghex-application-window.ui.in:98
+#: src/ghex-application-window.ui.in:86
 msgid "G_roup Data As"
 msgstr "_Групувати дані за"
 
-#: src/ghex-application-window.ui.in:100
+#: src/ghex-application-window.ui.in:88
 msgid "_Bytes (8-bit)"
 msgstr "_Байти (8-бітові)"
 
-#: src/ghex-application-window.ui.in:106
+#: src/ghex-application-window.ui.in:94
 msgid "_Words (16-bit)"
 msgstr "С_лова (16-бітові)"
 
-#: src/ghex-application-window.ui.in:111
+#: src/ghex-application-window.ui.in:99
 msgid "_Longwords (32-bit)"
 msgstr "Д_овгі слова (32-бітові)"
 
-#: src/ghex-application-window.ui.in:116
+#: src/ghex-application-window.ui.in:104
 msgid "_Quadwords (64-bit)"
 msgstr "_Чотири слова (64-бітові)"
 
-#: src/ghex-application-window.ui.in:126
+#: src/ghex-application-window.ui.in:113
+msgid "_Tools"
+msgstr "_Засоби"
+
+#: src/ghex-application-window.ui.in:115
+msgid "_Character Table"
+msgstr "_Таблиця символів"
+
+#: src/ghex-application-window.ui.in:119
+msgid "_Base Converter"
+msgstr "Перетворювач систем _числення"
+
+#: src/ghex-application-window.ui.in:128
 msgid "_Keyboard Shortcuts"
 msgstr "_Клавіатурні скорочення"
 
-#: src/ghex-application-window.ui.in:131
+#: src/ghex-application-window.ui.in:133
 msgid "_Preferences"
 msgstr "_Налаштування"
 
-#: src/ghex-application-window.ui.in:136
+#: src/ghex-application-window.ui.in:138
 msgid "_Help"
 msgstr "_Довідка"
 
-#: src/ghex-application-window.ui.in:141
+#: src/ghex-application-window.ui.in:143
 msgid "_About GHex"
 msgstr "_Про GHex"
 
-#: src/ghex-application-window.ui.in:170
+#: src/ghex-application-window.ui.in:172
 msgid "Open a file for hex editing"
 msgstr "Відкрити файл у шістнадцятковому редакторі"
 
-#: src/ghex-application-window.ui.in:173
+#: src/ghex-application-window.ui.in:175
 msgid "_Open"
 msgstr "_Відкрити"
 
-#: src/ghex-application-window.ui.in:186
+#: src/ghex-application-window.ui.in:188
 msgid "Main Menu"
 msgstr "Головне меню"
 
-#: src/ghex-application-window.ui.in:188
+#: src/ghex-application-window.ui.in:190
 msgid "Main menu"
 msgstr "Головне меню"
 
-#: src/ghex-application-window.ui.in:198
+#: src/ghex-application-window.ui.in:200
 msgid "Find a string in the hex document"
 msgstr "Знайти рядок у шістнадцятковому документі"
 
-#: src/ghex-application-window.ui.in:207
+#: src/ghex-application-window.ui.in:209
 msgid "Save document"
 msgstr "Зберегти документ"
 
-#: src/ghex-application-window.ui.in:215
+#: src/ghex-application-window.ui.in:217
 msgid "No File Loaded"
 msgstr "Не завантажено жодного файла"
 
-#: src/ghex-application-window.ui.in:218
+#: src/ghex-application-window.ui.in:220
 msgid ""
 "• Press the Open button\n"
 "• Press Ctrl+N to start a new document\n"
@@ -641,14 +640,14 @@ msgstr ""
 "\n"
 "або натисніть Ctrl+W, щоб закрити вікно."
 
-#: src/ghex-application-window.ui.in:307
+#: src/ghex-application-window.ui.in:309
 msgid ""
 "Toggle insert mode (add data to file rather than replace existing data)"
 msgstr ""
 "Перемкнути режим вставлення (дописувати дані до файла, а не заміняти наявні "
 "дані)"
 
-#: src/ghex-application-window.ui.in:319
+#: src/ghex-application-window.ui.in:321
 msgid "Toggle a pane showing various numeric conversions"
 msgstr "Перемкнути панель, на якій показано різні числові перетворення"
 
@@ -672,11 +671,11 @@ msgstr "Повт_орити"
 msgid "Cu_t"
 msgstr "Ви_різати"
 
-#: src/gtkhex.ui:76 src/paste-special.c:405
+#: src/gtkhex.ui:76 src/paste-special.c:420
 msgid "_Copy"
 msgstr "_Копіювати"
 
-#: src/gtkhex.ui:80 src/paste-special.ui:49
+#: src/gtkhex.ui:80 src/paste-special.ui:47
 msgid "_Paste"
 msgstr "Вст_авити"
 
@@ -737,74 +736,86 @@ msgid "Find and replace"
 msgstr "Знайти і замінити"
 
 #: src/help-overlay.ui:105
+msgid "Marks"
+msgstr "Позначки"
+
+#: src/help-overlay.ui:110
+msgid "Marks dialog"
+msgstr "Вікно позначок"
+
+#: src/help-overlay.ui:117
+msgid "Activate mark (0-9)"
+msgstr "Задіяти позначку (0-9)"
+
+#: src/help-overlay.ui:126
 msgid "Clipboard"
 msgstr "Буфер обміну"
 
-#: src/help-overlay.ui:110
+#: src/help-overlay.ui:131
 msgid "Copy"
 msgstr "Копіювати"
 
-#: src/help-overlay.ui:117
+#: src/help-overlay.ui:138
 msgid "Cut"
 msgstr "Вирізати"
 
-#: src/help-overlay.ui:124
+#: src/help-overlay.ui:145
 msgid "Paste"
 msgstr "Вставити"
 
-#: src/help-overlay.ui:131
+#: src/help-overlay.ui:152
 msgid "Copy special"
 msgstr "Спеціальне копіювання"
 
-#: src/help-overlay.ui:138
+#: src/help-overlay.ui:159
 msgid "Paste special"
 msgstr "Спеціальне вставлення"
 
-#: src/help-overlay.ui:147
+#: src/help-overlay.ui:168
 msgid "Navigation"
 msgstr "Навігація"
 
-#: src/help-overlay.ui:152
+#: src/help-overlay.ui:173
 msgid "Toggle left (hex) display"
 msgstr "Перемкнути ліву (шістнадцяткову) панель показу"
 
-#: src/help-overlay.ui:159
+#: src/help-overlay.ui:180
 msgid "Toggle right (ASCII) display"
 msgstr "Перемкнути праву (ASCII) панель показу"
 
-#: src/help-overlay.ui:166
+#: src/help-overlay.ui:187
 msgid "Switch to previous tab"
 msgstr "Переключитися до попередньої вкладки "
 
-#: src/help-overlay.ui:173
+#: src/help-overlay.ui:194
 msgid "Switch to next tab"
 msgstr "Переключитися до наступної вкладки "
 
-#: src/help-overlay.ui:180
+#: src/help-overlay.ui:201
 msgid "Jump to byte"
 msgstr "Перейти до байта"
 
-#: src/help-overlay.ui:187
+#: src/help-overlay.ui:208
 msgid "Move to beginning of document"
 msgstr "Перейти на початок документа"
 
-#: src/help-overlay.ui:194
+#: src/help-overlay.ui:215
 msgid "Move to end of document"
 msgstr "Перейти в кінець документа"
 
-#: src/help-overlay.ui:203
+#: src/help-overlay.ui:224
 msgid "General"
 msgstr "Загальне"
 
-#: src/help-overlay.ui:208
+#: src/help-overlay.ui:229
 msgid "Show help"
 msgstr "Показати довідку"
 
-#: src/help-overlay.ui:215
+#: src/help-overlay.ui:236
 msgid "Show preferences"
 msgstr "Показати налаштування"
 
-#: src/help-overlay.ui:222
+#: src/help-overlay.ui:243
 msgid "Toggle insert mode"
 msgstr "Перемкнути режим вставлення"
 
@@ -838,7 +849,7 @@ msgstr "Не вдалося створи
 msgid "Not a regular file or block device"
 msgstr "Не є звичайним файлом або блоковим пристроєм"
 
-#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:616
+#: src/hex-buffer-direct.c:240 src/hex-buffer-mmap.c:615
 msgid "Unable to open file for reading"
 msgstr "Не вдалося відкрити файл для читання"
 
@@ -874,19 +885,19 @@ msgstr ""
 "Критична помилка: не вдалося пов'язати пам'ять із файлом (%lu байтів, "
 "дескриптор файла %d)"
 
-#: src/hex-buffer-mmap.c:606
+#: src/hex-buffer-mmap.c:605
 msgid "Not a regular file"
 msgstr "Не є звичайним файлом"
 
-#: src/hex-buffer-mmap.c:647
+#: src/hex-buffer-mmap.c:646
 msgid "Failed to open temporary file."
 msgstr "Не вдалося відкрити тимчасовий файл."
 
-#: src/hex-buffer-mmap.c:686
+#: src/hex-buffer-mmap.c:685
 msgid "Error reading file"
 msgstr "Помилка при зчитуванні файла"
 
-#: src/hex-buffer-mmap.c:702
+#: src/hex-buffer-mmap.c:701
 msgid "An error has occurred"
 msgstr "Сталася помилка"
 
@@ -954,26 +965,22 @@ msgstr "Показувати беззн
 msgid "Stream Length:"
 msgstr "Довжина потоку:"
 
-#: src/hex-dialog.c:237
-msgid "FIXME: no conversion function"
-msgstr "FIXME: немає функції перетворення"
-
-#: src/hex-document.c:1085
+#: src/hex-document.c:1119
 #, c-format
 msgid "Page"
 msgstr "Сторінка"
 
-#: src/hex-document.c:1091 src/hex-document.c:1194
+#: src/hex-document.c:1125 src/hex-document.c:1228
 #, c-format
 msgid "Hex dump generated by"
 msgstr "Шістнадцятковий дамп згенеровано за"
 
-#: src/hex-document.c:1117
+#: src/hex-document.c:1151
 #, c-format
 msgid "Previous page"
 msgstr "Попередня сторінка"
 
-#: src/hex-document.c:1132
+#: src/hex-document.c:1166
 #, c-format
 msgid "Next page"
 msgstr "наступна сторінка"
@@ -982,13 +989,7 @@ msgstr "наступна сторінк
 msgid "Jump to byte (enter offset):"
 msgstr "Перейти до байта (введіть зсув):"
 
-#: src/jump-dialog.ui:43
-#| msgid ""
-#| "Enter the offset byte to jump to. The default is decimal format, but "
-#| "other format strings are supported such as hexidecimal format, if C-style "
-#| "notation using the '0x' prefix is used. If your string is not recognized, "
-#| "a dialog will be presented explaining the valid formats of strings "
-#| "accepted."
+#: src/jump-dialog.ui:44
 msgid ""
 "Enter the offset byte to jump to. The default is decimal format, but other "
 "format strings are supported such as hexadecimal format, if C-style notation "
@@ -1001,15 +1002,15 @@ msgstr ""
 "«0x». Якщо ваш рядок не буде розпізнано, програма покаже діалогове вікно із "
 "поясненням щодо прийнятних форматувань рядків."
 
-#: src/jump-dialog.ui:48
+#: src/jump-dialog.ui:49 src/mark-dialog.ui:110
 msgid "_Jump"
 msgstr "Пере_йти"
 
-#: src/jump-dialog.ui:54
+#: src/jump-dialog.ui:55
 msgid "Jumps to the specified byte"
 msgstr "Перейти до вказаного байта"
 
-#: src/jump-dialog.ui:64
+#: src/jump-dialog.ui:65
 msgid "Closes the jump-to-byte pane"
 msgstr "Закриває панель переходу до байта"
 
@@ -1026,7 +1027,58 @@ msgstr "Це GHex, версія %s\n"
 msgid "GHex - A hex editor for the GNOME desktop"
 msgstr "GHex — шістнадцятковий редактор для середовища GNOME."
 
-#: src/paste-special.c:220
+#. Translators: this is meant to show a range of hex offset values.
+#. * eg, "0xAA - 0xFF"
+#.
+#: src/mark-dialog.c:125
+#, c-format
+msgid "0x%lX - 0x%lX"
+msgstr "0x%lX – 0x%lX"
+
+#: src/mark-dialog.ui:36
+msgid "Mark:"
+msgstr "Позначка:"
+
+#: src/mark-dialog.ui:50
+msgid "Select the desired mark to set, jump to, or delete"
+msgstr ""
+"Виберіть позначку, яку слід встановити, до якої слід перейти або яку слід "
+"вилучити"
+
+#: src/mark-dialog.ui:58
+#| msgid "Pick a custom color for the mark, if desired."
+msgid "Optional custom color for the mark"
+msgstr "Необов'язковий нетиповий колір для позначки"
+
+#: src/mark-dialog.ui:74
+msgid "Pick a custom color for the mark, if desired."
+msgstr "Виберіть, якщо хочете, нетиповий колір для позначки"
+
+#: src/mark-dialog.ui:96
+msgid "_Set"
+msgstr "_Встановити"
+
+#: src/mark-dialog.ui:103
+msgid "Set a mark on a byte or range of bytes"
+msgstr "Встановити позначку на байті або діапазоні байтів"
+
+#: src/mark-dialog.ui:122
+msgid "Bring the cursor to the specified mark"
+msgstr "Перевести курсор до вказаної позначки"
+
+#: src/mark-dialog.ui:129
+msgid "_Delete"
+msgstr "Ви_лучити"
+
+#: src/mark-dialog.ui:141
+msgid "Delete the specified mark"
+msgstr "Вилучити вказану позначку"
+
+#: src/mark-dialog.ui:153
+msgid "Closes the marks pane"
+msgstr "Закриває панель позначок"
+
+#: src/paste-special.c:218
 #, c-format
 msgid ""
 "Paste failed; invalid hex format.\n"
@@ -1042,32 +1094,31 @@ msgstr ""
 "\n"
 "Приклад: «FF 3D 99 0A»"
 
-#: src/paste-special.c:310
+#: src/paste-special.c:305
 msgid "GHex Paste Data"
 msgstr "Вставлення даних GHex"
 
-#: src/paste-special.c:407
+#: src/paste-special.c:422
 msgid "Copy Special"
 msgstr "Спеціальне копіювання"
 
-#: src/paste-special.c:512
+#: src/paste-special.c:527
 msgid "Plain text (as ASCII)"
 msgstr "Звичайний текст (як ASCII)"
 
-#: src/paste-special.c:529
+#: src/paste-special.c:544
 msgid "Plain text (Unicode)"
 msgstr "Звичайний текст (Unicode)"
 
-#: src/paste-special.c:533
+#: src/paste-special.c:548
 msgid "Plain text (as space-delimited hex pairs)"
 msgstr "Звичайний текст (як відокремлені пробілами шістн. пари)"
 
-#. paste_special_dialog
 #: src/paste-special.ui:28
 msgid "Paste Special"
 msgstr "Спеціальне вставлення"
 
-#: src/paste-special.ui:55
+#: src/paste-special.ui:53
 msgid "_Cancel"
 msgstr "_Скасувати"
 
@@ -1180,17 +1231,24 @@ msgstr "Замінити _все"
 msgid "Replaces all occurrences of the search string with the replace string"
 msgstr "Замінити всі екземпляри рядка пошуку рядком заміни"
 
+#~ msgid "Logan Rathbone"
+#~ msgstr "Logan Rathbone"
+
+#~ msgid "FIXME: no conversion function"
+#~ msgstr "FIXME: немає функції перетворення"
+
+#~ msgid "_Insert Character"
+#~ msgstr "_Вставити символ"
+
+#~ msgid "A binary file editor"
+#~ msgstr "Редактор двійкових даних"
+
+#~ msgid "GHex Website"
+#~ msgstr "Сайт GHex"
+
 #~ msgid "Show About dialog"
 #~ msgstr "Показати вікно «Про програму»"
 
-#~ msgid ""
-#~ "There was an error loading the requested file. The file either no longer "
-#~ "exists, is inaccessible, or you may not have permission to access the "
-#~ "file."
-#~ msgstr ""
-#~ "Під час завантаження бажаного файла сталася помилка. Файла або не існує, "
-#~ "або він недоступний, або, можливо, у вас немає прав доступу до файла."
-
 #~ msgid "Hex Group Type"
 #~ msgstr "Тип групування шістнадцяткових"
 
diff -pruN 45.1-1/src/chartable.c 46.0-1/src/chartable.c
--- 45.1-1/src/chartable.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/chartable.c	2024-03-22 05:14:59.000000000 +0000
@@ -10,7 +10,7 @@
    to maintain the source code under the licensing terms described
    herein and below.
 
-   Copyright © 2021-2022 Logan Rathbone <poprocks@gmail.com>
+   Copyright © 2021-2023 Logan Rathbone <poprocks@gmail.com>
 
    GHex is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
@@ -34,9 +34,6 @@
 
 #include <config.h>
 
-/* TODO: Replace GtkTreeView usage */
-G_GNUC_BEGIN_IGNORE_DEPRECATIONS
-
 /* STATIC GLOBALS */
 
 static GtkTreeSelection *sel_row = NULL;
@@ -77,60 +74,222 @@ static char *ascii_non_printable_label[]
 	"US"
 };
 
-static void
-insert_char (GtkTreeView *treeview, GtkTreeModel *model)
+/* HexChartableValue object */
+
+#define HEX_TYPE_CHARTABLE_VALUE (hex_chartable_value_get_type ())
+G_DECLARE_FINAL_TYPE (HexChartableValue, hex_chartable_value, HEX, CHARTABLE_VALUE, GObject);
+
+enum {
+  PROP_0,
+  PROP_VALUE,
+  PROP_ASCII,
+  PROP_HEX,
+  PROP_DECIMAL,
+  PROP_OCTAL,
+  PROP_BINARY,
+  N_PROPS
+};
+
+static GParamSpec *properties[N_PROPS];
+
+struct _HexChartableValue
+{
+	GObject parent_instance;
+
+	guchar val;
+};
+
+G_DEFINE_TYPE (HexChartableValue, hex_chartable_value, G_TYPE_OBJECT)
+
+/* All of the getters below should be transfer: full */
+
+static char *
+hex_chartable_value_get_ascii (HexChartableValue *self)
+{
+	char *str = NULL;
+
+	if (self->val< 0x20) {
+		str = g_strdup (ascii_non_printable_label[self->val]);
+	}
+	else if (self->val < 0x7f) {
+		str = g_strdup_printf ("%c", self->val);
+	}
+
+	return str;
+}
+
+static char *
+hex_chartable_value_get_hex (HexChartableValue *self)
+{
+	return g_strdup_printf ("%02X", self->val);
+}
+
+static char *
+hex_chartable_value_get_decimal (HexChartableValue *self)
+{
+	return g_strdup_printf ("%03d", self->val);
+}
+
+static char *
+hex_chartable_value_get_octal (HexChartableValue *self)
+{
+	return g_strdup_printf ("%03o", self->val);
+}
+
+static char *
+hex_chartable_value_get_binary (HexChartableValue *self)
+{
+	/* 9 == 8 characters + null terminator. */
+	char *bin_label = g_malloc0 (9);
+
+	/* fill in character string with 0's and 1's backwards. */
+	for (int col = 0; col < 8; ++col) {
+		bin_label[7-col] = (self->val & (1L << col)) ? '1' : '0';
+	}
+
+	return bin_label;
+}
+
+static void hex_chartable_value_get_property (GObject *object,
+		guint property_id,
+		GValue *value,
+		GParamSpec *pspec)
+{
+	HexChartableValue *self = HEX_CHARTABLE_VALUE(object);
+
+	switch (property_id)
+	{
+		case PROP_VALUE:
+			g_value_set_uchar (value, self->val);
+			break;
+
+		case PROP_ASCII:
+			g_value_take_string (value, hex_chartable_value_get_ascii (self));
+			break;
+
+		case PROP_HEX:
+			g_value_take_string (value, hex_chartable_value_get_hex (self));
+			break;
+
+		case PROP_DECIMAL:
+			g_value_take_string (value, hex_chartable_value_get_decimal (self));
+			break;
+
+		case PROP_OCTAL:
+			g_value_take_string (value, hex_chartable_value_get_octal (self));
+			break;
+
+		case PROP_BINARY:
+			g_value_take_string (value, hex_chartable_value_get_binary (self));
+			break;
+
+		default:
+			G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
+			break;
+	}
+}
+
+static void hex_chartable_value_set_property (GObject *object,
+		guint property_id,
+		const GValue *value,
+		GParamSpec *pspec)
 {
-	GtkTreeIter iter;
-	GtkTreeSelection *selection;
-	GValue value = { 0 };
-	HexDocument *doc;
-
-	g_return_if_fail (HEX_IS_WIDGET(gh_glob));
-
-	doc = hex_widget_get_document (gh_glob);
-
-	selection = gtk_tree_view_get_selection(treeview);
-	if (! gtk_tree_selection_get_selected (selection, &model, &iter))
-		return;
-
-	gtk_tree_model_get_value(model, &iter, 2, &value);
-	if (selection == sel_row) {
-		hex_document_set_byte (doc,
-				(guchar)atoi(g_value_get_string(&value)),
-				hex_widget_get_cursor (gh_glob),
-				hex_widget_get_insert_mode (gh_glob),
-				TRUE);	/* undoable */
+	HexChartableValue *self = HEX_CHARTABLE_VALUE(object);
 
-		hex_widget_set_cursor (gh_glob, hex_widget_get_cursor (gh_glob) + 1);
+	switch (property_id)
+	{
+		case PROP_VALUE:
+			self->val = g_value_get_uchar (value);
+			break;
+
+		default:
+			G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
+			break;
 	}
-	g_value_unset(&value);
-	sel_row = selection;
 }
 
 static void
-chartable_row_activated_cb (GtkTreeView *tree_view,
-		GtkTreePath *path,
-		GtkTreeViewColumn *column,
+hex_chartable_value_class_init (HexChartableValueClass *klass)
+{
+	GObjectClass *gobject_class = G_OBJECT_CLASS(klass);
+	/* flags for all properties EXCEPT 'value' */
+	GParamFlags flags = G_PARAM_READABLE | G_PARAM_STATIC_STRINGS;
+
+	gobject_class->get_property = hex_chartable_value_get_property;
+	gobject_class->set_property = hex_chartable_value_set_property;
+
+	properties[PROP_VALUE] = g_param_spec_uchar ("value", NULL, NULL, 0, 255, 0,
+			G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_CONSTRUCT_ONLY);
+	properties[PROP_ASCII] = g_param_spec_string ("ascii", NULL, NULL, NULL, flags);
+	properties[PROP_HEX] = g_param_spec_string ("hex", NULL, NULL, NULL, flags);
+	properties[PROP_DECIMAL] = g_param_spec_string ("decimal", NULL, NULL, NULL, flags);
+	properties[PROP_OCTAL] = g_param_spec_string ("octal", NULL, NULL, NULL, flags);
+	properties[PROP_BINARY] = g_param_spec_string ("binary", NULL, NULL, NULL, flags);
+
+	g_object_class_install_properties (gobject_class, N_PROPS, properties);
+}
+
+static void
+hex_chartable_value_init (HexChartableValue *self)
+{
+}
+
+static HexChartableValue *
+hex_chartable_value_new (guchar val)
+{
+	return g_object_new (HEX_TYPE_CHARTABLE_VALUE,
+			"value", val,
+			NULL);
+}
+
+/* --- */
+
+static void
+insert_char (guchar byte)
+{
+	hex_document_set_byte (hex_widget_get_document (gh_glob),
+			byte,
+			hex_widget_get_cursor (gh_glob),
+			hex_widget_get_insert_mode (gh_glob),
+			TRUE);	/* undoable */
+
+	hex_widget_set_cursor (gh_glob, hex_widget_get_cursor (gh_glob) + 1);
+}
+
+
+static void
+columnview_activate_cb (GtkColumnView *columnview,
+		guint position,
 		gpointer user_data)
 {
-	GtkTreeModel *model = GTK_TREE_MODEL(user_data);
+	insert_char ((guchar)position);
+}
 
-	g_debug("%s: start", __func__);
+static void
+insert_button_clicked_cb (GtkButton *button, GtkColumnView *columnview)
+{
+	GtkSingleSelection *selection = GTK_SINGLE_SELECTION(gtk_column_view_get_model (columnview));
 
-	insert_char (tree_view, model);
+	insert_char ((guchar)gtk_single_selection_get_selected (selection));
 }
 
 static void
-inbtn_clicked_cb (GtkButton *button, gpointer user_data)
+setup_columnview (GtkWidget *columnview)
 {
-	GtkTreeView *treeview = GTK_TREE_VIEW(user_data);
-	GtkTreeModel *model;
+	GListStore *store = g_list_store_new (HEX_TYPE_CHARTABLE_VALUE);
+	GtkSingleSelection *selection;
 
-	g_return_if_fail (GTK_IS_TREE_VIEW(treeview));
+	for (int i = 0; i < 256; ++i)
+	{
+		HexChartableValue *hv = hex_chartable_value_new ((guchar)i);
+		g_list_store_append (store, hv);
+		g_object_unref (hv);
+	}
 
-	model = gtk_tree_view_get_model (treeview);
+	selection = gtk_single_selection_new (G_LIST_MODEL(store));
+	gtk_column_view_set_model (GTK_COLUMN_VIEW(columnview), GTK_SELECTION_MODEL(selection));
 
-	insert_char (treeview, model);
+	g_signal_connect (columnview, "activate", G_CALLBACK(columnview_activate_cb), NULL);
 }
 
 static gboolean
@@ -149,137 +308,37 @@ key_press_cb (GtkEventControllerKey *key
 }
 
 
-GtkWidget *create_char_table (GtkWindow *parent_win, HexWidget *gh)
+GtkWidget *
+create_char_table (GtkWindow *parent_win, HexWidget *gh)
 {
-	static gchar *fmt[] = { NULL, "%02X", "%03d", "%03o" };
-	static gchar *titles[] = {  N_("ASCII"), N_("Hex"), N_("Decimal"),
-		N_("Octal"), N_("Binary") };
-	gchar *real_titles[5];
-	GtkWidget *ct, *sw, *ctv, *inbtn, *cbtn, *vbox, *hbox, *lbl, *sep;
-	GtkListStore *store;
-	GtkCellRenderer *cell_renderer;
-	GtkTreeViewColumn *column;
-	GtkTreeIter iter;
-	GtkTreeSelection *selection;
-	int i, col;
-	gchar *label, ascii_printable_label[2], bin_label[9], *row[5];
+	GtkBuilder *builder = gtk_builder_new_from_resource (RESOURCE_BASE_PATH "/chartable.ui");
+	GtkWidget *window = GTK_WIDGET(gtk_builder_get_object (builder, "window"));
+	GtkWidget *columnview = GTK_WIDGET(gtk_builder_get_object (builder, "columnview"));
+	GtkWidget *insert_button = GTK_WIDGET(gtk_builder_get_object (builder, "insert_button"));
+	GtkWidget *close_button = GTK_WIDGET(gtk_builder_get_object (builder, "close_button"));
 	GtkEventController *key;
 
 	/* set global HexWidget widget */
 	g_assert (HEX_IS_WIDGET(gh));
 	gh_glob = gh;
 
-	/* Create our char table window and set as child of parent window,
-	 * if requested.
-	 */
-	ct = gtk_window_new ();
-
+	/* Make ESC close the dialog */
 	key = gtk_event_controller_key_new ();
-	gtk_widget_add_controller (ct, key);
-	g_signal_connect (key, "key-pressed", G_CALLBACK(key_press_cb), ct);
+	gtk_widget_add_controller (window, key);
+	g_signal_connect (key, "key-pressed", G_CALLBACK(key_press_cb), window);
 
 	if (parent_win) {
 		g_assert (GTK_IS_WINDOW (parent_win));
 
-		gtk_window_set_transient_for (GTK_WINDOW(ct), parent_win);
-	}
-
-	gtk_window_set_title(GTK_WINDOW(ct), _("Character table"));
-
-	sw = gtk_scrolled_window_new ();
-	gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(sw),
-			GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
-
-	for(i = 0; i < 5; i++)
-		real_titles[i] = _(titles[i]);
-
-	store = gtk_list_store_new(5, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING);
-	cell_renderer = gtk_cell_renderer_text_new();
-	ctv = gtk_tree_view_new_with_model(GTK_TREE_MODEL(store));
-	gtk_widget_set_hexpand (ctv, TRUE);
-	gtk_widget_set_vexpand (ctv, TRUE);
-
-	for (i = 0; i < 5; i++) {
-		column = gtk_tree_view_column_new_with_attributes (real_titles[i], cell_renderer, "text", i, NULL);
-		gtk_tree_view_append_column(GTK_TREE_VIEW(ctv), column);
-	}
-
-	bin_label[8] = 0;
-	ascii_printable_label[1] = 0;
-	for(i = 0; i < 256; i++) {
-		if(i < 0x20)
-			row[0] = ascii_non_printable_label[i];
-		else if(i < 0x7f) {
-			ascii_printable_label[0] = i;
-			row[0] = ascii_printable_label;
-		}
-		else
-			row[0] = "";
-		for(col = 1; col < 4; col++) {
-#if defined(__GNUC__) && (__GNUC__ > 4)
-#pragma GCC diagnostic push
-#pragma GCC diagnostic ignored "-Wformat-nonliteral"
-#endif
-			label = g_strdup_printf(fmt[col], i);
-#if defined(__GNUC__) && (__GNUC__ > 4)
-#pragma GCC diagnostic pop
-#endif
-			row[col] = label;
-		}
-		for(col = 0; col < 8; col++) {
-			bin_label[7-col] = (i & (1L << col))?'1':'0';
-			row[4] = bin_label;
-		}
-
-		gtk_list_store_append(GTK_LIST_STORE(store), &iter);
-		gtk_list_store_set(GTK_LIST_STORE(store), &iter,
-				   0, row[0],
-				   1, row[1],
-				   2, row[2],
-				   3, row[3],
-				   4, row[4],
-				   -1);
-
-		for(col = 1; col < 4; col++)
-			g_free(row[col]);
+		gtk_window_set_transient_for (GTK_WINDOW(window), parent_win);
 	}
 
-	selection = gtk_tree_view_get_selection(GTK_TREE_VIEW (ctv));
-	gtk_tree_selection_set_mode(selection, GTK_SELECTION_SINGLE);
-
-	g_signal_connect (ctv, "row-activated",
-			G_CALLBACK(chartable_row_activated_cb), GTK_TREE_MODEL(store));
-
-	gtk_widget_grab_focus(ctv);
-
-	inbtn = gtk_button_new_with_mnemonic (_("_Insert Character"));
-	g_signal_connect(G_OBJECT (inbtn), "clicked",
-					G_CALLBACK(inbtn_clicked_cb), ctv);
-
-	cbtn = gtk_button_new_with_mnemonic (_("_Close"));
-	g_signal_connect_swapped (cbtn, "clicked", G_CALLBACK(gtk_window_close), ct);
+	setup_columnview (columnview);
 
-	lbl = gtk_label_new ("");
-	vbox = gtk_box_new (GTK_ORIENTATION_VERTICAL, 4);
-	hbox = gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 4);
-	gtk_widget_set_name (hbox, "chartable-action-area");
+	g_signal_connect_swapped (close_button, "clicked", G_CALLBACK(gtk_window_close), window);
+	g_signal_connect (insert_button, "clicked", G_CALLBACK(insert_button_clicked_cb), columnview);
 
-	sep = gtk_separator_new (GTK_ORIENTATION_HORIZONTAL);
+	g_object_unref (builder);
 
-	gtk_box_append (GTK_BOX(hbox), lbl);
-	gtk_box_append (GTK_BOX(hbox), inbtn);
-	gtk_box_append (GTK_BOX(hbox), cbtn);
-
-	gtk_box_append (GTK_BOX(vbox), sw);
-	gtk_box_append (GTK_BOX(vbox), sep);
-	gtk_box_append (GTK_BOX(vbox), hbox);
-
-	gtk_scrolled_window_set_child (GTK_SCROLLED_WINDOW(sw), ctv);
-	gtk_window_set_child (GTK_WINDOW(ct), vbox);
-
-	gtk_widget_set_size_request (ct, 320, 320);
-
-	return ct;
+	return window;
 }
-
-G_GNUC_END_IGNORE_DEPRECATIONS
diff -pruN 45.1-1/src/chartable.ui 46.0-1/src/chartable.ui
--- 45.1-1/src/chartable.ui	1970-01-01 00:00:00.000000000 +0000
+++ 46.0-1/src/chartable.ui	2024-03-22 05:14:59.000000000 +0000
@@ -0,0 +1,193 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- vim: ts=2 sw=2 expandtab foldmethod=indent
+-->
+<!--
+   Copyright © 2023 Logan Rathbone <poprocks@gmail.com>
+
+   GHex is free software; you can redistribute it and/or
+   modify it under the terms of the GNU General Public License as
+   published by the Free Software Foundation; either version 2 of the
+   License, or (at your option) any later version.
+
+   GHex is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with GHex; see the file COPYING.
+   If not, write to the Free Software Foundation, Inc.,
+   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+   Original GHex Author: Jaka Mocnik <jaka@gnu.org>
+-->
+
+<interface>
+  <object class="GtkWindow" id="window">
+    <property name="default-width">400</property>
+    <property name="default-height">400</property>
+    <property name="title" translatable="yes">Character table</property>
+    <child>
+      <object class="GtkBox">
+        <property name="orientation">vertical</property>
+        <property name="spacing">6</property>
+        <child>
+          <object class="GtkScrolledWindow">
+            <child>
+              <object class="GtkColumnView" id="columnview">
+                <property name="single-click-activate">false</property>
+                <property name="vexpand">true</property>
+                <property name="hexpand">true</property>
+                <child>
+                  <object class="GtkColumnViewColumn" id="ascii_column">
+                    <property name="title" translatable="yes">ASCII</property>
+                    <property name="factory">
+                      <object class="GtkBuilderListItemFactory">
+                        <property name="bytes"><![CDATA[
+                        <?xml version="1.0" encoding="UTF-8"?>
+                        <interface>
+                          <template class="GtkListItem">
+                            <property name="child">
+                              <object class="GtkLabel">
+                                <binding name="label">
+                                  <lookup name="ascii" type="HexChartableValue">
+                                    <lookup name="item">GtkListItem</lookup>
+                                  </lookup>
+                                </binding>
+                              </object>
+                            </property>
+                          </template>
+                        </interface>
+                          ]]></property>
+                      </object>
+                    </property>
+                  </object>
+                </child>
+                <child>
+                  <object class="GtkColumnViewColumn" id="hex_column">
+                    <property name="title" translatable="yes">Hex</property>
+                    <property name="factory">
+                      <object class="GtkBuilderListItemFactory">
+                        <property name="bytes"><![CDATA[
+                        <?xml version="1.0" encoding="UTF-8"?>
+                        <interface>
+                          <template class="GtkListItem">
+                            <property name="child">
+                              <object class="GtkLabel">
+                                <binding name="label">
+                                  <lookup name="hex" type="HexChartableValue">
+                                    <lookup name="item">GtkListItem</lookup>
+                                  </lookup>
+                                </binding>
+                              </object>
+                            </property>
+                          </template>
+                        </interface>
+                          ]]></property>
+                      </object>
+                    </property>
+                  </object>
+                </child>
+                <child>
+                  <object class="GtkColumnViewColumn" id="decimal_column">
+                    <property name="title" translatable="yes">Decimal</property>
+                    <property name="factory">
+                      <object class="GtkBuilderListItemFactory">
+                        <property name="bytes"><![CDATA[
+                        <?xml version="1.0" encoding="UTF-8"?>
+                        <interface>
+                          <template class="GtkListItem">
+                            <property name="child">
+                              <object class="GtkLabel">
+                                <binding name="label">
+                                  <lookup name="decimal" type="HexChartableValue">
+                                    <lookup name="item">GtkListItem</lookup>
+                                  </lookup>
+                                </binding>
+                              </object>
+                            </property>
+                          </template>
+                        </interface>
+                          ]]></property>
+                      </object>
+                    </property>
+                  </object>
+                </child>
+                <child>
+                  <object class="GtkColumnViewColumn" id="octal_column">
+                    <property name="title" translatable="yes">Octal</property>
+                    <property name="factory">
+                      <object class="GtkBuilderListItemFactory">
+                        <property name="bytes"><![CDATA[
+                        <?xml version="1.0" encoding="UTF-8"?>
+                        <interface>
+                          <template class="GtkListItem">
+                            <property name="child">
+                              <object class="GtkLabel">
+                                <binding name="label">
+                                  <lookup name="octal" type="HexChartableValue">
+                                    <lookup name="item">GtkListItem</lookup>
+                                  </lookup>
+                                </binding>
+                              </object>
+                            </property>
+                          </template>
+                        </interface>
+                          ]]></property>
+                      </object>
+                    </property>
+                  </object>
+                </child>
+                <child>
+                  <object class="GtkColumnViewColumn" id="binary_column">
+                    <property name="title" translatable="yes">Binary</property>
+                    <property name="factory">
+                      <object class="GtkBuilderListItemFactory">
+                        <property name="bytes"><![CDATA[
+                        <?xml version="1.0" encoding="UTF-8"?>
+                        <interface>
+                          <template class="GtkListItem">
+                            <property name="child">
+                              <object class="GtkLabel">
+                                <binding name="label">
+                                  <lookup name="binary" type="HexChartableValue">
+                                    <lookup name="item">GtkListItem</lookup>
+                                  </lookup>
+                                </binding>
+                              </object>
+                            </property>
+                          </template>
+                        </interface>
+                          ]]></property>
+                      </object>
+                    </property>
+                  </object>
+                </child>
+              </object>
+            </child>
+          </object>
+        </child>
+        <child>
+          <object class="GtkBox">
+            <property name="orientation">horizontal</property>
+            <property name="spacing">6</property>
+            <property name="name">chartable-action-area</property>
+            <child>
+              <object class="GtkButton" id="insert_button">
+                <property name="use-underline">true</property>
+                <property name="label">_Insert Character</property>
+              </object>
+            </child>
+            <child>
+              <object class="GtkButton" id="close_button">
+                <property name="use-underline">true</property>
+                <property name="label">_Close</property>
+              </object>
+            </child>
+          </object>
+        </child>
+      </object>
+    </child>
+  </object>
+</interface>
diff -pruN 45.1-1/src/common-ui.c 46.0-1/src/common-ui.c
--- 45.1-1/src/common-ui.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/common-ui.c	2024-03-22 05:14:59.000000000 +0000
@@ -182,7 +182,6 @@ set_css_provider_font_from_settings (voi
 	desc = pango_font_description_from_string (def_font_name);
 	css_str = pango_font_description_to_css (desc, ".hex");
 
-	/* TODO: Move to gtk_uri_launcher_launch - requires gtk >= 4.10 */
 	G_GNUC_BEGIN_IGNORE_DEPRECATIONS
 	gtk_css_provider_load_from_data (global_provider,
 			css_str, -1);
@@ -208,6 +207,7 @@ common_set_gtkhex_font_from_settings (He
 void
 common_help_cb (GtkWindow *parent)
 {
+	/* TODO: Move to gtk_uri_launcher_launch - requires gtk >= 4.10 */
 	G_GNUC_BEGIN_IGNORE_DEPRECATIONS
 	gtk_show_uri (parent,
 	              "help:ghex",
@@ -275,22 +275,20 @@ common_about_cb (GtkWindow *parent)
 	else
 		version = PACKAGE_VERSION;
 
-	gtk_show_about_dialog (parent,
-	                       "authors", authors,
-	                       "comments", _("A binary file editor"),
-	                       "copyright", copyright,
-	                       "documenters", documentation_credits,
-	                       "license", license_translated,
-	                       "logo-icon-name", APP_ID,
-	                       "program-name",
-						   strstr (APP_ID, "Devel") ? "GHex (Development)" : "GHex",
-	                       "title", _("About GHex"),
-	                       "translator-credits", _("translator-credits"),
-	                       "version", version,
-	                       "website", "https://wiki.gnome.org/Apps/Ghex",
-	                       "website-label", _("GHex Website"),
-	                       "wrap-license", TRUE,
-	                       NULL);
+    adw_show_about_window (parent,
+                          "developers", authors,
+                          "copyright", copyright,
+                          "issue-url", "https://gitlab.gnome.org/GNOME/ghex/-/issues",
+                          "documenters", documentation_credits,
+                          "license", license_translated,
+                          "application-icon", APP_ID,
+                          "application-name",
+                          strstr (APP_ID, "Devel") ? "GHex (Development)" : "GHex",
+                          "title", _("About GHex"),
+                          "translator-credits", _("translator-credits"),
+                          "version", version,
+                          "website", "https://wiki.gnome.org/Apps/Ghex",
+                          NULL);
 
 	g_free (license_translated);
 	g_free (copyright);
diff -pruN 45.1-1/src/converter.c 46.0-1/src/converter.c
--- 45.1-1/src/converter.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/converter.c	2024-03-22 05:14:59.000000000 +0000
@@ -67,20 +67,6 @@ static gchar * clean(gchar *ptr);
 
 static Converter *converter = NULL;
 
-/* --- */
-
-/* reimplement this old function to avoid headaches. FIXME - make this common,
- * perhaps?
- */
-static void
-my_gtk_entry_set_text (GtkEntry *entry, char *text)
-{
-	GtkEntryBuffer *buffer;
-
-	buffer = gtk_entry_get_buffer (entry);
-	gtk_entry_buffer_set_text (buffer, text, -1);
-}
-
 static gboolean
 is_char_ok(signed char c, gint base)
 {
@@ -274,13 +260,13 @@ set_values(Converter *conv, gulong val)
 	for(i = 0; i < 32; i++)
 		buffer[i] =((val & (1L << (31 - i)))?'1':'0');
 	buffer[i] = 0;
-	my_gtk_entry_set_text(GTK_ENTRY(conv->entry[0]), clean(buffer));
+	gtk_editable_set_text (GTK_EDITABLE(conv->entry[0]), clean(buffer));
 
 	g_snprintf(buffer, CONV_BUFFER_LEN, "%o",(unsigned int)val);
-	my_gtk_entry_set_text(GTK_ENTRY(conv->entry[1]), buffer);
+	gtk_editable_set_text (GTK_EDITABLE(conv->entry[1]), buffer);
 	
 	g_snprintf(buffer, CONV_BUFFER_LEN, "%lu", val);
-	my_gtk_entry_set_text(GTK_ENTRY(conv->entry[2]), buffer);
+	gtk_editable_set_text (GTK_EDITABLE(conv->entry[2]), buffer);
 
 	for(i = 0, tmp = val; i < nhex; i++) {
 		buffer[nhex - i - 1] = (tmp & 0x0000000FL);
@@ -291,7 +277,7 @@ set_values(Converter *conv, gulong val)
 		tmp = tmp >> 4;
 	}
 	buffer[i] = '\0';
-	my_gtk_entry_set_text(GTK_ENTRY(conv->entry[3]), buffer);
+	gtk_editable_set_text (GTK_EDITABLE(conv->entry[3]), buffer);
 	
 	for(i = 0, tmp = val; i < nbytes; i++) {
 		buffer[nbytes - i - 1] = tmp & 0x000000FF;
@@ -300,7 +286,7 @@ set_values(Converter *conv, gulong val)
 		tmp = tmp >> 8;
 	}
 	buffer[i] = 0;
-	my_gtk_entry_set_text(GTK_ENTRY(conv->entry[4]), buffer);
+	gtk_editable_set_text (GTK_EDITABLE(conv->entry[4]), buffer);
 }
 
 static void
@@ -350,8 +336,7 @@ conv_entry_cb(GtkEntry *entry, gint base
 		if(*endptr != 0) {
 			converter->value = 0;
 			for(i = 0; i < 5; i++)
-				my_gtk_entry_set_text(GTK_ENTRY(converter->entry[i]),
-						_("ERROR"));
+				gtk_editable_set_text (GTK_EDITABLE(converter->entry[i]), _("ERROR"));
 			gtk_editable_select_region(GTK_EDITABLE(entry), 0, -1);
 			return;
 		}
diff -pruN 45.1-1/src/find-dialog.ui 46.0-1/src/find-dialog.ui
--- 45.1-1/src/find-dialog.ui	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/find-dialog.ui	2024-03-22 05:14:59.000000000 +0000
@@ -23,7 +23,7 @@
 	Original GHex Author: Jaka Mocnik <jaka@gnu.org>
 -->
 
-<interface domain="gtk40">
+<interface>
 	<template class="FindDialog" parent="PaneDialog">
 
 		<child><object class="GtkBox" id="vbox">
diff -pruN 45.1-1/src/findreplace.c 46.0-1/src/findreplace.c
--- 45.1-1/src/findreplace.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/findreplace.c	2024-03-22 05:14:59.000000000 +0000
@@ -813,6 +813,19 @@ pane_dialog_set_hex (PaneDialog *self, H
 	pane_dialog_update_busy_state (self);
 }
 
+/* (transfer none) */
+HexWidget *
+pane_dialog_get_hex (PaneDialog *self)
+{
+	PaneDialogPrivate *priv;
+
+	g_return_val_if_fail (PANE_IS_DIALOG (self), NULL);
+
+	priv = pane_dialog_get_instance_private (self);
+
+	return priv->gh;
+}
+
 void
 pane_dialog_close (PaneDialog *self)
 {
diff -pruN 45.1-1/src/findreplace.h 46.0-1/src/findreplace.h
--- 45.1-1/src/findreplace.h	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/findreplace.h	2024-03-22 05:14:59.000000000 +0000
@@ -79,6 +79,7 @@ G_DECLARE_FINAL_TYPE (JumpDialog, jump_d
 
 /* PaneDialog (generic) */
 void pane_dialog_set_hex (PaneDialog *self, HexWidget *gh);
+HexWidget *pane_dialog_get_hex (PaneDialog *self);
 void pane_dialog_close (PaneDialog *self);
 
 /* FindDialog */
diff -pruN 45.1-1/src/generate-mark-bindings.sh 46.0-1/src/generate-mark-bindings.sh
--- 45.1-1/src/generate-mark-bindings.sh	1970-01-01 00:00:00.000000000 +0000
+++ 46.0-1/src/generate-mark-bindings.sh	2024-03-22 05:14:59.000000000 +0000
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# Used to generate mark keybindings in ghex-application-window.c
+
+for i in 0 1 2 3 4 5 6 7 8 9; do
+	cat << EOF
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_${i},
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			${i});
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_${i},
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			${i});
+EOF
+done
diff -pruN 45.1-1/src/ghex-application-window.c 46.0-1/src/ghex-application-window.c
--- 45.1-1/src/ghex-application-window.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/ghex-application-window.c	2024-03-22 05:14:59.000000000 +0000
@@ -68,6 +68,8 @@ struct _GHexApplicationWindow
 	GtkWidget *find_dialog;
 	GtkWidget *replace_dialog;
 	GtkWidget *jump_dialog;
+	GtkWidget *mark_dialog;
+
 	GtkWidget *chartable;
 	GtkWidget *converter;
 	GtkWidget *prefs_dialog;
@@ -97,6 +99,7 @@ typedef enum
 	PROP_FIND_OPEN,
 	PROP_REPLACE_OPEN,
 	PROP_JUMP_OPEN,
+	PROP_MARK_OPEN,
 	PROP_CAN_SAVE,
 	PROP_INSERT_MODE,
 	N_PROPERTIES
@@ -126,6 +129,7 @@ static const char *main_actions[] = {
 	"ghex.converter",
 	"ghex.copy-special",
 	"ghex.paste-special",
+	"ghex.mark-dialog",
 	NULL				/* last action */
 };
 
@@ -147,8 +151,11 @@ static void ghex_application_window_set_
 		gboolean show);
 static void ghex_application_window_set_show_jump (GHexApplicationWindow *self,
 		gboolean show);
+static void ghex_application_window_set_show_mark (GHexApplicationWindow *self,
+		gboolean show);
 static void ghex_application_window_set_can_save (GHexApplicationWindow *self,
 		gboolean can_save);
+static gboolean get_pane_visible (GHexApplicationWindow *self, PaneDialog *pane);
 
 static void enable_main_actions (GHexApplicationWindow *self, gboolean enable);
 static void update_status_message (GHexApplicationWindow *self);
@@ -260,6 +267,8 @@ refresh_dialogs (GHexApplicationWindow *
 		pane_dialog_set_hex (PANE_DIALOG(self->find_dialog), ACTIVE_GH);
 		pane_dialog_set_hex (PANE_DIALOG(self->replace_dialog), ACTIVE_GH);
 		pane_dialog_set_hex (PANE_DIALOG(self->jump_dialog), ACTIVE_GH);
+		pane_dialog_set_hex (PANE_DIALOG(self->mark_dialog), ACTIVE_GH);
+		mark_dialog_refresh (MARK_DIALOG(self->mark_dialog));
 	}
 }
 
@@ -388,6 +397,7 @@ close_page_finish_helper (GHexApplicatio
 		ghex_application_window_set_show_find (self, FALSE);
 		ghex_application_window_set_show_replace (self, FALSE);
 		ghex_application_window_set_show_jump (self, FALSE);
+		ghex_application_window_set_show_mark (self, FALSE);
 		ghex_application_window_set_show_chartable (self, FALSE);
 		ghex_application_window_set_show_converter (self, FALSE);
 
@@ -398,7 +408,7 @@ close_page_finish_helper (GHexApplicatio
 }
 
 static void
-close_doc_response_cb (GtkDialog *dialog,
+close_doc_response_cb (AdwMessageDialog *dialog,
 		const char *response,
 		GHexApplicationWindow *self)
 {
@@ -749,6 +759,7 @@ pane_close_cb (PaneDialog *pane, gpointe
 	g_object_notify_by_pspec (G_OBJECT(self), properties[PROP_FIND_OPEN]);
 	g_object_notify_by_pspec (G_OBJECT(self), properties[PROP_REPLACE_OPEN]);
 	g_object_notify_by_pspec (G_OBJECT(self), properties[PROP_JUMP_OPEN]);
+	g_object_notify_by_pspec (G_OBJECT(self), properties[PROP_MARK_OPEN]);
 }
 
 static gboolean
@@ -891,7 +902,13 @@ dnd_drop_cb (GtkDropTarget *target, cons
 {
 	GHexApplicationWindow *self = GHEX_APPLICATION_WINDOW(data);
 
-	ghex_application_window_open_file (self, g_value_get_object (value));
+	GSList *file_list = g_value_get_boxed (value);
+	GSList *l;
+	for (l = file_list; l; l = l->next)
+	{
+		GFile *file = l->data;
+		ghex_application_window_open_file (self, file);
+	}
 
 	return TRUE;
 }
@@ -927,7 +944,7 @@ DIALOG_SET_SHOW_TEMPLATE(converter, setu
 /* Note that in this macro, it's up to the "closed" cb functions to notify
  * by pspec
  */
-#define PANE_SET_SHOW_TEMPLATE(WIDGET, OTHER1, OTHER2)								\
+#define PANE_SET_SHOW_TEMPLATE(WIDGET, OTHER1, OTHER2, OTHER3)						\
 static void																			\
 ghex_application_window_set_show_ ##WIDGET (GHexApplicationWindow *self,			\
 		gboolean show)																\
@@ -935,6 +952,7 @@ ghex_application_window_set_show_ ##WIDG
 	if (show) {																		\
 		gtk_widget_set_visible (self->OTHER1 ## _dialog, FALSE);					\
 		gtk_widget_set_visible (self->OTHER2 ## _dialog, FALSE);					\
+		gtk_widget_set_visible (self->OTHER3 ## _dialog, FALSE);					\
 		gtk_widget_set_visible (self->WIDGET ## _dialog, TRUE);						\
 		gtk_widget_grab_focus (self->WIDGET ## _dialog);							\
 		if (! gtk_revealer_get_reveal_child (GTK_REVEALER(self->findreplace_revealer)))	\
@@ -946,14 +964,16 @@ ghex_application_window_set_show_ ##WIDG
 		g_object_notify_by_pspec (G_OBJECT(self), properties[PROP_FIND_OPEN]);		\
 		g_object_notify_by_pspec (G_OBJECT(self), properties[PROP_REPLACE_OPEN]);	\
 		g_object_notify_by_pspec (G_OBJECT(self), properties[PROP_JUMP_OPEN]);		\
+		g_object_notify_by_pspec (G_OBJECT(self), properties[PROP_MARK_OPEN]);		\
 	} else {																		\
 		g_signal_emit_by_name (self->WIDGET ## _dialog, "closed");					\
 	}																				\
 }												/* PANE_SET_SHOW_TEMPLATE */
 
-PANE_SET_SHOW_TEMPLATE(find,		replace, jump)
-PANE_SET_SHOW_TEMPLATE(replace,		find, jump)
-PANE_SET_SHOW_TEMPLATE(jump,		find, replace)
+PANE_SET_SHOW_TEMPLATE(find,		replace, jump, mark)
+PANE_SET_SHOW_TEMPLATE(replace,		find, jump, mark)
+PANE_SET_SHOW_TEMPLATE(jump,		find, replace, mark)
+PANE_SET_SHOW_TEMPLATE(mark,		find, replace, jump)
 
 /* Property setters without templates: */
 
@@ -1106,7 +1126,7 @@ save_as (GtkWidget *widget,
 G_GNUC_END_IGNORE_DEPRECATIONS
 
 static void
-revert_response_cb (GtkDialog *dialog,
+revert_response_cb (AdwMessageDialog *dialog,
 		const char *response,
 		GHexApplicationWindow *self)
 {
@@ -1201,7 +1221,10 @@ new_file (GtkWidget *widget,
 	HexWidget *gh;
 
 	doc = hex_document_new ();
-	gh = HEX_WIDGET(hex_widget_new (doc));
+	gh = g_object_new (HEX_TYPE_WIDGET,
+			"document", doc,
+			"fade-zeroes", TRUE,
+			NULL);
 
 	ghex_application_window_add_hex (self, gh);
 	refresh_dialogs (self);
@@ -1407,6 +1430,123 @@ open_preferences (GtkWidget *widget,
 	gtk_widget_set_visible (self->prefs_dialog, TRUE);
 }
 
+/* Mark actions */
+
+static void
+goto_mark (GHexApplicationWindow *self, const char *key)
+{
+	HexWidgetMark *mark;
+
+	mark = g_object_get_data (G_OBJECT(ACTIVE_GH), key);
+
+	if (! mark) {
+		g_debug ("%s: No mark found at %s", __func__, key);
+		return;
+	}
+
+	hex_widget_goto_mark (ACTIVE_GH, mark);
+	gtk_widget_grab_focus (GTK_WIDGET(ACTIVE_GH));
+}
+
+static void
+set_mark (GHexApplicationWindow *self, const char *key)
+{
+	HexWidgetMark *mark;
+	gint64 ss, se;
+
+	mark = g_object_get_data (G_OBJECT(ACTIVE_GH), key);
+
+	if (mark) {
+		g_debug ("%s: Pre-existing mark found at %s - deleting", __func__, key);
+		hex_widget_delete_mark (ACTIVE_GH, mark);
+	}
+
+	hex_widget_get_selection (ACTIVE_GH, &ss, &se);
+	mark = hex_widget_add_mark (ACTIVE_GH, ss, se, /*GdkRGBA *color*)*/ NULL);
+
+	g_object_set_data (G_OBJECT(ACTIVE_GH), key, mark);
+
+	hex_widget_clear_selection (ACTIVE_GH);
+	update_gui_data (self);
+	gtk_widget_grab_focus (GTK_WIDGET(ACTIVE_GH));
+}
+
+static void
+delete_mark (GHexApplicationWindow *self, const char *key)
+{
+	HexWidgetMark *mark;
+
+	mark = g_object_get_data (G_OBJECT(ACTIVE_GH), key);
+
+	if (mark) {
+		hex_widget_delete_mark (ACTIVE_GH, mark);
+	}
+	else {
+		g_debug ("%s: No mark found at %s - ignoring", __func__, key);
+		return;
+	}
+
+	g_object_set_data (G_OBJECT(ACTIVE_GH), key, NULL);
+
+	update_gui_data (self);
+	gtk_widget_grab_focus (GTK_WIDGET(ACTIVE_GH));
+}
+
+static void
+mark_action (GtkWidget *widget, const char *action_name, GVariant *parameter)
+{
+	GHexApplicationWindow *self = GHEX_APPLICATION_WINDOW(widget);
+	HexWidgetMark *mark;
+	char *mark_action;
+	int mark_num;
+	char *mark_name;
+	char *key;
+
+	if (! ACTIVE_GH)
+		return;
+
+	g_variant_get (parameter, "(sims)", &mark_action, &mark_num, &mark_name);
+	key = g_strdup_printf ("mark%d", mark_num);
+
+	if (g_strcmp0 (mark_action, "jump") == 0)
+	{
+		goto_mark (self, key);
+	}
+	else if (g_strcmp0 (mark_action, "set") == 0)
+	{
+		set_mark (self, key);
+	}
+	else if (g_strcmp0 (mark_action, "delete") == 0)
+	{
+		delete_mark (self, key);
+	}
+	else
+	{
+		g_critical ("%s: Invalid action: %s", __func__, mark_action);
+	}
+
+	g_free (mark_action);
+	g_free (mark_name);
+	g_free (key);
+}
+
+static void
+activate_mark_action (GtkWidget *widget,
+		const char *action_name,
+		GVariant *parameter)
+{
+	GHexApplicationWindow *self = GHEX_APPLICATION_WINDOW(widget);
+	int mark_num = g_variant_get_int32 (parameter);
+
+	if (mark_num < 0 || mark_num > 9) {
+		g_warning ("%s: Programmer error: invalid mark number", __func__);
+		return;
+	}
+
+	if (get_pane_visible (self, PANE_DIALOG(self->mark_dialog)))
+		mark_dialog_activate_mark_num (MARK_DIALOG(self->mark_dialog), mark_num);
+}
+
 /* --- */
 
 static void
@@ -1492,6 +1632,11 @@ ghex_application_window_set_property (GO
 					g_value_get_boolean (value));
 			break;
 
+		case PROP_MARK_OPEN:
+			ghex_application_window_set_show_mark (self,
+					g_value_get_boolean (value));
+			break;
+
 		case PROP_CAN_SAVE:
 			ghex_application_window_set_can_save (self,
 					g_value_get_boolean (value));
@@ -1542,6 +1687,11 @@ ghex_application_window_get_property (GO
 					get_pane_visible (self, PANE_DIALOG(self->jump_dialog)));
 			break;
 
+		case PROP_MARK_OPEN:
+			g_value_set_boolean (value,
+					get_pane_visible (self, PANE_DIALOG(self->mark_dialog)));
+			break;
+
 		case PROP_CAN_SAVE:
 			g_value_set_boolean (value, self->can_save);
 			break;
@@ -1606,7 +1756,14 @@ ghex_application_window_init (GHexApplic
 	action = g_settings_create_action (settings, GHEX_PREF_GROUP);
 	g_action_map_add_action (G_ACTION_MAP(self), action);
 
-	/* Setup tab view signals */
+	/* Setup tab view */
+
+	/* Don't trample over Ctrl+Home/End & friends. */
+	adw_tab_view_remove_shortcuts (ADW_TAB_VIEW(self->hex_tab_view),
+			ADW_TAB_VIEW_SHORTCUT_CONTROL_END |
+			ADW_TAB_VIEW_SHORTCUT_CONTROL_HOME |
+			ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_END |
+			ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_HOME);
 
 	g_signal_connect (self->hex_tab_view, "notify::selected-page",
 			G_CALLBACK(tab_view_page_changed_cb), self);
@@ -1646,6 +1803,13 @@ ghex_application_window_init (GHexApplic
 	g_signal_connect (self->jump_dialog, "closed",
 			G_CALLBACK(pane_close_cb), self);
 
+	self->mark_dialog = mark_dialog_new ();
+	gtk_widget_set_hexpand (self->mark_dialog, TRUE);
+	gtk_box_append (GTK_BOX(self->findreplace_box), self->mark_dialog);
+	gtk_widget_set_visible (self->mark_dialog, FALSE);
+	g_signal_connect (self->mark_dialog, "closed",
+			G_CALLBACK(pane_close_cb), self);
+
 	hex_statusbar_clear (HEX_STATUSBAR(self->statusbar));
 
 	/* Grey out main actions at the beginning */
@@ -1658,6 +1822,7 @@ ghex_application_window_init (GHexApplic
 	/* DnD */
 
 	target = gtk_drop_target_new (G_TYPE_FILE, GDK_ACTION_COPY);
+	gtk_drop_target_set_gtypes (target, (GType[1]) { GDK_TYPE_FILE_LIST }, 1);
 	g_signal_connect (target, "drop", G_CALLBACK(dnd_drop_cb), self);
 	gtk_widget_add_controller (widget, GTK_EVENT_CONTROLLER(target));
 
@@ -1695,7 +1860,6 @@ ghex_application_window_class_init (GHex
 
 	/* PROPERTIES */
 
-
 	properties[PROP_CHARTABLE_OPEN] =
 		g_param_spec_boolean ("chartable-open",
 			"Character table open",
@@ -1731,6 +1895,11 @@ ghex_application_window_class_init (GHex
 			FALSE,	/* gboolean default_value */
 			prop_flags);
 
+	properties[PROP_MARK_OPEN] =
+		g_param_spec_boolean ("mark-open", NULL, NULL,
+			FALSE,	/* gboolean default_value */
+			prop_flags);
+
 	properties[PROP_CAN_SAVE] =
 		g_param_spec_boolean ("can-save",
 			"Can save",
@@ -1747,7 +1916,6 @@ ghex_application_window_class_init (GHex
 
 	g_object_class_install_properties (object_class, N_PROPERTIES, properties);
 
-
 	/* ACTIONS */
 
 	gtk_widget_class_install_action (widget_class, "ghex.new",
@@ -1802,6 +1970,14 @@ ghex_application_window_class_init (GHex
 			NULL,	/* GVariant string param_type */
 			open_about);
 
+	gtk_widget_class_install_action (widget_class, "ghex.mark",
+			"(sims)",
+			mark_action);
+
+	gtk_widget_class_install_action (widget_class, "ghex.activate-mark",
+			"i",
+			activate_mark_action);
+
 	gtk_widget_class_install_property_action (widget_class,
 			"ghex.find", "find-open");
 
@@ -1809,6 +1985,9 @@ ghex_application_window_class_init (GHex
 			"ghex.replace", "replace-open");
 
 	gtk_widget_class_install_property_action (widget_class,
+			"ghex.mark-dialog", "mark-open");
+
+	gtk_widget_class_install_property_action (widget_class,
 			"ghex.jump", "jump-open");
 
 	gtk_widget_class_install_property_action (widget_class,
@@ -1871,6 +2050,13 @@ ghex_application_window_class_init (GHex
 			"ghex.jump",
 			NULL);	/* no args. */
 
+	/* Ctrl+M - marks */
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_m,
+			GDK_CONTROL_MASK,
+			"ghex.mark-dialog",
+			NULL);
+
 	/* Ctrl+Shift+V - paste special */
 	gtk_widget_class_add_binding_action (widget_class,
 			GDK_KEY_v,
@@ -1927,6 +2113,130 @@ ghex_application_window_class_init (GHex
 			close_tab_shortcut_cb,
 			NULL);
 
+	/* Ctrl+{0-9} - activate mark spinbtn value */
+	/* r! ./generate-mark-bindings.sh
+	 */
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_0,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			0);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_0,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			0);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_1,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			1);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_1,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			1);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_2,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			2);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_2,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			2);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_3,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			3);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_3,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			3);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_4,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			4);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_4,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			4);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_5,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			5);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_5,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			5);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_6,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			6);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_6,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			6);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_7,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			7);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_7,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			7);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_8,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			8);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_8,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			8);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_9,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			9);
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_KP_9,
+			GDK_CONTROL_MASK,
+			"ghex.activate-mark",
+			"i",
+			9);
+
 	/* In case you're looking for Ctrl+PageUp & PageDown - those are baked in
 	 * via AdwTabView */
 
@@ -2178,7 +2488,10 @@ ghex_application_window_open_file (GHexA
 						__func__);
 		}
 
-		gh = HEX_WIDGET(hex_widget_new (doc));
+		gh = g_object_new (HEX_TYPE_WIDGET,
+				"document", doc,
+				"fade-zeroes", TRUE,
+				NULL);
 	}
 
 	/* Display a fairly generic error message if we can't even get this far. */
diff -pruN 45.1-1/src/ghex-application-window.h 46.0-1/src/ghex-application-window.h
--- 45.1-1/src/ghex-application-window.h	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/ghex-application-window.h	2024-03-22 05:14:59.000000000 +0000
@@ -34,6 +34,7 @@
 #include "hex-statusbar.h"
 #include "hex-dialog.h"
 #include "findreplace.h"
+#include "mark-dialog.h"
 #include "chartable.h"
 #include "converter.h"
 #include "preferences.h"
diff -pruN 45.1-1/src/ghex-application-window.ui.in 46.0-1/src/ghex-application-window.ui.in
--- 45.1-1/src/ghex-application-window.ui.in	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/ghex-application-window.ui.in	2024-03-22 05:14:59.000000000 +0000
@@ -62,6 +62,10 @@
 				<attribute name="label" translatable="yes">_Jump to Byte</attribute>
 				<attribute name="action">ghex.jump</attribute>
 			</item>
+			<item>
+				<attribute name="label" translatable="yes">_Marks</attribute>
+				<attribute name="action">ghex.mark-dialog</attribute>
+			</item>
 		</section>
 
 		<!-- SUBMENUS -->
@@ -78,6 +82,30 @@
 					<attribute name="label" translatable="yes">_Paste Special</attribute>
 					<attribute name="action">ghex.paste-special</attribute>
 				</item>
+				<submenu>
+					<attribute name="label" translatable="yes">G_roup Data As</attribute>
+					<item>
+						<attribute name="label" translatable="yes">_Bytes (8-bit)</attribute>
+						<!-- use 'win' prefix for these because that's what gets set automatically by g_settings_create_action in _init -->
+						<attribute name="action">win.group-data-by</attribute>
+						<attribute name="target">bytes</attribute>
+					</item>
+					<item>
+						<attribute name="label" translatable="yes">_Words (16-bit)</attribute>
+						<attribute name="action">win.group-data-by</attribute>
+						<attribute name="target">words</attribute>
+					</item>
+					<item>
+						<attribute name="label" translatable="yes">_Longwords (32-bit)</attribute>
+						<attribute name="action">win.group-data-by</attribute>
+						<attribute name="target">longwords</attribute>
+					</item>
+					<item>
+						<attribute name="label" translatable="yes">_Quadwords (64-bit)</attribute>
+						<attribute name="action">win.group-data-by</attribute>
+						<attribute name="target">quadwords</attribute>
+					</item>
+				</submenu>
 			</submenu>
 
 			<!-- TOOLS -->
@@ -92,32 +120,6 @@
 					<attribute name="action">ghex.converter</attribute>
 				</item>
 			</submenu>
-
-			<!-- GROUP DATA AS -->
-			<submenu>
-				<attribute name="label" translatable="yes">G_roup Data As</attribute>
-				<item>
-					<attribute name="label" translatable="yes">_Bytes (8-bit)</attribute>
-					<!-- use 'win' prefix for these because that's what gets set automatically by g_settings_create_action in _init -->
-					<attribute name="action">win.group-data-by</attribute>
-					<attribute name="target">bytes</attribute>
-				</item>
-				<item>
-					<attribute name="label" translatable="yes">_Words (16-bit)</attribute>
-					<attribute name="action">win.group-data-by</attribute>
-					<attribute name="target">words</attribute>
-				</item>
-				<item>
-					<attribute name="label" translatable="yes">_Longwords (32-bit)</attribute>
-					<attribute name="action">win.group-data-by</attribute>
-					<attribute name="target">longwords</attribute>
-				</item>
-				<item>
-					<attribute name="label" translatable="yes">_Quadwords (64-bit)</attribute>
-					<attribute name="action">win.group-data-by</attribute>
-					<attribute name="target">quadwords</attribute>
-				</item>
-			</submenu>
 		</section>
 
 		<!-- PREFS AND ABOUT -->
diff -pruN 45.1-1/src/ghex.css 46.0-1/src/ghex.css
--- 45.1-1/src/ghex.css	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/ghex.css	2024-03-22 05:14:59.000000000 +0000
@@ -37,6 +37,15 @@ jumpdialog entry {
 	font-family: monospace;
 }
 
+markdialog {
+	padding-left: 12px;
+}
+
+#mark-description-label {
+	font-weight: lighter;
+	font-family: monospace;
+}
+
 /* Conversions pane/box */
 
 #conversions-box {
diff -pruN 45.1-1/src/ghex.gresource.xml.in 46.0-1/src/ghex.gresource.xml.in
--- 45.1-1/src/ghex.gresource.xml.in	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/ghex.gresource.xml.in	2024-03-22 05:14:59.000000000 +0000
@@ -3,7 +3,7 @@
 <!-- vim:ts=4 sw=4
 -->
 <!--
-   Copyright © 2021 Logan Rathbone <poprocks@gmail.com>
+   Copyright © 2021-2023 Logan Rathbone <poprocks@gmail.com>
 
    GHex is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
@@ -32,6 +32,8 @@
 		<file preprocess="xml-stripblanks" compressed="true">replace-dialog.ui</file>
 		<file preprocess="xml-stripblanks" compressed="true">jump-dialog.ui</file>
 		<file preprocess="xml-stripblanks" compressed="true">find-options.ui</file>
+		<file preprocess="xml-stripblanks" compressed="true">chartable.ui</file>
+		<file preprocess="xml-stripblanks" compressed="true">mark-dialog.ui</file>
 	</gresource>
 	<gresource prefix="@resource_base_path@/css">
 		<file>ghex.css</file>
diff -pruN 45.1-1/src/gtkhex-layout-manager.c 46.0-1/src/gtkhex-layout-manager.c
--- 45.1-1/src/gtkhex-layout-manager.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/gtkhex-layout-manager.c	2024-03-22 05:14:59.000000000 +0000
@@ -474,7 +474,7 @@ static void
 hex_widget_layout_init (HexWidgetLayout *self)
 {
 	self->offset_cpl = DEFAULT_OFFSET_CPL;
-	/* FIXME - dumb test initial default */
+	/* Just pick an arbitrary initial default */
 	self->char_width = 20;
 	self->group_type = HEX_WIDGET_GROUP_BYTE;
 }
diff -pruN 45.1-1/src/gtkhex.c 46.0-1/src/gtkhex.c
--- 45.1-1/src/gtkhex.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/gtkhex.c	2024-03-22 05:14:59.000000000 +0000
@@ -54,6 +54,8 @@ G_GNUC_BEGIN_IGNORE_DEPRECATIONS
 #define is_displayable(c) (((c) >= 0x20) && ((c) < 0x7f))
 #define is_copyable(c) (is_displayable(c) || (c) == 0x0a || (c) == 0x0d)
 
+#define PANGO_COLOR_FROM_FLOAT(C) (C * UINT16_MAX)
+
 #define HEX_BUFFER_PAYLOAD(X)	\
 	hex_buffer_get_payload_size (hex_document_get_buffer (X))
 
@@ -73,16 +75,10 @@ typedef enum {
  */
 typedef struct _HexWidget_Highlight HexWidget_Highlight;
 
-/* start_line and end_line only have to be set (and valid) of
- * valid is set to TRUE. */
 struct _HexWidget_Highlight
 {
 	gint64 start, end;
 	gint64 start_line, end_line;
-
-	gboolean valid;
-
-	HexWidget_Highlight *prev, *next;
 };
 
 /**
@@ -101,8 +97,7 @@ struct _HexWidgetAutoHighlight
 	gint64 view_min;
 	gint64 view_max;
 
-	HexWidget_Highlight *highlights;
-	HexWidgetAutoHighlight *next, *prev;
+	GPtrArray *highlights;
 };
 
 /* FIXME - only defined to create a boxed type and may be unreliable. */
@@ -115,6 +110,207 @@ hex_widget_autohighlight_copy (HexWidget
 G_DEFINE_BOXED_TYPE (HexWidgetAutoHighlight, hex_widget_autohighlight,
 		hex_widget_autohighlight_copy, g_free)
 
+enum {
+	MARK_HAVE_CUSTOM_COLOR = 1,
+	MARK_CUSTOM_COLOR,
+	MARK_N_PROPERTIES
+};
+
+static GParamSpec *mark_properties[MARK_N_PROPERTIES];
+
+/**
+ * HexWidgetMark:
+ *
+ * `HexWidgetMark` is a `GObject` which contains the metadata associated with a
+ * mark for a hex document.
+ *
+ * To instantiate a `HexWidgetMark` object, use the [method@HexWidget.add_mark]
+ * method.
+ */
+struct _HexWidgetMark
+{
+	GObject parent_instance;
+
+	HexWidget_Highlight highlight;
+	gboolean have_custom_color;
+	GdkRGBA custom_color;
+};
+
+G_DEFINE_TYPE (HexWidgetMark, hex_widget_mark, G_TYPE_OBJECT)
+
+/**
+ * hex_widget_mark_get_have_custom_color:
+ *
+ * Returns whether the `HexWidgetMark` has a custom color associated with it.
+ *
+ * Returns: `TRUE` if the `HexWidgetMark` has a custom color associated with
+ *   it; `FALSE` otherwise.
+ *
+ * Since: 4.8
+ */
+gboolean
+hex_widget_mark_get_have_custom_color (HexWidgetMark *mark)
+{
+	g_return_val_if_fail (HEX_IS_WIDGET_MARK (mark), FALSE);
+
+	return mark->have_custom_color;
+}
+
+/**
+ * hex_widget_mark_get_custom_color:
+ * @color: (out): A `GdkRGBA` structure to be set with the custom color
+ *   associated with the `HexWidgetMark`, if applicable
+ *
+ * Obtains the custom color associated with a `HexWidgetMark` object, if
+ * any.
+ *
+ * Since: 4.8
+ */
+void
+hex_widget_mark_get_custom_color (HexWidgetMark *mark, GdkRGBA *color)
+{
+	g_return_if_fail (HEX_IS_WIDGET_MARK (mark));
+	g_return_if_fail (color != NULL);
+
+	*color = mark->custom_color;
+}
+
+static void
+hex_widget_mark_set_custom_color (HexWidgetMark *mark, GdkRGBA *color)
+{
+	g_return_if_fail (HEX_IS_WIDGET_MARK (mark));
+	g_return_if_fail (color != NULL);
+
+	mark->have_custom_color = TRUE;
+	mark->custom_color = *color;
+
+	g_object_notify_by_pspec (G_OBJECT(mark), mark_properties[MARK_CUSTOM_COLOR]);
+	g_object_notify_by_pspec (G_OBJECT(mark), mark_properties[MARK_HAVE_CUSTOM_COLOR]);
+}
+
+/**
+ * hex_widget_mark_get_start_offset:
+ *
+ * Obtains the start offset of a `HexWidgetMark`.
+ *
+ * Returns: The start offset of the mark
+ *
+ * Since: 4.8
+ */
+gint64
+hex_widget_mark_get_start_offset (HexWidgetMark *mark)
+{
+	g_return_val_if_fail (HEX_IS_WIDGET_MARK (mark), -1);
+
+	return mark->highlight.start;
+}
+
+/**
+ * hex_widget_mark_get_end_offset:
+ *
+ * Obtains the end offset of a `HexWidgetMark`.
+ *
+ * Returns: The end offset of the mark
+ *
+ * Since: 4.8
+ */
+gint64
+hex_widget_mark_get_end_offset (HexWidgetMark *mark)
+{
+	g_return_val_if_fail (HEX_IS_WIDGET_MARK (mark), -1);
+
+	return mark->highlight.end;
+}
+
+static void
+hex_widget_mark_set_property (GObject *object,
+		guint property_id,
+		const GValue *value,
+		GParamSpec *pspec)
+{
+	HexWidgetMark *mark = HEX_WIDGET_MARK(object);
+
+	switch (property_id)
+	{
+		case MARK_CUSTOM_COLOR:
+			hex_widget_mark_set_custom_color (mark, g_value_get_boxed (value));
+			break;
+
+		default:
+			G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
+			break;
+	}
+}
+
+static void
+hex_widget_mark_get_property (GObject *object,
+		guint property_id,
+		GValue *value,
+		GParamSpec *pspec)
+{
+	HexWidgetMark *mark = HEX_WIDGET_MARK(object);
+
+	switch (property_id)
+	{
+		case MARK_HAVE_CUSTOM_COLOR:
+			g_value_set_boolean (value, hex_widget_mark_get_have_custom_color (mark));
+			break;
+
+		case MARK_CUSTOM_COLOR:
+		{
+			GdkRGBA color;
+
+			hex_widget_mark_get_custom_color (mark, &color);
+			g_value_set_boxed (value, &color);
+		}
+			break;
+
+		default:
+			G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
+			break;
+	}
+}
+
+static void
+hex_widget_mark_init (HexWidgetMark *mark)
+{
+}
+
+static void
+hex_widget_mark_class_init (HexWidgetMarkClass *klass)
+{
+	GObjectClass *object_class = G_OBJECT_CLASS(klass);
+
+	object_class->set_property = hex_widget_mark_set_property;
+	object_class->get_property = hex_widget_mark_get_property;
+
+	/**
+	 * HexWidgetMark:have-custom-color:
+	 *
+	 * Whether the `HexWidgetMark` has a custom color.
+	 */
+	mark_properties[MARK_HAVE_CUSTOM_COLOR] = g_param_spec_boolean ("have-custom-color", NULL, NULL,
+			FALSE,
+			G_PARAM_READABLE | G_PARAM_STATIC_STRINGS | G_PARAM_EXPLICIT_NOTIFY);
+
+	/**
+	 * HexWidgetMark:custom-color:
+	 *
+	 * The custom color of the `HexWidgetMark`, if applicable.
+	 */
+	mark_properties[MARK_CUSTOM_COLOR] = g_param_spec_boxed ("custom-color", NULL, NULL,
+			GDK_TYPE_RGBA,
+			G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS | G_PARAM_EXPLICIT_NOTIFY);
+
+	g_object_class_install_properties (object_class, MARK_N_PROPERTIES, mark_properties);
+}
+
+static HexWidgetMark *
+hex_widget_mark_new (void)
+{
+	return g_object_new (HEX_TYPE_WIDGET_MARK, NULL);
+}
+
 /* ------------------------------
  * Main HexWidget GObject definition
  * ------------------------------
@@ -125,6 +321,7 @@ G_DEFINE_BOXED_TYPE (HexWidgetAutoHighli
 enum
 {
 	DOCUMENT = 1,
+	FADE_ZEROES,
 	N_PROPERTIES
 };
 
@@ -203,7 +400,8 @@ struct _HexWidget
 	/* width of the hex display `xdisp` and ascii display `adisp` */
 	int xdisp_width, adisp_width;
 
-	HexWidgetAutoHighlight *auto_highlight;
+	GPtrArray *auto_highlights;
+	GPtrArray *marks;
 
 	/* scroll direction: 0 means no scrolling; a -ve number means we're
 	 * scrolling up, and a +ve number means we're scrolling down. */
@@ -223,6 +421,8 @@ struct _HexWidget
 	int default_lines;
 
 	GdkContentProvider *selection_content;
+
+	gboolean fade_zeroes;
 };
 
 G_DEFINE_TYPE (HexWidget, hex_widget, GTK_TYPE_WIDGET)
@@ -349,18 +549,8 @@ static void render_highlights (HexWidget
 static void render_lines (HexWidget *self, cairo_t *cr, int min_lines, int max_lines,
 		HexWidgetViewType type);
 
-static void hex_widget_validate_highlight (HexWidget *self, HexWidget_Highlight *hl);
-static void hex_widget_invalidate_highlight (HexWidget *self, HexWidget_Highlight *hl);
-static void hex_widget_invalidate_all_highlights (HexWidget *self);
-
 static void hex_widget_update_all_auto_highlights (HexWidget *self);
 
-static HexWidget_Highlight *hex_widget_insert_highlight (HexWidget *self,
-		HexWidgetAutoHighlight *ahl, gint64 start, gint64 end);
-
-static void hex_widget_delete_highlight (HexWidget *self, HexWidgetAutoHighlight *ahl,
-		HexWidget_Highlight *hl);
-
 static void hex_widget_update_auto_highlight (HexWidget *self, HexWidgetAutoHighlight *ahl,
 		gboolean delete, gboolean add);
 
@@ -383,6 +573,11 @@ hex_widget_set_property (GObject *object
 	{
 		case DOCUMENT:
 			self->document = g_value_get_object (value);
+			g_object_notify_by_pspec (G_OBJECT(self), properties[DOCUMENT]);
+			break;
+
+		case FADE_ZEROES:
+			hex_widget_set_fade_zeroes (self, g_value_get_boolean (value));
 			break;
 
 		default:
@@ -406,6 +601,10 @@ hex_widget_get_property (GObject *object
 			g_value_set_object (value, self->document);
 			break;
 
+		case FADE_ZEROES:
+			g_value_set_boolean (value, hex_widget_get_fade_zeroes (self));
+			break;
+
 		default:
 			/* We don't have any other property... */
 			G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
@@ -954,23 +1153,36 @@ get_hex_cpl (HexWidget *self)
 	return hex_cpl;
 }
 
-static void
-render_highlights (HexWidget *self,
+inline static void
+update_highlight_start_and_end_lines (HexWidget *self, HexWidget_Highlight *hl)
+{
+	hl->start_line = MIN(hl->start, hl->end) / self->cpl - self->top_line;
+	hl->end_line = MAX(hl->start, hl->end) / self->cpl - self->top_line;
+}
+
+inline static void
+render_highlight (HexWidget *self,
 		cairo_t *cr,
-		gint64 cursor_line,
-		HexWidgetViewType type)
+		HexWidgetViewType type,
+		HexWidget_Highlight *highlight,
+		HexWidgetAutoHighlight *auto_highlight,	/* can NULL */
+		HexWidgetMark *mark,					/* can NULL */
+		gint64 cursor_line)
 {
-	/* Shorthand tracers to walk through highlight lists */
-	HexWidget_Highlight *highlight = &self->selection;
-	HexWidgetAutoHighlight *auto_highlight = self->auto_highlight;
 	GtkWidget *widget;		/* shorthand for the hex or ascii drawing area */
 	PangoLayout *layout;	/* shorthand for the hex or ascii pango layout */
+	int hex_cpl = get_hex_cpl (self);
+	int y = cursor_line * self->char_height;
 	GtkStyleContext *context;
 	GtkStateFlags state;
-	int hex_cpl;
+	gint64 cursor_off = 0;
+	size_t len;
+	int range[2];
+	double x1, x2, y1, y2;
 	cairo_region_t *region;
-	int y;
-	gboolean is_autohighlight = FALSE;
+
+	/* Shorthands for readability of this loop */
+	gint64 start, end, start_line, end_line;
 
 	if (type == VIEW_HEX)
 	{
@@ -983,132 +1195,186 @@ render_highlights (HexWidget *self,
 		layout = self->alayout;
 	}
 
-	hex_cpl = get_hex_cpl (self);
-
-	y = cursor_line * self->char_height;
+	context = gtk_widget_get_style_context (widget);
+	gtk_style_context_save (context);
 
-	while (highlight)
+	state = gtk_style_context_get_state (context);
+	if (auto_highlight)
+		state |= GTK_STATE_FLAG_LINK;
+	else if (mark)
+		state |= GTK_STATE_FLAG_VISITED;
+	else
 	{
-		gint64 cursor_off = 0;
-		size_t len;
-
-		int range[2];
-		double x1, x2, y1, y2;
-
-		/* Shorthands for readability of this loop */
-		gint64 start, end, start_line, end_line;
-
-		context = gtk_widget_get_style_context (widget);
-		gtk_style_context_save (context);
-
-		state = gtk_style_context_get_state (context);
-		if (is_autohighlight)
-			state |= GTK_STATE_FLAG_LINK;
-		else
+		if (gtk_widget_has_focus (GTK_WIDGET(self)))
 		{
-			if (gtk_widget_has_focus (GTK_WIDGET(self)))
-			{
-				state |= GTK_STATE_FLAG_FOCUS_WITHIN;
-			}
-			state |= GTK_STATE_FLAG_SELECTED;
+			state |= GTK_STATE_FLAG_FOCUS_WITHIN;
 		}
+		state |= GTK_STATE_FLAG_SELECTED;
+	}
 
-		gtk_style_context_set_state (context, state);
-
-		hex_widget_validate_highlight (self, highlight);
+	gtk_style_context_set_state (context, state);
 
-		start = MIN(highlight->start, highlight->end);
-		end = MAX(highlight->start, highlight->end);
-		start_line = highlight->start_line;
-		end_line = highlight->end_line;
+	update_highlight_start_and_end_lines (self, highlight);
 
-		if (start == end)
-			goto end_of_loop;
+	start = MIN(highlight->start, highlight->end);
+	end = MAX(highlight->start, highlight->end);
+	start_line = highlight->start_line;
+	end_line = highlight->end_line;
 
-		if (cursor_line == start_line)
-		{
-			if (type == VIEW_HEX) {
-				cursor_off = 2 * (start % self->cpl) +
-					(start % self->cpl) / self->group_type;
-
-				if (cursor_line == end_line)
-					len = 2 * (end % self->cpl + 1) +
-						(end % self->cpl) / self->group_type;
-				else
-					len = hex_cpl;
+	if (start == end)
+		goto out;
 
-				len = len - cursor_off;
-			}
-			else {	/* VIEW_ASCII */
-				cursor_off = start % self->cpl;
+	if (cursor_line == start_line)
+	{
+		if (type == VIEW_HEX) {
+			cursor_off = 2 * (start % self->cpl) +
+				(start % self->cpl) / self->group_type;
 
-				if (cursor_line == end_line)
-					len = end - start + 1;
-				else
-					len = self->cpl - cursor_off;
-			}
+			if (cursor_line == end_line)
+				len = 2 * (end % self->cpl + 1) +
+					(end % self->cpl) / self->group_type;
+			else
+				len = hex_cpl;
 
-			range[0] = cursor_off;
-			range[1] = cursor_off + len;
+			len = len - cursor_off;
 		}
-		else if (cursor_line == end_line)
-		{
-			if (type == VIEW_HEX) {
-				cursor_off = 2 * (end % self->cpl + 1) + 
-					(end % self->cpl) / self->group_type;
-			}
-			else {	/* VIEW_ASCII */
-				cursor_off = end % self->cpl + 1;
-			}
+		else {	/* VIEW_ASCII */
+			cursor_off = start % self->cpl;
 
-			range[0] = 0;
-			range[1] = cursor_off;
+			if (cursor_line == end_line)
+				len = end - start + 1;
+			else
+				len = self->cpl - cursor_off;
 		}
-		else if (cursor_line > start_line && cursor_line < end_line)
-		{
-			int cpl = (type == VIEW_HEX) ? hex_cpl : self->cpl;
 
-			range[0] = 0;
-			range[1] = cpl;
+		range[0] = cursor_off;
+		range[1] = cursor_off + len;
+	}
+	else if (cursor_line == end_line)
+	{
+		if (type == VIEW_HEX) {
+			cursor_off = 2 * (end % self->cpl + 1) +
+				(end % self->cpl) / self->group_type;
+		}
+		else {	/* VIEW_ASCII */
+			cursor_off = end % self->cpl + 1;
 		}
-		else
-			goto end_of_loop;
 
-		cairo_save (cr);
+		range[0] = 0;
+		range[1] = cursor_off;
+	}
+	else if (cursor_line > start_line && cursor_line < end_line)
+	{
+		int cpl = (type == VIEW_HEX) ? hex_cpl : self->cpl;
+
+		range[0] = 0;
+		range[1] = cpl;
+	}
+	else
+		goto out;
 
-		region = gdk_pango_layout_get_clip_region (layout,
-				0,	/* x */
-				y,
-				range,
-				1);
-
-		gdk_cairo_region (cr, region);
-		cairo_clip (cr);
-		cairo_clip_extents (cr, &x1, &y1, &x2, &y2);
+	cairo_save (cr);
 
+	region = gdk_pango_layout_get_clip_region (layout,
+			0,	/* x */
+			y,
+			range,
+			1);
+
+	gdk_cairo_region (cr, region);
+	cairo_clip (cr);
+	cairo_clip_extents (cr, &x1, &y1, &x2, &y2);
+
+	if (mark && mark->have_custom_color)
+	{
+		cairo_save (cr);
+		cairo_set_source_rgba (cr,
+				mark->custom_color.red,
+				mark->custom_color.green,
+				mark->custom_color.blue,
+				mark->custom_color.alpha);
+		cairo_rectangle (cr, x1, y1, ABS(x2-x1), ABS(y2-y1));
+		cairo_fill (cr);
+		cairo_restore (cr);
+	}
+	else
+	{
 		gtk_render_background (context, cr,
 				x1,
 				y1,
 				ABS(x2-x1),
 				ABS(y2-y1));
+	}
 
-		cairo_restore (cr);
+	cairo_restore (cr);
 
-end_of_loop:
-		highlight = highlight->next;
+out:
+	gtk_style_context_restore (context);
+}
 
-		/* if there are no selection highlights left, look for auto-highlights
-		 */
-		while (highlight == NULL && auto_highlight)
+static void
+render_highlights (HexWidget *self,
+		cairo_t *cr,
+		gint64 cursor_line,
+		HexWidgetViewType type)
+{
+	/* Render primary highlighted selection */
+	render_highlight (self, cr, type, &self->selection, NULL, NULL, cursor_line);
+
+	/* Render auto highlights */
+	for (guint i = 0; i < self->auto_highlights->len; ++i)
+	{
+		HexWidgetAutoHighlight *auto_highlight = g_ptr_array_index (self->auto_highlights, i);
+
+		for (guint j = 0; j < auto_highlight->highlights->len; ++j)
 		{
-			highlight = auto_highlight->highlights;
-			auto_highlight = auto_highlight->next;
-			is_autohighlight = TRUE;
+			HexWidget_Highlight *highlight = g_ptr_array_index (auto_highlight->highlights, j);
+
+			render_highlight (self, cr, type, highlight, auto_highlight, NULL, cursor_line);
 		}
-		gtk_style_context_restore (context);
+	}
+
+	/* Render marks */
+	for (guint i = 0; i < self->marks->len; ++i)
+	{
+		HexWidgetMark *mark = g_ptr_array_index (self->marks, i);
+
+		render_highlight (self, cr, type, &mark->highlight, NULL, mark, cursor_line);
 	}
 }
 
+inline static void
+fade_zeroes (HexWidget *self, PangoLayout *layout)
+{
+	GtkWidget *widget = GTK_WIDGET(self);
+	GtkStyleContext *context = gtk_widget_get_style_context (widget);
+	GtkStateFlags state = gtk_widget_get_state_flags (widget);
+	const int color_modifier = UINT16_MAX * 0.4;
+	const char *text = pango_layout_get_text (layout);
+	PangoAttrList *list = pango_attr_list_new ();
+	GdkRGBA fg_color;
+
+	gtk_style_context_get_color (context, &fg_color);
+
+	for (int i = 0; text[i]; ++i)
+	{
+		if (text[i] == '0' && text[i+1] == '0')
+		{
+			PangoAttribute *attr = pango_attr_foreground_new (
+					PANGO_COLOR_FROM_FLOAT(fg_color.red) + color_modifier,
+					PANGO_COLOR_FROM_FLOAT(fg_color.green) + color_modifier,
+					PANGO_COLOR_FROM_FLOAT(fg_color.blue) + color_modifier);
+
+			attr->start_index = i;
+			attr->end_index = i+2;
+
+			pango_attr_list_insert (list, attr);
+		}
+	}
+	pango_layout_set_attributes (layout, list);
+	pango_attr_list_unref (list);
+}
+
 /*
  * when calling render_lines() the min_lines and max_lines arguments are the
  * numbers of the first and last line TO BE DISPLAYED in the range
@@ -1210,6 +1476,9 @@ render_lines (HexWidget *self,
 				(char *)self->disp_buffer + (i - min_lines) * cpl,
 				MIN(cpl, tmp));
 
+		if (type == VIEW_HEX && self->fade_zeroes)
+			fade_zeroes (self, layout);
+
 		render_highlights (self, cr, i, type);
 
 		gtk_render_layout (context, cr,
@@ -1392,27 +1661,20 @@ recalc_scrolling (HexWidget *self)
 	gboolean scroll_to_cursor;
 	double value;
 
-	scroll_to_cursor = (self->cpl == 0) ||
-		((self->cursor_pos / self->cpl >= gtk_adjustment_get_value (self->adj)) &&
-		 (self->cursor_pos / self->cpl <= gtk_adjustment_get_value (self->adj) +
-			  self->vis_lines - 1));
-
-	/* calculate new display position */
-	if (self->cpl == 0)		/* avoid divide by zero (FIXME - feels hackish) */
-		value = 0;
-	else
-		value = MIN (self->top_line, self->lines - self->vis_lines);
+	if (self->cpl == 0)
+		return;
 
+	value = MIN (self->top_line, self->lines - self->vis_lines);
 	/* clamp value */
 	value = MAX (0, value);
 
-	/* keep cursor on screen if it was on screen before */
-	if (self->cpl == 0) {		/* avoid divide by zero (FIXME - feels hackish) */
-		value = 0;
-	}
-	else if (scroll_to_cursor &&
+	scroll_to_cursor = ((self->cursor_pos / self->cpl >= gtk_adjustment_get_value (self->adj)) &&
+		(self->cursor_pos / self->cpl <= gtk_adjustment_get_value (self->adj) + self->vis_lines - 1) &&
 	    ((self->cursor_pos / self->cpl < value) ||
-	     (self->cursor_pos / self->cpl > value + self->vis_lines - 1))) {
+			(self->cursor_pos / self->cpl > value + self->vis_lines - 1)));
+
+	if (scroll_to_cursor)
+	{
 		value = MIN (self->cursor_pos / self->cpl, self->lines - self->vis_lines);
 		value = MAX (0, value);
 	}
@@ -2169,104 +2431,43 @@ hex_widget_real_data_changed (HexWidget
 }
 
 static void
-bytes_changed (HexWidget *self, gint64 start, gint64 end)
-{
-	gint64 start_line;
-	gint64 end_line;
-
-	/* check for divide-by-zero issues */
-	g_return_if_fail (self->cpl);
-
-	start_line = start / self->cpl - self->top_line;
-	start_line = MAX (start_line, 0);
-
-	end_line = end / self->cpl - self->top_line;
-
-	/* Nothing needs to be done in some instances */
-	if (end_line < 0 || start_line > self->vis_lines)
-		return;
-
-	gtk_widget_queue_draw (GTK_WIDGET(self));
-}
-
-static void
-hex_widget_validate_highlight(HexWidget *self, HexWidget_Highlight *hl)
-{
-	if (!hl->valid)
-	{
-		hl->start_line = MIN(hl->start, hl->end) / self->cpl - self->top_line;
-		hl->end_line = MAX(hl->start, hl->end) / self->cpl - self->top_line;
-		hl->valid = TRUE;
-	}
-}
-
-static void
-hex_widget_invalidate_highlight (HexWidget *self, HexWidget_Highlight *hl)
-{
-	hl->valid = FALSE;
-}
-
-static void
-hex_widget_invalidate_all_highlights (HexWidget *self)
-{
-	HexWidget_Highlight *cur = &self->selection;
-	HexWidgetAutoHighlight *nextList = self->auto_highlight;
-
-	while (cur)
-	{
-		hex_widget_invalidate_highlight (self, cur);
-		cur = cur->next;
-
-		while (cur == NULL && nextList)
-		{
-			cur = nextList->highlights;
-			nextList = nextList->next;
-		}
-	}
-}
-
-static HexWidget_Highlight *
-hex_widget_insert_highlight (HexWidget *self,
+insert_highlight_into_auto_highlight (HexWidget *self,
 		HexWidgetAutoHighlight *ahl,
 		gint64 start,
 		gint64 end)
 {
+	HexWidget_Highlight *new = NULL;
 	size_t payload_size;
 
-	g_return_val_if_fail (HEX_IS_DOCUMENT (self->document), NULL);
+	/* Sanity check - make sure highlight attempting to add doesn't already
+	 * exist in ahl - FIXME - this shouldn't have to exist at all.
+	 */
+	for (guint i = 0; i < ahl->highlights->len; ++i)
+	{
+		HexWidget_Highlight *hl = g_ptr_array_index (ahl->highlights, i);
+
+		if (start == hl->start && end == hl->end) {
+			return;
+		}
+	}
 
+	new = g_new0 (HexWidget_Highlight, 1);
 	payload_size = HEX_BUFFER_PAYLOAD (self->document);
-	HexWidget_Highlight *new = g_new0 (HexWidget_Highlight, 1);
 
 	new->start = CLAMP(MIN(start, end), 0, payload_size);
 	new->end = MIN(MAX(start, end), payload_size);
 
-	new->valid = FALSE;
+	g_ptr_array_add (ahl->highlights, new);
 
-	new->prev = NULL;
-	new->next = ahl->highlights;
-	if (new->next) new->next->prev = new;
-	ahl->highlights = new;
-
-	bytes_changed (self, new->start, new->end);
-
-	return new;
+	gtk_widget_queue_draw (GTK_WIDGET(self));
 }
 
 static void
-hex_widget_delete_highlight (HexWidget *self, HexWidgetAutoHighlight *ahl,
+delete_highlight_from_auto_highlight (HexWidget *self, HexWidgetAutoHighlight *ahl,
 		HexWidget_Highlight *hl)
 {
-	gint64 start, end;
-	start = hl->start;
-	end = hl->end;
-	if (hl->prev) hl->prev->next = hl->next;
-	if (hl->next) hl->next->prev = hl->prev;
-
-	if (hl == ahl->highlights) ahl->highlights = hl->next;
-
-	g_free(hl);
-	bytes_changed(self, start, end);
+	g_ptr_array_remove (ahl->highlights, hl);
+	gtk_widget_queue_draw (GTK_WIDGET(self));
 }
 
 static gboolean
@@ -2317,11 +2518,9 @@ hex_widget_update_auto_highlight (HexWid
 {
 	gint64 del_min, del_max;
 	gint64 add_min, add_max;
-	gint64 foundpos = -1;
 	size_t found_len;
 	gint64 prev_min = ahl->view_min;
 	gint64 prev_max = ahl->view_max;
-	HexWidget_Highlight *cur;
 
 	ahl_set_view_min_max (self, ahl);
 
@@ -2350,60 +2549,62 @@ hex_widget_update_auto_highlight (HexWid
 	add_min = MAX(add_min, 0);
 	del_min = MAX(del_min, 0);
 
-	cur = ahl->highlights;
-	while (delete && cur)
+	if (delete)
 	{
-		if (cur->start >= del_min && cur->start <= del_max)
+		for (guint i = 0; i < ahl->highlights->len; ++i)
 		{
-			HexWidget_Highlight *next = cur->next;
+			HexWidget_Highlight *highlight = g_ptr_array_index (ahl->highlights, i);
 
-			hex_widget_delete_highlight (self, ahl, cur);
-			cur = next;
+			if (highlight->start >= del_min && highlight->start <= del_max)
+			{
+				delete_highlight_from_auto_highlight (self, ahl, highlight);
+			}
 		}
-		else
-			cur = cur->next;
 	}
 
-	while (add &&
-		   hex_widget_find_limited (self,
-			   ahl->search_string,
-			   ahl->search_len,
-			   ahl->search_flags,
-			   MAX(add_min, foundpos+1),	/* lower */
-			   add_max,						/* upper */
-			   &foundpos,
-			   &found_len))
-	{
-		hex_widget_insert_highlight (self, ahl,
-				foundpos,
-				foundpos + found_len - 1);
+	if (add)
+	{
+		gint64 foundpos = -1;
+
+		while (hex_widget_find_limited (self,
+					ahl->search_string,
+					ahl->search_len,
+					ahl->search_flags,
+					MAX(add_min, foundpos+1),		/* lower */
+					add_max,						/* upper */
+					&foundpos,
+					&found_len))
+		{
+			insert_highlight_into_auto_highlight (self, ahl,
+					foundpos,
+					foundpos + found_len - 1);
+		}
 	}
 }
 
 static void
 hex_widget_update_all_auto_highlights (HexWidget *self)
 {
-	HexWidgetAutoHighlight *cur = self->auto_highlight;
-
 	int mult = 10;
 
 	gint64 top_line_pos = self->top_line * self->cpl;
 	gint64 bot_line_pos = (self->top_line + self->vis_lines) * self->cpl;
 
-	while (cur)
+	for (guint i = 0; i < self->auto_highlights->len; ++i)
 	{
+		HexWidgetAutoHighlight *ahl = g_ptr_array_index (self->auto_highlights, i);
+
 		/* only refresh possibilities within a certain number of line numbers
 		 */
-		if (top_line_pos - mult * self->vis_lines * self->cpl > cur->view_min ||
-			bot_line_pos + mult * self->vis_lines * self->cpl < cur->view_max)
+		if (top_line_pos - mult * self->vis_lines * self->cpl > ahl->view_min ||
+			bot_line_pos + mult * self->vis_lines * self->cpl < ahl->view_max)
 		{
 			/* do nothing */
 		}
 		else
 		{
-			hex_widget_update_auto_highlight (self, cur, TRUE, TRUE);
+			hex_widget_update_auto_highlight (self, ahl, TRUE, TRUE);
 		}
-		cur = cur->next;
 	}
 }
 
@@ -2510,7 +2711,6 @@ hex_widget_snapshot (GtkWidget *widget,
 		self->vis_lines = self->default_lines;
 
 	hex_widget_update_all_auto_highlights (self);
-	hex_widget_invalidate_all_highlights (self);
 
 	/* queue child draw functions
 	 */
@@ -2593,6 +2793,18 @@ document_changed_cb (HexDocument* doc, g
 }
 
 static void
+file_save_started_cb (HexWidget *self, HexDocument *doc)
+{
+	set_busy_state (self, TRUE);
+}
+
+static void
+file_saved_cb (HexWidget *self, HexDocument *doc)
+{
+	set_busy_state (self, FALSE);
+}
+
+static void
 hex_widget_constructed (GObject *object)
 {
 	HexWidget *self = HEX_WIDGET(object);
@@ -2614,6 +2826,12 @@ hex_widget_constructed (GObject *object)
 	g_signal_connect (self->document, "redo",
 			G_CALLBACK (doc_undo_redo_cb), self);
 
+	g_signal_connect_swapped (self->document, "file-save-started",
+			G_CALLBACK (file_save_started_cb), self);
+
+	g_signal_connect_swapped (self->document, "file-saved",
+			G_CALLBACK (file_saved_cb), self);
+
 	/* Chain up */
 	G_OBJECT_CLASS(hex_widget_parent_class)->constructed (object);
 }
@@ -2667,6 +2885,7 @@ hex_widget_class_init (HexWidgetClass *k
 {
 	GObjectClass *object_class = G_OBJECT_CLASS (klass);
 	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS (klass);
+	GParamFlags prop_flags = G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS | G_PARAM_EXPLICIT_NOTIFY;
 
 	/* vfuncs */
 
@@ -2680,9 +2899,27 @@ hex_widget_class_init (HexWidgetClass *k
 
 	/* PROPERTIES */
 
+	/**
+	 * HexWidget:document:
+	 *
+	 * `HexDocument` affiliated with and owned by the `HexWidget`.
+	 *
+	 * Since: 4.2
+	 */
 	properties[DOCUMENT] = g_param_spec_object ("document", NULL, NULL,
 			HEX_TYPE_DOCUMENT,
-			G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
+			G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS | G_PARAM_EXPLICIT_NOTIFY);
+
+	/**
+	 * HexWidget:fade-zeroes:
+	 *
+	 * Whether zeroes (`00`) will be faded on the hex side of the `HexWidget`.
+	 *
+	 * Since: 4.8
+	 */
+	properties[FADE_ZEROES] = g_param_spec_boolean ("fade-zeroes", NULL, NULL,
+			FALSE,
+			G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS | G_PARAM_EXPLICIT_NOTIFY);
 
 	g_object_class_install_properties (object_class, N_PROPERTIES, properties);
 
@@ -2909,6 +3146,20 @@ hex_widget_class_init (HexWidgetClass *k
 			GDK_SHIFT_MASK | GDK_CONTROL_MASK,
 			"gtkhex.move-to-buffer-ends",
 			"(bb)", FALSE, TRUE);
+
+	/* Alt+Delete - dumb */
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_Delete,
+			GDK_ALT_MASK,
+			"gtkhex.dumb",
+			NULL);
+
+	/* Shift+Alt+Delete - dumb2 */
+	gtk_widget_class_add_binding_action (widget_class,
+			GDK_KEY_Delete,
+			GDK_ALT_MASK | GDK_SHIFT_MASK,
+			"gtkhex.dumb2",
+			NULL);
 }
 
 static void
@@ -2945,10 +3196,9 @@ hex_widget_init (HexWidget *self)
 	self->selecting = FALSE;
 
 	self->selection.start = self->selection.end = 0;
-	self->selection.next = self->selection.prev = NULL;
-	self->selection.valid = FALSE;
 
-	self->auto_highlight = NULL;
+	self->auto_highlights = g_ptr_array_new_with_free_func (g_free);
+	self->marks = g_ptr_array_new_with_free_func (g_object_unref);
 
 	gtk_widget_set_can_focus (widget, TRUE);
 	gtk_widget_set_focusable (widget, TRUE);
@@ -3226,12 +3476,12 @@ hex_widget_init (HexWidget *self)
 
 /**
  * hex_widget_new:
- * @owner: the [class@Hex.Document] object to be associated with the
- *   newly created #HexWidget
+ * @owner: (transfer full): the [class@Hex.Document] object to be associated
+ *   with the newly created `HexWidget`
  *
- * Create a new #HexWidget object.
+ * Create a new `HexWidget` object.
  *
- * Returns: a newly created #HexWidget object, or %NULL
+ * Returns: a newly created `HexWidget` object, or %NULL
  */
 GtkWidget *
 hex_widget_new (HexDocument *owner)
@@ -3309,19 +3559,17 @@ hex_widget_set_selection (HexWidget *sel
 	self->selection.start = CLAMP(start, 0, payload_size);
 	self->selection.end = MIN(end, payload_size);
 
-	hex_widget_invalidate_highlight(self, &self->selection);
-
 	ns = MIN(self->selection.start, self->selection.end);
 	ne = MAX(self->selection.start, self->selection.end);
 
 	if (ns != os && ne != oe) {
-		bytes_changed(self, MIN(ns, os), MAX(ne, oe));
+		gtk_widget_queue_draw (GTK_WIDGET(self));
 	}
 	else if (ne != oe) {
-		bytes_changed(self, MIN(ne, oe), MAX(ne, oe));
+		gtk_widget_queue_draw (GTK_WIDGET(self));
 	}
 	else if (ns != os) {
-		bytes_changed(self, MIN(ns, os), MAX(ns, os));
+		gtk_widget_queue_draw (GTK_WIDGET(self));
 	}
 }
 
@@ -3442,14 +3690,14 @@ hex_widget_set_nibble (HexWidget *self,
 	g_return_if_fail (HEX_IS_WIDGET(self));
 
 	if (self->selecting) {
-		bytes_changed(self, self->cursor_pos, self->cursor_pos);
+		gtk_widget_queue_draw (GTK_WIDGET(self));
 		self->lower_nibble = lower_nibble;
 	}
 	else if(self->selection.end != self->selection.start) {
 		guint start = MIN(self->selection.start, self->selection.end);
 		guint end = MAX(self->selection.start, self->selection.end);
 		self->selection.end = self->selection.start = 0;
-		bytes_changed(self, start, end);
+		gtk_widget_queue_draw (GTK_WIDGET(self));
 		self->lower_nibble = lower_nibble;
 	}
 	else {
@@ -3470,12 +3718,10 @@ void
 hex_widget_set_cursor (HexWidget *self, gint64 index)
 {
 	gint64 y;
-	gint64 old_pos;
 	size_t payload_size;
 
 	g_return_if_fail (HEX_IS_WIDGET (self));
 
-	old_pos = self->cursor_pos;
 	payload_size = HEX_BUFFER_PAYLOAD (self->document);
 
 	if ((index >= 0) && (index <= payload_size))
@@ -3513,22 +3759,20 @@ hex_widget_set_cursor (HexWidget *self,
 		{
 			hex_widget_set_selection(self, self->selection.start, self->cursor_pos);
 
-			bytes_changed (self,
-					MIN (self->cursor_pos, old_pos),
-					MAX (self->cursor_pos, old_pos));
+			gtk_widget_queue_draw (GTK_WIDGET(self));
 		}
 		else
 		{
 			gint64 start = MIN (self->selection.start, self->selection.end);
 			gint64 end = MAX (self->selection.start, self->selection.end);
 
-			bytes_changed (self, start, end);
+			gtk_widget_queue_draw (GTK_WIDGET(self));
 			self->selection.end = self->selection.start = self->cursor_pos;
 		}
 
 		g_signal_emit_by_name (self, "cursor-moved");
 
-		bytes_changed (self, old_pos, old_pos);
+		gtk_widget_queue_draw (GTK_WIDGET(self));
 		show_cursor (self, TRUE);
 	}
 }
@@ -3545,12 +3789,10 @@ void
 hex_widget_set_cursor_by_row_and_col (HexWidget *self, int col_x, gint64 line_y)
 {
 	gint64 tmp_cursor_pos;
-	gint64 old_pos;
 	gint64 payload_size;
 
 	g_return_if_fail (HEX_IS_WIDGET(self));
 
-	old_pos = self->cursor_pos;
 	tmp_cursor_pos = line_y * self->cpl + col_x;
 	payload_size = HEX_BUFFER_PAYLOAD (self->document);
 
@@ -3580,17 +3822,15 @@ hex_widget_set_cursor_by_row_and_col (He
 		
 		if (self->selecting) {
 			hex_widget_set_selection(self, self->selection.start, self->cursor_pos);
-			bytes_changed(self,
-					MIN(self->cursor_pos, old_pos), MAX(self->cursor_pos,
-						old_pos));
+			gtk_widget_queue_draw (GTK_WIDGET(self));
 		}
 		else if (self->selection.end != self->selection.start) {
 			gint64 start = MIN(self->selection.start, self->selection.end);
 			gint64 end = MAX(self->selection.start, self->selection.end);
 			self->selection.end = self->selection.start = 0;
-			bytes_changed(self, start, end);
+			gtk_widget_queue_draw (GTK_WIDGET(self));
 		}
-		bytes_changed(self, old_pos, old_pos);
+		gtk_widget_queue_draw (GTK_WIDGET(self));
 		show_cursor (self, TRUE);
 	}
 }
@@ -3729,7 +3969,8 @@ hex_widget_set_insert_mode (HexWidget *s
 
 /**
  * hex_widget_insert_autohighlight_full:
- * @search: (array length=len) (transfer full): search string to auto-highlight
+ * @search: (array length=len) (element-type gint8) (transfer full): search
+ *   string to auto-highlight
  * @len: length of the @search string
  * @flags: #HexSearchFlags to specify match type
  *
@@ -3737,7 +3978,8 @@ hex_widget_set_insert_mode (HexWidget *s
  * for specifying string match types for auto-highlights over and above
  * exact byte-for-byte string matches.
  *
- * Returns: a newly created [struct@Hex.WidgetAutoHighlight] structure
+ * Returns: (transfer none): a newly created [struct@Hex.WidgetAutoHighlight]
+ *   structure, owned by the `HexWidget`
  *
  * Since: 4.2
  */
@@ -3753,14 +3995,9 @@ hex_widget_insert_autohighlight_full (He
 	new->search_len = len;
 	new->search_flags = flags;
 
-	new->highlights = NULL;
+	new->highlights = g_ptr_array_new_with_free_func (g_free);
 
-	new->next = self->auto_highlight;
-	new->prev = NULL;
-	if (new->next) new->next->prev = new;
-	self->auto_highlight = new;
-
-	ahl_set_view_min_max (self, new);
+	g_ptr_array_add (self->auto_highlights, new);
 
 	hex_widget_update_auto_highlight (self, new, FALSE, TRUE);
 
@@ -3769,12 +4006,14 @@ hex_widget_insert_autohighlight_full (He
 
 /**
  * hex_widget_insert_autohighlight:
- * @search: (array length=len) (transfer full): search string to auto-highlight
+ * @search: (array length=len) (element-type gint8) (transfer full): search
+ *   string to auto-highlight
  * @len: length of the @search string
  *
  * Insert an auto-highlight of a given search string.
  *
- * Returns: a newly created [struct@Hex.WidgetAutoHighlight] structure
+ * Returns: (transfer none): a newly created [struct@Hex.WidgetAutoHighlight]
+ *   structure, owned by the `HexWidget`
  */
 HexWidgetAutoHighlight *
 hex_widget_insert_autohighlight (HexWidget *self,
@@ -3797,17 +4036,142 @@ void hex_widget_delete_autohighlight (He
 {
 	g_free (ahl->search_string);
 
-	while (ahl->highlights)
+	for (guint i = 0; i < ahl->highlights->len; ++i)
 	{
-		hex_widget_delete_highlight (self, ahl, ahl->highlights);
+		HexWidget_Highlight *highlight = g_ptr_array_index (ahl->highlights, i);
+
+		delete_highlight_from_auto_highlight (self, ahl, highlight);
 	}
+	g_ptr_array_unref (ahl->highlights);
+
+	g_ptr_array_remove (self->auto_highlights, ahl);
+}
+
+/**
+ * hex_widget_set_mark_custom_color:
+ * @mark: The `HexWidgetMark` for which the custom color will be set
+ * @color: The custom color to be set for the mark
+ *
+ * Set a custom color for a `HexWidgetMark` object.
+ *
+ * Since: 4.8
+ */
+void
+hex_widget_set_mark_custom_color (HexWidget *self, HexWidgetMark *mark, GdkRGBA *color)
+{
+	g_return_if_fail (HEX_IS_WIDGET (self));
+	g_return_if_fail (HEX_IS_WIDGET_MARK (mark));
+	g_return_if_fail (color != NULL);
+
+	hex_widget_mark_set_custom_color (mark, color);
+
+	gtk_widget_queue_draw (GTK_WIDGET(self));
+}
+
+/**
+ * hex_widget_get_mark_custom_color:
+ * @mark: The `HexWidgetMark` for which to obtain the associated custom color
+ * @color: (out): A `GdkRGBA` structure to be set with the custom color
+ *   associated with the `HexWidgetMark`, if applicable
+ *
+ * Obtains the custom color associated with a `HexWidgetMark` object, if
+ * any.
+ *
+ * Returns: `TRUE` if the `HexWidgetMark` has a custom color associated with
+ *   it; `FALSE` if it does not.
+ *
+ * Since: 4.8
+ */
+gboolean
+hex_widget_get_mark_custom_color (HexWidget *self, HexWidgetMark *mark, GdkRGBA *color)
+{
+	g_return_val_if_fail (HEX_IS_WIDGET (self), FALSE);
+	g_return_val_if_fail (HEX_IS_WIDGET_MARK (mark), FALSE);
+	g_return_val_if_fail (color != NULL, FALSE);
+
+	if (!mark->have_custom_color)
+		return FALSE;
+	else
+	{
+		*color = mark->custom_color;
+		return TRUE;
+	}
+}
+
+/**
+ * hex_widget_add_mark:
+ * @start: The start offset of the mark
+ * @end: The start offset of the mark
+ * @color: (nullable): A custom color to set for the mark, or `NULL` to use the
+ *   default
+ *
+ * Add a mark for a `HexWidget` object at the specified absolute `start` and
+ * `end` offsets.
+ *
+ * Although the mark obtains an index within the widget internally, this index
+ * numeral is private and is not retrievable. As a result, it is recommended
+ * that applications wishing to manipulate marks retain the pointer returned by
+ * this function, and implement their own tracking mechanism for the marks.
+ *
+ * Returns: (transfer none): A pointer to a `HexWidgetMark` object, owned by
+ * the `HexWidget`.
+ *
+ * Since: 4.8
+ */
+HexWidgetMark *
+hex_widget_add_mark (HexWidget *self, gint64 start, gint64 end, GdkRGBA *color)
+{
+	HexWidgetMark *mark;
 
-	if (ahl->next) ahl->next->prev = ahl->prev;
-	if (ahl->prev) ahl->prev->next = ahl->next;
+	g_return_val_if_fail (HEX_IS_WIDGET (self), NULL);
 
-	if (self->auto_highlight == ahl) self->auto_highlight = ahl->next;
+	mark = hex_widget_mark_new ();
+	mark->highlight.start = start;
+	mark->highlight.end = end;
+
+	if (color)
+		hex_widget_set_mark_custom_color (self, mark, color);
+
+	g_ptr_array_add (self->marks, mark);
+	gtk_widget_queue_draw (GTK_WIDGET(self));
+
+	return mark;
+}
+
+/**
+ * hex_widget_delete_mark:
+ * @mark: The `HexWidgetMark` to delete
+ *
+ * Delete a `HexWidgetMark` from a `HexWidget`.
+ *
+ * Since: 4.8
+ */
+void
+hex_widget_delete_mark (HexWidget *self, HexWidgetMark *mark)
+{
+	g_return_if_fail (HEX_IS_WIDGET (self));
+	g_return_if_fail (HEX_IS_WIDGET_MARK (mark));
 
-	g_free (ahl);
+	g_ptr_array_remove (self->marks, mark);
+	gtk_widget_queue_draw (GTK_WIDGET(self));
+}
+
+/**
+ * hex_widget_goto_mark:
+ * @mark: The mark to jump to
+ *
+ * Jump the cursor in the `HexWidget` specified to the mark in question.
+ *
+ * Since: 4.8
+ */
+void
+hex_widget_goto_mark (HexWidget *self, HexWidgetMark *mark)
+{
+	g_return_if_fail (HEX_IS_WIDGET (self));
+	g_return_if_fail (HEX_IS_WIDGET_MARK (mark));
+
+	hex_widget_set_cursor (self, mark->highlight.start);
+	hex_widget_set_nibble (self, FALSE);
 }
 
 /**
@@ -3886,4 +4250,40 @@ hex_widget_get_group_type (HexWidget *se
 	return self->group_type;
 }
 
+/**
+ * hex_widget_get_fade_zeroes:
+ *
+ * Retrieve whether zeroes (`00`) are faded in the hex display.
+ *
+ * Returns: `TRUE` if zeroes are faded; `FALSE` otherwise
+ *
+ * Since: 4.8
+ */
+gboolean
+hex_widget_get_fade_zeroes (HexWidget *self)
+{
+	g_return_val_if_fail (HEX_IS_WIDGET (self), FALSE);
+
+	return self->fade_zeroes;
+}
+
+/**
+ * hex_widget_set_fade_zeroes:
+ * @fade: Whether zeroes (`00` in the hex display) should be faded
+ *
+ * Set whether zeroes (`00`) are faded in the hex display.
+ *
+ * Since: 4.8
+ */
+void
+hex_widget_set_fade_zeroes (HexWidget *self, gboolean fade)
+{
+	g_return_if_fail (HEX_IS_WIDGET (self));
+
+	self->fade_zeroes = fade;
+
+	gtk_widget_queue_draw (GTK_WIDGET(self));
+	g_object_notify_by_pspec (G_OBJECT(self), properties[FADE_ZEROES]);
+}
+
 G_GNUC_END_IGNORE_DEPRECATIONS
diff -pruN 45.1-1/src/gtkhex.css 46.0-1/src/gtkhex.css
--- 45.1-1/src/gtkhex.css	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/gtkhex.css	2024-03-22 05:14:59.000000000 +0000
@@ -19,6 +19,10 @@
 	background-color: alpha(red, 0.5);
 }
 
+.hex:visited {
+	background-color: alpha(yellow, 0.5);
+}
+
 .hex:checked {
 	color: @theme_bg_color;
 	background-color: alpha(@theme_fg_color, 0.9);
diff -pruN 45.1-1/src/gtkhex.h 46.0-1/src/gtkhex.h
--- 45.1-1/src/gtkhex.h	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/gtkhex.h	2024-03-22 05:14:59.000000000 +0000
@@ -69,6 +69,9 @@ G_DECLARE_FINAL_TYPE(HexWidget, hex_widg
 GType hex_widget_autohighlight_get_type (void) G_GNUC_CONST;
 typedef struct _HexWidgetAutoHighlight HexWidgetAutoHighlight;
 
+#define HEX_TYPE_WIDGET_MARK (hex_widget_mark_get_type ())
+G_DECLARE_FINAL_TYPE (HexWidgetMark, hex_widget_mark, HEX, WIDGET_MARK, GObject)
+
 /* PUBLIC METHOD DECLARATIONS */
 
 GtkWidget *hex_widget_new (HexDocument *owner);
@@ -102,6 +105,9 @@ void hex_widget_clear_selection (HexWidg
 void hex_widget_delete_selection (HexWidget *gh);
 void hex_widget_zero_selection (HexWidget *gh);
 
+void hex_widget_set_fade_zeroes (HexWidget *self, gboolean fade);
+gboolean hex_widget_get_fade_zeroes (HexWidget *self);
+
 HexWidgetAutoHighlight *
 hex_widget_insert_autohighlight (HexWidget *gh, const char *search, int len);
 HexWidgetAutoHighlight *
@@ -112,6 +118,17 @@ void hex_widget_delete_autohighlight (He
 GtkAdjustment *hex_widget_get_adjustment(HexWidget *gh);
 HexDocument *hex_widget_get_document (HexWidget *gh);
 
+HexWidgetMark *hex_widget_add_mark (HexWidget *self, gint64 start, gint64 end,
+		GdkRGBA *color);
+void hex_widget_delete_mark (HexWidget *self, HexWidgetMark *mark);
+void hex_widget_goto_mark (HexWidget *self, HexWidgetMark *mark);
+void hex_widget_set_mark_custom_color (HexWidget *self, HexWidgetMark *mark,
+		GdkRGBA *color);
+void hex_widget_mark_get_custom_color (HexWidgetMark *mark, GdkRGBA *color);
+gboolean hex_widget_mark_get_have_custom_color (HexWidgetMark *mark);
+gint64 hex_widget_mark_get_start_offset (HexWidgetMark *mark);
+gint64 hex_widget_mark_get_end_offset (HexWidgetMark *mark);
+
 G_END_DECLS
 
 #endif		/* GTKHEX_H */
diff -pruN 45.1-1/src/help-overlay.ui 46.0-1/src/help-overlay.ui
--- 45.1-1/src/help-overlay.ui	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/help-overlay.ui	2024-03-22 05:14:59.000000000 +0000
@@ -102,6 +102,27 @@
 
 				<child>
 					<object class="GtkShortcutsGroup">
+						<property name="title" translatable="yes">Marks</property>
+
+						<child>
+							<object class="GtkShortcutsShortcut">
+								<property name="accelerator">&lt;Control&gt;m</property>
+								<property name="title" translatable="yes">Marks dialog</property>
+							</object>
+						</child>
+
+						<child>
+							<object class="GtkShortcutsShortcut">
+								<property name="accelerator">&lt;Control&gt;0...&lt;Control&gt;9</property>
+								<property name="title" translatable="yes">Activate mark (0-9)</property>
+							</object>
+						</child>
+
+					</object>
+				</child> <!-- /Marks -->
+
+				<child>
+					<object class="GtkShortcutsGroup">
 						<property name="title" translatable="yes">Clipboard</property>
 
 						<child>
diff -pruN 45.1-1/src/hex-buffer-iface.c 46.0-1/src/hex-buffer-iface.c
--- 45.1-1/src/hex-buffer-iface.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/hex-buffer-iface.c	2024-03-22 05:14:59.000000000 +0000
@@ -115,8 +115,8 @@ hex_buffer_get_byte (HexBuffer *self,
  * @offset: offset position of the data being requested within the payload
  * @len: size in bytes of the input data being provided
  * @rep_len: amount of bytes to replace/overwrite (if any)
- * @data: (array length=len) (transfer full): a pointer to the data being
- *   provided
+ * @data: (array length=len) (element-type gint8): a pointer to
+ *   the data being provided
  *
  * Set data at of the buffer at a particular offset, replacing some, all or
  * none of the existing data in the buffer as desired.
@@ -144,7 +144,7 @@ hex_buffer_set_data (HexBuffer *self,
 
 /**
  * hex_buffer_set_file:
- * @file: the file to be utilized by the buffer
+ * @file: (transfer full): the file to be utilized by the buffer
  *
  * Set the #GFile to be utilized by the buffer. Once it has been set,
  * you can read it into the buffer with [method@Hex.Buffer.read] or
@@ -365,10 +365,15 @@ hex_buffer_util_new (const char *plugin,
 	char *plugin_path = NULL;
 	char *symbol_name = NULL;
 
-	/* If dynamic loading of plugins isn't even supported on the platform, or
-	 * if NULL is passed, fall right back to `malloc` since it's the only one
-	 * baked in.
+	/* If the malloc backend is specifically requested, or if dynamic loading
+	 * of plugins isn't even supported on the platform, or if NULL is passed,
+	 * fall back to `malloc` since it's the only one baked in.
 	 */
+	if (g_strcmp0 (plugin, "malloc") == 0)
+	{
+		g_debug ("malloc buffer explicitly specified; no need to load any plugin.");
+		return hex_buffer_malloc_new (file);
+	}
 	if (! plugin)
 	{
 		g_debug ("No plugin specified; falling back to the `malloc` backend.");
@@ -376,17 +381,16 @@ hex_buffer_util_new (const char *plugin,
 	}
 	if (! g_module_supported () || !plugin)
 	{
-		g_message ("Modules not supported on this system; "
-				"falling back to `malloc` backend.");
+		g_warning ("Modules not supported on this system; falling back to `malloc` backend.");
 		return hex_buffer_malloc_new (file);
 	}
 
-/* g_module_build_path has been deprecated as of glib 2.76, but the behaviour
- * of g_module_open has also been changed^W improved. Since it's unclear at
- * this point whether these improvements are backwards-compatible, we use the
- * legacy functions for now until the changes have had some time to cook for a
- * while.
- */
+	/* g_module_build_path has been deprecated as of glib 2.76, but the behaviour
+	 * of g_module_open has also been changed^W improved. Since it's unclear at
+	 * this point whether these improvements are backwards-compatible, we use the
+	 * legacy functions for now until the changes have had some time to cook for a
+	 * while.
+	 */
 G_GNUC_BEGIN_IGNORE_DEPRECATIONS
 	plugin_soname = g_strdup_printf ("hex-buffer-%s", plugin);
 	plugin_path = g_module_build_path (PACKAGE_PLUGINDIR, plugin_soname);
@@ -396,13 +400,13 @@ G_GNUC_END_IGNORE_DEPRECATIONS
 
 	if (! module)
 	{
-		g_debug ("Unable to locate/load plugin at %s", plugin_path);
+		g_warning ("Unable to locate/load plugin at %s", plugin_path);
 		func = NULL;
 	}
 	else if (! g_module_symbol (module, symbol_name, (gpointer *)&func) ||
 			func == NULL)
 	{
-		g_message ("Plugin found at %s - but unable to locate symbol: %s - "
+		g_warning ("Plugin found at %s - but unable to locate symbol: %s - "
 				"falling back to `malloc` backend.",
 				plugin_path, symbol_name);
 		func = hex_buffer_malloc_new;
@@ -430,6 +434,15 @@ G_GNUC_END_IGNORE_DEPRECATIONS
  *
  * Utility function to obtain the size of a #GFile.
  *
+ * Since 4.6, this function will return an unspecified negative value if the
+ * file size was unable to be obtained, as opposed to 0 as it previously did.
+ * This is to distinguish between valid zero-length files and files for which
+ * the size was not able to be obtained (eg, if it was unreadable). In the
+ * future, these negative values may be defined as specific enums which have a
+ * more specific meaning. But presently and going forward, testing for a
+ * negative value is sufficient to determine that the file size was
+ * unobtainable.
+ *
  * Returns: the size of the file, in bytes
  */
 gint64
@@ -441,7 +454,7 @@ hex_buffer_util_get_file_size (GFile *fi
 			G_FILE_ATTRIBUTE_STANDARD_SIZE, G_FILE_QUERY_INFO_NONE, NULL, NULL);
 
 	if (! info)
-		return 0;
+		return -1;
 
 	return g_file_info_get_size (info);
 }
diff -pruN 45.1-1/src/hex-buffer-malloc.c 46.0-1/src/hex-buffer-malloc.c
--- 45.1-1/src/hex-buffer-malloc.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/hex-buffer-malloc.c	2024-03-22 05:14:59.000000000 +0000
@@ -107,7 +107,7 @@ hex_buffer_malloc_get_property (GObject
 	switch (property_id)
 	{
 		case PROP_FILE:
-			g_value_set_pointer (value, self->file);
+			g_value_set_object (value, self->file);
 			break;
 
 		default:
@@ -122,12 +122,13 @@ hex_buffer_malloc_get_property (GObject
 static gboolean
 update_payload_size_from_file (HexBufferMalloc *self)
 {
-	self->payload_size = hex_buffer_util_get_file_size (self->file);
+	gint64 file_size = hex_buffer_util_get_file_size (self->file);
 
-	if (! self->payload_size)
+	if (file_size < 0)
 		return FALSE;
-	else
-		return TRUE;
+
+	self->payload_size = file_size;
+	return TRUE;
 }
 
 /* transfer: none */
diff -pruN 45.1-1/src/hex-buffer-mmap.c 46.0-1/src/hex-buffer-mmap.c
--- 45.1-1/src/hex-buffer-mmap.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/hex-buffer-mmap.c	2024-03-22 05:14:59.000000000 +0000
@@ -136,7 +136,7 @@ hex_buffer_mmap_get_property (GObject *o
 	switch (property_id)
 	{
 		case PROP_FILE:
-			g_value_set_pointer (value, self->file);
+			g_value_set_object (value, self->file);
 			break;
 
 		default:
@@ -599,8 +599,7 @@ create_fd_from_path (HexBufferMmap *self
 	} 
 	else
 	{
-		/* FIXME - this is probably overkill - hex editor users may wish to
-		 * open a 'non-regular' file.
+		/* Non-regular files should be using a different backend, eg, direct.
 		 */
 		if (!S_ISREG(statbuf.st_mode)) {
 			set_error (self, _("Not a regular file"));
@@ -794,10 +793,10 @@ hex_buffer_mmap_write_to_file (HexBuffer
 		/* const char* contents, */			raw,	
 		/* gsize length, */					self->payload,
 		/* const char* etag, */				NULL,
-		/* gboolean make_backup, */			FALSE,	/* FIXME - make optional? */
+		/* gboolean make_backup, */			FALSE,
 		/* GFileCreateFlags flags, */		G_FILE_CREATE_NONE,
 		/* char** new_etag, */				NULL,
-		/* GCancellable* cancellable, */	NULL,	/* FIXME */
+		/* GCancellable* cancellable, */	NULL,
 		/* GError** error */				&self->error);
 
 	return retval;
diff -pruN 45.1-1/src/hex-dialog.c 46.0-1/src/hex-dialog.c
--- 45.1-1/src/hex-dialog.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/hex-dialog.c	2024-03-22 05:14:59.000000000 +0000
@@ -10,7 +10,7 @@
  * maintain the source code under the licensing terms described
  * herein and below.
  *
- * Copyright © 2021 Logan Rathbone <poprocks@gmail.com>
+ * Copyright © 2021-2024 Logan Rathbone <poprocks@gmail.com>
  *
  *  GHex is free software; you can redistribute it and/or
  *  modify it under the terms of the GNU General Public License as
@@ -230,11 +230,13 @@ dialog_prop_get_text(HexDialogEntryTypes
                                   HexDialog *dialog,
                                   HexDialogVal64 *val)
 {
-    char *buf;
+    char *buf = "";
+
     if (HexDialogEntries[type].conv_function)
         buf = HexDialogEntries[type].conv_function(val, &dialog->properties);
     else
-        buf = _("FIXME: no conversion function");
+		g_warning ("No conversion function found");
+
     return buf;
 }
 
@@ -242,13 +244,9 @@ static void update_dialog_prop(HexDialog
                                HexDialog *dialog,
                                HexDialogVal64 *val)
 {
-    char *buf;
-    GtkEntryBuffer *eb;
-
-    buf = dialog_prop_get_text (type, dialog, val);
-    eb = gtk_entry_get_buffer (GTK_ENTRY(dialog->entry[type]));
+    char *buf = dialog_prop_get_text (type, dialog, val);
 
-    gtk_entry_buffer_set_text (eb, buf, -1);
+	gtk_editable_set_text (GTK_EDITABLE(dialog->entry[type]), buf);
 }
 
 /* if val is NULL, uses the previous used val */
diff -pruN 45.1-1/src/hex-document.c 46.0-1/src/hex-document.c
--- 45.1-1/src/hex-document.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/hex-document.c	2024-03-22 05:14:59.000000000 +0000
@@ -52,7 +52,7 @@ static void undo_stack_ascend
 static void undo_stack_free             (HexDocument *doc);
 
 #define DEFAULT_UNDO_DEPTH 1024
-#define REGEX_SEARCH_LEN 1024	/* FIXME/TODO: This is kind of lazy. Stopgap? */
+#define REGEX_SEARCH_LEN 1024
 
 /* SIGNALS */
 
@@ -62,6 +62,7 @@ enum {
 	REDO,
 	UNDO_STACK_FORGET,
 	FILE_NAME_CHANGED,
+	FILE_SAVE_STARTED,
 	FILE_SAVED,
 	FILE_READ_STARTED,
 	FILE_LOADED,
@@ -122,11 +123,25 @@ G_DEFINE_BOXED_TYPE (HexDocumentFindData
 
 /* HexChangeData GType Definitions */
 
-/* FIXME - unused and could be unreliable */
 static HexChangeData *
 hex_change_data_copy (HexChangeData *data)
 {
-	return data;
+	HexChangeData *new = NULL;
+
+	g_return_val_if_fail (data != NULL, NULL);
+
+	new = g_new0 (HexChangeData, 1);
+
+	new->start = data->start;
+	new->end = data->end;
+	new->rep_len = data->rep_len;
+	new->lower_nibble = data->lower_nibble;
+	new->insert = data->insert;
+	new->type = data->type;
+	new->v_string = g_strdup (data->v_string);
+	new->v_byte = data->v_byte;
+
+	return new;
 }
 
 G_DEFINE_BOXED_TYPE (HexChangeData, hex_change_data,
@@ -197,10 +212,11 @@ hex_document_get_property (GObject *obje
 	switch (property_id)
 	{
 		case GFILE:
-			/* --- */
+			g_value_set_object (value, hex_document_get_file (doc));
 			break;
 
 		case BUFFER:
+			g_value_set_object (value, hex_document_get_buffer (doc));
 			break;
 
 		default:
@@ -408,6 +424,20 @@ hex_document_class_init (HexDocumentClas
 				G_TYPE_NONE,
 				0);
 
+	/**
+	 * HexDocument::file-save-started:
+	 *
+	 * Since: 4.6.1
+	 */
+	hex_signals[FILE_SAVE_STARTED] =
+		g_signal_new_class_handler ("file-save-started",
+				G_OBJECT_CLASS_TYPE (gobject_class),
+				G_SIGNAL_RUN_FIRST,
+				NULL,
+				NULL, NULL, NULL,
+				G_TYPE_NONE,
+				0);
+
 	hex_signals[FILE_SAVED] =
 		g_signal_new_class_handler ("file-saved",
 				G_OBJECT_CLASS_TYPE (gobject_class),
@@ -440,11 +470,13 @@ static void
 hex_document_init (HexDocument *doc)
 {
 	HexBuffer *try_buf = NULL;
+	const char *default_buf;
 
-	/* FIXME - make this a setting; preferred default backend, or
-	 * what-have-you.
-	 */
-	try_buf = hex_buffer_util_new ("mmap", NULL);
+	default_buf = g_getenv ("HEX_BUFFER");
+	if (! default_buf)
+		default_buf = "mmap";
+
+	try_buf = hex_buffer_util_new (default_buf, NULL);
 	if (! try_buf)
 		try_buf = hex_buffer_util_new (NULL, NULL);
 
@@ -462,6 +494,11 @@ hex_document_init (HexDocument *doc)
  *
  * Create a new empty [class@Hex.Document] object.
  *
+ * Since 4.6, the HEX_BUFFER environment variable can optionally be set to
+ * specify which backend should be tried first as the default. Otherwise, the
+ * `mmap` buffer will be attempted to be loaded if available, and if it is not,
+ * it will fall back to the `malloc` buffer backend.
+ *
  * Returns: a new [class@Hex.Document] object.
  */
 HexDocument *
@@ -482,6 +519,19 @@ hex_document_new (void)
 gboolean
 hex_document_set_file (HexDocument *doc, GFile *file)
 {
+	g_return_val_if_fail (HEX_IS_DOCUMENT (doc), FALSE);
+	g_return_val_if_fail (G_IS_FILE (file), FALSE);
+
+	/* Only the malloc backend can open 0-length files */
+	if (hex_buffer_util_get_file_size (file) == 0)
+	{
+		HexBuffer *buf;
+
+		g_debug ("%s: Zero-length file detected. Attempting to set `malloc` buffer.", __func__);
+		buf = hex_buffer_util_new ("malloc", file);
+		hex_document_set_buffer (doc, buf);
+	}
+
 	if (! hex_buffer_set_file (doc->buffer, file)) {
 		g_debug ("%s: Invalid file", __func__);
 		return FALSE;
@@ -628,7 +678,7 @@ hex_document_set_byte (HexDocument *doc,
  * @offset: offset in bytes within the payload
  * @len: length in bytes of the data to be set
  * @rep_len: amount of bytes to replace/overwrite (if any)
- * @data: (array length=len) (transfer full): a pointer to the data being
+ * @data: (array length=len) (element-type gint8): a pointer to the data being
  *   provided
  * @undoable: whether the operation should be undoable
  *
@@ -766,7 +816,6 @@ hex_document_read_async (HexDocument *do
 		GAsyncReadyCallback callback,
 		gpointer user_data)
 {
-	static HexChangeData change_data;
 	GTask *task;
 	gint64 payload;
 
@@ -814,6 +863,8 @@ hex_document_write (HexDocument *doc)
 
 	g_return_val_if_fail (G_IS_FILE (doc->file), FALSE);
 
+	g_signal_emit (doc, hex_signals[FILE_SAVE_STARTED], 0);
+
 	path = g_file_get_path (doc->file);
 	if (! path)
 		goto out;
@@ -922,6 +973,8 @@ hex_document_write_async (HexDocument *d
 	if (! path)
 		goto out;
 
+	g_signal_emit (doc, hex_signals[FILE_SAVE_STARTED], 0);
+
 	doc_task = g_task_new (doc, cancellable, callback, user_data);
 
 	hex_buffer_write_to_file_async (doc->buffer,
@@ -1315,8 +1368,8 @@ out:
 /**
  * hex_document_compare_data:
  * @doc: a [class@Hex.Document] object
- * @what: (array length=len): a pointer to the data to compare to data within
- *   the #HexDocument
+ * @what: (array length=len) (element-type gint8): a pointer to the data to
+ *   compare to data within the #HexDocument
  * @pos: offset position of the #HexDocument data to compare with @what
  * @len: size of the #HexDocument data to compare with @what, in bytes
  *
@@ -1385,8 +1438,8 @@ hex_document_find_forward_full (HexDocum
  * hex_document_find_forward:
  * @doc: a [class@Hex.Document] object
  * @start: starting offset byte of the payload to commence the search
- * @what: (array length=len): a pointer to the data to search within the
- *   #HexDocument
+ * @what: (array length=len) (element-type gint8): a pointer to the data to
+ *   search within the #HexDocument
  * @len: length in bytes of the data to be searched for
  * @offset: (out): offset of the found string, if the method returns %TRUE
  * 
@@ -1509,8 +1562,8 @@ FIND_FULL_ASYNC_TEMPLATE(hex_document_fi
  * hex_document_find_forward_async:
  * @doc: a [class@Hex.Document] object
  * @start: starting offset byte of the payload to commence the search
- * @what: (array length=len): a pointer to the data to search within the
- *   #HexDocument
+ * @what: (array length=len) (element-type gint8): a pointer to the data to
+ *   search within the #HexDocument
  * @len: length in bytes of the data to be searched for
  * @offset: (out): offset of the found string, if the method returns %TRUE
  * @found_msg: message intended to be displayed by the client if the string
@@ -1598,8 +1651,8 @@ hex_document_find_backward_full (HexDocu
  * hex_document_find_backward:
  * @doc: a [class@Hex.Document] object
  * @start: starting offset byte of the payload to commence the search
- * @what: (array length=len): a pointer to the data to search within the
- *   #HexDocument
+ * @what: (array length=len) (element-type gint8): a pointer to the data to
+ *   search within the #HexDocument
  * @len: length in bytes of the data to be searched for
  * @offset: (out): offset of the found string, if the method returns %TRUE
  * 
@@ -1670,8 +1723,8 @@ FIND_FULL_ASYNC_TEMPLATE(hex_document_fi
  * hex_document_find_backward_async:
  * @doc: a [class@Hex.Document] object
  * @start: starting offset byte of the payload to commence the search
- * @what: (array length=len): a pointer to the data to search within the
- *   #HexDocument
+ * @what: (array length=len) (element-type gint8): a pointer to the data to
+ *   search within the #HexDocument
  * @len: length in bytes of the data to be searched for
  * @offset: (out): offset of the found string, if the method returns %TRUE
  * @found_msg: message intended to be displayed by the client if the string
@@ -1910,7 +1963,7 @@ hex_document_get_file (HexDocument *doc)
 /**
  * hex_document_set_buffer:
  * @doc: a [class@Hex.Document] object
- * @buf: [iface@Hex.Buffer]
+ * @buf: (transfer full): [iface@Hex.Buffer]
  *
  * Set the [iface@Hex.Buffer] connected with the #HexDocument.
  *
diff -pruN 45.1-1/src/hex-document.h 46.0-1/src/hex-document.h
--- 45.1-1/src/hex-document.h	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/hex-document.h	2024-03-22 05:14:59.000000000 +0000
@@ -76,8 +76,8 @@ typedef enum
  * HexDocumentFindData:
  * @found: whether the string was found
  * @start: start offset of the payload, in bytes
- * @what: (array length=len): a pointer to the data to search within the
- *   #HexDocument
+ * @what: (array length=len) (element-type gint8): a pointer to the data to
+ *   search within the #HexDocument
  * @len: length in bytes of the data to be searched for
  * @flags: [flags@Hex.SearchFlags] search flags (Since: 4.2)
  * @offset: offset of the found string
diff -pruN 45.1-1/src/jump-dialog.ui 46.0-1/src/jump-dialog.ui
--- 45.1-1/src/jump-dialog.ui	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/jump-dialog.ui	2024-03-22 05:14:59.000000000 +0000
@@ -23,7 +23,7 @@
 	Original GHex Author: Jaka Mocnik <jaka@gnu.org>
 -->
 
-<interface domain="gtk40">
+<interface>
 	<template class="JumpDialog" parent="PaneDialog">
 
 		<child>
diff -pruN 45.1-1/src/mark-dialog.c 46.0-1/src/mark-dialog.c
--- 45.1-1/src/mark-dialog.c	1970-01-01 00:00:00.000000000 +0000
+++ 46.0-1/src/mark-dialog.c	2024-03-22 05:14:59.000000000 +0000
@@ -0,0 +1,234 @@
+/* vim: colorcolumn=80 ts=4 sw=4
+ */
+/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */
+/* mark-dialog.c - marks dialog
+
+   Copyright © 2023 Logan Rathbone <poprocks@gmail.com>
+
+   GHex is free software; you can redistribute it and/or
+   modify it under the terms of the GNU General Public License as
+   published by the Free Software Foundation; either version 2 of the
+   License, or (at your option) any later version.
+
+   GHex is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with GHex; see the file COPYING.
+   If not, write to the Free Software Foundation, Inc.,
+   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+   Original GHex Author: Jaka Mocnik <jaka@gnu.org>
+*/
+
+#include "mark-dialog.h"
+
+#include <glib/gi18n.h>
+#include <config.h>
+
+/* DEFINES */
+
+#define MARK_DIALOG_CSS_NAME "markdialog"
+
+struct _MarkDialog {
+	PaneDialog parent_instance;
+
+	GtkWidget *box;
+	GtkWidget *spin_button;
+	GtkWidget *color_button;
+	GtkWidget *mark_description_label;
+	GtkWidget *set_mark_button;
+	GtkWidget *goto_mark_button;
+	GtkWidget *delete_mark_button;
+	GtkWidget *close_button;
+	GtkEventController *focus_controller;
+};
+
+G_DEFINE_TYPE (MarkDialog, mark_dialog, PANE_TYPE_DIALOG)
+
+static void
+update_action_targets (MarkDialog *self)
+{
+	gtk_actionable_set_action_target (GTK_ACTIONABLE(self->set_mark_button), "(sims)",
+			"set",
+			gtk_spin_button_get_value_as_int (GTK_SPIN_BUTTON(self->spin_button)),
+			NULL);
+
+	gtk_actionable_set_action_target (GTK_ACTIONABLE(self->goto_mark_button), "(sims)",
+			"jump",
+			gtk_spin_button_get_value_as_int (GTK_SPIN_BUTTON(self->spin_button)),
+			NULL);
+
+	gtk_actionable_set_action_target (GTK_ACTIONABLE(self->delete_mark_button), "(sims)",
+			"delete",
+			gtk_spin_button_get_value_as_int (GTK_SPIN_BUTTON(self->spin_button)),
+			NULL);
+}
+
+static gboolean
+sensitive_closure_cb (GObject *object, HexWidgetMark *mark, gpointer user_data)
+{
+	return mark ? TRUE : FALSE;
+}
+
+static HexWidgetMark *
+mark_spin_button_closure_cb (GObject *object, double spin_button_value, gpointer user_data)
+{
+	MarkDialog *self = MARK_DIALOG(object);
+	HexWidget *gh = pane_dialog_get_hex (PANE_DIALOG(self));
+	char *key = NULL;
+	HexWidgetMark *mark = NULL;
+
+	if (! gh)
+		goto out;
+
+	key = g_strdup_printf ("mark%d", (int)spin_button_value);
+	mark = g_object_get_data (G_OBJECT(gh), key);
+
+	if (! mark)
+		goto out;
+
+	if (! hex_widget_mark_get_have_custom_color (mark))
+		goto out;
+
+out:
+	g_free (key);
+
+	/* GtkExpression assumes it is receiving its own ref of the object returned
+	 * from the callback.
+	 */
+	return mark ? g_object_ref (mark) : NULL;
+}
+
+/* This function needs to return a newly allocated string, since
+ * GtkExpression/the closure stuff assumes it can take ownership of it and
+ * free it.
+ */
+static char *
+mark_description_label_closure_cb (GObject *object, HexWidgetMark *mark, gpointer user_data)
+{
+	MarkDialog *self = MARK_DIALOG(object);
+	char *str = NULL;
+	gint64 start, end;
+
+	if (! mark)
+		return NULL;
+
+	start = hex_widget_mark_get_start_offset (mark);
+	end = hex_widget_mark_get_end_offset (mark);
+
+	/* Translators: this is meant to show a range of hex offset values.
+	 * eg, "0xAA - 0xFF"
+	 */
+	str = g_strdup_printf (_("0x%lX - 0x%lX"), start, end);
+
+	return str;
+}
+
+static void
+color_set_cb (MarkDialog *self, GtkColorButton *color_button)
+{
+	char *key = g_strdup_printf ("mark%d", gtk_spin_button_get_value_as_int (GTK_SPIN_BUTTON(self->spin_button)));
+	HexWidget *gh = pane_dialog_get_hex (PANE_DIALOG(self));
+	HexWidgetMark *mark = g_object_get_data (G_OBJECT(gh), key);
+	GdkRGBA color = {0};
+
+	if (!mark)
+		goto out;
+
+	G_GNUC_BEGIN_IGNORE_DEPRECATIONS
+	gtk_color_chooser_get_rgba (GTK_COLOR_CHOOSER(color_button), &color);
+	G_GNUC_END_IGNORE_DEPRECATIONS
+	color.alpha = 0.5;
+
+	hex_widget_set_mark_custom_color (gh, mark, &color);
+
+out:
+	g_free (key);
+}
+
+static void
+mark_dialog_init (MarkDialog *self)
+{
+	GtkWidget *widget = GTK_WIDGET(self);
+
+	gtk_widget_init_template (widget);
+
+	update_action_targets (self);
+
+	g_signal_connect_swapped (self->color_button, "color-set", G_CALLBACK(color_set_cb), self);
+	g_signal_connect_swapped (self->spin_button, "value-changed", G_CALLBACK(update_action_targets), self);
+	g_signal_connect_swapped (self->close_button, "clicked", G_CALLBACK(pane_dialog_close), self);
+}
+
+static void
+mark_dialog_dispose (GObject *object)
+{
+	MarkDialog *self = MARK_DIALOG(object);
+
+	g_clear_pointer (&self->box, gtk_widget_unparent);
+
+	/* Chain up */
+	G_OBJECT_CLASS(mark_dialog_parent_class)->dispose (object);
+}
+
+static void
+mark_dialog_class_init (MarkDialogClass *klass)
+{
+	GObjectClass *object_class = G_OBJECT_CLASS(klass);
+	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
+
+	object_class->dispose = mark_dialog_dispose;
+
+	gtk_widget_class_set_css_name (widget_class, MARK_DIALOG_CSS_NAME);
+
+	/* Setup template */
+
+	gtk_widget_class_set_template_from_resource (widget_class,
+			RESOURCE_BASE_PATH "/mark-dialog.ui");
+	gtk_widget_class_bind_template_child (widget_class, MarkDialog, box);
+	gtk_widget_class_bind_template_child (widget_class, MarkDialog, spin_button);
+	gtk_widget_class_bind_template_child (widget_class, MarkDialog, color_button);
+	gtk_widget_class_bind_template_child (widget_class, MarkDialog, mark_description_label);
+	gtk_widget_class_bind_template_child (widget_class, MarkDialog, set_mark_button);
+	gtk_widget_class_bind_template_child (widget_class, MarkDialog, goto_mark_button);
+	gtk_widget_class_bind_template_child (widget_class, MarkDialog, delete_mark_button);
+	gtk_widget_class_bind_template_child (widget_class, MarkDialog, close_button);
+	gtk_widget_class_bind_template_callback (widget_class, sensitive_closure_cb);
+	gtk_widget_class_bind_template_callback (widget_class, mark_spin_button_closure_cb);
+	gtk_widget_class_bind_template_callback (widget_class, mark_description_label_closure_cb);
+}
+
+void
+mark_dialog_refresh (MarkDialog *self)
+{
+	g_return_if_fail (MARK_IS_DIALOG (self));
+
+	/* This is kind of lame, but since we've bound our spin button's value to
+	 * updating sensitivity, etc., there are times we want things to react as
+	 * though the spin button's value has been set to a different value, even
+	 * if it hasn't been.
+	 */
+	g_object_notify (G_OBJECT(self->spin_button), "value");
+}
+
+void
+mark_dialog_activate_mark_num (MarkDialog *self, int mark_num)
+{
+	g_return_if_fail (MARK_IS_DIALOG (self));
+
+	if (mark_num < 0 || mark_num > 9) {
+		g_warning ("%s: Programmer error: invalid mark number", __func__);
+		return;
+	}
+
+	gtk_spin_button_set_value (GTK_SPIN_BUTTON(self->spin_button), mark_num);
+}
+
+GtkWidget *
+mark_dialog_new (void)
+{
+	return g_object_new (MARK_TYPE_DIALOG, NULL);
+}
diff -pruN 45.1-1/src/mark-dialog.h 46.0-1/src/mark-dialog.h
--- 45.1-1/src/mark-dialog.h	1970-01-01 00:00:00.000000000 +0000
+++ 46.0-1/src/mark-dialog.h	2024-03-22 05:14:59.000000000 +0000
@@ -0,0 +1,47 @@
+/* vim: colorcolumn=80 ts=4 sw=4
+ */
+/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */
+/* mark-dialog.h - types related to the mark dialog
+
+   Copyright © 2023 Logan Rathbone <poprocks@gmail.com>
+
+   GHex is free software; you can redistribute it and/or
+   modify it under the terms of the GNU General Public License as
+   published by the Free Software Foundation; either version 2 of the
+   License, or (at your option) any later version.
+
+   GHex is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+   General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with GHex; see the file COPYING.
+   If not, write to the Free Software Foundation, Inc.,
+   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+   Original GHex Author: Jaka Mocnik <jaka@gnu.org>
+*/
+
+#ifndef MARKDIALOG_H
+#define MARKDIALOG_H
+
+#include "gtkhex.h"
+#include "findreplace.h"
+#include "common-ui.h"
+
+G_BEGIN_DECLS
+
+#define MARK_TYPE_DIALOG (mark_dialog_get_type ())
+G_DECLARE_FINAL_TYPE (MarkDialog, mark_dialog, MARK, DIALOG, PaneDialog)
+
+/* PUBLIC METHOD DECLARATIONS */
+
+/* MarkDialog */
+GtkWidget *mark_dialog_new (void);
+void mark_dialog_refresh (MarkDialog *self);
+void mark_dialog_activate_mark_num (MarkDialog *self, int mark_num);
+
+G_END_DECLS
+
+#endif /* MARKDIALOG_H */
diff -pruN 45.1-1/src/mark-dialog.ui 46.0-1/src/mark-dialog.ui
--- 45.1-1/src/mark-dialog.ui	1970-01-01 00:00:00.000000000 +0000
+++ 46.0-1/src/mark-dialog.ui	2024-03-22 05:14:59.000000000 +0000
@@ -0,0 +1,161 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<!-- vim: ts=2 sw=2
+-->
+<!--
+  Copyright © 2023 Logan Rathbone <poprocks@gmail.com>
+
+	GHex is free software; you can redistribute it and/or
+	modify it under the terms of the GNU General Public License as
+	published by the Free Software Foundation; either version 2 of the
+	License, or (at your option) any later version.
+
+	GHex is distributed in the hope that it will be useful,
+	but WITHOUT ANY WARRANTY; without even the implied warranty of
+	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+	General Public License for more details.
+
+	You should have received a copy of the GNU General Public License
+	along with GHex; see the file COPYING.
+	If not, write to the Free Software Foundation, Inc.,
+	51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+	Original GHex Author: Jaka Mocnik <jaka@gnu.org>
+-->
+
+<interface>
+	<template class="MarkDialog" parent="PaneDialog">
+
+		<child>
+			<object class="GtkBox" id="box">
+				<property name="orientation">horizontal</property>
+				<property name="spacing">12</property>
+
+				<child>
+					<object class="GtkLabel" id="label">
+						<property name="label" translatable="yes">Mark:</property>
+					</object>
+				</child>
+
+				<child>
+					<object class="GtkSpinButton" id="spin_button">
+						<property name="adjustment">
+							<object class="GtkAdjustment">
+								<property name="lower">0.0</property>
+								<property name="upper">9.0</property>
+								<property name="step-increment">1.0</property>
+							</object>
+						</property>
+						<accessibility>
+							<property name="description" translatable="yes">Select the desired mark to set, jump to, or delete</property>
+						</accessibility>
+					</object>
+				</child>
+
+				<child>
+					<object class="GtkColorButton" id="color_button">
+						<property name="use-alpha">false</property>
+						<property name="tooltip-text" translatable="yes">Optional custom color for the mark</property>
+						<binding name="sensitive">
+							<closure type="gboolean" function="sensitive_closure_cb">
+								<closure type="HexWidgetMark" function="mark_spin_button_closure_cb">
+									<lookup name="value">spin_button</lookup>
+								</closure>
+							</closure>
+						</binding>
+						<binding name="rgba">
+							<lookup name="custom-color">
+								<closure type="HexWidgetMark" function="mark_spin_button_closure_cb">
+									<lookup name="value">spin_button</lookup>
+								</closure>
+							</lookup>
+						</binding>
+						<accessibility>
+							<property name="description" translatable="yes">Pick a custom color for the mark, if desired.</property>
+						</accessibility>
+					</object>
+				</child>
+
+				<child>
+					<object class="GtkLabel" id="mark_description_label">
+						<property name="hexpand">true</property>
+						<property name="use-markup">true</property>
+						<property name="name">mark-description-label</property>
+						<binding name="label">
+							<closure type="gchararray" function="mark_description_label_closure_cb">
+								<closure type="HexWidgetMark" function="mark_spin_button_closure_cb">
+									<lookup name="value">spin_button</lookup>
+								</closure>
+							</closure>
+						</binding>
+					</object>
+				</child>
+
+				<child>
+					<object class="GtkButton" id="set_mark_button">
+						<property name="label" translatable="yes">_Set</property>
+						<property name="use-underline">true</property>
+						<property name="receives-default">true</property>
+						<property name="halign">end</property>
+						<property name="hexpand">true</property>
+						<property name="action-name">ghex.mark</property>
+						<accessibility>
+							<property name="description" translatable="yes">Set a mark on a byte or range of bytes</property>
+						</accessibility>
+					</object>
+				</child>
+
+				<child>
+					<object class="GtkButton" id="goto_mark_button">
+						<property name="label" translatable="yes">_Jump</property>
+						<property name="use-underline">true</property>
+						<property name="halign">end</property>
+						<property name="action-name">ghex.mark</property>
+						<binding name="sensitive">
+							<closure type="gboolean" function="sensitive_closure_cb">
+								<closure type="HexWidgetMark" function="mark_spin_button_closure_cb">
+									<lookup name="value">spin_button</lookup>
+								</closure>
+							</closure>
+						</binding>
+						<accessibility>
+							<property name="description" translatable="yes">Bring the cursor to the specified mark</property>
+						</accessibility>
+					</object>
+				</child>
+
+				<child>
+					<object class="GtkButton" id="delete_mark_button">
+						<property name="label" translatable="yes">_Delete</property>
+						<property name="use-underline">true</property>
+						<property name="halign">end</property>
+						<property name="action-name">ghex.mark</property>
+						<binding name="sensitive">
+							<closure type="gboolean" function="sensitive_closure_cb">
+								<closure type="HexWidgetMark" function="mark_spin_button_closure_cb">
+									<lookup name="value">spin_button</lookup>
+								</closure>
+							</closure>
+						</binding>
+						<accessibility>
+							<property name="description" translatable="yes">Delete the specified mark</property>
+						</accessibility>
+					</object>
+				</child>
+
+				<child>
+					<object class="GtkButton" id="close_button">
+						<property name="icon-name">window-close-symbolic</property>
+						<property name="halign">end</property>
+						<property name="has-frame">false</property>
+						<accessibility>
+							<property name="label" translatable="yes">Close</property>
+							<property name="description" translatable="yes">Closes the marks pane</property>
+						</accessibility>
+					</object>
+				</child>
+
+			</object>
+		</child>
+	</template>
+</interface>
diff -pruN 45.1-1/src/meson.build 46.0-1/src/meson.build
--- 45.1-1/src/meson.build	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/meson.build	2024-03-22 05:14:59.000000000 +0000
@@ -124,6 +124,7 @@ ghex_sources = [
   'hex-dialog.c',
   'hex-statusbar.c',
   'main.c',
+  'mark-dialog.c',
   'paste-special.c',
   'preferences.c',
   'print.c',
diff -pruN 45.1-1/src/paste-special.c 46.0-1/src/paste-special.c
--- 45.1-1/src/paste-special.c	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/paste-special.c	2024-03-22 05:14:59.000000000 +0000
@@ -3,7 +3,7 @@
 /* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */
 /* paste-special.c - `Paste special' dialog for GHex
 
-   Copyright © 2021 Logan Rathbone <poprocks@gmail.com>
+   Copyright © 2021-2023 Logan Rathbone <poprocks@gmail.com>
 
    GHex is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
@@ -79,8 +79,6 @@ struct _MimeSubTypeLabel {
 G_DEFINE_TYPE (MimeSubTypeLabel, mime_sub_type_label, GTK_TYPE_WIDGET)
 
 /* PRIVATE FORWARD DECLARATIONS */
-static void dialog_response_cb (GtkDialog *dialog, int response_id,
-		gpointer user_data);
 static void destroy_paste_special_dialog (void);
 
 /* STATIC GLOBALS */
@@ -297,9 +295,6 @@ delimited_hex_copy (void)
 
 	hex_str = hex_paste_data_to_delimited_hex ();
 
-	/* FIXME - Maybe this should be set up as a union? Not sure what would
-	 * best satisfy the principle of least astonishment (POLA).
-	 */
 	if (hex_str)
 		gdk_clipboard_set_text (clipboard, hex_str);
 }
@@ -380,9 +375,25 @@ row_activated_cb (GtkListBox *box,
 #undef STANDARD_PASTE
 #undef STANDARD_COPY
 
+static gboolean
+key_press_cb (GtkEventControllerKey *key,
+		guint keyval,
+		guint keycode,
+		GdkModifierType state,
+		GtkWindow *ct)
+{
+	if (keyval == GDK_KEY_Escape)
+	{
+		destroy_paste_special_dialog ();
+		return GDK_EVENT_STOP;
+	}
+	return GDK_EVENT_PROPAGATE;
+}
+
 static void
 common_init_widgets (void)
 {
+	GtkEventController *key = gtk_event_controller_key_new ();
 	GET_WIDGET (paste_special_dialog);
 	GET_WIDGET (paste_button);
 	GET_WIDGET (cancel_button);
@@ -390,6 +401,10 @@ common_init_widgets (void)
 
 	gtk_list_box_set_activate_on_single_click (GTK_LIST_BOX(paste_special_listbox),
 			FALSE);
+
+	/* Make ESC close the dialog */
+	gtk_widget_add_controller (paste_special_dialog, key);
+	g_signal_connect (key, "key-pressed", G_CALLBACK(key_press_cb), NULL);
 }
 
 static void
@@ -542,12 +557,17 @@ init_mime_hash (void)
 }
 
 static void
-common_setup_signals (void)
+paste_button_clicked_cb (GtkButton *btn, gpointer user_data)
 {
-	g_return_if_fail (GTK_IS_DIALOG (paste_special_dialog));
+	GtkListBoxRow *row = gtk_list_box_get_selected_row (GTK_LIST_BOX (paste_special_listbox));
+	g_signal_emit_by_name (row, "activate");
+}
 
-	g_signal_connect (paste_special_dialog, "response",
-			G_CALLBACK(dialog_response_cb), NULL);
+static void
+common_setup_signals (void)
+{
+	g_signal_connect (paste_button, "clicked", G_CALLBACK(paste_button_clicked_cb), NULL);
+	g_signal_connect (cancel_button, "clicked", G_CALLBACK(destroy_paste_special_dialog), NULL);
 }
 
 static void
@@ -674,27 +694,6 @@ destroy_paste_special_dialog (void)
 	gtk_window_destroy (GTK_WINDOW(paste_special_dialog));
 }
 
-static void
-dialog_response_cb (GtkDialog *dialog,
-		int        response_id,
-		gpointer   user_data)
-{
-	GtkListBoxRow *row;
-
-	switch (response_id)
-	{
-		case GTK_RESPONSE_ACCEPT:
-			row = gtk_list_box_get_selected_row
-				(GTK_LIST_BOX(paste_special_listbox));
-			g_signal_emit_by_name (row, "activate");
-			break;
-
-		default:
-			destroy_paste_special_dialog ();
-			break;
-	}
-}
-
 /* PUBLIC FUNCTIONS */
 
 GtkWidget *
diff -pruN 45.1-1/src/paste-special.ui 46.0-1/src/paste-special.ui
--- 45.1-1/src/paste-special.ui	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/paste-special.ui	2024-03-22 05:14:59.000000000 +0000
@@ -1,9 +1,9 @@
 <?xml version="1.0" encoding="UTF-8"?>
 
-<!-- vim: ts=2 sw=2
+<!-- vim: ts=2 sw=2 foldmethod=indent
 -->
 <!--
-   Copyright © 2021 Logan Rathbone <poprocks@gmail.com>
+   Copyright © 2021-2023 Logan Rathbone <poprocks@gmail.com>
 
    GHex is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
@@ -24,42 +24,38 @@
 -->
 
 <interface>
-	<object class="GtkDialog" id="paste_special_dialog"> <!-- paste_special_dialog -->
+	<object class="GtkWindow" id="paste_special_dialog">
 		<property name="title" translatable="yes">Paste Special</property>
 		<property name="default-width">400</property>
 		<property name="default-height">200</property>
-
-		<child internal-child="content_area"> <!-- box -->
-			<object class="GtkBox" id="content_area_box">
+		<child>
+			<object class="GtkBox" id="main_vbox">
 				<property name="orientation">vertical</property>
-
-				<child> <!-- paste_special_listbox -->
+				<child>
 					<object class="GtkListBox" id="paste_special_listbox">
 						<property name="hexpand">true</property>
 						<property name="vexpand">true</property>
 					</object>
-				</child> <!-- /paste_special_listbox-->
-
-			</object>
-		</child> <!-- /box -->
-
-		<child type="action">
-			<object class="GtkButton" id="paste_button">
-				<property name="use-underline">true</property>
-				<property name="label" translatable="yes">_Paste</property>
-			</object>
-		</child>
-		<child type="action">
-			<object class="GtkButton" id="cancel_button">
-				<property name="use-underline">true</property>
-				<property name="label" translatable="yes">_Cancel</property>
+				</child>
+				<child>
+					<object class="GtkBox" id="button_box">
+						<property name="orientation">horizontal</property>
+						<property name="spacing">4</property>
+						<child>
+							<object class="GtkButton" id="paste_button">
+								<property name="use-underline">true</property>
+								<property name="label" translatable="yes">_Paste</property>
+							</object>
+						</child>
+						<child>
+							<object class="GtkButton" id="cancel_button">
+								<property name="use-underline">true</property>
+								<property name="label" translatable="yes">_Cancel</property>
+							</object>
+						</child>
+					</object>
+				</child>
 			</object>
 		</child>
-
-		<action-widgets>
-			<action-widget response="accept" default="true">paste_button</action-widget>
-			<action-widget response="cancel">cancel_button</action-widget>
-		</action-widgets>
-	</object> <!-- /paste_special_dialog -->
-
+	</object>
 </interface>
diff -pruN 45.1-1/src/replace-dialog.ui 46.0-1/src/replace-dialog.ui
--- 45.1-1/src/replace-dialog.ui	2023-11-13 19:56:54.000000000 +0000
+++ 46.0-1/src/replace-dialog.ui	2024-03-22 05:14:59.000000000 +0000
@@ -23,7 +23,7 @@
 	Original GHex Author: Jaka Mocnik <jaka@gnu.org>
 -->
 
-<interface domain="gtk40">
+<interface>
 
 	<object class="GtkBox" id="r_frame">
 		<property name="orientation">vertical</property>
